searchNodes=[{"doc":"Documentation for DocuSign.","ref":"DocuSign.html","title":"DocuSign","type":"module"},{"doc":"Deprecated interface to manage OAuth2 clients. DocuSign.ClientRegistry should be used instead.","ref":"DocuSign.APIClient.html","title":"DocuSign.APIClient","type":"module"},{"doc":"Get Api Client","ref":"DocuSign.APIClient.html#client/0","title":"DocuSign.APIClient.client/0","type":"function"},{"doc":"Forces an access token refresh.","ref":"DocuSign.APIClient.html#refresh_token/0","title":"DocuSign.APIClient.refresh_token/0","type":"function"},{"doc":"API calls for all endpoints tagged AccountBrands .","ref":"DocuSign.Api.AccountBrands.html","title":"DocuSign.Api.AccountBrands","type":"module"},{"doc":"Deletes a brand. This method deletes a brand from an account. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_delete_brand/4","title":"DocuSign.Api.AccountBrands.brand_delete_brand/4","type":"function"},{"doc":"Exports a brand. This method exports information about a brand to an XML file. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_export_get_brand_export_file/4","title":"DocuSign.Api.AccountBrands.brand_export_get_brand_export_file/4","type":"function"},{"doc":"Gets information about a brand. This method returns details about an account brand. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. opts (keyword): Optional parameters :include_external_references (String.t): When true, the landing pages and links associated with the brand are included in the response. :include_logos (String.t): When true, the URIs for the logos associated with the brand are included in the response. Returns {:ok, DocuSign.Model.Brand.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_get_brand/4","title":"DocuSign.Api.AccountBrands.brand_get_brand/4","type":"function"},{"doc":"Deletes a brand logo. This method deletes a single logo from an account brand. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. logo_type (String.t): The type of logo. Valid values are: - primary - secondary - email opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_logo_delete_brand_logo/5","title":"DocuSign.Api.AccountBrands.brand_logo_delete_brand_logo/5","type":"function"},{"doc":"Gets a brand logo. This method returns a specific logo that is used in a brand. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. logo_type (String.t): The type of logo. Valid values are: - primary - secondary - email opts (keyword): Optional parameters Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_logo_get_brand_logo/5","title":"DocuSign.Api.AccountBrands.brand_logo_get_brand_logo/5","type":"function"},{"doc":"Updates a brand logo. This method updates a single brand logo. You pass in the new version of the resource in the Content-Disposition header. Example: Content-Disposition: form-data; name=&quot;file&quot;; filename=&quot;logo.jpg&quot; Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. logo_type (String.t): The type of logo. Valid values are: - primary - secondary - email logo_file_bytes (String.t): Brand logo binary Stream. Supported formats: JPG, GIF, PNG. Maximum file size: 300 KB. Recommended dimensions: 296 x 76 pixels (larger images will be resized). Changes may take up to one hour to display in all places opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_logo_put_brand_logo/6","title":"DocuSign.Api.AccountBrands.brand_logo_put_brand_logo/6","type":"function"},{"doc":"Updates an existing brand. This method updates an account brand. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. opts (keyword): Optional parameters :replace_brand (String.t): When true, replaces the brand instead of updating it. The only unchanged value is the brand ID. The request body must be XML. The default value is false. :body (Brand): Returns {:ok, DocuSign.Model.Brand.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_put_brand/4","title":"DocuSign.Api.AccountBrands.brand_put_brand/4","type":"function"},{"doc":"Returns a branding resource file. This method returns a specific branding resource file. A brand uses a set of brand resource files to control the sending, signing, email message, and captive (embedded) signing experiences. You can modify the default email messages and formats in these files and upload them to your brand to customize the user experience. Important: When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. resource_content_type (String.t): The type of brand resource file to return. Valid values are: - sending - signing - email - signing_captive opts (keyword): Optional parameters :langcode (String.t): The ISO 3166-1 alpha-2 codes for the languages that the brand supports. :return_master (String.t): Specifies which resource file data to return. When true, only the master resource file is returned. When false, only the elements that you modified are returned. Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources/5","title":"DocuSign.Api.AccountBrands.brand_resources_get_brand_resources/5","type":"function"},{"doc":"Returns metadata about the branding resources for an account. This method returns metadata about the branding resources that are associated with an account. Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BrandResourcesList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_resources_get_brand_resources_list/4","title":"DocuSign.Api.AccountBrands.brand_resources_get_brand_resources_list/4","type":"function"},{"doc":"Updates a branding resource file. This method updates a branding resource file. You pass in the new version of the resource file in the Content-Disposition header. Example: Content-Disposition: form-data; name=&quot;file&quot;; filename=&quot;DocuSign_SigningResource_4328673.xml&quot; Note: Branding for either signing or sending must be enabled for the account ( canSelfBrandSend , canSelfBrandSign , or both of these account settings must be true ). Important: Customizing resource files is an advanced branding configuration option which can significantly impact your account, and should be done only by someone with expertise in XML and HTML. The master resource files are subject to change without notice. If you customize your resource files, after each release, DocuSign recommends you review any changes and update your custom files as needed. When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. brand_id (String.t): The ID of the brand. resource_content_type (String.t): The type of brand resource file that you are updating. Valid values are: - sending - signing - email - signing_captive file_periodxml (String.t): Brand resource XML file. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BrandResources.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brand_resources_put_brand_resources/6","title":"DocuSign.Api.AccountBrands.brand_resources_put_brand_resources/6","type":"function"},{"doc":"Deletes one or more brand profiles. This method deletes one or more brand profiles from an account, based on the brand IDs that you include in the brandsRequest . Either or both of the following settings must be enabled for the account to use this method: - canSelfBrandSign - canSelfBrandSend ### Related topics - How to create a brand Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (BrandsRequest): Returns {:ok, DocuSign.Model.AccountBrands.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brands_delete_brands/3","title":"DocuSign.Api.AccountBrands.brands_delete_brands/3","type":"function"},{"doc":"Gets a list of brands. This method returns details about all of the brands associated with an account, including the default brand profiles. Either or both of the following settings must be enabled for the account to use this method: - canSelfBrandSign - canSelfBrandSend ### Related topics - How to create a brand Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :exclude_distributor_brand (String.t): When true, excludes distributor brand information from the response set. :include_logos (String.t): When true, returns the logos associated with the brand. Returns {:ok, DocuSign.Model.AccountBrands.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brands_get_brands/3","title":"DocuSign.Api.AccountBrands.brands_get_brands/3","type":"function"},{"doc":"Creates one or more brand profiles for an account. This method creates one or more brand profile files for an account. To specify logos for the brand, use the AccountBrands: updateLogo method after you create the brand. Either or both of the following settings must be enabled for the account to use this method: - canSelfBrandSign - canSelfBrandSend ### Related topics - How to create a brand Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (Brand): Returns {:ok, DocuSign.Model.AccountBrands.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountBrands.html#brands_post_brands/3","title":"DocuSign.Api.AccountBrands.brands_post_brands/3","type":"function"},{"doc":"API calls for all endpoints tagged AccountConsumerDisclosures .","ref":"DocuSign.Api.AccountConsumerDisclosures.html","title":"DocuSign.Api.AccountConsumerDisclosures","type":"module"},{"doc":"Gets the default Electronic Record and Signature Disclosure for an account. Retrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) associated with the account. This is the default ERSD disclosure that DocuSign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties. To set the language of the disclosure that you want to retrieve, use the optional langCode query parameter. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :langCode (String.t): The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic ( ar ) - Bulgarian ( bg ) - Czech ( cs ) - Chinese Simplified ( zh_CN ) - Chinese Traditional ( zh_TW ) - Croatian ( hr ) - Danish ( da ) - Dutch ( nl ) - English US ( en ) - English UK ( en_GB ) - Estonian ( et ) - Farsi ( fa ) - Finnish ( fi ) - French ( fr ) - French Canadian ( fr_CA ) - German ( de ) - Greek ( el ) - Hebrew ( he ) - Hindi ( hi ) - Hungarian ( hu ) - Bahasa Indonesian ( id ) - Italian ( it ) - Japanese ( ja ) - Korean ( ko ) - Latvian ( lv ) - Lithuanian ( lt ) - Bahasa Melayu ( ms ) - Norwegian ( no ) - Polish ( pl ) - Portuguese ( pt ) - Portuguese Brazil ( pt_BR ) - Romanian ( ro ) - Russian ( ru ) - Serbian ( sr ) - Slovak ( sk ) - Slovenian ( sl ) - Spanish ( es ) - Spanish Latin America ( es_MX ) - Swedish ( sv ) - Thai ( th ) - Turkish ( tr ) - Ukrainian ( uk ) - Vietnamese ( vi ) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser . Returns {:ok, DocuSign.Model.AccountConsumerDisclosures.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure/3","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure/3","type":"function"},{"doc":"Gets the Electronic Record and Signature Disclosure for an account. Retrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) associated with the account. To set the language of the disclosure that you want to retrieve, use the optional langCode query parameter. Note: The text of the default disclosure is always in English, but if you are using a custom disclosure and have created versions of it in different signer languages, you can use the langCode parameter to specify the signer language version that you want to retrieve. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. lang_code (String.t): The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic ( ar ) - Bulgarian ( bg ) - Czech ( cs ) - Chinese Simplified ( zh_CN ) - Chinese Traditional ( zh_TW ) - Croatian ( hr ) - Danish ( da ) - Dutch ( nl ) - English US ( en ) - English UK ( en_GB ) - Estonian ( et ) - Farsi ( fa ) - Finnish ( fi ) - French ( fr ) - French Canadian ( fr_CA ) - German ( de ) - Greek ( el ) - Hebrew ( he ) - Hindi ( hi ) - Hungarian ( hu ) - Bahasa Indonesian ( id ) - Italian ( it ) - Japanese ( ja ) - Korean ( ko ) - Latvian ( lv ) - Lithuanian ( lt ) - Bahasa Melayu ( ms ) - Norwegian ( no ) - Polish ( pl ) - Portuguese ( pt ) - Portuguese Brazil ( pt_BR ) - Romanian ( ro ) - Russian ( ru ) - Serbian ( sr ) - Slovak ( sk ) - Slovenian ( sl ) - Spanish ( es ) - Spanish Latin America ( es_MX ) - Swedish ( sv ) - Thai ( th ) - Turkish ( tr ) - Ukrainian ( uk ) - Vietnamese ( vi ) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser . opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountConsumerDisclosures.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_lang_code/4","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_lang_code/4","type":"function"},{"doc":"Updates the Electronic Record and Signature Disclosure for an account. Account administrators can use this method to perform the following tasks: - Customize values in the default disclosure. - Switch to a custom disclosure that uses your own text and HTML formatting. - Change values in your existing consumer disclosure. To specify the signer language version of the disclosure that you are updating, use the optional langCode query parameter. Note: Only account administrators can use this method. Each time you change the disclosure content, all unsigned recipients of outstanding documents will be required to accept a new version. ## Updating the default disclosure When you update the default disclosure, you can edit all properties except for the following ones: - accountEsignId : This property is read-only. - custom : The default value is false. Editing this property causes the default disclosure to switch to a custom disclosure. - esignAgreement : This property is read-only. - esignText : You cannot edit this property when custom is set to false. The API returns a 200 OK HTTP response, but does not update the esignText . - Metadata properties: These properties are read-only. Note: The text of the default disclosure is always in English. ## Switching to a custom disclosure To switch to a custom disclosure, set the custom property to true and customize the value for the eSignText property. You can also edit all of the other properties except for the following ones: - accountEsignId : This property is read-only. - esignAgreement : This property is read-only. - Metadata properties: These properties are read-only. Note: When you use a custom disclosure, you can create versions of it in different signer languages and se the langCode parameter to specify the signer language version that you are updating. Important: When you switch from a default to a custom disclosure, note the following information: - You will not be able to return to using the default disclosure. - Only the disclosure for the currently selected signer language is saved. DocuSign will not automatically translate your custom disclosure. You must create a disclosure for each language that your signers use. ## Updating a custom disclosure When you update a custom disclosure, you can update all of the properties except for the following ones: - accountEsignId : This property is read-only. - esignAgreement : This property is read-only. - Metadata properties: These properties are read-only. Important: Only the disclosure for the currently selected signer language is saved. DocuSign will not automatically translate your custom disclosure. You must create a disclosure for each language that your signers use. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. lang_code (String.t): The code for the signer language version of the disclosure that you want to update. The following languages are supported: - Arabic ( ar ) - Bulgarian ( bg ) - Czech ( cs ) - Chinese Simplified ( zh_CN ) - Chinese Traditional ( zh_TW ) - Croatian ( hr ) - Danish ( da ) - Dutch ( nl ) - English US ( en ) - English UK ( en_GB ) - Estonian ( et ) - Farsi ( fa ) - Finnish ( fi ) - French ( fr ) - French Canadian ( fr_CA ) - German ( de ) - Greek ( el ) - Hebrew ( he ) - Hindi ( hi ) - Hungarian ( hu ) - Bahasa Indonesian ( id ) - Italian ( it ) - Japanese ( ja ) - Korean ( ko ) - Latvian ( lv ) - Lithuanian ( lt ) - Bahasa Melayu ( ms ) - Norwegian ( no ) - Polish ( pl ) - Portuguese ( pt ) - Portuguese Brazil ( pt_BR ) - Romanian ( ro ) - Russian ( ru ) - Serbian ( sr ) - Slovak ( sk ) - Slovenian ( sl ) - Spanish ( es ) - Spanish Latin America ( es_MX ) - Swedish ( sv ) - Thai ( th ) - Turkish ( tr ) - Ukrainian ( uk ) - Vietnamese ( vi ) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser . opts (keyword): Optional parameters :include_metadata (String.t): (Optional) When true, the response includes metadata indicating which properties are editable. :body (ConsumerDisclosure): Returns {:ok, DocuSign.Model.ConsumerDisclosure.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountConsumerDisclosures.html#consumer_disclosure_put_consumer_disclosure/4","title":"DocuSign.Api.AccountConsumerDisclosures.consumer_disclosure_put_consumer_disclosure/4","type":"function"},{"doc":"API calls for all endpoints tagged AccountCustomFields .","ref":"DocuSign.Api.AccountCustomFields.html","title":"DocuSign.Api.AccountCustomFields","type":"module"},{"doc":"Deletes an account custom field. This method deletes an existing account custom field. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. custom_field_id (String.t): The ID of the custom field. opts (keyword): Optional parameters :apply_to_templates (String.t): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_delete_account_custom_fields/4","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_delete_account_custom_fields/4","type":"function"},{"doc":"Gets a list of custom fields. This method returns a list of the envelope and document custom fields associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountCustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_get_account_custom_fields/3","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_get_account_custom_fields/3","type":"function"},{"doc":"Creates an account custom field. This method creates a custom field and makes it available for all new envelopes associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :apply_to_templates (String.t): (Optional) When true, the new custom field is applied to all of the templates on the account. :body (CustomField): Returns {:ok, DocuSign.Model.AccountCustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_post_account_custom_fields/3","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_post_account_custom_fields/3","type":"function"},{"doc":"Updates an account custom field. This method updates an existing account custom field. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. custom_field_id (String.t): The ID of the custom field. opts (keyword): Optional parameters :apply_to_templates (String.t): :body (CustomField): Returns {:ok, DocuSign.Model.AccountCustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountCustomFields.html#account_custom_fields_put_account_custom_fields/4","title":"DocuSign.Api.AccountCustomFields.account_custom_fields_put_account_custom_fields/4","type":"function"},{"doc":"API calls for all endpoints tagged AccountPasswordRules .","ref":"DocuSign.Api.AccountPasswordRules.html","title":"DocuSign.Api.AccountPasswordRules","type":"module"},{"doc":"Gets the password rules for an account. This method retrieves the password rules for an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountPasswordRules.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_get_account_password_rules/3","title":"DocuSign.Api.AccountPasswordRules.account_password_rules_get_account_password_rules/3","type":"function"},{"doc":"Updates the password rules for an account. This method updates the password rules for an account. Note: To update the password rules for an account, you must be an account administrator. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (AccountPasswordRules): Returns {:ok, DocuSign.Model.AccountPasswordRules.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPasswordRules.html#account_password_rules_put_account_password_rules/3","title":"DocuSign.Api.AccountPasswordRules.account_password_rules_put_account_password_rules/3","type":"function"},{"doc":"Gets membership account password rules. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.UserPasswordRules.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPasswordRules.html#password_rules_get_password_rules/2","title":"DocuSign.Api.AccountPasswordRules.password_rules_get_password_rules/2","type":"function"},{"doc":"API calls for all endpoints tagged AccountPermissionProfiles .","ref":"DocuSign.Api.AccountPermissionProfiles.html","title":"DocuSign.Api.AccountPermissionProfiles","type":"module"},{"doc":"Deletes a permission profile from an account. This method deletes a permission profile from an account. To delete a permission profile, it must not have any users associated with it. When you use this method to delete a permission profile, you can reassign the users associated with it to a new permission profile at the same time by using the move_users_to query parameter. ### Related topics - How to delete a permission profile Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. permission_profile_id (String.t): The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings &gt; Permission Profiles page of your eSignature account page. opts (keyword): Optional parameters :move_users_to (String.t): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_delete_permission_profiles/4","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_delete_permission_profiles/4","type":"function"},{"doc":"Returns a permission profile for an account. This method returns information about a specific permission profile that is associated with an account. ### Related topics - How to set a permission profile Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. permission_profile_id (String.t): The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings &gt; Permission Profiles page of your eSignature account page. opts (keyword): Optional parameters :include (String.t): A comma-separated list of additional properties to return in the response. The only valid value for this request is metadata , which returns metadata indicating whether the properties associated with the account permission profile are editable. Returns {:ok, DocuSign.Model.PermissionProfile.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profile/4","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profile/4","type":"function"},{"doc":"Gets a list of permission profiles. This method returns a list of permission profiles that are associated with an account. Example: json { &quot;permissionProfiles&quot;: [ { &quot;permissionProfileId&quot;: &quot;1665536&quot;, &quot;permissionProfileName&quot;: &quot;Account Administrator&quot;, &quot;modifiedDateTime&quot;: &quot;2018-03-26T03:54:40.4470000Z&quot;, &quot;modifiedByUsername&quot;: &quot;&quot; }, { &quot;permissionProfileId&quot;: &quot;1665537&quot;, &quot;permissionProfileName&quot;: &quot;DocuSign Sender&quot;, &quot;modifiedDateTime&quot;: &quot;2018-03-26T03:54:40.4470000Z&quot;, &quot;modifiedByUsername&quot;: &quot;&quot; }, { &quot;permissionProfileId&quot;: &quot;1665538&quot;, &quot;permissionProfileName&quot;: &quot;DocuSign Viewer&quot;, &quot;modifiedDateTime&quot;: &quot;2016-06-02T01:53:15.6830000Z&quot;, &quot;modifiedByUsername&quot;: &quot;&quot; }, { &quot;permissionProfileId&quot;: &quot;10325926&quot;, &quot;permissionProfileName&quot;: &quot;DS Manage Company Member Accounts&quot;, &quot;modifiedDateTime&quot;: &quot;2020-05-15T00:28:36.8230000Z&quot;, &quot;modifiedByUsername&quot;: &quot;Nat Irving&quot; } ] } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :include (String.t): A comma-separated list of additional properties to return in the response. Valid values are: - user_count : The total number of users associated with the permission profile. - closed_users : Includes closed users in the user_count . - account_management : The account management settings. - metadata : Metadata indicating whether the properties associated with the account permission profile are editable. Example: user_count,closed_users Returns {:ok, DocuSign.Model.PermissionProfileInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_get_permission_profiles/3","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_get_permission_profiles/3","type":"function"},{"doc":"Creates a new permission profile for an account. This method creates a new permission profile for an account. ### Related topics - How to create a permission profile Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :include (String.t): A comma-separated list of additional properties to return in the response. The only valid value for this request is metadata , which returns metadata indicating whether the properties associated with the account permission profile are editable. :body (PermissionProfile): Returns {:ok, DocuSign.Model.PermissionProfile.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_post_permission_profiles/3","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_post_permission_profiles/3","type":"function"},{"doc":"Updates a permission profile. This method updates an account permission profile. ### Related topics - How to update individual permission settings Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. permission_profile_id (String.t): The ID of the permission profile. Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the Settings &gt; Permission Profiles page of your eSignature account page. opts (keyword): Optional parameters :include (String.t): A comma-separated list of additional properties to return in the response. The only valid value for this request is metadata , which returns metadata indicating whether the properties associated with the account permission profile are editable. :body (PermissionProfile): Returns {:ok, DocuSign.Model.PermissionProfile.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountPermissionProfiles.html#permission_profiles_put_permission_profiles/4","title":"DocuSign.Api.AccountPermissionProfiles.permission_profiles_put_permission_profiles/4","type":"function"},{"doc":"API calls for all endpoints tagged AccountSealProviders .","ref":"DocuSign.Api.AccountSealProviders.html","title":"DocuSign.Api.AccountSealProviders","type":"module"},{"doc":"Returns available seals for specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountSealProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSealProviders.html#account_signature_providers_get_seal_providers/3","title":"DocuSign.Api.AccountSealProviders.account_signature_providers_get_seal_providers/3","type":"function"},{"doc":"API calls for all endpoints tagged AccountSignatureProviders .","ref":"DocuSign.Api.AccountSignatureProviders.html","title":"DocuSign.Api.AccountSignatureProviders","type":"module"},{"doc":"Gets the available signature providers for an account. Returns a list of signature providers that the specified account can use. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountSignatureProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatureProviders.html#account_signature_providers_get_signature_providers/3","title":"DocuSign.Api.AccountSignatureProviders.account_signature_providers_get_signature_providers/3","type":"function"},{"doc":"API calls for all endpoints tagged AccountSignatures .","ref":"DocuSign.Api.AccountSignatures.html","title":"DocuSign.Api.AccountSignatures","type":"module"},{"doc":"Deletes an account stamp. Deletes a stamp specified by signatureId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signature_id (String.t): The ID of the account stamp. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature/4","title":"DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature/4","type":"function"},{"doc":"Deletes the image for a stamp. Deletes the image for a stamp specified by signatureId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. image_type (String.t): Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image signature_id (String.t): The ID of the account stamp. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_delete_account_signature_image/5","title":"DocuSign.Api.AccountSignatures.account_signatures_delete_account_signature_image/5","type":"function"},{"doc":"Returns information about the specified stamp. Returns information about the specified stamp. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signature_id (String.t): The ID of the account stamp. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature/4","title":"DocuSign.Api.AccountSignatures.account_signatures_get_account_signature/4","type":"function"},{"doc":"Returns the image for an account stamp. Returns the image for an account stamp. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. image_type (String.t): Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image signature_id (String.t): The ID of the account stamp. opts (keyword): Optional parameters :include_chrome (String.t): When true, the chrome (or frame containing the added line and identifier) is included with the signature image. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signature_image/5","title":"DocuSign.Api.AccountSignatures.account_signatures_get_account_signature_image/5","type":"function"},{"doc":"Returns a list of stamps available in the account. Returns a list of stamps available in the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :stamp_format (String.t): The format of the stamp to return. Valid values: - NameDateHanko - NameHanko - PlaceholderHanko :stamp_name (String.t): The name associated with the stamps to return. This value can be a Japanese surname (up to 5 characters) or a purchase order ID. :stamp_type (String.t): The type of the stamps to return. Valid values: - name_stamp - stamp - signature Returns {:ok, DocuSign.Model.AccountSignaturesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_get_account_signatures/3","title":"DocuSign.Api.AccountSignatures.account_signatures_get_account_signatures/3","type":"function"},{"doc":"Adds or updates one or more account stamps. Adds or updates one or more account stamps. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :decode_only (String.t): :body (AccountSignaturesInformation): Returns {:ok, DocuSign.Model.AccountSignaturesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_post_account_signatures/3","title":"DocuSign.Api.AccountSignatures.account_signatures_post_account_signatures/3","type":"function"},{"doc":"Updates an account stamp. Adds or updates one or more account stamps. This request may include images in multi-part format. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (AccountSignaturesInformation): Returns {:ok, DocuSign.Model.AccountSignaturesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature/3","title":"DocuSign.Api.AccountSignatures.account_signatures_put_account_signature/3","type":"function"},{"doc":"Updates an account stamp by ID. Updates an account stamp specified by the signatureId query parameter. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signature_id (String.t): The ID of the account stamp. opts (keyword): Optional parameters :close_existing_signature (String.t): When true, closes the current signature. :body (AccountSignatureDefinition): Returns {:ok, DocuSign.Model.AccountSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_by_id/4","title":"DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_by_id/4","type":"function"},{"doc":"Sets a signature image, initials, or stamp. Sets a signature image, initials, or stamp. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. image_type (String.t): Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image signature_id (String.t): The ID of the account stamp. opts (keyword): Optional parameters :transparent_png (String.t): Returns {:ok, DocuSign.Model.AccountSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountSignatures.html#account_signatures_put_account_signature_image/5","title":"DocuSign.Api.AccountSignatures.account_signatures_put_account_signature_image/5","type":"function"},{"doc":"API calls for all endpoints tagged AccountTabSettings .","ref":"DocuSign.Api.AccountTabSettings.html","title":"DocuSign.Api.AccountTabSettings","type":"module"},{"doc":"Returns tab settings list for specified account This method returns information about the tab types and tab functionality that is currently enabled for an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.TabAccountSettings.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_get_tab_settings/3","title":"DocuSign.Api.AccountTabSettings.tab_settings_get_tab_settings/3","type":"function"},{"doc":"Modifies tab settings for specified account This method modifies the tab types and tab functionality that is enabled for an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (TabAccountSettings): Account-wide tab settings. Returns {:ok, DocuSign.Model.TabAccountSettings.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountTabSettings.html#tab_settings_put_settings/3","title":"DocuSign.Api.AccountTabSettings.tab_settings_put_settings/3","type":"function"},{"doc":"API calls for all endpoints tagged AccountWatermarks .","ref":"DocuSign.Api.AccountWatermarks.html","title":"DocuSign.Api.AccountWatermarks","type":"module"},{"doc":"Get watermark information. Enables you to preview a watermark specified by the request. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Watermark.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountWatermarks.html#watermark_get_watermark/3","title":"DocuSign.Api.AccountWatermarks.watermark_get_watermark/3","type":"function"},{"doc":"Get watermark preview. Update the watermark for the account. Note: Many of the request fields must be set to specific values. If you use an invalid value for one of these fields, the endpoint may return 200 OK but set the field to a default value. See the request body for more information. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (Watermark): When true, the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark. Returns {:ok, DocuSign.Model.Watermark.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountWatermarks.html#watermark_preview_put_watermark_preview/3","title":"DocuSign.Api.AccountWatermarks.watermark_preview_put_watermark_preview/3","type":"function"},{"doc":"Update watermark information. Returns information about the watermark for the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (Watermark): When true, the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark. Returns {:ok, DocuSign.Model.Watermark.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.AccountWatermarks.html#watermark_put_watermark/3","title":"DocuSign.Api.AccountWatermarks.watermark_put_watermark/3","type":"function"},{"doc":"API calls for all endpoints tagged Accounts .","ref":"DocuSign.Api.Accounts.html","title":"DocuSign.Api.Accounts","type":"module"},{"doc":"Deletes the specified account. This closes the specified account. You must be an account admin to close your account. Once closed, an account must be reopened by DocuSign. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#accounts_delete_account/3","title":"DocuSign.Api.Accounts.accounts_delete_account/3","type":"function"},{"doc":"Retrieves the account information for the specified account. Retrieves the account information for the specified account. Response The canUpgrade property contains is a Boolean that indicates whether the account can be upgraded through the API. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :include_account_settings (String.t): When true, includes account settings in the response. If you omit this parameter, the default behavior is false. Returns {:ok, DocuSign.Model.AccountInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#accounts_get_account/3","title":"DocuSign.Api.Accounts.accounts_get_account/3","type":"function"},{"doc":"Retrieves the account provisioning information for the account. Retrieves the account provisioning information for the account. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ProvisioningInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#accounts_get_provisioning/2","title":"DocuSign.Api.Accounts.accounts_get_provisioning/2","type":"function"},{"doc":"Creates new accounts. Creates new DocuSign accounts. You can use this method to create a single account or up to 100 accounts at a time. Note: This method is restricted to partner integrations. You must work with DocuSign Professional Services or DocuSign Business Development, who will provide you with the Distributor Code and Distributor Password that you need to include in the request body. When creating a single account, the body of the request is a [ newAccountRequest ][newAccountRequest] object. Example: { &quot;newAccountRequest&quot;: [ { &quot;accountName&quot;:&quot;Test Account&quot;, &quot;distributorCode&quot;:&quot;MY_DIST_CODE&quot;, &quot;distributorPassword&quot;:&quot;MY_DIST_PWD&quot;, &quot;initialUser&quot;:{ &quot;email&quot;:&quot;user@emaildomain.com&quot;, &quot;firstName&quot;:&quot;John&quot;, &quot;middleName&quot;: &quot;Harry&quot;, &quot;lastName&quot;:&quot;Doe&quot;, &quot;suffixName&quot;: &quot;&quot;, &quot;userName&quot;: &quot;John Doe&quot;, &quot;jobTitle&quot;: &quot;Engineer&quot;, &quot;company&quot;: &quot;Test Company&quot; }, &quot;addressInformation&quot;:{ &quot;address1&quot;: &quot;1234 Main Street&quot;, &quot;address2&quot;: &quot;Suite 100&quot;, &quot;city&quot;: &quot;Seattle&quot;, &quot;state&quot;: &quot;WA&quot;, &quot;postalCode&quot;: &quot;98101&quot;, &quot;country&quot;: &quot;US&quot;, &quot;phone&quot;: &quot;1234567890&quot;, &quot;fax&quot;: &quot;1234567891&quot; }, &quot;planInformation&quot;:{ &quot;planId&quot;:&quot;37085696-xxxx-xxxx-xxxx-7ea067752959&quot; }, &quot;referralInformation&quot;:{ &quot;includedSeats&quot;: &quot;1&quot;, &quot;referralCode&quot;: &quot;code&quot;, &quot;referrerName&quot;: &quot;name&quot; } } ] } If the request succeeds, it returns a 201 (Created) HTTP response code. The response returns the new account ID, password, and the default user information for each newly created account. When creating multiple accounts, the body of the request is a newAccountRequests object, which contains one or more [ newAccountDefinition ][newAccountDefinition] objects. You can create up to 100 new accounts at a time this way. The body for a multi-account creation request looks like this in JSON: { &quot;newAccountRequests&quot;: [ { &quot;accountName&quot;: &quot;accountone&quot;, . . . }, { &quot;accountName&quot;: &quot;accounttwo&quot;, . . . } ] } A multi-account request looks like this in XML: &lt;newAccountsDefinition xmlns:i=&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xmlns=&quot;http://www.docusign.com/restapi&quot;&gt; &lt;newAccountRequests&gt; &lt;newAccountDefinition&gt; . . . &lt;/newAccountDefinition&gt; &lt;newAccountDefinition&gt; . . . &lt;/newAccountDefinition&gt; &lt;/newAccountRequests&gt; &lt;/newAccountsDefinition&gt; A multi-account creation request may succeed (report a 201 code) even if some accounts could not be created. In this case, the errorDetails property in the response contains specific information about the failure. [newAccountDefinition]: #/definitions/newAccountDefinition [nameValue]: #/definitions/nameValue [newAccountRequest]: #/definitions/newAccountRequest Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :body (NewAccountDefinition): Returns {:ok, DocuSign.Model.NewAccountSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#accounts_post_accounts/2","title":"DocuSign.Api.Accounts.accounts_post_accounts/2","type":"function"},{"doc":"Gets list of recurring and usage charges for the account. Retrieves the list of recurring and usage charges for the account. This can be used to determine the charge structure and usage of charge plan items. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :include_charges (String.t): Specifies which billing charges to return. Valid values are: envelopes seats Returns {:ok, DocuSign.Model.BillingChargeResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#billing_charges_get_account_billing_charges/3","title":"DocuSign.Api.Accounts.billing_charges_get_account_billing_charges/3","type":"function"},{"doc":"Deletes the signature for one or more captive recipient records. This method deletes the signature for one or more captive recipient records. It is primarily used for testing. This functionality provides a way to reset the signature associated with a client user ID so that a new signature can be created the next time the client user ID is used. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_part (String.t): Signature is the only supported value. opts (keyword): Optional parameters :body (CaptiveRecipientInformation): Returns {:ok, DocuSign.Model.CaptiveRecipientInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#captive_recipients_delete_captive_recipients_part/4","title":"DocuSign.Api.Accounts.captive_recipients_delete_captive_recipients_part/4","type":"function"},{"doc":"Gets the envelope purge configuration for an account. An envelope purge configuration enables account administrators to permanently remove documents and their field data from completed and voided envelopes after a specified retention period ( retentionDays ). This method retrieves the current envelope purge configuration for your account. Note: To use this method, you must be an account administrator. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopePurgeConfiguration.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_get_envelope_purge_configuration/3","title":"DocuSign.Api.Accounts.envelope_purge_configuration_get_envelope_purge_configuration/3","type":"function"},{"doc":"Sets the envelope purge configuration for an account. An envelope purge configuration enables account administrators to permanently remove documents and their field data from completed and voided envelopes after a specified retention period ( retentionDays ). This method sets the envelope purge configuration for your account. Note: To use this method, you must be an account administrator. For more information, see Purge Envelopes . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (EnvelopePurgeConfiguration): Returns {:ok, DocuSign.Model.EnvelopePurgeConfiguration.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#envelope_purge_configuration_put_envelope_purge_configuration/3","title":"DocuSign.Api.Accounts.envelope_purge_configuration_put_envelope_purge_configuration/3","type":"function"},{"doc":"Gets envelope notification defaults. This method returns the default settings for the email notifications that signers and senders receive about envelopes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.NotificationDefaults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#notification_defaults_get_notification_defaults/3","title":"DocuSign.Api.Accounts.notification_defaults_get_notification_defaults/3","type":"function"},{"doc":"Updates envelope notification default settings. This method changes the default settings for the email notifications that signers and senders receive about envelopes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (NotificationDefaults): Returns {:ok, DocuSign.Model.NotificationDefaults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#notification_defaults_put_notification_defaults/3","title":"DocuSign.Api.Accounts.notification_defaults_put_notification_defaults/3","type":"function"},{"doc":"Gets the recipient names associated with an email address. Retrieves a list of all of the names associated with the email address that you pass in. This list can include variants of a single recipient's name that are used for signing, as well as the names of multiple different recipients. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): (Required) The external account number (int) or account ID GUID. opts (keyword): Optional parameters :email (String.t): The email address for which you want to retrieve recipient names. Returns {:ok, DocuSign.Model.RecipientNamesResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#recipient_names_get_recipient_names/3","title":"DocuSign.Api.Accounts.recipient_names_get_recipient_names/3","type":"function"},{"doc":"Gets account settings information. Retrieves the account settings information for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#settings_get_settings/3","title":"DocuSign.Api.Accounts.settings_get_settings/3","type":"function"},{"doc":"Updates the account settings for an account. Updates the account settings for the specified account. Although the request body for this method is a complete accountSettingsInformation object, you only need to provide the properties that you are updating. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (AccountSettingsInformation): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#settings_put_settings/3","title":"DocuSign.Api.Accounts.settings_put_settings/3","type":"function"},{"doc":"Reserved: Gets the shared item status for one or more users. Retrieves shared item status for one or more users and types of items. Users with account administration privileges can retrieve shared access information for all account users. Users without account administrator privileges can only retrieve shared access information for themselves, and the returned information is limited to retrieving the status of the members of the account that are sharing their folders to the user. This is equivalent to setting the shared parameter to shared_from . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 1000 :envelopes_not_shared_user_status (String.t): This query parameter works in conjunction with user_ids . When you specify one of the following user statuses, the query limits the results to only users that match the specified status: - ActivationRequired : Membership Activation required - ActivationSent : Membership activation sent to user - Active : User Membership is active - Closed : User Membership is closed - Disabled : User Membership is disabled :folder_ids (String.t): A comma-separated list of folder IDs for which to return shared item information. If item_type is set to folders , at least one folder ID is required. :item_type (String.t): Specifies the type of shared item being requested. Valid values: - envelopes : Get information about envelope sharing between users. - templates : Get information about template sharing among users and groups. - folders : Get information about folder sharing among users and groups. :search_text (String.t): Filter user names based on the specified string. The wild-card '*' (asterisk) can be used in the string. :shared (String.t): A comma-separated list of sharing filters that specifies which users appear in the response. - not_shared : The response lists users who do not share items of item_type with the current user. - shared_to : The response lists users in user_list who are sharing items to current user. - shared_from : The response lists users in user_list who are sharing items from the current user. - shared_to_and_from : The response lists users in user_list who are sharing items to and from the current user. If the current user does not have administrative privileges, only the shared_to option is valid. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :user_ids (String.t): A comma-separated list of user IDs for whom the shared item information is being requested. Returns {:ok, DocuSign.Model.AccountSharedAccess.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#shared_access_get_shared_access/3","title":"DocuSign.Api.Accounts.shared_access_get_shared_access/3","type":"function"},{"doc":"Reserved: Sets the shared access information for users. This sets the shared access status for one or more users or templates. When setting user shared access, only users with account administration privileges can set shared access status for envelopes. When setting template shared access, only users who own a template and have sharing permission or with account administration privileges can set shared access for templates. Changes to the shared items status are not additive. The change always replaces the current status. To change template shared access, add the query parameter item_type = templates to the request. When this is set, the user and envelopes properties are not required. Note: This functionality is a newer version of the Update Group Share functionality. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :item_type (String.t): Specifies the type of shared item being set: - envelopes : Set envelope sharing between users. - templates : Set information about template sharing among users and groups. - folders : Get information about folder sharing among users and groups. :preserve_existing_shared_access (String.t): When true, preserve the existing shared access settings. :user_ids (String.t): A comma-separated list of IDs for users whose shared item access is being set. :body (AccountSharedAccess): Returns {:ok, DocuSign.Model.AccountSharedAccess.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#shared_access_put_shared_access/3","title":"DocuSign.Api.Accounts.shared_access_put_shared_access/3","type":"function"},{"doc":"Gets the supported languages for envelope recipients. Retrieves a list of supported languages that you can set for an individual recipient when creating an envelope, as well as their simple type enumeration values. These are the languages that you can set for the standard email format and signing view for each recipient. For example, in the recipient's email notification, this setting affects elements such as the standard introductory text describing the request to sign. It also determines the language used for buttons and tabs in both the email notification and the signing experience. Note: Setting a language for a recipient affects only the DocuSign standard text. Any custom text that you enter for the emailBody and emailSubject of the notification is not translated, and appears exactly as you enter it. For more information, see Set Recipient Language and Specify Custom Email Messages . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.SupportedLanguages.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#supported_languages_get_supported_languages/3","title":"DocuSign.Api.Accounts.supported_languages_get_supported_languages/3","type":"function"},{"doc":"Gets a list of unsupported file types. Retrieves a list of file types (mime-types and file-extensions) that are not supported for upload through the DocuSign system. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.FileTypeList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Accounts.html#unsupported_file_types_get_unsupported_file_types/3","title":"DocuSign.Api.Accounts.unsupported_file_types_get_unsupported_file_types/3","type":"function"},{"doc":"API calls for all endpoints tagged BCCEmailArchive .","ref":"DocuSign.Api.BCCEmailArchive.html","title":"DocuSign.Api.BCCEmailArchive","type":"module"},{"doc":"Deletes a BCC email archive configuration. This method deletes a BCC email archive configuration from an account. When you use this method, the status of the BCC email archive configuration switches to closed and the BCC email address is no longer used to archive DocuSign-generated email messages. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bcc_email_archive_id (String.t): The ID of the BCC email archive configuration. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_delete_bcc_email_archive/4","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_delete_bcc_email_archive/4","type":"function"},{"doc":"Gets a BCC email archive configuration and its history. This method returns a specific BCC email archive configuration for an account, as well as the history of changes to the email address. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bcc_email_archive_id (String.t): The ID of the BCC email archive configuration. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of items to skip. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.BccEmailArchiveHistoryList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_history_list/4","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_history_list/4","type":"function"},{"doc":"Gets the BCC email archive configurations for an account. This method retrieves all of the BCC email archive configurations associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.BccEmailArchiveList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_get_bcc_email_archive_list/3","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_get_bcc_email_archive_list/3","type":"function"},{"doc":"Creates a BCC email archive configuration. This method creates a BCC email archive configuration for an account (adds a BCC email address to the account for archiving the emails that DocuSign generates). The only property that you must set in the request body is the BCC email address that you want to use. Note: An account can have up to five active and pending email archive addresses combined, but you must use this method to add them to the account one at a time. Each email address is considered a separate BCC email archive configuration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (BccEmailArchive): Boolean that specifies whether BCC for Email Archive is enabled for the account. BCC for Email Archive allows you to set up an archive email address so that a BCC copy of an envelope is sent only to that address. Returns {:ok, DocuSign.Model.BccEmailArchive.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BCCEmailArchive.html#b_cc_email_archive_post_bcc_email_archive/3","title":"DocuSign.Api.BCCEmailArchive.b_cc_email_archive_post_bcc_email_archive/3","type":"function"},{"doc":"API calls for all endpoints tagged BillingPlans .","ref":"DocuSign.Api.BillingPlans.html","title":"DocuSign.Api.BillingPlans","type":"module"},{"doc":"Get Account Billing Plan Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card. By default the successor plan and credit card information is included in the response. You can exclude this information from the response by adding the appropriate optional query string and setting it to false. Response The response returns the billing plan information, including the currency code, for the plan. The billingPlan and succesorPlans property values are the same as those shown in the Billing: getBillingPlan reference. the billingAddress and creditCardInformation property values are the same as those shown in the Billing: updatePlan reference. Note: When credit card number information displays, a mask is applied to the response so that only the last 4 digits of the card number are visible. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :include_credit_card_information (String.t): When true, payment information including credit card information will show in the return. :include_downgrade_information (String.t): :include_metadata (String.t): When true, the canUpgrade and renewalStatus properties are included the response and an array of supportedCountries is added to the billingAddress information. :include_successor_plans (String.t): When true, excludes successor information from the response. :include_tax_exempt_id (String.t): Returns {:ok, DocuSign.Model.AccountBillingPlanResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plan_get_billing_plan/3","type":"function"},{"doc":"Get credit card information This method returns information about a credit card associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.CreditCardInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_credit_card_info/3","title":"DocuSign.Api.BillingPlans.billing_plan_get_credit_card_info/3","type":"function"},{"doc":"Returns downgrade plan information for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DowngradRequestBillingInfoResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plan_get_downgrade_request_billing_info/3","title":"DocuSign.Api.BillingPlans.billing_plan_get_downgrade_request_billing_info/3","type":"function"},{"doc":"Updates an account billing plan. Updates the billing plan information, billing address, and credit card information for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :preview_billing_plan (String.t): When true, updates the account using a preview billing plan. :body (BillingPlanInformation): Returns {:ok, DocuSign.Model.BillingPlanUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plan_put_billing_plan/3","type":"function"},{"doc":"Queues downgrade billing plan request for an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (DowngradeBillingPlanInformation): Returns {:ok, DocuSign.Model.DowngradePlanUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plan_put_downgrade_account_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plan_put_downgrade_account_billing_plan/3","type":"function"},{"doc":"Gets billing plan details. Retrieves the billing plan details for the specified billing plan ID. Parameters connection (DocuSign.Connection): Connection to server billing_plan_id (String.t): The ID of the billing plan being accessed. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BillingPlanResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plan/3","title":"DocuSign.Api.BillingPlans.billing_plans_get_billing_plan/3","type":"function"},{"doc":"Gets a list of available billing plans. Retrieves a list of the billing plans associated with a distributor. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BillingPlansResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#billing_plans_get_billing_plans/2","title":"DocuSign.Api.BillingPlans.billing_plans_get_billing_plans/2","type":"function"},{"doc":"Reserved: Purchase additional envelopes. Reserved: At this time, this endpoint is limited to DocuSign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (PurchasedEnvelopesInformation): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BillingPlans.html#purchased_envelopes_put_purchased_envelopes/3","title":"DocuSign.Api.BillingPlans.purchased_envelopes_put_purchased_envelopes/3","type":"function"},{"doc":"API calls for all endpoints tagged BulkSend .","ref":"DocuSign.Api.BulkSend.html","title":"DocuSign.Api.BulkSend","type":"module"},{"doc":"Gets the status of a specific bulk send batch. Gets the general status of a specific bulk send batch such as: - number of successes - number pending - number of errors The bulkErrors property of the response object contains more information about the errors. ### Related topics - How to bulk send envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_batch_id (String.t): The batch ID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BulkSendBatchStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batch_status/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batch_status/4","type":"function"},{"doc":"Returns a list of bulk send batch summaries. Returns a summary of bulk send batches. Use the batch_ids query parameter to narrow the list of batches. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :batch_ids (String.t): A comma-separated list of batch IDs to query. :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100 &lt;br&gt; Default: 100 :from_date (String.t): The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. :search_text (String.t): Use this parameter to search for specific text. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :status (String.t): The kind of results to collect. Must be one of: - all - failed - sent - queued :to_date (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. :user_id (String.t): Returns {:ok, DocuSign.Model.BulkSendBatchSummaries.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_get_bulk_send_batches/3","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_get_bulk_send_batches/3","type":"function"},{"doc":"Applies a bulk action to all envelopes from a specified bulk send. Use this endpoint to resend, correct, or void all envelopes from a specified bulk send. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_action (String.t): The action to apply. Valid values: resend correct * void bulk_send_batch_id (String.t): The batch ID. opts (keyword): Optional parameters :body (BulkSendBatchActionRequest): Returns {:ok, DocuSign.Model.BulkSendBatchStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_action/5","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_action/5","type":"function"},{"doc":"Updates the name of a bulk send batch. Updates the name of a bulk send batch. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_batch_id (String.t): The batch ID. opts (keyword): Optional parameters :body (BulkSendBatchRequest): Returns {:ok, DocuSign.Model.BulkSendBatchStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_batch_put_bulk_send_batch_status/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_batch_put_bulk_send_batch_status/4","type":"function"},{"doc":"Deletes a bulk send list. This method deletes a bulk send list. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_list_id (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BulkSendingListSummaries.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_delete_bulk_send_list/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_delete_bulk_send_list/4","type":"function"},{"doc":"Gets a specific bulk send list. This method returns all of the details associated with a specific bulk send list that belongs to the current user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_list_id (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BulkSendingList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_list/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_list/4","type":"function"},{"doc":"Gets bulk send lists. This method returns a list of bulk send lists belonging to the current user, as well as basic information about each list. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BulkSendingListSummaries.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_get_bulk_send_lists/3","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_get_bulk_send_lists/3","type":"function"},{"doc":"Creates a bulk send list. This method creates a bulk send list that you can use to send an envelope to up to 1,000 recipients at once. ### Related topics - How to bulk send envelopes ### Errors | Error code | Description | | :------------------------------------------------------ | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | BULK_SEND_MAX_COPIES_EXCEEDED | A bulk sending list cannot specify more than XXX copies in the mailing list. Call the settings API endpoint to find the maximum number of copies in a batch allowed for your account. In almost all cases, the default limit is 1000. | | BULK_SEND_RECIPIENT_IDS_MUST_BE_UNIQUE | No two recipientIds can be same within a bulkCopy. Same restriction as a regular envelope applies. Specify unique recipient IDs for each recipient within a bulkCopy (model for envelope in mailing list). | | BULK_SEND_RECIPIENT_ID_REQUIRED | If no RoleName is present, recipientID is required in mailing list's bulkCopy. Add a roleName (that coalesces with template/envelope) or a recipientID. | | BULK_SEND_RECIPIENT_NAME_REQUIRED | Recipient {0} has no name. Specify a name for the recipient. | | BULK_SEND_EMAIL_ADDRESS_REQUIRED_FOR_EMAIL_RECIPIENT | Recipient {0} is an email recipient with no email address. Specify an email for the email recipient. | | BULK_SEND_FAX_NUMBER_REQUIRED_FOR_FAX_RECIPIENT | Recipient {0} is a fax recipient with no fax number. Specify a fax number for the fax recipient. | | BULK_SEND_FAX_NUMBER_NOT_VALID | Recipient {0} specifies fax number {1}, which is not valid. Specify a valid fax number for the fax recipient. | | BULK_SEND_EMAIL_ADDRESS_NOT_VALID | Recipient {0} specifies email address {1}, which is not a valid email address. Specify a valid email address for the recipient. | | BULK_SEND_PHONE_NUMBER_REQURED_FOR_SMS_AUTH | Recipient {0} specifies SMS auth, but no number was provided. Specify a phone number for the SMS auth recipient. | | BULK_SEND_PHONE_NUMBER_INVALID_FOR_SMS_AUTH | Recipient {0} specifies phone number {1} for SMS auth, which is not valid. Specify a valid phone number for the SMS auth recipient. | | BULK_SEND_ROLE_NAMES_MUST_BE_UNIQUE | Recipient role names cannot be duplicated; role {duplicateRecipientRole} appears multiple times. Use unique roleNames for recipients. | | BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_ON_SAME_RECIPIENT | Recipients cannot have both ID and Role; {0} has both. Specify a roleName or recipientId, but not both for the same recipient. | | BULK_SEND_CANNOT_USE_BOTH_ROLE_AND_ID_IN_SAME_LIST | Cannot use both recipient role and ID in the same list. Specify a roleName or recipientId, but not both in the same list. | | BULK_SEND_INVALID_ID_CHECK_CONFIGURATION | Recipient {0} specified SMS authentication, but no SMS auth settings were provided. Provide an SMS auth setting (proper ID configuration) if SMS auth is specified. | | BULK_SEND_INVALID_SBS_INPUT_CONFIGURATION | Recipient {0} has more than one signature provider specified. Or signingProviderName is not specified. Or Signature provider : {0} is either unknown or not an available pen for this account. One or more SBS configuration is missing or invalid. The error details provide specifics. | | BULK_SEND_TAB_LABELS_MUST_BE_UNIQUE | Tab label {0} is duplicated. Needs to be unique. Use a unique tab label. | | BULK_SEND_TAB_LABEL_REQUIRED | Tab label is required. Specify a tab label. | | BULK_SEND_TAB_VALUE_REQUIRED | Tab Label value is required. Specify a value for the tab label. | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_MUST_BE_UNIQUE | Custom fields must have distinct names. The field {0} appears more than once in a copy. Use unique names for custom fields. | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_REQUIRED | All custom fields must have names. Specify a name for the custom field. | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_VALUE_REQUIRED | Custom field {0} has no value. A custom field can have an empty value, but it cannot have a null value. Specify a value for the custom field. | Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The ID of the account. opts (keyword): Optional parameters :body (BulkSendingList): Returns {:ok, DocuSign.Model.BulkSendingList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_post_bulk_send_list/3","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_post_bulk_send_list/3","type":"function"},{"doc":"Updates a bulk send list. This method replaces the definition of an existing bulk send list. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_list_id (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list. opts (keyword): Optional parameters :body (BulkSendingList): Returns {:ok, DocuSign.Model.BulkSendingList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_crud_put_bulk_send_list/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_crud_put_bulk_send_list/4","type":"function"},{"doc":"Gets envelopes from a specific bulk send batch. This method returns a list of envelopes in a specified bulk batch. Use the query parameters to filter and sort the envelopes by different attributes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_batch_id (String.t): The batch ID. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 1000 :include (String.t): When recipients , only envelopes with recipient nodes will be included in the response. :order (String.t): The order in which to sort the results. Valid values are: - Descending order: desc (default) - Ascending order: asc :order_by (String.t): The envelope attribute used to sort the results. Valid values are: - created (default) - completed - last_modified - sent - status - subject - status_changed :search_text (String.t): Use this parameter to search for specific text. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :status (String.t): Comma-separated list of envelope statuses. Note that any should not be included with other statuses. In other words, any is a valid parameter value, but any,sent is not. Use the value deliveryfailure to get all envelopes with AuthFailed and AutoResponded status. This value is specific to bulk sending. Returns {:ok, DocuSign.Model.EnvelopesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_envelopes_get_bulk_send_batch_envelopes/4","type":"function"},{"doc":"Creates a bulk send request. This method initiates the bulk send process. It generates a bulk send request based on an [existing bulk send list][create_list] and an envelope or template. Consider using the [BulkSend::createBulkSendTestRequest][create_test] method to test your bulk send list for compatibility with the envelope or template that you want to send first. To learn about the complete bulk send flow, see the [Bulk Send overview][BulkSendOverview]. If the envelopes were successfully queued for asynchronous processing, the response contains a batchId that you can use to get the status of the batch. If a failure occurs, the API returns an error message. Note: Partial success or failure generally does not occur. Only the entire batch is queued for asynchronous processing. ### Related topics - How to bulk send envelopes ### Errors This method returns the following errors: | Error code | Description | | :--------------------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | BULK_SEND_ENVELOPE_NOT_IN_SENDABLE_STATE | Envelope {0} is not in a sendable state. The envelope is not complete. Make sure it has a sendable status, such as created . | | BULK_SEND_ENVELOPE_LIST_CONTAINS_NO_COPIES | Cannot send an envelope with a bulk sending list which contains no copies. The list you're trying to bulk send is empty. Make sure the bulk sending list you're using contains recipients. | | BULK_SEND_ENVELOPE_LIST_CONTAINS_TOO_MANY_COPIES | Bulk sending list contains more than {0} copies. The list you're trying to bulk send will cause your account to exceed the 1,000-copy limit imposed for all accounts. Try sending two or more separate lists. | | BULK_SEND_ENVELOPE_CANNOT_BE_NULL | Cannot send a bulk list without an envelope. Specify the envelope ID or template ID for the envelope you want to bulk send. | | BULK_SEND_BLOB_STORE_ERROR | Could not save copy of bulk sending list. An error writing to the database occurred. Try again. If the error persists, contact DocuSign Support. | | BULK_SEND_ACCOUNT_HAS_TOO_MANY_QUEUED_ENVELOPES | Cannot send this bulk sending list because doing so would exceed the maximum of {maxCopies} in-flight envelopes. This account currently has {unprocessedEnvelopes} envelopes waiting to be processed. Please try again later.&quot; .Try again later, or contact DocuSign Support to request a higher tier. | | BULK_SEND_ENVELOPE_NOT_FOUND | Envelope {envelopeOrTemplateId} does not exist or you do not have permission to access it. The envelopeId or templateId specified could not be found. Specify a valid value. | | BULK_SEND_LIST_NOT_FOUND | Bulk Sending list {listId} does not exist or you do not have permission to access it. The mailingListId specified could not be found. Specify a valid value. | | BULK_SEND_ENVELOPE_HAS_NO_RECIPIENTS | Bulk sending copy contains recipients, but the specified envelope does not. The recipients on the envelope and the bulk send list do not match. Make sure the envelope and list are compatible for sending. | | BULK_SEND_RECIPIENT_ID_DOES_NOT_EXIST_IN_ENVELOPE | Recipient {0} does not exist in the envelope. Add the missing recipient to the envelope. | | BULK_SEND_RECIPIENT_ID_DOES_NOT_MATCH | Recipient ID {envelopeMember.ID} does not match. Make sure the recipient information in the list and the envelope match up. | | BULK_SEND_ENVELOPE_HAS_BULK_RECIPIENT | Recipient {0} is a bulk recipient. This is not supported. No legacy 'bulk recipient' allowed. In v2.1 of the eSignature API, you must use a bulk send list instead of a bulk recipient. See the API documentation for details. | | BULK_SEND_RECIPIENT_ROLE_DOES_NOT_MATCH | Recipient Role {envelopeMember.RoleName} does not match. Make sure the recipient information in the list and the envelope is compatible. | | BULK_SEND_DUPLICATE_RECIPIENT_DETECTED | Duplicate recipients ({0}) not allowed, unless recipients have unique routing order specified on envelope. | | BULK_SEND_ENVELOPE_HAS_NO_TABS | Bulk sending copy contains tabs, but the specified envelope does not. List and envelope tabs cannot be coalesced. Make sure they are compatible for sending. | | BULK_SEND_TAB_LABEL_DOES_NOT_EXIST_IN_ENVELOPE | Tab with label {0} does not exist in envelope. Add the tab label to the envelope, remove the label from the list, or make sure you're specifying the correct list and envelope. | | BULK_SEND_TAB_DOES_NOT_MATCH | Tab {0} does not match {0} in envelope. A tab exists on the list that does not match or is missing on the envelope. Make sure the tabs on the list and the envelope match. | | BULK_SEND_ENVELOPE_HAS_NO_ENVELOPE_CUSTOM_FIELDS | Bulk sending copy contains custom fields, but the specified envelope does not. There are custom fields on the list that the envelope does not have. Make sure that any custom fields on the list and the envelope match. | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_DOES_NOT_EXIST_IN_ENVELOPE | Custom field {0} does not exist in the envelope. Either add the custom field on the list to the envelope, remove the custom field from the list, or make sure you're specifying the correct list and envelope. | | BULK_SEND_ENVELOPE_CUSTOM_FIELD_NAME_DOES_NOT_MATCH | Custom field names must match. {0} and {1} do not match. The custom field names on the list and the envelope do not match. Use identical names for both. | [create_list]: /docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendlist/ [create_test]: /docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendtestrequest/ [BulkSendOverview]: /docs/esign-rest-api/reference/bulkenvelopes/bulksend/ Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_list_id (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list. opts (keyword): Optional parameters :body (BulkSendRequest): Returns {:ok, DocuSign.Model.BulkSendResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_send_post_bulk_send_request/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_send_post_bulk_send_request/4","type":"function"},{"doc":"Creates a bulk send test. This method tests a bulk send list for compatibility with the envelope or template that you want to send. For example, a template that has three roles is not compatible with a bulk send list that has only two recipients. For this reason, you might want to test compatibility first. A successful test result returns true for the canBeSent property. An unsuccessful test returns a JSON response that contains information about the errors that occurred. If the test is successful, you can then send the envelope or template by using the [BulkSend::createBulkSendRequest][BulkSendRequest] method. ## Envelope Compatibility Checks This section describes the envelope compatibility checks that the system performs. Top-Level Issues - Envelopes must be in a sendable state. - The bulk send list must contain at least one copy (instance of an envelope), and no more than the maximum number of copies allowed for the account. - The envelope must not be null and must be visible to the current user. - The account cannot have more queued envelopes than the maximum number configured for the account. - The bulk send list must exist. Recipients - The envelope must have recipients. - If you are using an envelope, all of the recipients defined in the bulk send list must have corresponding recipient IDs in the envelope definition. If you are using a template, you must either match the recipient IDs or role IDs. - The envelope cannot contain a bulk recipient (an artifact of the legacy version of DocuSign's bulk send functionality). Recipient Tabs - Every recipient ID, tab label pair in the bulk send list must correspond to a tab in the envelope. Custom Fields - Each envelope-level custom field in the bulk send list must correspond to the name of a customField in the envelope definition. You do not have to match the recipient-level custom fields. [BulkSendRequest]: /docs/esign-rest-api/reference/bulkenvelopes/bulksend/createbulksendrequest/ Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. bulk_send_list_id (String.t): The GUID of the bulk send list. This property is created after you post a new bulk send list. opts (keyword): Optional parameters :body (BulkSendRequest): Returns {:ok, DocuSign.Model.BulkSendTestResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.BulkSend.html#bulk_send_v2_test_post_bulk_send_test_request/4","title":"DocuSign.Api.BulkSend.bulk_send_v2_test_post_bulk_send_test_request/4","type":"function"},{"doc":"API calls for all endpoints tagged ChunkedUploads .","ref":"DocuSign.Api.ChunkedUploads.html","title":"DocuSign.Api.ChunkedUploads","type":"module"},{"doc":"Deletes a chunked upload. Deletes a chunked upload that has been committed but not yet consumed. This method cannot be used to delete the following types of chunked uploads, which the system deletes automatically: - Chunked uploads that have been consumed by use in another API call. - Expired chunked uploads. Note: If you are aware of a chunked upload that can be discarded, the best practice is to explicitly delete it. If you wait for the system to automatically delete it after it expires, the chunked upload will continue to count against your quota. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. chunked_upload_id (String.t): The ID of the chunked upload. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ChunkedUploadResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_delete_chunked_upload/4","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_delete_chunked_upload/4","type":"function"},{"doc":"Retrieves metadata about a chunked upload. Returns the details (but not the content) about a chunked upload. Note: You cannot obtain details about a chunked upload that has expired, been deleted, or consumed by other actions. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. chunked_upload_id (String.t): The ID of the chunked upload. opts (keyword): Optional parameters :include (String.t): (Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is checksum , which returns an SHA256 checksum of the content of the chunked upload in the response. You can use compare this checksum against your own checksum of the original content to verify that there are no missing parts before you attempt to commit the chunked upload. Returns {:ok, DocuSign.Model.ChunkedUploadResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_get_chunked_upload/4","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_get_chunked_upload/4","type":"function"},{"doc":"Initiate a new chunked upload. This method initiates a new chunked upload with the first part of the content. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ChunkedUploadRequest): Returns {:ok, DocuSign.Model.ChunkedUploadResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_post_chunked_uploads/3","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_post_chunked_uploads/3","type":"function"},{"doc":"Add a chunk to an existing chunked upload. Adds a chunk or part to an existing chunked upload. After you use the Create method to initiate a new chunked upload and upload the first part, use this method to upload subsequent parts. For simplicity, DocuSign recommends that you upload the parts in their sequential order ( 1,2, 3, 4, etc.). The Create method adds the first part and assigns it the sequence value 0 . As a result, DocuSign recommends that you start with a sequence value of 1 when you use this method, and continue uploading parts contiguously until you have uploaded the entirety of the original content to DocuSign. Example: PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/1 PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/2 PUT /v2.1/accounts/{accountId}/chunked_uploads/{chunkedUploadId}/3 Note: You cannot replace a part that DocuSign has already received, or add parts to a chunked upload that is already successfully committed. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. chunked_upload_id (String.t): The ID of the chunked upload. chunked_upload_part_seq (String.t): The sequence or order of the part in the chunked upload. By default, the sequence of the first part that is uploaded as part of the Create request is 0 . Note: You can add parts out of order. However, the chunked upload must consist of a contiguous series of one or more parts before you can successfully commit it. opts (keyword): Optional parameters :body (ChunkedUploadRequest): Returns {:ok, DocuSign.Model.ChunkedUploadResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_upload_part/5","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_upload_part/5","type":"function"},{"doc":"Commit a chunked upload. This method checks the integrity of a chunked upload and then commits it. When this request is successful, the chunked upload is then ready to be referenced in other API calls. If the request is unsuccessful, ensure that you have uploaded all of the parts by using the Update method. Note: After you commit a chunked upload, it no longer accepts additional parts. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): (Required) The external account number (int) or account ID GUID. chunked_upload_id (String.t): (Required) The ID of the chunked upload to commit. opts (keyword): Optional parameters :action (String.t): (Required) You must use this query parameter with the value commit , which affirms the request to validate and prepare the chunked upload for use with other API calls. Returns {:ok, DocuSign.Model.ChunkedUploadResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ChunkedUploads.html#chunked_uploads_put_chunked_uploads/4","title":"DocuSign.Api.ChunkedUploads.chunked_uploads_put_chunked_uploads/4","type":"function"},{"doc":"API calls for all endpoints tagged CloudStorage .","ref":"DocuSign.Api.CloudStorage.html","title":"DocuSign.Api.CloudStorage","type":"module"},{"doc":"Gets a list of items from a cloud storage provider. Retrieves a list of the user's items from the specified cloud storage provider. To limit the scope of the items returned, provide a comma-separated list of folder IDs in the request. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. folder_id (String.t): The ID of the folder. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :cloud_storage_folder_path (String.t): The file path to a cloud storage folder. :cloud_storage_folderid_plain (String.t): A plain-text folder ID that you can use as an alternative to the existing folder id. This property is mainly used for rooms. Enter multiple folder IDs as a comma-separated list. :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 25 :order (String.t): The order in which to sort the results. Valid values are: asc : Ascending order. desc : Descending order. :order_by (String.t): The file attribute to use to sort the results. Valid values are: modified name :search_text (String.t): Use this parameter to search for specific text. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.ExternalFolder.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder/6","title":"DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder/6","type":"function"},{"doc":"Retrieves a list of all the items in a specified folder from the specified cloud storage provider. Retrieves a list of all the items in a specified folder from the specified cloud storage provider. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :cloud_storage_folder_path (String.t): A comma separated list of folder IDs included in the request. :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 25 :order (String.t): The order in which to sort the results. Valid values are: asc : Ascending order. desc : Descending order. :order_by (String.t): The file attribute to use to sort the results. Valid values are: modified name :search_text (String.t): Use this parameter to search for specific text. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.ExternalFolder.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorage.html#cloud_storage_folder_get_cloud_storage_folder_all/5","title":"DocuSign.Api.CloudStorage.cloud_storage_folder_get_cloud_storage_folder_all/5","type":"function"},{"doc":"API calls for all endpoints tagged CloudStorageProviders .","ref":"DocuSign.Api.CloudStorageProviders.html","title":"DocuSign.Api.CloudStorageProviders","type":"module"},{"doc":"Deletes the user authentication information for the specified cloud storage provider. Deletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.CloudStorageProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage/5","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage/5","type":"function"},{"doc":"Deletes the user authentication information for one or more cloud storage providers. Deletes the user authentication information for one or more cloud storage providers. The next time the user tries to access the cloud storage provider, they must pass normal authentication. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (CloudStorageProviders): Returns {:ok, DocuSign.Model.CloudStorageProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_delete_cloud_storage_providers/4","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_delete_cloud_storage_providers/4","type":"function"},{"doc":"Gets the specified Cloud Storage Provider configuration for the User. Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. service_id (String.t): The ID of the service to access. Valid values are the service name (&quot;Box&quot;) or the numerical serviceId (&quot;4136&quot;). user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :redirectUrl (String.t): The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl. The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains. Returns {:ok, DocuSign.Model.CloudStorageProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage/5","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage/5","type":"function"},{"doc":"Get the Cloud Storage Provider configuration for the specified user. Retrieves the list of cloud storage providers enabled for the account and the configuration information for the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :redirectUrl (String.t): The URL the user is redirected to after the cloud storage provider authenticates the user. Using this will append the redirectUrl to the authenticationUrl. The redirectUrl is restricted to URLs in the docusign.com or docusign.net domains. Returns {:ok, DocuSign.Model.CloudStorageProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_get_cloud_storage_providers/4","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_get_cloud_storage_providers/4","type":"function"},{"doc":"Configures the redirect URL information for one or more cloud storage providers for the specified user. Configures the redirect URL information for one or more cloud storage providers for the specified user. The redirect URL is added to the authentication URL to complete the return route. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (CloudStorageProviders): Returns {:ok, DocuSign.Model.CloudStorageProviders.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CloudStorageProviders.html#cloud_storage_post_cloud_storage/4","title":"DocuSign.Api.CloudStorageProviders.cloud_storage_post_cloud_storage/4","type":"function"},{"doc":"API calls for all endpoints tagged Comments .","ref":"DocuSign.Api.Comments.html","title":"DocuSign.Api.Comments","type":"module"},{"doc":"Gets a PDF transcript of all of the comments in an envelope. Retrieves a PDF file containing all of the comments that senders and recipients have added to the documents in an envelope. The response body of this method is the PDF file as a byte stream. Note: Comments are disabled by default. To use the comments feature, an account administrator must enable comments on the account (in the accountSettingsInformation object, set the enableSigningExtensionComments property to true ). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :encoding (String.t): (Optional) The encoding to use for the file. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Comments.html#comments_get_comments_transcript/4","title":"DocuSign.Api.Comments.comments_get_comments_transcript/4","type":"function"},{"doc":"API calls for all endpoints tagged ConnectConfigurations .","ref":"DocuSign.Api.ConnectConfigurations.html","title":"DocuSign.Api.ConnectConfigurations","type":"module"},{"doc":"Deletes the specified Connect configuration. Deletes the specified DocuSign Connect configuration. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_delete_connect_config/4","title":"DocuSign.Api.ConnectConfigurations.connect_delete_connect_config/4","type":"function"},{"doc":"Returns all users from the configured Connect service. Returns all users from the configured Connect service. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. :domain_users_only (String.t): :email_substring (String.t): Filters returned user records by full email address or a substring of email address. :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. :status (String.t): The status of the item. :user_name_substring (String.t): Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. Returns {:ok, DocuSign.Model.IntegratedConnectUserInfoList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_all_users/4","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_all_users/4","type":"function"},{"doc":"Gets the details about a Connect configuration. Retrieves the information for the specified DocuSign Connect configuration. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ConnectConfigResults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_config/4","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_config/4","type":"function"},{"doc":"Get Connect configuration information. Retrieves all the DocuSign Custom Connect definitions for the specified account. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ConnectConfigResults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_configs/3","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_configs/3","type":"function"},{"doc":"Returns users from the configured Connect service. Returns users from the configured Connect service. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. connect_id (String.t): The ID of the custom Connect configuration being accessed. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :email_substring (String.t): Filters returned user records by full email address or a substring of email address. :list_included_users (String.t): :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :status (String.t): Filters the results by user status. You can specify a comma-separated list of the following statuses: ActivationRequired ActivationSent Active Closed * Disabled :user_name_substring (String.t): Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. Returns {:ok, DocuSign.Model.IntegratedUserInfoList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_get_connect_users/4","title":"DocuSign.Api.ConnectConfigurations.connect_get_connect_users/4","type":"function"},{"doc":"Delete the Connect OAuth configuration. Deletes the Connect OAuth configuration for the specified account. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. ## Related topics: - OAuth for DocuSign Connect Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_delete_connect_o_auth_config/3","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_delete_connect_o_auth_config/3","type":"function"},{"doc":"Retrieves the Connect OAuth information for the account. Gets the Connect OAuth configuration for the specified account. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. ## Related topics: - OAuth for DocuSign Connect Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ConnectOAuthConfig.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_get_connect_o_auth_config/3","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_get_connect_o_auth_config/3","type":"function"},{"doc":"Set up Connect OAuth for the specified account. Sets up Connect OAuth for the specified account using an authorization server of your choice. To use this endpoint, get the client ID and client secret from your authorization server. When you call this endpoint, DocuSign requests an access token from your authorization server. DocuSign will use that token in the Authorization HTTP header of your account's Connect messages. Finally, your listener will be responsible for validating the token by calling the authorization server. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. ## Related topics: - OAuth for DocuSign Connect Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ConnectOAuthConfig): Returns {:ok, DocuSign.Model.ConnectOAuthConfig.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_o_auth_config_post_connect_o_auth_config/3","title":"DocuSign.Api.ConnectConfigurations.connect_o_auth_config_post_connect_o_auth_config/3","type":"function"},{"doc":"Creates a Connect configuration. Creates a custom Connect configuration for the specified account. Connect is a webhook service that provides updates when certain events occur in your eSignature workflows. You can use this endpoint to create: Account-level Connect configurations to listen for events related to any envelopes sent by one or more account users Recipient Connect configurations that are triggered when one or more of your account users receive an envelope To set an account-level configuration, set configurationType to custom. To set a Recipient Connect configuration, set configurationType to customrecipient. If you want to listen for events on only one envelope, use the eventNotification object instead. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. ## Data models There are four possible data models for your Connect configuration. Consider: Do you want the data in JSON or XML? Do you want events sent individually (SIM) or in aggregate? DocuSign recommends using the JSON SIM event model . &lt;ds-column&gt; &lt;ds-step open=&quot;false&quot; hideIcon=&quot;true&quot;&gt; &lt;h3&gt;JSON SIM (Recommended)&lt;/h3&gt; &lt;div&gt; Set deliveryMode to SIM and eventData.version to restv2.1. Use the events property to set the event statuses that will trigger your configuration. The following sample request shows how to create an envelope-level configuration using JSON SIM: { &quot;configurationType&quot;: &quot;custom&quot;, &quot;urlToPublishTo&quot;: &quot;YOUR-WEBHOOK-URL&quot;, &quot;allUsers&quot;: &quot;true&quot;, &quot;name&quot;: &quot;jsonSimTest&quot;, &quot;deliveryMode&quot;: &quot;SIM&quot;, &quot;allowEnvelopePublish&quot;: &quot;true&quot;, &quot;enableLog&quot;: &quot;true&quot;, &quot;eventData&quot;: { &quot;version&quot;: &quot;restv2.1&quot; }, &quot;events&quot;: [ &quot;envelope-sent&quot;, &quot;envelope-delivered&quot;, &quot;envelope-completed&quot; ] } The following sample request shows how to create a Recipient Connect configuration using JSON SIM: { &quot;configurationType&quot;: &quot;customrecipient&quot;, &quot;urlToPublishTo&quot;: &quot;YOUR-WEBHOOK-URL&quot;, &quot;allUsers&quot;: &quot;true&quot;, &quot;name&quot;: &quot;jsonSimTest&quot;, &quot;deliveryMode&quot;: &quot;SIM&quot;, &quot;allowEnvelopePublish&quot;: &quot;true&quot;, &quot;enableLog&quot;: &quot;true&quot;, &quot;eventData&quot;: { &quot;version&quot;: &quot;restv2.1&quot; }, &quot;events&quot;: [ &quot;recipient-sent&quot;, &quot;recipient-completed&quot; ] } &lt;/div&gt;&lt;/ds-step&gt; &lt;ds-step open=&quot;false&quot; hideIcon=&quot;true&quot;&gt; &lt;h3&gt;JSON Aggregate&lt;/h3&gt; &lt;div&gt; Set deliveryMode to aggregate and eventData.version to restv2.1. Use the envelopeEvents or recipientEvents property to set the event statuses that will trigger your configuration. &lt;/div&gt;&lt;/ds-step&gt; &lt;ds-step open=&quot;false&quot; hideIcon=&quot;true&quot;&gt; &lt;h3&gt;XML Aggregate&lt;/h3&gt; &lt;div&gt; Set deliveryMode to aggregate. Use the envelopeEvents or recipientEvents property to set the event statuses that will trigger your configuration. &lt;/div&gt;&lt;/ds-step&gt; &lt;ds-step open=&quot;false&quot; hideIcon=&quot;true&quot;&gt; &lt;h3&gt;XML SIM (Legacy apps only)&lt;/h3&gt; &lt;div&gt; Note: This model will be deprecated . Set deliveryMode to SIM. Use the envelopeEvents or recipientEvents property to set the event statuses that will trigger your configuration. &lt;/div&gt;&lt;/ds-step&gt; &lt;/ds-column&gt; ## Troubleshooting If your configuration is not working, check the following. Connect must be enabled for your account to use this function. If you are using envelopeEvents or recipientEvents , make sure that the event values are sentence case, not lowercase. Make sure you have either set allUsers to true or set userIds to a non-empty array of IDs. By default, this endpoint creates a disabled configuration. To enable the configuration immediately, set the body parameter allowEnvelopePublish to true. You can also enable the configuration in the UI. To check if events are being emitted, set enableLog to true to view event logs in the Connect console. ## Related topics For more information about Connect, see the DocuSign Connect guide . * Use the MyAPICalls sample app to see an example of this endpoint using the JSON SIM model. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ConnectCustomConfiguration): Returns {:ok, DocuSign.Model.ConnectCustomConfiguration.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_post_connect_configuration/3","title":"DocuSign.Api.ConnectConfigurations.connect_post_connect_configuration/3","type":"function"},{"doc":"Updates a specified Connect configuration. Updates the specified DocuSign Connect configuration in your account. To enable the configuration, set the allowEnvelopePublish property to true. After any updates, test your configuration to make sure it works as expected. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ConnectCustomConfiguration): Returns {:ok, DocuSign.Model.ConnectCustomConfiguration.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectConfigurations.html#connect_put_connect_configuration/3","title":"DocuSign.Api.ConnectConfigurations.connect_put_connect_configuration/3","type":"function"},{"doc":"API calls for all endpoints tagged ConnectEvents .","ref":"DocuSign.Api.ConnectEvents.html","title":"DocuSign.Api.ConnectEvents","type":"module"},{"doc":"Deletes a Connect failure log entry. Deletes the Connect failure log information for the specified entry. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. failure_id (String.t): The ID of the Connect post failure. Use all to delete all failures for the account. opts (keyword): Optional parameters Returns {:ok, map()} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_delete_connect_failure_log/4","title":"DocuSign.Api.ConnectEvents.connect_failures_delete_connect_failure_log/4","type":"function"},{"doc":"Gets the Connect failure log information. Retrieves the Connect failure log information. You can use this log to determine which envelopes failed to post, in order to create a republish request. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :from_date (String.t): The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. :to_date (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. Returns {:ok, DocuSign.Model.ConnectLogs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_failures_get_connect_logs/3","title":"DocuSign.Api.ConnectEvents.connect_failures_get_connect_logs/3","type":"function"},{"doc":"Deletes a specified Connect log entry. Deletes a specified entry from the Connect Log. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. log_id (String.t): The ID of the Connect log entry. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_log/4","title":"DocuSign.Api.ConnectEvents.connect_log_delete_connect_log/4","type":"function"},{"doc":"Deletes a list of Connect log entries. Deletes a list of Connect log entries for your account. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_log_delete_connect_logs/3","title":"DocuSign.Api.ConnectEvents.connect_log_delete_connect_logs/3","type":"function"},{"doc":"Gets a Connect log entry. Retrieves the specified Connect log entry for your account. The enableLog setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. log_id (String.t): The ID of the Connect log entry. opts (keyword): Optional parameters :additional_info (String.t): When true, the response includes the connectDebugLog information. Returns {:ok, DocuSign.Model.ConnectLog.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_log/4","title":"DocuSign.Api.ConnectEvents.connect_log_get_connect_log/4","type":"function"},{"doc":"Gets the Connect log. Retrieves a list of the 100 most recent connect log entries for your account. The enableLog setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :from_date (String.t): The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. :to_date (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. Returns {:ok, DocuSign.Model.ConnectLogs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_log_get_connect_logs/3","title":"DocuSign.Api.ConnectEvents.connect_log_get_connect_logs/3","type":"function"},{"doc":"Republishes Connect information for multiple envelopes. Republishes Connect information for the specified set of envelopes. The primary use is to republish Connect post failures by including envelope IDs for the envelopes that failed to post in the request. The list of envelope IDs that failed to post correctly can be retrieved by calling to Connect::listEventLogs retrieve the failure log. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ConnectFailureFilter): Returns {:ok, DocuSign.Model.ConnectFailureResults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry/3","title":"DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry/3","type":"function"},{"doc":"Republishes Connect information for the specified envelope. Republishes Connect information for the specified envelope. Note: To use this function, you must be an account administrator and Connect must be enabled on your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ConnectFailureResults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ConnectEvents.html#connect_publish_put_connect_retry_by_envelope/4","title":"DocuSign.Api.ConnectEvents.connect_publish_put_connect_retry_by_envelope/4","type":"function"},{"doc":"API calls for all endpoints tagged Contacts .","ref":"DocuSign.Api.Contacts.html","title":"DocuSign.Api.Contacts","type":"module"},{"doc":"Deletes a contact. This method deletes a contact associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. contact_id (String.t): The ID of a contact person in the account's address book. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ContactUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Contacts.html#contacts_delete_contact_with_id/4","title":"DocuSign.Api.Contacts.contacts_delete_contact_with_id/4","type":"function"},{"doc":"Deletes multiple contacts from an account. This method deletes multiple contacts associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ContactModRequest): Returns {:ok, DocuSign.Model.ContactUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Contacts.html#contacts_delete_contacts/3","title":"DocuSign.Api.Contacts.contacts_delete_contacts/3","type":"function"},{"doc":"Gets one or more contacts. This method returns one or more contacts associated with a DocuSign account. You can also retrieve contacts from connected [cloud storage][CloudStorage] providers by using the cloud_provider query parameter. By default, contacts are retrieved from the DocuSign account's default address book. To return a specific contact, use the contactId query parameter. To return all contacts associated with an account, omit this parameter. [CloudStorage]: /docs/esign-rest-api/reference/cloudstorage/ Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. contact_id (String.t): The ID of a contact person in the account's address book. Note: To return all contacts, omit this parameter. It is not required. opts (keyword): Optional parameters :cloud_provider (String.t): (Optional) The cloud provider from which to retrieve the contacts. Valid values are: - rooms - docusignCore (default) Returns {:ok, DocuSign.Model.ContactGetResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Contacts.html#contacts_get_contact_by_id/4","title":"DocuSign.Api.Contacts.contacts_get_contact_by_id/4","type":"function"},{"doc":"Add contacts to a contacts list. This method adds multiple contacts into a contacts list. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ContactModRequest): Returns {:ok, DocuSign.Model.ContactUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Contacts.html#contacts_post_contacts/3","title":"DocuSign.Api.Contacts.contacts_post_contacts/3","type":"function"},{"doc":"Updates one or more contacts. This method updates one or more contacts associated with an account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ContactModRequest): Returns {:ok, DocuSign.Model.ContactUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Contacts.html#contacts_put_contacts/3","title":"DocuSign.Api.Contacts.contacts_put_contacts/3","type":"function"},{"doc":"API calls for all endpoints tagged CustomTabs .","ref":"DocuSign.Api.CustomTabs.html","title":"DocuSign.Api.CustomTabs","type":"module"},{"doc":"Deletes custom tab information. Deletes the custom from the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. custom_tab_id (String.t): The DocuSign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CustomTabs.html#tab_delete_custom_tab/4","title":"DocuSign.Api.CustomTabs.tab_delete_custom_tab/4","type":"function"},{"doc":"Gets custom tab information. Retrieves information about the requested custom tab on the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. custom_tab_id (String.t): The DocuSign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.TabMetadata.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CustomTabs.html#tab_get_custom_tab/4","title":"DocuSign.Api.CustomTabs.tab_get_custom_tab/4","type":"function"},{"doc":"Updates custom tab information. Updates the information in a custom tab for the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. custom_tab_id (String.t): The DocuSign-generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties. opts (keyword): Optional parameters :body (TabMetadata): Returns {:ok, DocuSign.Model.TabMetadata.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CustomTabs.html#tab_put_custom_tab/4","title":"DocuSign.Api.CustomTabs.tab_put_custom_tab/4","type":"function"},{"doc":"Gets a list of all account tabs. Retrieves a list of all tabs associated with the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :custom_tab_only (String.t): When true, only custom tabs are returned in the response. Returns {:ok, DocuSign.Model.TabMetadataList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CustomTabs.html#tabs_get_tab_definitions/3","title":"DocuSign.Api.CustomTabs.tabs_get_tab_definitions/3","type":"function"},{"doc":"Creates a custom tab. Creates a tab with pre-defined properties, such as a text tab with a certain font type and validation pattern. Users can access the custom tabs when sending documents through the DocuSign web application. Custom tabs can be created for approve, checkbox, company, date, date signed, decline, email, email address, envelope ID, first name, formula, full name, initial here, last name, list, note, number, radio, sign here, signer attachment, SSN, text, title, and zip tabs. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (TabMetadata): Returns {:ok, DocuSign.Model.TabMetadata.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.CustomTabs.html#tabs_post_tab_definitions/3","title":"DocuSign.Api.CustomTabs.tabs_post_tab_definitions/3","type":"function"},{"doc":"API calls for all endpoints tagged DocumentResponsiveHtmlPreview .","ref":"DocuSign.Api.DocumentResponsiveHtmlPreview.html","title":"DocuSign.Api.DocumentResponsiveHtmlPreview","type":"module"},{"doc":"Creates a preview of the responsive version of a document. Creates a preview of the responsive HTML version of a specific document. This method enables you to preview a PDF document conversion to responsive HTML across device types prior to sending. The request body is a documentHtmlDefinition object, which holds the responsive signing parameters that define how to generate the HTML version of the signing document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (DocumentHtmlDefinition): Returns {:ok, DocuSign.Model.DocumentHtmlDefinitions.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.DocumentResponsiveHtmlPreview.html#responsive_html_post_document_responsive_html_preview/5","title":"DocuSign.Api.DocumentResponsiveHtmlPreview.responsive_html_post_document_responsive_html_preview/5","type":"function"},{"doc":"API calls for all endpoints tagged ENoteConfigurations .","ref":"DocuSign.Api.ENoteConfigurations.html","title":"DocuSign.Api.ENoteConfigurations","type":"module"},{"doc":"Deletes configuration information for the eNote eOriginal integration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_delete_e_note_configuration/3","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_delete_e_note_configuration/3","type":"function"},{"doc":"Returns the configuration information for the eNote eOriginal integration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ENoteConfiguration.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_get_e_note_configuration/3","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_get_e_note_configuration/3","type":"function"},{"doc":"Updates configuration information for the eNote eOriginal integration. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ENoteConfiguration): Returns {:ok, DocuSign.Model.ENoteConfiguration.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ENoteConfigurations.html#e_note_configuration_put_e_note_configuration/3","title":"DocuSign.Api.ENoteConfigurations.e_note_configuration_put_e_note_configuration/3","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeAttachments .","ref":"DocuSign.Api.EnvelopeAttachments.html","title":"DocuSign.Api.EnvelopeAttachments","type":"module"},{"doc":"Deletes one or more attachments from a draft envelope. Deletes one or more attachments from a draft envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeAttachmentsRequest): Returns {:ok, DocuSign.Model.EnvelopeAttachmentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_delete_attachments/4","title":"DocuSign.Api.EnvelopeAttachments.attachments_delete_attachments/4","type":"function"},{"doc":"Retrieves an attachment from an envelope. Retrieves an attachment from an envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. attachment_id (String.t): The unique identifier for the attachment. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachment/5","title":"DocuSign.Api.EnvelopeAttachments.attachments_get_attachment/5","type":"function"},{"doc":"Returns a list of attachments associated with a specified envelope Returns a list of attachments associated with a specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeAttachmentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_get_attachments/4","title":"DocuSign.Api.EnvelopeAttachments.attachments_get_attachments/4","type":"function"},{"doc":"Adds an attachment to a draft or in-process envelope. Adds an attachment to a draft or in-process envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. attachment_id (String.t): The unique identifier for the attachment. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (Attachment): Returns {:ok, DocuSign.Model.EnvelopeAttachmentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachment/5","title":"DocuSign.Api.EnvelopeAttachments.attachments_put_attachment/5","type":"function"},{"doc":"Adds one or more attachments to a draft or in-process envelope. Adds one or more attachments to a draft or in-process envelope. Envelope attachments are files that an application can include in an envelope. They are not converted to PDF. Envelope attachments are available only through the API. There is no user interface in the DocuSign web application for them. For a list of supported file formats, see Supported File Formats . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeAttachmentsRequest): Returns {:ok, DocuSign.Model.EnvelopeAttachmentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeAttachments.html#attachments_put_attachments/4","title":"DocuSign.Api.EnvelopeAttachments.attachments_put_attachments/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeConsumerDisclosures .","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html","title":"DocuSign.Api.EnvelopeConsumerDisclosures","type":"module"},{"doc":"Gets the default Electronic Record and Signature Disclosure for an envelope. Retrieves the default, HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope that you specify. This is the default ERSD disclosure that DocuSign provides for the convenience of U.S.-based customers only. This default disclosure is only valid for transactions between U.S.-based parties. To set the language of the disclosure that you want to retrieve, use the optional langCode query parameter. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :langCode (String.t): (Optional) The code for the signer language version of the disclosure that you want to retrieve. The following languages are supported: - Arabic ( ar ) - Bulgarian ( bg ) - Czech ( cs ) - Chinese Simplified ( zh_CN ) - Chinese Traditional ( zh_TW ) - Croatian ( hr ) - Danish ( da ) - Dutch ( nl ) - English US ( en ) - English UK ( en_GB ) - Estonian ( et ) - Farsi ( fa ) - Finnish ( fi ) - French ( fr ) - French Canadian ( fr_CA ) - German ( de ) - Greek ( el ) - Hebrew ( he ) - Hindi ( hi ) - Hungarian ( hu ) - Bahasa Indonesian ( id ) - Italian ( it ) - Japanese ( ja ) - Korean ( ko ) - Latvian ( lv ) - Lithuanian ( lt ) - Bahasa Melayu ( ms ) - Norwegian ( no ) - Polish ( pl ) - Portuguese ( pt ) - Portuguese Brazil ( pt_BR ) - Romanian ( ro ) - Russian ( ru ) - Serbian ( sr ) - Slovak ( sk ) - Slovenian ( sl ) - Spanish ( es ) - Spanish Latin America ( es_MX ) - Swedish ( sv ) - Thai ( th ) - Turkish ( tr ) - Ukrainian ( uk ) - Vietnamese ( vi ) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser . Returns {:ok, DocuSign.Model.ConsumerDisclosure.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","title":"DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id/5","type":"function"},{"doc":"Gets the Electronic Record and Signature Disclosure for a specific envelope recipient. Retrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope recipient that you specify. This disclosure might differ from the account-level disclosure, based on the signing brand applied to the envelope and the recipient's language settings. To set the language of the disclosure that you want to retrieve, specify the langCode as either a path or query parameter. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec lang_code (String.t): (Optional) The code for the signer language version of the disclosure that you want to retrieve, as a path parameter. The following languages are supported: - Arabic ( ar ) - Bulgarian ( bg ) - Czech ( cs ) - Chinese Simplified ( zh_CN ) - Chinese Traditional ( zh_TW ) - Croatian ( hr ) - Danish ( da ) - Dutch ( nl ) - English US ( en ) - English UK ( en_GB ) - Estonian ( et ) - Farsi ( fa ) - Finnish ( fi ) - French ( fr ) - French Canadian ( fr_CA ) - German ( de ) - Greek ( el ) - Hebrew ( he ) - Hindi ( hi ) - Hungarian ( hu ) - Bahasa Indonesian ( id ) - Italian ( it ) - Japanese ( ja ) - Korean ( ko ) - Latvian ( lv ) - Lithuanian ( lt ) - Bahasa Melayu ( ms ) - Norwegian ( no ) - Polish ( pl ) - Portuguese ( pt ) - Portuguese Brazil ( pt_BR ) - Romanian ( ro ) - Russian ( ru ) - Serbian ( sr ) - Slovak ( sk ) - Slovenian ( sl ) - Spanish ( es ) - Spanish Latin America ( es_MX ) - Swedish ( sv ) - Thai ( th ) - Turkish ( tr ) - Ukrainian ( uk ) - Vietnamese ( vi ) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser . recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :langCode (String.t): (Optional) The code for the signer language version of the disclosure that you want to retrieve, as a query parameter. The following languages are supported: - Arabic ( ar ) - Bulgarian ( bg ) - Czech ( cs ) - Chinese Simplified ( zh_CN ) - Chinese Traditional ( zh_TW ) - Croatian ( hr ) - Danish ( da ) - Dutch ( nl ) - English US ( en ) - English UK ( en_GB ) - Estonian ( et ) - Farsi ( fa ) - Finnish ( fi ) - French ( fr ) - French Canadian ( fr_CA ) - German ( de ) - Greek ( el ) - Hebrew ( he ) - Hindi ( hi ) - Hungarian ( hu ) - Bahasa Indonesian ( id ) - Italian ( it ) - Japanese ( ja ) - Korean ( ko ) - Latvian ( lv ) - Lithuanian ( lt ) - Bahasa Melayu ( ms ) - Norwegian ( no ) - Polish ( pl ) - Portuguese ( pt ) - Portuguese Brazil ( pt_BR ) - Romanian ( ro ) - Russian ( ru ) - Serbian ( sr ) - Slovak ( sk ) - Slovenian ( sl ) - Spanish ( es ) - Spanish Latin America ( es_MX ) - Swedish ( sv ) - Thai ( th ) - Turkish ( tr ) - Ukrainian ( uk ) - Vietnamese ( vi ) Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser . Returns {:ok, DocuSign.Model.ConsumerDisclosure.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeConsumerDisclosures.html#consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","title":"DocuSign.Api.EnvelopeConsumerDisclosures.consumer_disclosure_get_consumer_disclosure_envelope_id_recipient_id_lang_code/6","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeCustomFields .","ref":"DocuSign.Api.EnvelopeCustomFields.html","title":"DocuSign.Api.EnvelopeCustomFields","type":"module"},{"doc":"Deletes envelope custom fields for draft and in-process envelopes. Deletes envelope custom fields for draft and in-process envelopes. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeCustomFields): Returns {:ok, DocuSign.Model.EnvelopeCustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_delete_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_delete_custom_fields/4","type":"function"},{"doc":"Gets the custom field information for the specified envelope. Retrieves the custom field information for the specified envelope. You can use these fields in the envelopes for your account to record information about the envelope, help search for envelopes, and track information. The envelope custom fields are shown in the Envelope Settings section when a user is creating an envelope in the DocuSign member console. The envelope custom fields are not seen by the envelope recipients. There are two types of envelope custom fields, text, and list. A text custom field lets the sender enter the value for the field. With a list custom field, the sender selects the value of the field from a pre-made list. ### Related topics - How to get envelope custom tab values Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.CustomFieldsEnvelope.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_get_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_get_custom_fields/4","type":"function"},{"doc":"Creates envelope custom fields for an envelope. Updates the envelope custom fields for draft and in-process envelopes. ### Related topics - How to bulk send envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeCustomFields): Returns {:ok, DocuSign.Model.EnvelopeCustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_post_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_post_custom_fields/4","type":"function"},{"doc":"Updates envelope custom fields in an envelope. Updates the envelope custom fields in draft and in-process envelopes. Each custom field used in an envelope must have a unique name. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeCustomFields): Returns {:ok, DocuSign.Model.EnvelopeCustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeCustomFields.html#custom_fields_put_custom_fields/4","title":"DocuSign.Api.EnvelopeCustomFields.custom_fields_put_custom_fields/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeDocumentFields .","ref":"DocuSign.Api.EnvelopeDocumentFields.html","title":"DocuSign.Api.EnvelopeDocumentFields","type":"module"},{"doc":"Deletes custom document fields from an existing envelope document. Deletes custom document fields from an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeDocumentFields): Returns {:ok, DocuSign.Model.EnvelopeDocumentFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_delete_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_delete_document_fields/5","type":"function"},{"doc":"Gets the custom document fields from an existing envelope document. Retrieves the custom document field information from an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeDocumentFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_get_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_get_document_fields/5","type":"function"},{"doc":"Creates custom document fields in an existing envelope document. Creates custom document fields in an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeDocumentFields): Returns {:ok, DocuSign.Model.EnvelopeDocumentFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_post_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_post_document_fields/5","type":"function"},{"doc":"Updates existing custom document fields in an existing envelope document. Updates existing custom document fields in an existing envelope document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeDocumentFields): Returns {:ok, DocuSign.Model.EnvelopeDocumentFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentFields.html#document_fields_put_document_fields/5","title":"DocuSign.Api.EnvelopeDocumentFields.document_fields_put_document_fields/5","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeDocumentHtmlDefinitions .","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html","title":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions","type":"module"},{"doc":"Retrieves the HTML definition used to generate a dynamically sized responsive document. Retrieves the HTML definition used to generate a dynamically sized responsive document. If the document was not created as a signable HTML document, this endpoint will return a 200-OK response and an empty JSON body. Note: The documentId query parameter is a GUID value, not an integer document ID. If an invalid document ID is provided, this endpoint will return a 200-OK response and an empty JSON body. ### Related topics - Responsive signing Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The GUID of the document. Example: c671747c-xxxx-xxxx-xxxx-4a4a48e23744 envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.html#responsive_html_get_envelope_document_html_definitions/5","title":"DocuSign.Api.EnvelopeDocumentHtmlDefinitions.responsive_html_get_envelope_document_html_definitions/5","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeDocumentTabs .","ref":"DocuSign.Api.EnvelopeDocumentTabs.html","title":"DocuSign.Api.EnvelopeDocumentTabs","type":"module"},{"doc":"Deletes tabs from a document in an envelope. Deletes tabs from the document specified by documentId in the envelope specified by envelopeId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (Tabs): A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients. Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_delete_document_tabs/5","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_delete_document_tabs/5","type":"function"},{"doc":"Returns the tabs on a document. Returns the tabs on the document specified by documentId in the envelope specified by envelopeId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :include_metadata (String.t): When true, the response includes metadata indicating which properties are editable. :page_numbers (String.t): Filters for tabs that occur on the pages that you specify. Enter as a comma-separated list of page GUIDs. Example: page_numbers=2,6 Note: You can only enter individual page numbers, and not a page range. Returns {:ok, DocuSign.Model.EnvelopeDocumentTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_document_tabs/5","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_get_document_tabs/5","type":"function"},{"doc":"Returns tabs on the specified page. Returns the tabs from the page specified by pageNumber of the document specified by documentId in the envelope specified by envelopeId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec page_number (String.t): The page number being accessed. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeDocumentTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_get_page_tabs/6","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_get_page_tabs/6","type":"function"},{"doc":"Adds tabs to a document in an envelope. Adds tabs to the document specified by documentId in the envelope specified by envelopeId . In the request body, you only need to specify the tabs that your are adding. For example, to add a text prefill tab , your request body might look like this: { &quot;prefillTabs&quot;: { &quot;textTabs&quot;: [ { &quot;value&quot;: &quot;a prefill text tab&quot;, &quot;pageNumber&quot;: &quot;1&quot;, &quot;documentId&quot;: &quot;1&quot;, &quot;xPosition&quot;: 316, &quot;yPosition&quot;: 97 } ] } } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (Tabs): A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients. Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_post_document_tabs/5","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_post_document_tabs/5","type":"function"},{"doc":"Updates the tabs for document. Updates tabs in the document specified by documentId in the envelope specified by envelopeId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (Tabs): A list of tabs, which are represented graphically as symbols on documents at the time of signing. Tabs show recipients where to sign, initial, or enter data. They may also display data to the recipients. Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentTabs.html#tabs_put_document_tabs/5","title":"DocuSign.Api.EnvelopeDocumentTabs.tabs_put_document_tabs/5","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeDocumentVisibility .","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html","title":"DocuSign.Api.EnvelopeDocumentVisibility","type":"module"},{"doc":"Returns document visibility for a recipient This method returns information about document visibility for a recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentVisibilityList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_get_recipient_document_visibility/5","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_get_recipient_document_visibility/5","type":"function"},{"doc":"Updates document visibility for a recipient This method updates document visibility for a recipient. Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :body (DocumentVisibilityList): Returns {:ok, DocuSign.Model.DocumentVisibilityList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipient_document_visibility/5","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipient_document_visibility/5","type":"function"},{"doc":"Updates document visibility for recipients This method updates document visibility for one or more recipients based on the recipientId and visible values that you include in the request body. Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (DocumentVisibilityList): Returns {:ok, DocuSign.Model.DocumentVisibilityList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocumentVisibility.html#recipients_put_recipients_document_visibility/4","title":"DocuSign.Api.EnvelopeDocumentVisibility.recipients_put_recipients_document_visibility/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeDocuments .","ref":"DocuSign.Api.EnvelopeDocuments.html","title":"DocuSign.Api.EnvelopeDocuments","type":"module"},{"doc":"Deletes documents from a draft envelope. Deletes one or more documents from an existing envelope that has not yet been completed. To delete a document, use only the relevant parts of the envelopeDefinition . For example, this request body specifies that you want to delete the document whose documentId is &quot;1&quot;. text { &quot;documents&quot;: [ { &quot;documentId&quot;: &quot;1&quot; } ] } The envelope status must be one of: - created - sent - delivered Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeDefinition): Returns {:ok, DocuSign.Model.EnvelopeDocumentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_delete_documents/4","title":"DocuSign.Api.EnvelopeDocuments.documents_delete_documents/4","type":"function"},{"doc":"Retrieves a single document or all documents from an envelope. Retrieves a single document or all documents from an envelope. To retrieve a single document, provide the ID of the document in the documentId path parameter. Alternatively, by setting the documentId parameter to special keyword values, you can retrieve all the documents (as a combined PDF, portfolio PDF, or ZIP archive) or just the certificate of completion. See the documentId description for how to retrieve each format. The response body of this method is a file. If you request multiple documents, the result is a ZIP archive that contains all of the documents. In all other cases, the response is a PDF file or PDF portfolio. You can get the file name and document ID from the response's Content-Disposition header: Content-Disposition: file; filename=&quot;NDA.pdf&quot;; documentid=&quot;1 By default, the response is the PDF file as a byte stream. For example a request/response in curl looks like this: $ curl --request GET 'https://demo.docusign.net/restapi/v2/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1/' \\ --header 'Authorization: Bearer eyJ...bqg' HTTP/1.1 200 OK Content-Length: 167539 Content-Type: application/pdf . . . Content-Disposition: file; filename=&quot;Lorem_Ipsum.pdf&quot;; documentid=&quot;1&quot; Date: Tue, 23 Aug 2022 01:13:15 GMT %PDF-1.4 %˚¸˝˛ 6 0 obj &lt;&lt;/Length 14&gt;&gt;stream . . . By using the Content-Transfer-Encoding header in the request, you can obtain the PDF file encoded in base64. The same curl request with the base64 header would look like this: $ curl --request GET 'https://demo.docusign.net/restapi/v2/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1/' \\ --header 'Authorization: Bearer eyJ...bqg' \\ --header 'Content-Transfer-Encoding: base64' HTTP/1.1 200 OK Content-Length: 223384 Content-Type: application/pdf . . . Content-Disposition: file; filename=&quot;Lorem_Ipsum.pdf&quot;; documentid=&quot;1&quot; Content-Transfer-Encoding: base64 Date: Tue, 23 Aug 2022 01:12:30 GMT JVBERi0xLjQKJfv8/f4KNiAwIG9iago8PC9MZW. . .== (In an actual curl request you would use the --output switch to save the byte stream into a file.) ### Related topics - How to download envelope documents Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The ID of the document to retrieve. Alternatively, you can use one of the following special keywords: - combined : Retrieves all of the documents as a single PDF file. When the query parameter certificate is true, the certificate of completion is included in the PDF file. When the query parameter certificate is false, the certificate of completion is not included in the PDF file. - archive : Retrieves a ZIP archive that contains all of the PDF documents and the certificate of completion. - certificate : Retrieves only the certificate of completion as a PDF file. - portfolio : Retrieves the envelope documents as a PDF portfolio . envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :certificate (String.t): Used only when the documentId parameter is the special keyword combined . When true, the certificate of completion is included in the combined PDF file. When false, (the default) the certificate of completion is not included in the combined PDF file. :documents_by_userid (String.t): When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders. :encoding (String.t): Reserved for DocuSign. :encrypt (String.t): When true, the PDF bytes returned in the response are encrypted for all the key managers configured on your DocuSign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the DocuSign Security Appliance Installation Guide that your organization received from DocuSign. :language (String.t): Specifies the language for the Certificate of Completion in the response. The supported languages are: Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Dutch (nl), English US (en), French (fr), German (de), Italian (it), Japanese (ja), Korean (ko), Portuguese (pt), Portuguese (Brazil) (pt_BR), Russian (ru), Spanish (es). :recipient_id (String.t): Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this functionality to work. :shared_user_id (String.t): The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the DocuSign Admin console). :show_changes (String.t): When true, any changed fields for the returned PDF are highlighted in yellow and optional signatures or initials outlined in red. The account must have the Highlight Data Changes feature enabled. :watermark (String.t): When true, the account has the watermark feature enabled, and the envelope is not complete, then the watermark for the account is added to the PDF documents. This option can remove the watermark. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_document/5","title":"DocuSign.Api.EnvelopeDocuments.documents_get_document/5","type":"function"},{"doc":"Gets a list of documents in an envelope. Retrieves a list of documents associated with the specified envelope. ### Related topics - How to list envelope documents Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :documents_by_userid (String.t): When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders. :include_docgen_formfields (String.t): :include_metadata (String.t): When true, the response includes metadata that indicates which properties the sender can edit. :include_tabs (String.t): When true, information about the tabs, including prefill tabs, associated with the documents are included in the response. :recipient_id (String.t): Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this to work. :shared_user_id (String.t): The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the DocuSign Admin console). Returns {:ok, DocuSign.Model.EnvelopeDocumentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_get_documents/4","title":"DocuSign.Api.EnvelopeDocuments.documents_get_documents/4","type":"function"},{"doc":"Adds or replaces a document in an existing envelope. Adds or replaces a document in an existing draft or in-process envelope. An in-process envelope is one that has been sent but not yet completed or voided. Note: When adding or modifying documents for an in-process envelope, DocuSign recommends locking the envelope prior to making any changes. To add a new document, set the documentId path parameter to a new document ID. To replace a document, set the documentId path parameter to the document ID of the existing document. The tabs of the original document will be applied to the new document. For example, a request in cURL looks like this: $ curl --location --request PUT 'https://demo.docusign.net/restapi/v2.1/accounts/0cdb3ff3-xxxx-xxxx-xxxx-e43af011006d/envelopes/ea4cc25b-xxxx-xxxx-xxxx-a67a0a2a4f6c/documents/1' \\ --header 'Authorization: Bearer eyJ...bqg' \\ --header 'Content-Disposition: filename=&quot;newDocument&quot;' \\ --header 'Content-Type: application/pdf' \\ --data-binary '@/location/of/document.pdf' Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeDocument.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_document/5","title":"DocuSign.Api.EnvelopeDocuments.documents_put_document/5","type":"function"},{"doc":"Adds one or more documents to an existing envelope. Adds one or more documents to an existing envelope. The tabs of the original document will be applied to the new document. Note: When adding or modifying documents for an in-process envelope, DocuSign recommends locking the envelope prior to making any changes. If the file name of a document contains Unicode characters, you need to include a Content-Disposition header. Example: Header: Content-Disposition Value: file; filename=\\&quot;name\\&quot;;fileExtension=ext;documentId=1 Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeDefinition): Returns {:ok, DocuSign.Model.EnvelopeDocumentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_documents/4","title":"DocuSign.Api.EnvelopeDocuments.documents_put_documents/4","type":"function"},{"doc":"Retrieves a PDF document from the envelope with no CoC. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec regen_document_id (String.t): opts (keyword): Optional parameters :body (Document): An optional document object that will act as the primary document in the composite template object. If the document node is present, it will take precedence over any server template or inline template documents. It always comes first. Only use this when you want to supply the document dynamically. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeDocuments.html#documents_put_regen_document/5","title":"DocuSign.Api.EnvelopeDocuments.documents_put_regen_document/5","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeEmailSettings .","ref":"DocuSign.Api.EnvelopeEmailSettings.html","title":"DocuSign.Api.EnvelopeEmailSettings","type":"module"},{"doc":"Deletes the email setting overrides for an envelope. Deletes all existing email override settings for the envelope. If you want to delete an individual email override setting, use the PUT and set the value to an empty string. Note that deleting email settings will only affect email communications that occur after the deletion and the normal account email settings are used for future email communications. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EmailSettings.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_delete_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_delete_email_settings/4","type":"function"},{"doc":"Gets the email setting overrides for an envelope. Retrieves the email override settings for the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EmailSettings.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_get_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_get_email_settings/4","type":"function"},{"doc":"Adds email setting overrides to an envelope. Adds email override settings, changing the email address to reply to an email address, name, or the BCC for email archive information, for the envelope. Note that adding email settings will only affect email communications that occur after the addition was made. The BCC Email address feature is designed to provide a copy of all email communications for external archiving purposes. To send a copy of the envelope to a recipient who does not need to sign, use a Carbon Copy or Certified Delivery recipient type. Note: DocuSign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EmailSettings): A complex type that contains email settings. Returns {:ok, DocuSign.Model.EmailSettings.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_post_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_post_email_settings/4","type":"function"},{"doc":"Updates the email setting overrides for an envelope. Updates the existing email override settings for the specified envelope. Note that modifying email settings will only affect email communications that occur after the modification was made. This can also be used to delete an individual email override setting by using an empty string for the value to be deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EmailSettings): A complex type that contains email settings. Returns {:ok, DocuSign.Model.EmailSettings.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeEmailSettings.html#email_settings_put_email_settings/4","title":"DocuSign.Api.EnvelopeEmailSettings.email_settings_put_email_settings/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeFormData .","ref":"DocuSign.Api.EnvelopeFormData.html","title":"DocuSign.Api.EnvelopeFormData","type":"module"},{"doc":"Returns envelope tab data for an existing envelope. This method downloads the envelope and tab data (also called form data) from any in-process, completed, or canceled envelope that you sent or that is shared with you. Recipients who are also full administrators on an account can view form data for any envelopes that another user on the account has sent to them. Note: To use this feature, the Sending Setting &quot;Allow sender to download form data&quot; must be enabled for the account. ### Related topics - How to get envelope tab values Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeFormData.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeFormData.html#form_data_get_form_data/4","title":"DocuSign.Api.EnvelopeFormData.form_data_get_form_data/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeHtmlDefinitions .","ref":"DocuSign.Api.EnvelopeHtmlDefinitions.html","title":"DocuSign.Api.EnvelopeHtmlDefinitions","type":"module"},{"doc":"Gets the Original HTML Definition used to generate the Responsive HTML for the envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeHtmlDefinitions.html#responsive_html_get_envelope_html_definitions/4","title":"DocuSign.Api.EnvelopeHtmlDefinitions.responsive_html_get_envelope_html_definitions/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeLocks .","ref":"DocuSign.Api.EnvelopeLocks.html","title":"DocuSign.Api.EnvelopeLocks","type":"module"},{"doc":"Deletes an envelope lock. Deletes the lock from the specified envelope. The user deleting the lock must be the same user who locked the envelope. You must include the X-DocuSign-Edit header as described in EnvelopeLocks: create . This method takes an optional query parameter that lets you specify whether changes made while the envelope was locked are kept or discarded. | Query Parameter | Description | | :-------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | save_changes | When true (the default), any changes made while the lock was active are saved. When false, any changes made while the envelope was locked are discarded. | ### Related topics - Common API Tasks: Locking and unlocking envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeLocks.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeLocks.html#lock_delete_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_delete_envelope_lock/4","type":"function"},{"doc":"Gets envelope lock information. Retrieves general information about an envelope lock. The user requesting the information must be the same user who locked the envelope. You can use this method to recover the lock information, including the lockToken , for a locked envelope. The X-DocuSign-Edit header is included in the response. See EnvelopeLocks: create for a description of the X-DocuSign-Edit header. ### Related topics - Common API Tasks: Locking and unlocking envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeLocks.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeLocks.html#lock_get_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_get_envelope_lock/4","type":"function"},{"doc":"Locks an envelope. This method locks the specified envelope and sets the time until the lock expires to prevent other users or recipients from changing the envelope. The response to this request includes a lockToken parameter that you must use in the X-DocuSign-Edit header for every PUT method (typically a method that updates an envelope) while the envelope is locked. If you do not provide the lockToken when accessing a locked envelope, you will get the following error: { &quot;errorCode&quot;: &quot;EDIT_LOCK_NOT_LOCK_OWNER&quot;, &quot;message&quot;: &quot;The user is not the owner of the lock. The template is locked by another user or in another application&quot; } ### The X-DocuSign-Edit header The X-DocuSign-Edit header looks like this and can be specified in either JSON or XML. JSON { &quot;LockToken&quot;: &quot;token-from-response&quot;, &quot;LockDurationInSeconds&quot;: &quot;600&quot; } XML &lt;DocuSignEdit&gt; &lt;LockToken&gt;token-from-response&lt;/LockToken&gt; &lt;LockDurationInSeconds&gt;600&lt;/LockDurationInSeconds&gt; &lt;/DocuSignEdit&gt; In the actual HTTP header, you would remove the linebreaks: X-DocuSign-Edit: {&quot;LockToken&quot;: &quot;token-from-response&quot;, &quot;LockDurationInSeconds&quot;: &quot;600&quot; } or X-DocuSign-Edit:&lt;DocuSignEdit&gt;&lt;LockToken&gt;token-from-response&lt;/LockToken&gt;&lt;LockDurationInSeconds&gt;600&lt;/LockDurationInSeconds&gt;&lt;/DocuSignEdit&gt; ### Related topics - Common API Tasks: Locking and unlocking envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (LockRequest): Returns {:ok, DocuSign.Model.EnvelopeLocks.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeLocks.html#lock_post_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_post_envelope_lock/4","type":"function"},{"doc":"Updates an envelope lock. Updates the lock information for a locked envelope. You must include the X-DocuSign-Edit header as described in EnvelopeLocks: create . Use this method to change the duration of the lock ( lockDurationInSeconds ) or the lockedByApp string. The request body is a full lockRequest object, but you only need to specify the properties that you are updating. For example: { &quot;lockDurationInSeconds&quot;: &quot;3600&quot;, &quot;lockedByApp&quot;: &quot;My Application&quot; } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (LockRequest): Returns {:ok, DocuSign.Model.EnvelopeLocks.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeLocks.html#lock_put_envelope_lock/4","title":"DocuSign.Api.EnvelopeLocks.lock_put_envelope_lock/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopePublish .","ref":"DocuSign.Api.EnvelopePublish.html","title":"DocuSign.Api.EnvelopePublish","type":"module"},{"doc":"Submits a batch of historical envelopes for republish to a webhook. This endpoint submits a batch of existing envelopes to a webhook of your choice. Set the webhook address with the urlToPublishTo request body parameter. This endpoint does not call an existing Connect configuration or create a new Connect listener to monitor new activity. It simply uses an ad hoc configuration to submit existing envelopes. You must include all the configuration data in the request body. If the request succeeds, it returns a 201 (Created) HTTP response code and the response body property processingStatus will be set to processing . You can then view the status of each historical republish request in the Bulk Actions Log . Note: The envelope data will always be transmitted in JSON format. XML, Salesforce, and eOriginal configuration types are not supported. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ConnectHistoricalEnvelopeRepublish): Returns {:ok, DocuSign.Model.EnvelopePublishTransaction.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopePublish.html#historical_envelope_publish_post_historical_envelope_publish_transaction/3","title":"DocuSign.Api.EnvelopePublish.historical_envelope_publish_post_historical_envelope_publish_transaction/3","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeRecipientTabs .","ref":"DocuSign.Api.EnvelopeRecipientTabs.html","title":"DocuSign.Api.EnvelopeRecipientTabs","type":"module"},{"doc":"Deletes the tabs associated with a recipient. Note: It is an error to delete a tab that has the templateLocked property set to true. This property corresponds to the Restrict changes option in the web app. Deletes one or more tabs associated with a recipient in a draft envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :body (EnvelopeRecipientTabs): Returns {:ok, DocuSign.Model.EnvelopeRecipientTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_delete_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_delete_recipient_tabs/5","type":"function"},{"doc":"Gets the tabs information for a signer or sign-in-person recipient in an envelope. Retrieves information about the tabs associated with a recipient. You can make a single API call to get all the tab values and information from a given, completed envelope in addition to draft ones. Tab values can be retrieved by using the EnvelopeRecipients:list method with query parameter include_tabs set to true. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :include_anchor_tab_locations (String.t): When true, all tabs with anchor tab properties are included in the response. The default value is false. :include_metadata (String.t): When true, the response includes metadata indicating which properties are editable. Returns {:ok, DocuSign.Model.EnvelopeRecipientTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_get_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_get_recipient_tabs/5","type":"function"},{"doc":"Adds tabs for a recipient. Adds one or more tabs for a recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :body (EnvelopeRecipientTabs): Returns {:ok, DocuSign.Model.EnvelopeRecipientTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_post_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_post_recipient_tabs/5","type":"function"},{"doc":"Updates the tabs for a recipient. Updates one or more tabs for a recipient in a draft envelope. A draft envelope is one that is not yet complete. Note: It is an error to update a tab that has the templateLocked property set to true. This property corresponds to the Restrict changes option in the web app. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :body (EnvelopeRecipientTabs): Returns {:ok, DocuSign.Model.EnvelopeRecipientTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipientTabs.html#recipients_put_recipient_tabs/5","title":"DocuSign.Api.EnvelopeRecipientTabs.recipients_put_recipient_tabs/5","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeRecipients .","ref":"DocuSign.Api.EnvelopeRecipients.html","title":"DocuSign.Api.EnvelopeRecipients","type":"module"},{"doc":"Deletes a recipient from an envelope. Deletes a recipient from a draft or sent envelope. If the envelope is &quot;In Process&quot; (has been sent and is not completed or voided), recipients that have completed their actions cannot be deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeRecipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipient/5","title":"DocuSign.Api.EnvelopeRecipients.recipients_delete_recipient/5","type":"function"},{"doc":"Deletes recipients from an envelope. Deletes one or more recipients from a draft or sent envelope. List the recipients that you want to delete in the body of the request. This method uses the recipientId as the key for deleting recipients. If the envelope is In Process , meaning that it has been sent and has not been completed or voided, recipients that have completed their actions cannot be deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeRecipients): Returns {:ok, DocuSign.Model.EnvelopeRecipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_delete_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_delete_recipients/4","type":"function"},{"doc":"Gets the status of recipients for an envelope. Retrieves the status of all recipients in a single envelope and identifies the current recipient in the routing list. This method can also be used to retrieve the tab values. The currentRoutingOrder property of the response contains the routingOrder value of the current recipient indicating that the envelope has been sent to the recipient, but the recipient has not completed their actions. ### Related topics - How to list envelope recipients Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :include_anchor_tab_locations (String.t): When true and include_tabs value is set to true, all tabs with anchor tab properties are included in the response. :include_extended (String.t): When true, the extended properties are included in the response. :include_metadata (String.t): Boolean value that specifies whether to include metadata associated with the recipients (for envelopes only, not templates). :include_tabs (String.t): When true, the tab information associated with the recipient is included in the response. Returns {:ok, DocuSign.Model.EnvelopeRecipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_get_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_get_recipients/4","type":"function"},{"doc":"Creates a resource token for a sender to request ID Evidence data. Creates a resource token for a sender. This token allows a sender to return identification data for a recipient using the ID Evidence API . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The account ID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): The recipientIdGuid . opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.IdEvidenceResourceToken.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipient_proof_file_resource_token/5","title":"DocuSign.Api.EnvelopeRecipients.recipients_post_recipient_proof_file_resource_token/5","type":"function"},{"doc":"Adds one or more recipients to an envelope. Adds one or more recipients to an envelope. For an in-process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient's routing order is before or the same as the envelope's next recipient, an email is only sent if the optional resend_envelope query string is set to true. Note: This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient ( astanton@example.com ) but NOT the Sign Here recipient tab. json { &quot;signers&quot;: [ { &quot;email&quot;: &quot;astanton@example.com&quot;, &quot;name&quot;: &quot;Anne Stanton&quot;, &quot;recipientId&quot;: &quot;1&quot;, &quot;tabs&quot;: { // These tabs will NOT be added &quot;signHereTabs&quot;: [ // with this method. See note above. { &quot;anchorString&quot;: &quot;below&quot;, &quot;tooltip&quot;: &quot;please sign here&quot; }, . . . ] } } ] } [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/ ### Related topics - How to bulk send envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :resend_envelope (String.t): When true, forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to false has no effect and is the same as omitting it altogether. :body (EnvelopeRecipients): Returns {:ok, DocuSign.Model.EnvelopeRecipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_post_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_post_recipients/4","type":"function"},{"doc":"Updates recipients in a draft envelope or corrects recipient information for an in-process envelope. Updates the recipients of a draft envelope or corrects recipient information for an in-process envelope. If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the [EnvelopeRecipients: Create][EnvelopeRecipients-create] method). You can also use this method to resend an envelope to a recipient by using the resend_envelope option. Updating Sent Envelopes After an envelope has been sent, you can edit only the following properties: - accessCode - agentCanEditName - agentCanEditEmail - customFields - deliveryMethod - documentVisibility - email (If you provide an email address in this method, it will be treated as a new email address, even if it is exactly the same as the current address. Do not provide an email address if you do not want a correction email sent.) - emailNotification - idCheckConfigurationName - identityVerification - name - note - phoneAuthentication - recipientType (For this to work, you must also change the recipient object to match the recipient type.) - requireIdLookup - routingOrder - routingOrder - signingGroupId (You can change this ID to switch to a different signing group and its corresponding set of recipients.) - smsAuthentication - suppressEmails - userName If the recipient has signed, but the envelope is still active, the method will return success, but the recipientUpdateResults property in the response will include an error that the recipient could not be updated: { &quot;recipientUpdateResults&quot;: [ { &quot;recipientId&quot;: &quot;999&quot;, &quot;errorDetails&quot;: { &quot;errorCode&quot;: &quot;RECIPIENT_UPDATE_FAILED&quot;, &quot;message&quot;: &quot;The recipient could not be updated. Recipient not in state that allows correction.&quot; } } ] } If the envelope is completed, and you try to change a recipient's address, the method will fail with this error: { &quot;errorCode&quot;: &quot;ENVELOPE_INVALID_STATUS&quot;, &quot;message&quot;: &quot;Invalid envelope status. Envelope status is not one of: Created, Sent, Delivered, Correct.&quot; } Note: This method works on recipients only. To add recipient tabs, use methods from the [EnvelopeRecipientTabs][recipientTabs] resource. For example, this request body will add a recipient ( astanton@example.com ) but NOT the Sign Here recipient tab. json { &quot;signers&quot;: [ { &quot;email&quot;: &quot;astanton@example.com&quot;, &quot;name&quot;: &quot;Anne Stanton&quot;, &quot;recipientId&quot;: &quot;1&quot;, // THIS WILL NOT WORK &quot;tabs&quot;: { &quot;signHereTabs&quot;: [ { &quot;anchorString&quot;: &quot;below&quot;, &quot;tooltip&quot;: &quot;please sign here3&quot; }, . . . ] } } ] } [EnvelopeRecipients-create]: /docs/esign-rest-api/reference/envelopes/enveloperecipients/create/ [recipientTabs]: /docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/ Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :combine_same_order_recipients (String.t): When true, recipients are combined or merged with matching recipients. Recipient matching occurs as part of template matching , and is based on Recipient Role and Routing Order. :offline_signing (String.t): Indicates if offline signing is enabled for the recipient when a network connection is unavailable. :resend_envelope (String.t): When true, forces the envelope to be resent if it would not be resent otherwise. Ordinarily, if the recipient's routing order is before or the same as the envelope's next recipient, the envelope is not resent. Setting this query parameter to false has no effect and is the same as omitting it altogether. :body (EnvelopeRecipients): Returns {:ok, DocuSign.Model.RecipientsUpdateSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#recipients_put_recipients/4","title":"DocuSign.Api.EnvelopeRecipients.recipients_put_recipients/4","type":"function"},{"doc":"Creates an envelope recipient preview. Returns a URL to preview the recipients' view of a draft envelope or template. You can embed this view in your application to enable the sender to preview the recipients' experience. For more information, see Preview and Send . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (RecipientPreviewRequest): Returns {:ok, DocuSign.Model.ViewUrl.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_envelope_recipient_preview/4","title":"DocuSign.Api.EnvelopeRecipients.views_post_envelope_recipient_preview/4","type":"function"},{"doc":"Create the link to the page for manually reviewing IDs. This method returns the URL of the page that allows a sender to manually review the ID of a recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): A value that identifies your account. This value is automatically generated by DocuSign for any account you create. Copy the value from the API Account ID field in the AppsI and Keys page. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A GUID value that DocuSign assigns to identify each recipient in an envelope. This value is globally unique for all recipients, not just those in your account. The specified recipient must belong to a workflow that allows the manual review of IDs. In addition, the status of the automatic verification for this recipient must return Failed and the value of the vendorFailureStatusCode field must be MANUAL_REVIEW_STARTED as shown in the following extract of a response to the GET ENVELOPE method: &lt;p&gt; &quot;recipientAuthenticationStatus&quot;: { &quot;identityVerificationResult&quot;: { &quot;status&quot;: &quot;Failed&quot;, &quot;eventTimestamp&quot;: &quot;2020-09-04T16:59:42.8045667Z&quot;, &quot;vendorFailureStatusCode&quot;: &quot;MANUAL_REVIEW_STARTED&quot; } } opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ViewUrl.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeRecipients.html#views_post_recipient_manual_review_view/5","title":"DocuSign.Api.EnvelopeRecipients.views_post_recipient_manual_review_view/5","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeTemplates .","ref":"DocuSign.Api.EnvelopeTemplates.html","title":"DocuSign.Api.EnvelopeTemplates","type":"module"},{"doc":"Deletes a template from a document in an existing envelope. Deletes the specified template from a document in an existing envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_delete_document_templates/6","title":"DocuSign.Api.EnvelopeTemplates.templates_delete_document_templates/6","type":"function"},{"doc":"Gets the templates associated with a document in an existing envelope. Retrieves the templates associated with a document in the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :include (String.t): A comma-separated list that limits the results. Valid values are: applied matched Returns {:ok, DocuSign.Model.TemplateInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_document_templates/5","title":"DocuSign.Api.EnvelopeTemplates.templates_get_document_templates/5","type":"function"},{"doc":"Get List of Templates used in an Envelope This returns a list of the server-side templates, their name and ID, used in an envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :include (String.t): The possible value is matching_applied , which returns template matching information for the template. Returns {:ok, DocuSign.Model.TemplateInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_get_envelope_templates/4","title":"DocuSign.Api.EnvelopeTemplates.templates_get_envelope_templates/4","type":"function"},{"doc":"Adds templates to a document in an envelope. Adds templates to a document in the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :preserve_template_recipient (String.t): If omitted or set to false (the default), envelope recipients will be removed if the template being applied includes only tabs positioned via anchor text for the recipient, and none of the documents include the anchor text. When true, the recipients will be preserved after the template is applied. :body (DocumentTemplateList): Returns {:ok, DocuSign.Model.DocumentTemplateList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_document_templates/5","title":"DocuSign.Api.EnvelopeTemplates.templates_post_document_templates/5","type":"function"},{"doc":"Adds templates to an envelope. Adds templates to the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :preserve_template_recipient (String.t): If omitted or set to false (the default), envelope recipients will be removed if the template being applied includes only tabs positioned via anchor text for the recipient, and none of the documents include the anchor text. When true, the recipients will be preserved after the template is applied. :body (DocumentTemplateList): Returns {:ok, DocuSign.Model.DocumentTemplateList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTemplates.html#templates_post_envelope_templates/4","title":"DocuSign.Api.EnvelopeTemplates.templates_post_envelope_templates/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeTransferRules .","ref":"DocuSign.Api.EnvelopeTransferRules.html","title":"DocuSign.Api.EnvelopeTransferRules","type":"module"},{"doc":"Deletes an envelope transfer rule. This method deletes an envelope transfer rule. Note: Only Administrators can delete envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_transfer_rule_id (String.t): The ID of the envelope transfer rule. The system generates this ID when the rule is first created. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_delete_envelope_transfer_rules/4","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_delete_envelope_transfer_rules/4","type":"function"},{"doc":"Gets envelope transfer rules. This method retrieves a list of envelope transfer rules associated with an account. Note: Only Administrators can create and use envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.EnvelopeTransferRuleInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_get_envelope_transfer_rules/3","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_get_envelope_transfer_rules/3","type":"function"},{"doc":"Creates an envelope transfer rule. This method creates an envelope transfer rule. When you create an envelope transfer rule, you specify the following properties: - eventType - fromGroups - toUser - toFolder - carbonCopyOriginalOwner - enabled Note: Only Administrators can create envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (EnvelopeTransferRuleRequest): Returns {:ok, DocuSign.Model.EnvelopeTransferRuleInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_post_envelope_transfer_rules/3","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_post_envelope_transfer_rules/3","type":"function"},{"doc":"Changes the status of an envelope transfer rule. This method changes the status of an envelope transfer rule. You use this method to change whether or not the rule is enabled. You must include the envelopeTransferRuleId both as a query parameter, and in the request body. Note: You cannot change any other information about the envelope transfer rule. Only Administrators can update an envelope transfer rule. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_transfer_rule_id (String.t): The ID of the envelope transfer rule. The system generates this ID when the rule is first created. opts (keyword): Optional parameters :body (EnvelopeTransferRule): Returns {:ok, DocuSign.Model.EnvelopeTransferRule.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rule/4","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rule/4","type":"function"},{"doc":"Changes the status of multiple envelope transfer rules. This method changes the status for one or more envelope transfer rules based on the envelopeTransferRuleId s in the request body. You use this method to change whether or not the rules are enabled. Note: You cannot change any other information about the envelope transfer rule. Only Administrators can update envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (EnvelopeTransferRuleInformation): Returns {:ok, DocuSign.Model.EnvelopeTransferRuleInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeTransferRules.html#envelope_transfer_rules_put_envelope_transfer_rules/3","title":"DocuSign.Api.EnvelopeTransferRules.envelope_transfer_rules_put_envelope_transfer_rules/3","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeViews .","ref":"DocuSign.Api.EnvelopeViews.html","title":"DocuSign.Api.EnvelopeViews","type":"module"},{"doc":"Revokes the correction view URL to the Envelope UI. Revokes the correction view URL to the Envelope UI. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (CorrectViewRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_delete_envelope_correct_view/4","title":"DocuSign.Api.EnvelopeViews.views_delete_envelope_correct_view/4","type":"function"},{"doc":"Returns a URL to the DocuSign UI. Returns a URL that enables you to embed the DocuSign UI in your applications. To view a specific envelope, set the envelopeId property in the request body. ### Revoking the URL You can revoke this URL by making a HTTP DELETE request to the URL with no request body. ## Information security notice This method provides full access to the sending account. ### Related topics - How to embed the DocuSign UI in your app Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (ConsoleViewRequest): Returns {:ok, DocuSign.Model.EnvelopeViews.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_post_account_console_view/3","title":"DocuSign.Api.EnvelopeViews.views_post_account_console_view/3","type":"function"},{"doc":"Returns a URL to the envelope correction UI. Returns a URL that allows you to embed the envelope correction view of the DocuSign UI. To customize the appearance of the correction view, you can add special query parameters to the returned URL when you use it in your application. You can revoke this URL by calling the deleteEnvelopeCorrectView endpoint. ## Best practices The returned URL expires after 10 minutes and can only be used once. Therefore, request the URL immediately before you redirect your user to it. Due to screen space issues, do not use an &lt;iframe&gt; for embedded operations on mobile devices. For iOS devices, DocuSign recommends using a WebView. ## Customizing the correction view To customize the appearance of the correction view, you can add query parameters to the URL that is returned by this endpoint and used in your application. Do not add these query parameters to the URL of the endpoint itself. For example, adding the following query parameters to the URL returned by this method causes the sending view to: - start in the tagging screen - hide the Edit Pages command - hide all of the options under the Actions dropdown except Save, Close, and Discard https://demo.docusign.net/Member/StartInSession.aspx?StartConsole=1&amp;t=dd3b7c4c-xxxx-xxxx-xxxx-50cd195a3401&amp;DocuEnvelope=f37489d3-xxxx-xxxx-xxxx-4de057063d0e&amp;\\ advcorrect=1&amp;\\ showEditPages=false&amp;\\ showHeaderActions=false The default value reflects what happens if you omit the customization query parameter. You can use the interactive Embedded Sending Demo tool to see the effect of using different query parameters. | Query Parameter | Default Value | Alternate Value | | :-------------------------- | :--------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | sendButtonAction | send &lt;br&gt;&lt;br&gt;The Send button operates normally. | redirect &lt;br&gt;&lt;br&gt;The text of the button changes to Continue. Clicking it redirects to the returnUrl in the request object. If you intend to modify the envelope after redirection, see this note . | | backButtonAction | previousPage &lt;br&gt;&lt;br&gt;The back arrow and back button operate normally. | redirect &lt;br&gt;&lt;br&gt;Clicking the back arrow and back button redirects to the returnUrl in the request object. If you intend to modify the envelope after redirection, see this note . | | showBackButton | true &lt;br&gt;&lt;br&gt; Shows the back arrow and the back button. | false &lt;br&gt;&lt;br&gt;Hides the back arrow and the back button. | | showEditRecipients | true &lt;br&gt;&lt;br&gt; Shows the Edit Recipients command in the action menu and in the Conditional Recipients settings. | false &lt;br&gt;&lt;br&gt;Hides the Edit Recipients command. | | showEditDocuments | true &lt;br&gt;&lt;br&gt; Shows the Edit Documents command in the action menu and removes the Documents Gear icon. | false &lt;br&gt;&lt;br&gt;Hides the Edit Documents command. | | showEditDocumentVisibility | true &lt;br&gt;&lt;br&gt; Shows the Documents Gear icon where the sender can edit document visibility. | false &lt;br&gt;&lt;br&gt;Hides the Documents Gear icon. | | showEditPages | true &lt;br&gt;&lt;br&gt; Shows the Edit Pages command under the document thumbnail. | false &lt;br&gt;&lt;br&gt;Hides the Edit Pages command. | | showMatchingTemplatesPrompt | true &lt;br&gt;&lt;br&gt; Shows the matching template prompt. | false &lt;br&gt;&lt;br&gt;Hides the matching template prompt. | | showHeaderActions | true &lt;br&gt;&lt;br&gt; Shows all options under the Actions dropdown. | false &lt;br&gt;&lt;br&gt;Hides all options under the Actions dropdown except Save, Close, and Discard. | | showDiscardAction | true &lt;br&gt;&lt;br&gt; Shows the Discard command under the Actions dropdown. | false &lt;br&gt;&lt;br&gt;Hides the Discard command. | | advcorrect | 1 &lt;br&gt;&lt;br&gt; Starts the signer in the tagging screen. | 0 &lt;br&gt;&lt;br&gt;Starts the signer in the prepare screen. | | tabPaletteType | standard &lt;br&gt;&lt;br&gt; Displays the standard tab palette. | custom &lt;br&gt; merge &lt;br&gt; notary &lt;br&gt; seals &lt;br&gt; smartcontracts &lt;br&gt; annotations &lt;br&gt; smartSections &lt;br&gt;&lt;br&gt;Displays the specified tab palette before the standard palette. | ## Modifying the envelope after redirection If you use sendButtonAction=redirect or backButtonAction=redirect , and you intend to modify the envelope after redirection, you will need to lock the envelope and add an extra query parameter: 1. [Create a lock token][createLock] for the envelope. 2. Add the new lock token to the URL with the lockToken query parameter.&lt;br&gt; ...&amp;sendButtonAction=redirect&amp;lockToken=MDgxZxabUVBiMWUzZWYz &lt;br&gt; Note: The lockToken query parameter is case-sensitive. After clicking Continue, your user is redirected back to your integration. You can then [delete the lock token][deleteLock]. [createLock]: /docs/esign-rest-api/reference/envelopes/envelopelocks/create/ [deleteLock]: /docs/esign-rest-api/reference/envelopes/envelopelocks/delete/ ## Information security notice This method provides full access to the sending account. When you use this view, the current user has full access to the account. If the account has administrative privileges, then this method also provides administrator access. If your use case needs to enable a sender to update a draft envelope before it is sent or make other changes, take one of the following steps: - Configure each sender to have their own individual user account to use this API method. - Enhance your API integration so that this method is not needed. Your integration can create the tabs, recipients, and other envelope settings as needed. ### Related topics - Embedded signing and sending - How to send an envelope via your app - How to embed the DocuSign UI in your app - Introducing customizable embedded sending Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (CorrectViewRequest): Returns {:ok, DocuSign.Model.EnvelopeViews.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_correct_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_correct_view/4","type":"function"},{"doc":"Returns a URL to the edit view UI. Returns a URL that enables you to embed the edit view of the DocuSign UI in your applications. This is a one-time use login token that allows the user to be placed into the DocuSign editing view. Upon sending completion, the user is returned to the return URL provided by the API application. See Embedded signing and sending to learn more about embedding. Due to screen space issues, do not use an &lt;iframe&gt; for embedded operations on mobile devices. For iOS devices, DocuSign recommends using a WebView. ### Revoking the URL You can revoke this URL by making a DELETE HTTP request to the URL with no request body. ## Information security notice This method provides full access to the sending account. When you use this view, the current user has full access to the account. If the account has administrative privileges, then this method also provides administrator access. If your use case needs to enable a sender to update a draft envelope before it is sent or make other changes, take one of the following steps: - Configure each sender to have their own individual user account to use this API method.&lt;/li&gt; - Enhance your API integration so that this method is not needed. Your integration can create the tabs, recipients, and other envelope settings as needed.&lt;/li&gt; ### Related topics - Embedded signing and sending - How to send an envelope via your app - How to embed the DocuSign UI in your app Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (ReturnUrlRequest): Returns {:ok, DocuSign.Model.EnvelopeViews.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_edit_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_edit_view/4","type":"function"},{"doc":"Returns a URL to the shared recipient view UI for an envelope. Returns a URL that enables you to embed the DocuSign UI recipient view of a shared envelope in your applications. This is the view that a user sees of an envelope that a recipient on the same account has shared with them. Due to screen space issues, do not use an &lt;iframe&gt; for embedded operations on mobile devices. For iOS devices, DocuSign recommends using a WebView. ### Revoking the URL You can revoke this URL by making a DELETE HTTP request to the URL with no request body. ### Related topics - Embedded signing and sending - How to send an envelope via your app - How to embed the DocuSign UI in your app Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (RecipientViewRequest): Returns {:ok, DocuSign.Model.ViewUrl.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_shared_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_shared_view/4","type":"function"},{"doc":"Returns a URL to the recipient view UI. Returns a URL that enables you to embed the recipient view of the DocuSign UI in your applications. If the recipient is a signer, then the view will provide the signing ceremony. This method is only used with envelopes in the sent status. Due to screen space issues, do not use an &lt;iframe&gt; for embedded operations on mobile devices. For iOS devices, DocuSign recommends using a WebView. ### Revoking the URL You can revoke this URL by making a DELETE HTTP request to the URL with no request body. ## Authentication Your application is responsible for authenticating the identity of the recipient or signer when you use this method. Use the following parameters to record how the recipient was authenticated. - assertionId - authenticationInstant - authenticationMethod - clientUserId - securityDomain At a minimum, authenticationMethod and clientUserId are required. The information that you provide is included in the envelope's certificate of completion. ## Redirects After the signer completes or ends the signing ceremony, DocuSign redirects the user's browser back to your app via the returnUrl that you supply. Note: The user may be redirected through various DocuSign subdomains, depending on the region of the account sending the envelope. Please consult the Allowlists for DocuSign eSignature service section in Security for DocuSign eSignature when setting up your allowlists. ### The event status parameter DocuSign appends an event query parameter to the returnUrl with the outcome of the signing ceremony. Your app can use this event parameter to determine the next step for the envelope. Do not fetch the envelope status by using Envelopes: get or a similar method because doing so could break the DocuSign rule against polling. Note: Because a user can cancel redirection, close their browser after signing, or spoof the landing URL, the returnUrl should not be the single source of truth for envelope status for your integration. ## The URL is time-limited The URL returned in this method's response is valid for one use, and you must use or display it within a couple of minutes after it is generated. After the recipient is redirected to the recipient view, they must interact with the DocuSign system periodically or their session will time out. Because the URL is time-limited, it should not be stored or sent through email. After you receive it, immediately redirect the user's browser to the URL. If you want to invite someone to an embedded signing session via email, the email invitation's URL must be to your application. When invoked, your app should request a recipientView URL from DocuSign and then redirect the signer to that URL. ## Maintaining State After the recipient completes the recipient view (or signing ceremony), they are redirected to your application. Your application can recover state information about the transaction by storing information in a cookie, or by including query parameters in the returnUrl field. For example. https://myapp.example.com/docusign_return?myState=12345 When the user is redirected to your app, the event query parameter will be appended. In this example, prevent spoofing by not using a guessable value as the state value. ## How to specify the default language The language for the recipient view follows this order or precedence: - The language specified by the sender for the recipient. - The locale parameter appended to the URL. - The account language if the signer has a DocuSign account. - The language used in a previous signing if the signer is return signer. - The browser language. You can append the locale query parameter to the URL returned by this method to specify a language. For example, to set the default language to Canadian French, you would set it like this: ...?locale=fr_CA ## Sending to a remote signer You can request a signing session for a remote recipient who has a DocuSign account. Authenticate the request using the recipient's credentials, and do not specify a clientUserId . This differs from the typical behavior where the request is authenticated using the sender's credentials, and the recipient has a clientUserId defined. ### Related topics - How to request a signature by email - How to request a signature through your app - How to request a signature using a composite template - How to send an envelope via your app - How to set envelope tab values - How to set tab values in a template Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The ID of the draft envelope or template to preview. opts (keyword): Optional parameters :body (RecipientViewRequest): Returns {:ok, DocuSign.Model.EnvelopeViews.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_recipient_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_recipient_view/4","type":"function"},{"doc":"Returns a URL to the sender view UI. Returns a URL that enables you to embed the sender view of the DocuSign UI in your applications. See Embedded signing and sending to learn more about embedding. The returned URL can only be redirected to immediately after it is generated. It can only be used once. Therefore, request the URL immediately before you redirect your user to it. Due to screen space issues, do not use an &lt;iframe&gt; for embedded operations on mobile devices. For iOS devices, DocuSign recommends using a WebView. After the user has completed the sending view, the browser is redirected to the returnUrl supplied. By default, if the envelope already contains one or more documents, DocuSign will initially show the document tagging view when you redirect to the URL. To start with the envelope's recipients and documents view instead, examine the URL in the method's response. Then change the query parameter from send=1 to send=0 to start with the recipients/documents view. ### Revoking the URL You can revoke this URL by making a DELETE HTTP request to the URL with no request body. ## Customizing the sending view You can add query parameters to customize the appearance of the sending view. For example, adding the following query parameters to the URL returned by this method causes the sending view to: - start in the tagging screen - hide the Edit Pages command - hide all of the options under the Actions dropdown except Save, Close, and Discard https://demo.docusign.net/Member/StartInSession.aspx?StartConsole=1&amp;t=dd3b7c4c-xxxx-xxxx-xxxx-50cd195a3401&amp;DocuEnvelope=f37489d3-xxxx-xxxx-xxxx-4de057063d0e&amp;\\ send=1&amp;\\ showEditPages=false&amp;\\ showHeaderActions=false The default value reflects what happens if you omit the customization query parameter. You can use the interactive Embedded Sending Demo tool to see the effect of using different query parameters. | Query Parameter | Default Value | Alternate Value | | :-------------------------- | :--------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | sendButtonAction | send &lt;br&gt;&lt;br&gt;The Send button operates normally. | redirect &lt;br&gt;&lt;br&gt;The text of the button changes to Continue. Clicking it redirects to the returnUrl in the request object. If you intend to modify the envelope after redirection, see this note . | | backButtonAction | previousPage &lt;br&gt;&lt;br&gt;The back arrow and back button operate normally. | redirect &lt;br&gt;&lt;br&gt;Clicking the back arrow and back button redirects to the returnUrl in the request object. If you intend to modify the envelope after redirection, see this note . | | showBackButton | true &lt;br&gt;&lt;br&gt; Shows the back arrow and the back button. | false &lt;br&gt;&lt;br&gt;Hides the back arrow and the back button. | | showEditRecipients | true &lt;br&gt;&lt;br&gt; Shows the Edit Recipients command in the action menu and in the Conditional Recipients settings. | false &lt;br&gt;&lt;br&gt;Hides the Edit Recipients command. | | showEditDocuments | true &lt;br&gt;&lt;br&gt; Shows the Edit Documents command in the action menu and removes the Documents Gear icon. | false &lt;br&gt;&lt;br&gt;Hides the Edit Documents command. | | showEditDocumentVisibility | true &lt;br&gt;&lt;br&gt; Shows the Documents Gear icon where the sender can edit document visibility. | false &lt;br&gt;&lt;br&gt;Hides the Documents Gear icon. | | showEditPages | true &lt;br&gt;&lt;br&gt; Shows the Edit Pages command under the document thumbnail. | false &lt;br&gt;&lt;br&gt;Hides the Edit Pages command. | | showMatchingTemplatesPrompt | true &lt;br&gt;&lt;br&gt; Shows the matching template prompt. | false &lt;br&gt;&lt;br&gt;Hides the matching template prompt. | | showHeaderActions | true &lt;br&gt;&lt;br&gt; Shows all options under the Actions dropdown. | false &lt;br&gt;&lt;br&gt;Hides all options under the Actions dropdown except Save, Close, and Discard. | | showDiscardAction | true &lt;br&gt;&lt;br&gt; Shows the Discard command under the Actions dropdown. | false &lt;br&gt;&lt;br&gt;Hides the Discard command. | | send | 1 &lt;br&gt;&lt;br&gt; Starts the signer in the tagging screen. | 0 &lt;br&gt;&lt;br&gt;Starts the signer in the prepare screen. | | tabPaletteType | standard &lt;br&gt;&lt;br&gt; Displays the standard tab palette. | custom &lt;br&gt; merge &lt;br&gt; notary &lt;br&gt; seals &lt;br&gt; smartcontracts &lt;br&gt; annotations &lt;br&gt; smartSections &lt;br&gt;&lt;br&gt;Displays the specified tab palette before the standard palette. | ## Modifying the envelope after redirection If you use sendButtonAction=redirect or backButtonAction=redirect , and you intend to modify the envelope after redirection, you will need to lock the envelope and add an extra query parameter: 1. [Create a lock token][createLock] for the envelope. 2. Add the new lock token to the URL with the lockToken query parameter.&lt;br&gt; ...&amp;sendButtonAction=redirect&amp;lockToken=MDgxZxabUVBiMWUzZWYz &lt;br&gt; Note: The lockToken query parameter is case-sensitive. After clicking Continue, your user is redirected back to your integration. You can then [delete the lock token][deleteLock]. [createLock]: /docs/esign-rest-api/reference/envelopes/envelopelocks/create/ [deleteLock]: /docs/esign-rest-api/reference/envelopes/envelopelocks/delete/ ## Information security notice This method provides full access to the sending account. When you use this view, the current user has full access to the account. If the account has administrative privileges, then this method also provides administrator access. If your use case needs to enable a sender to update a draft envelope before it is sent or make other changes, take one of the following steps: - Configure each sender to have their own individual user account to use this API method. - Enhance your API integration so that this method is not needed. Your integration can create the tabs, recipients, and other envelope settings as needed. ### Related topics - Embedded signing and sending - How to send an envelope via your app - How to embed the DocuSign UI in your app - Introducing customizable embedded sending Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (ReturnUrlRequest): Returns {:ok, DocuSign.Model.EnvelopeViews.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeViews.html#views_post_envelope_sender_view/4","title":"DocuSign.Api.EnvelopeViews.views_post_envelope_sender_view/4","type":"function"},{"doc":"API calls for all endpoints tagged EnvelopeWorkflowDefinition .","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html","title":"DocuSign.Api.EnvelopeWorkflowDefinition","type":"module"},{"doc":"Delete the workflow definition for an envelope. Deletes the specified envelope's workflow definition if it has one. Note: If the envelope was scheduled to be sent, this endpoint will cancel the scheduled send and the envelope status will be reset to created . To resend the envelope, call the update the status to sent with the Envelopes::Update method. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_delete_envelope_workflow_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_delete_envelope_workflow_definition/4","type":"function"},{"doc":"Returns the workflow definition for an envelope. Returns the workflow definition for the envelope specified by envelopeId . If the envelope does not have a workflow object, this method returns a 404. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Workflow.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_get_envelope_workflow_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_get_envelope_workflow_definition/4","type":"function"},{"doc":"Updates the workflow definition for an envelope. Updates the specified envelope's workflow. You can use this endpoint to add scheduled sending to a draft envelope. You can also update the scheduled sending for a sent envelope if the scheduled sending countdown is in progress. In that case, the envelope will be reset to a draft state. You can also add delayed routing to a draft envelope or a sent envelope that has not started workflow processing. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (Workflow): Returns {:ok, DocuSign.Model.Workflow.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_definition_v2_put_envelope_workflow_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_definition_v2_put_envelope_workflow_definition/4","type":"function"},{"doc":"Deletes the delayed routing rules for the specified envelope workflow step. Delete the delayed routing object for an envelope's workflow step. You cannot call this endpoint once the delay is in progress. As a workaround, you can update the delay or send time to one minute in the future using the updateEnvelopeDelayedRoutingDefinition endpoint. Note: After deleting the delayed routing object, the workflow step still contains the pause_before action. Once the workflow step is reached, you will need to unpause the envelope . If you want to delete the step entirely, use deleteEnvelopeWorkflowStepDefinition instead. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_delete_envelope_delayed_routing_definition/5","type":"function"},{"doc":"Returns the delayed routing rules for an envelope's workflow step definition. Given an envelope and a workflow step, returns the delayed routing rules for that workflow step. Note: If the workflow step does not have a delayed routing object, this method returns a 404. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DelayedRouting.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_get_envelope_delayed_routing_definition/5","type":"function"},{"doc":"Updates the delayed routing rules for an envelope's workflow step definition. Updates the delayed routing rules for an envelope's workflow step definition. You can use this endpoint to add delayed routing to a draft envelope or a sent envelope (as long as the previous workflow step has not yet been completed). You can also update the delayed routing rule for an envelope, as long as the delay is not yet complete. If you update the delayed routing rule while the delay is already in progress, the countdown will reset. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters :body (DelayedRouting): A complex element that specifies the delayed routing settings for the workflow step. Returns {:ok, DocuSign.Model.DelayedRouting.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_delayed_routing_put_envelope_delayed_routing_definition/5","type":"function"},{"doc":"Deletes the scheduled sending rules for the envelope's workflow. Deletes the scheduled sending rules for an envelope's workflow. You cannot call this endpoint once the scheduled sending countdown has begun. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_delete_envelope_scheduled_sending_definition/4","type":"function"},{"doc":"Returns the scheduled sending rules for an envelope's workflow definition. Given a template and a workflow step, returns the scheduled sending rules for that workflow step. Note: If the workflow step does not have a scheduled sending object, this method returns a 404. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ScheduledSending.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_get_envelope_scheduled_sending_definition/4","type":"function"},{"doc":"Updates the scheduled sending rules for an envelope's workflow. Updates the scheduled sending rules for an envelope's workflow. The envelope must have an existing workflow object. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (ScheduledSending): An object that describes the settings for scheduled sending. Returns {:ok, DocuSign.Model.ScheduledSending.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_scheduled_sending_put_envelope_scheduled_sending_definition/4","type":"function"},{"doc":"Deletes a workflow step from an envelope's workflow definition. Deletes the workflow step specified by workflowStepId from an envelope specified by envelopeId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_delete_envelope_workflow_step_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_delete_envelope_workflow_step_definition/5","type":"function"},{"doc":"Returns a specified workflow step for a specified template. Returns a workflow step specified by workflowStepId for an envelope specified by envelopeId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.WorkflowStep.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_get_envelope_workflow_step_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_get_envelope_workflow_step_definition/5","type":"function"},{"doc":"Adds a new step to an envelope's workflow. Adds a new step to an envelope's workflow. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (WorkflowStep): Returns {:ok, DocuSign.Model.WorkflowStep.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_post_envelope_workflow_step_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_post_envelope_workflow_step_definition/4","type":"function"},{"doc":"Updates the specified workflow step for an envelope. Updates the workflow step specified by workflowStepId for an envelope. You can use this endpoint to add or update delayed routing for a draft envelope. You can add or update delayed routing for a sent envelope as long as the previous workflow step has not been completed. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters :body (WorkflowStep): Returns {:ok, DocuSign.Model.WorkflowStep.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#envelope_workflow_step_put_envelope_workflow_step_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.envelope_workflow_step_put_envelope_workflow_step_definition/5","type":"function"},{"doc":"Delete the workflow definition for a template. Deletes the specified template's workflow definition if it has one. Note: If the specified template does not have a workflow definition, this endpoint returns a 200 response. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_delete_template_workflow_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_delete_template_workflow_definition/4","type":"function"},{"doc":"Returns the workflow definition for a template. Returns the workflow definition for the template specified by templateId . If the template does not have a workflow object, this method returns a 404. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Workflow.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_get_template_workflow_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_get_template_workflow_definition/4","type":"function"},{"doc":"Updates the workflow definition for a template. Updates the specified template's workflow definition. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (Workflow): Returns {:ok, DocuSign.Model.Workflow.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_definition_put_template_workflow_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_definition_put_template_workflow_definition/4","type":"function"},{"doc":"Deletes the delayed routing rules for the specified template workflow step. Deletes the delayed routing rules for the specified template workflow step. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_delete_template_delayed_routing_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_delete_template_delayed_routing_definition/5","type":"function"},{"doc":"Returns the delayed routing rules for a template's workflow step definition. Given a template and a workflow step, returns the delayed routing rules for that workflow step. Note: If the workflow step does not have a delayed routing object, this method returns a 404. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DelayedRouting.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_get_template_delayed_routing_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_get_template_delayed_routing_definition/5","type":"function"},{"doc":"Updates the delayed routing rules for a template's workflow step. Updates the scheduled sending rules for a template's workflow. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters :body (DelayedRouting): A complex element that specifies the delayed routing settings for the workflow step. Returns {:ok, DocuSign.Model.DelayedRouting.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_delayed_routing_put_template_delayed_routing_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_delayed_routing_put_template_delayed_routing_definition/5","type":"function"},{"doc":"Deletes the scheduled sending rules for the template's workflow. Deletes the scheduled sending rules for the template's workflow. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_delete_template_scheduled_sending_definition/4","type":"function"},{"doc":"Returns the scheduled sending rules for a template's workflow definition. Given a template specified by templateId , returns the scheduled sending rules for that template's workflow object. Note: If the template's workflow does not have a scheduled sending object, this method returns a 404. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ScheduledSending.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_get_template_scheduled_sending_definition/4","type":"function"},{"doc":"Updates the scheduled sending rules for a template's workflow definition. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (ScheduledSending): An object that describes the settings for scheduled sending. Returns {:ok, DocuSign.Model.ScheduledSending.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_scheduled_sending_put_template_scheduled_sending_definition/4","type":"function"},{"doc":"Deletes a workflow step from an template's workflow definition. Deletes a workflow step from an template's workflow definition. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_delete_template_workflow_step_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_delete_template_workflow_step_definition/5","type":"function"},{"doc":"Returns a specified workflow step for a specified envelope. Returns a workflow step specified by workflowStepId for a template specified by templateId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.WorkflowStep.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_get_template_workflow_step_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_get_template_workflow_step_definition/5","type":"function"},{"doc":"Adds a new step to a template's workflow. Adds a new step to a template's workflow. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (WorkflowStep): Returns {:ok, DocuSign.Model.WorkflowStep.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_post_template_workflow_step_definition/4","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_post_template_workflow_step_definition/4","type":"function"},{"doc":"Updates a specified workflow step for a template. Updates a specified workflow step for a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. workflow_step_id (String.t): The ID of the workflow step. opts (keyword): Optional parameters :body (WorkflowStep): Returns {:ok, DocuSign.Model.WorkflowStep.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.EnvelopeWorkflowDefinition.html#template_workflow_step_put_template_workflow_step_definition/5","title":"DocuSign.Api.EnvelopeWorkflowDefinition.template_workflow_step_put_template_workflow_step_definition/5","type":"function"},{"doc":"API calls for all endpoints tagged Envelopes .","ref":"DocuSign.Api.Envelopes.html","title":"DocuSign.Api.Envelopes","type":"module"},{"doc":"Gets the envelope audit events for an envelope. Gets the envelope audit events for the specified envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.EnvelopeAuditEventResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#audit_events_get_audit_events/4","title":"DocuSign.Api.Envelopes.audit_events_get_audit_events/4","type":"function"},{"doc":"Gets the status of a single envelope. Retrieves the overall status for the specified envelope. To get the status of a list of envelopes, use Envelope: listStatusChanges . ### Related topics - How to get envelope information Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :advanced_update (String.t): When true, envelope information can be added or modified. :include (String.t): Specifies additional information about the envelope to return. Enter a comma-separated list, such as tabs,recipients . Valid values are: - custom_fields : The custom fields associated with the envelope. - documents : The documents associated with the envelope. - attachments : The attachments associated with the envelope. - extensions : The email settings associated with the envelope. - folders : The folder where the envelope exists. - recipients : The recipients associated with the envelope. - powerform : The PowerForms associated with the envelope. - tabs : The tabs associated with the envelope. - payment_tabs : The payment tabs associated with the envelope. - workflow : The workflow definition associated with the envelope. Returns {:ok, DocuSign.Model.Envelope.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelope/4","title":"DocuSign.Api.Envelopes.envelopes_get_envelope/4","type":"function"},{"doc":"Search for specific sets of envelopes by using search filters. This method lets you search for envelopes in your accounts. A large set of filters let you narrow the scope of your search by date, by envelope ID, or by status codes. Your request must include one or more of the following parameters: from_date envelope_ids * transaction_ids To avoid unnecessary database queries, the DocuSign signature platform first checks requests to ensure that the filter set supplied does not result in a zero-size response before querying the database. For example, for a request with a from_to_status of delivered and a current status of created,sent , DocuSign will always return an empty list. This is because the request translates to: find the envelopes that were delivered between the from_date and to_date dates that have a current status of created or sent . Since an envelope that has been delivered can never have a status of created or sent , a zero-size response would be generated. In this case, DocuSign does not query the database and returns an empty list immediately. Getting envelope status using transaction_ids is useful for offline signing situations where it can be used determine if an envelope was created or not. It can be used for the cases where a network connection was lost, before the envelope status could be returned. The following table shows the valid current envelope statuses ( status parameter) for the different status qualifiers ( from_to_status parameter) in the request. If the status and status qualifiers in the API request do not contain any of the values shown in the Valid Current Statuses column, then an empty list is returned. Client applications should check that the statuses ( status parameter) they are requesting make sense for a given from_to_status parameter value. | Status Qualifier&lt;br&gt;( from_to_status ) | Effective Status Qualifier | Valid Current Statuses | | :------------------------------------- | :------------------------- | :-------------------------------------------------------------------------- | | any (changed) | StatusChanged | any, created, sent, delivered, signed, completed, declined, voided, deleted | | created | Created | any, created, sent, delivered, signed, completed, declined, voided, deleted | | sent | Sent | any, sent, delivered, signed, completed, declined, voided, deleted | | delivered | StatusChanged | any, delivered, signed, completed, declined, voided, deleted | | signed | StatusChanged | any, signed, completed, declined, voided, deleted | | completed | Completed | any, completed, declined, voided, deleted | | declined | StatusChanged | any, declined, voided, deleted | | timedout&lt;br&gt;always return zero results | StatusChanged | any, voided, deleted | | voided | Voided | any, voided, deleted | | deleted | StatusChanged | any, deleted | ## Extraneous results In some cases, a request for a specific envelope status will include envelopes with additional statuses. For example, in a request with a from_date of 2017-01-01, a to_date of 2017-01-07 and the status qualifier ( from_to_status ) set to delivered , the response set might contain envelopes that were created during that time period, but not delivered during the time period. As a workaround, check the envelope status values in the result set as needed. ### Related topics - Searching for envelopes - How to list envelope status changes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :ac_status (String.t): Specifies the Authoritative Copy Status for the envelopes. Valid values: Unknown, Original, Transferred, AuthoritativeCopy, AuthoritativeCopyExportPending, AuthoritativeCopyExported, DepositPending, Deposited, DepositedEO, or DepositFailed. :block (String.t): Reserved for DocuSign. :cdse_mode (String.t): Reserved for DocuSign. :continuation_token (String.t): A token returned in the response to a previous API call that is used to resume a search query from a specific point. :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :custom_field (String.t): Optional. Specifies an envelope custom field name and value searched for in the envelopes. Format: custom_envelope_field_name=desired_value Example: If you have an envelope custom field named &quot;Region&quot; and you want to search for all envelopes where the value is &quot;West&quot; you would use set this parameter to Region=West . :email (String.t): Limit results to envelopes sent by the account user with this email address. user_name must be given as well, and both email and user_name must refer to an existing account user. :envelope_ids (String.t): Comma separated list of envelopeId values. :exclude (String.t): Excludes information from the response. Enter as a comma-separated list (e.g., folders,powerforms ). Valid values are: - recipients - powerforms - folders :folder_ids (String.t): Returns the envelopes from specific folders. Enter as a comma-separated list of either valid folder Guids or the following values: - awaiting_my_signature - completed - draft - drafts - expiring_soon - inbox - out_for_signature - recyclebin - sentitems - waiting_for_others :folder_types (String.t): A comma-separated list of folder types you want to retrieve envelopes from. Valid values are: - normal - inbox - sentitems - draft - templates :from_date (String.t): Specifies the date and time to start looking for status changes. This parameter is required unless envelopeIds or transactionIds are set. Although you can use any date format supported by the .NET system library's [ DateTime.Parse() ][msoft] function, DocuSign recommends using [ISO 8601][] format dates with an explicit time zone offset If you do not provide a time zone offset, the method uses the server's time zone. For example, the following dates and times refer to the same instant: 2017-05-02T01:44Z 2017-05-01T21:44-04:00 * 2017-05-01T18:44-07:00 [msoft]: https://docs.microsoft.com/en-us/dotnet/api/system.datetime.parse?redirectedfrom=MSDN&amp;view=net-5.0#overloads [ISO 8601]: https://en.wikipedia.org/wiki/ISO_8601 :from_to_status (String.t): This is the status type checked for in the from_date / to_date period. If changed is specified, then envelopes that changed status during the period are found. If for example, created is specified, then envelopes created during the period are found. Default is changed . Possible values are: Voided, Changed, Created, Deleted, Sent, Delivered, Signed, Completed, Declined, TimedOut and Processing. :include (String.t): Specifies additional information to return about the envelopes. Use a comma-separated list, such as folders, recipients to specify information. Valid values are: - custom_fields : The custom fields associated with the envelope. - documents : The documents associated with the envelope. - attachments : The attachments associated with the envelope. - extensions : Information about the email settings associated with the envelope. - folders : The folders where the envelope exists. - recipients : The recipients associated with the envelope. - powerform : The PowerForms associated with the envelope. - payment_tabs : The payment tabs associated with the envelope. :include_purge_information (String.t): When true, information about envelopes that have been deleted is included in the response. :intersecting_folder_ids (String.t): A comma-separated list of folders that you want want to get envelopes from. Valid values are: - normal - inbox - sentitems - draft - templates :last_queried_date (String.t): Returns envelopes that were modified prior to the specified date and time. Example: 2020-05-09T21:56:12.2500000Z :order (String.t): Returns envelopes in either ascending ( asc ) or descending ( desc ) order. :order_by (String.t): Sorts results according to a specific property. Valid values are: - last_modified - action_required - created - completed - envelope_name - expire - sent - signer_list - status - subject - user_name - status_changed - last_modified :powerformids (String.t): A comma-separated list of PowerFormId values. :query_budget (String.t): The time in seconds that the query should run before returning data. :requester_date_format (String.t): :search_text (String.t): Free text search criteria that you can use to filter the list of envelopes that is returned. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :status (String.t): A comma-separated list of current envelope statuses to included in the response. Possible values are: completed created declined deleted delivered processing sent signed timedout voided The any value is equivalent to any status. :to_date (String.t): Specifies the date and time to stop looking for status changes. The default is the current date and time. Although you can use any date format supported by the .NET system library's [ DateTime.Parse() ][msoft] function, DocuSign recommends using [ISO 8601][] format dates with an explicit time zone offset If you do not provide a time zone offset, the method uses the server's time zone. For example, the following dates and times refer to the same instant: 2017-05-02T01:44Z 2017-05-01T21:44-04:00 * 2017-05-01T18:44-07:00 [msoft]: https://docs.microsoft.com/en-us/dotnet/api/system.datetime.parse?redirectedfrom=MSDN&amp;view=net-5.0#overloads [ISO 8601]: https://en.wikipedia.org/wiki/ISO_8601 :transaction_ids (String.t): If included in the query string, this is a comma separated list of envelope transactionId s. If included in the request_body , this is a list of envelope transactionId s. ###### Note: transactionId s are only valid in the DocuSign system for seven days. :user_filter (String.t): Returns envelopes where the current user is the recipient, the sender, or the recipient only. (For example, user_filter=sender .) Valid values are: - sender - recipient - recipient_only :user_id (String.t): The ID of the user who created the envelopes to be retrieved. Note that an account can have multiple users, and any user with account access can retrieve envelopes by user_id from the account. :user_name (String.t): Limit results to envelopes sent by the account user with this user name. email must be given as well, and both email and user_name must refer to an existing account user. Returns {:ok, DocuSign.Model.EnvelopesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#envelopes_get_envelopes/3","title":"DocuSign.Api.Envelopes.envelopes_get_envelopes/3","type":"function"},{"doc":"Creates an envelope. Creates and sends an envelope or creates a draft envelope. Envelopes are fundamental resources in the DocuSign platform. With this method you can: Create and send an envelope with [documents][], [recipients][], and [tabs][]. Create and send an envelope from a template . Create and send an envelope from a combination of documents and templates . Create a draft envelope. When you use this method to create and send an envelope in a single request, the following parameters in the request body (an [ envelopeDefinition ][envelopeDefinition] object) are required: | Parameter | Description | | :-------- | :---------- | | status | Set to sent to send the envelope to recipients.&lt;br&gt;Set to created (or don't set at all) to save the envelope as a draft. | | emailSubject | The subject of the email used to send the envelope. | | documents | The [documents][] to be signed. | | recipients | The email addresses of the envelope [recipients][]. | When you create an envelope by using a composite template , you should specify the envelope custom fields in the inline template. Any custom fields that you specify at the root level are ignored. If the envelope has a workflow definition and the workflowStatus is paused , the envelope will not be sent immediately, even if the envelope's status is sent . ### Related topics [Envelope][envelopes] and [template][templates] objects along with [documents][documents], [recipients][recipients], and [tabs][tabs] are the five object models at the core of the eSignature API. The eSignature concepts guide describes how the five object models work together. The following how-to articles contain practical examples that show you how to to configure this method's [ envelopeDefinition ][envelopeDefinition] request body to perform common tasks. Requesting signatures - How to request a signature by email - How to request a signature by email using a template - How to request a signature by SMS delivery - How to request a signature using a composite template Requiring authentication - How to require access code authentication for a recipient - How to require SMS authentication for a recipient - How to require phone authentication for a recipient - How to require knowledge-based authentication (KBA) for a recipient - How to require ID verification (IDV) for a recipient Sending envelopes - How to send an envelope via your app - How to bulk send envelopes - How to send a request for payment Setting tab values - How to set envelope tab values - How to set tab values in a template Applying brands - How to apply a brand to an envelope - How to apply a brand and template to an envelope Documents, conditional recipients, pausing a workflow - How to attach documents via binary transfer - How to use conditional recipients - How to pause a signature workflow [addingdocs]: /docs/esign-rest-api/esign101/concepts/envelopes/ [attachments]: /docs/esign-rest-api/esign101/concepts/documents/attachments/ [authcopies]: /docs/esign-rest-api/esign101/concepts/documents/authoritative-copies/ [conoverview]: /docs/esign-rest-api/esign101/concepts/overview/ [deleting]: /docs/esign-rest-api/esign101/concepts/envelopes/ [documents]: /docs/esign-rest-api/esign101/concepts/documents/ [envelopeDefinition]: /docs/esign-rest-api/reference/envelopes/envelopes/create/#schema__envelopedefinition [envelopes]: /docs/esign-rest-api/esign101/concepts/envelopes/ [locking]: /docs/esign-rest-api/esign101/concepts/envelopes/lock/ [payments]: /docs/esign-rest-api/esign101/concepts/tabs/payment/ [purging]: /docs/esign-rest-api/esign101/concepts/documents/purging/ [recipients]: /docs/esign-rest-api/esign101/concepts/recipients/ [recipstatus]: /docs/esign-rest-api/esign101/concepts/recipients/#recipient-status [reciptypes]: /docs/esign-rest-api/esign101/concepts/recipients/#recipient-types [supdocs]: /docs/esign-rest-api/esign101/concepts/documents/supplemental/ [tabanchor]: /docs/esign-rest-api/esign101/concepts/tabs/auto-place/ [tabcustom]: /docs/esign-rest-api/esign101/concepts/tabs/custom-tabs/ [tabs]: /docs/esign-rest-api/esign101/concepts/tabs/ [tabtypes]: /docs/esign-rest-api/esign101/concepts/tabs/ [templates]: /docs/esign-rest-api/esign101/concepts/templates/ [tracking]: /docs/esign-rest-api/esign101/concepts/envelopes/ Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :cdse_mode (String.t): Reserved for DocuSign. :change_routing_order (String.t): When true, users can define the routing order of recipients while sending documents for signature. :completed_documents_only (String.t): Reserved for DocuSign. :merge_roles_on_draft (String.t): When true, template roles will be merged, and empty recipients will be removed. This parameter applies when you create a draft envelope with multiple templates. (To create a draft envelope, the status field is set to created .) Note: DocuSign recommends that this parameter should be set to true whenever you create a draft envelope with multiple templates. :body (EnvelopeDefinition): Returns {:ok, DocuSign.Model.EnvelopeSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#envelopes_post_envelopes/3","title":"DocuSign.Api.Envelopes.envelopes_post_envelopes/3","type":"function"},{"doc":"Send, void, or modify a draft envelope. Purge documents from a completed envelope. This method enables you to make changes to an envelope. You can use it to: Send a draft envelope Void an in-process envelope Modify a draft envelope Purge documents and envelope metadata from the DocuSign platform Although the request body for this method is a complete envelope definition, you only need to provide the properties that you're updating. ## Sending a draft envelope To send a draft envelope, include the following code in the request body: json { &quot;status&quot;: &quot;sent&quot; } You can attach a workflow before sending the envelope: json { &quot;status&quot;: &quot;sent&quot;, &quot;workflow&quot;: { &quot;workflowSteps&quot;: [ { &quot;action&quot;: &quot;pause_before&quot;, &quot;description&quot;: &quot;pause_before routing order 2&quot;, &quot;itemId&quot;: 2, &quot;triggerOnItem&quot;: &quot;routing_order&quot; } ] } } ## Working with workflows To unpause a workflow, the request body should include this: json { &quot;workflow&quot;: { &quot;workflowStatus&quot;: &quot;in_progress&quot; } } ## Voiding an in-process envelope To void an in-process envelope, include the following code in the request body: json { &quot;status&quot;: &quot;voided&quot;, &quot;voidedReason&quot;: &quot;The reason for voiding the envelope&quot; } ## Modifying envelope email information To change the email subject and message of a draft envelope, include the following code in the request body: json { &quot;emailSubject&quot;: &quot;new email subject&quot;, &quot;emailBlurb&quot;: &quot;new email message&quot; } ## Purging documents from docusign To place only the documents in the purge queue, leaving any corresponding attachments and tabs in the DocuSign platform, set the purgeState property to documents_queued . json { &quot;envelopeId&quot;: &quot;222e6847-xxxx-xxxx-xxxx-72a3c9c16fca&quot;, &quot;purgeState&quot;: &quot;documents_queued&quot; } To place documents, attachments, and tabs in the purge queue, set the purgeState property to documents_and_metadata_queued . json { &quot;envelopeId&quot;: &quot;222e6847-xxxx-xxxx-xxxx-72a3c9c16fca&quot;, &quot;purgeState&quot;: &quot;documents_and_metadata_queued&quot; } To place documents, attachments, and tabs in the purge queue and to redact personal information, set the purgeState property to documents_and_metadata_and_redact_queued . json { &quot;envelopeId&quot;: &quot;222e6847-xxxx-xxxx-xxxx-72a3c9c16fca&quot;, &quot;purgeState&quot;: &quot;documents_and_metadata_and_redact_queued&quot; } You can purge documents only from completed envelopes that are not marked as the authoritative copy. The user requesting the purge must have permission to purge documents and must be the sender or be acting on behalf of the sender. When the purge request is initiated the items to be purged are placed in the purge queue for deletion in 14 days. The sender and all recipients with DocuSign accounts associated with the envelope get an email notification the documents will be deleted in 14 days. The notification contains a link to the documents. A second email notification is sent 7 days later. At the end of the 14-day period the documents are deleted from the system. Recipients without DocuSign accounts do not receive email notifications. If your account has a Document Retention policy, envelope documents are automatically placed in the purge queue, and notification emails are sent at the end of the retention period. Setting a Document Retention policy is the same as setting a schedule for purging documents. ## Removing documents from the purge queue To remove documents from the purge queue, include the following code in the request body: json { &quot;envelopeId&quot;: &quot;222e6847-xxxx-xxxx-xxxx-72a3c9c16fca&quot;, &quot;purgeState&quot;: &quot;documents_dequeued&quot; } ### Related topics - Void an envelope ( Common API Tasks ) - Purging documents (eSignature Concepts) - Purging documents in an envelope (blog post) - How to unpause a signature workflow Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :advanced_update (String.t): When true, allows the caller to update recipients, tabs, custom fields, notification, email settings and other envelope attributes. :resend_envelope (String.t): When true, sends the specified envelope again. :body (Envelope): A container used to send documents to recipients. The envelope carries information about the sender and timestamps to indicate the progress of the delivery procedure. It can contain collections of Documents, Tabs and Recipients. Returns {:ok, DocuSign.Model.EnvelopeUpdateSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#envelopes_put_envelope/4","title":"DocuSign.Api.Envelopes.envelopes_put_envelope/4","type":"function"},{"doc":"Gets envelope statuses for a set of envelopes. Retrieves envelope statuses for a set of envelopes. You must specify exactly one of the following query parameters: | Parameter | Description | | :---------------- | :------------------------------------------------------------------------------- | | from_date | a valid UTC DateTime: 2016-01-01 | | envelope_ids | A comma-separated list of envelope IDs&lt;br&gt;or the special value request_body | | transaction_ids | A comma-separated list of transaction IDs&lt;br&gt;or the special value request_body | When you use the special value request_body , the request body looks like this: { &quot;envelopeIds&quot;: [ &quot;44c5ad6c-xxxx-xxxx-xxxx-ebda5e2dfe15&quot;, &quot;8e26040d-xxxx-xxxx-xxxx-1e29b924d237&quot;, &quot;c8b40a2d-xxxx-xxxx-xxxx-4fe56fe10f95&quot; ] } Note: Omitting the request body altogether causes the endpoint to return an error. The request body must be at least {} . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :ac_status (String.t): Specifies the Authoritative Copy Status for the envelopes. Valid values: - Unknown - Original - Transferred - AuthoritativeCopy - AuthoritativeCopyExportPending - AuthoritativeCopyExported - DepositPending - Deposited - DepositedEO - DepositFailed :block (String.t): When true, removes any results that match one of the provided transaction_ids . :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :email (String.t): The email address of the sender. :envelope_ids (String.t): The envelope IDs to include in the results. The value of this property can be: - A comma-separated list of envelope IDs - The special value request_body . In this case, the method uses the envelope IDs in the request body. :from_date (String.t): The date/time setting that specifies when the request begins checking for status changes for envelopes in the account. This is required unless parameters envelope_ids and/or transaction_Ids are provided. Note: This parameter must be set to a valid DateTime , or envelope_ids and/or transaction_ids must be specified. :from_to_status (String.t): The envelope status that you are checking for. Possible values are: - Changed (default) - Completed - Created - Declined - Deleted - Delivered - Processing - Sent - Signed - TimedOut - Voided For example, if you specify Changed , this method returns a list of envelopes that changed status during the from_date to to_date time period. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :status (String.t): A comma-separated list of envelope status to search for. Possible values are: - completed - created - declined - deleted - delivered - processing - sent - signed - template - voided :to_date (String.t): Optional date/time setting that specifies the last date/time or envelope status changes in the result set. The default value is the time that you call the method. :transaction_ids (String.t): The transaction IDs to include in the results. Note that transaction IDs are valid for seven days. The value of this property can be: - A list of comma-separated transaction IDs - The special value request_body . In this case, this method uses the transaction IDs in the request body. :user_name (String.t): Limits results to envelopes sent by the account user with this user name. email must be given as well, and both email and user_name must refer to an existing account user. :body (EnvelopeIdsRequest): Returns {:ok, DocuSign.Model.EnvelopesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#envelopes_put_status/3","title":"DocuSign.Api.Envelopes.envelopes_put_status/3","type":"function"},{"doc":"Gets envelope notification information. Retrieves the envelope notification, reminders and expirations, information for an existing envelope. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#notification_get_envelopes_envelope_id_notification/4","title":"DocuSign.Api.Envelopes.notification_get_envelopes_envelope_id_notification/4","type":"function"},{"doc":"Sets envelope notifications for an existing envelope. This method sets the notifications (reminders and expirations) for an existing envelope. The request body sends a structure containing reminders and expirations settings. It also specifies whether to use the settings specified in the request, or the account default notification settings for the envelope. Note that this request only specifies when notifications are sent; it does not initiate sending of email messages. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (EnvelopeNotificationRequest): Returns {:ok, DocuSign.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#notification_put_envelopes_envelope_id_notification/4","title":"DocuSign.Api.Envelopes.notification_put_envelopes_envelope_id_notification/4","type":"function"},{"doc":"Deletes a page from a document in an envelope. Deletes a page from a document in an envelope based on the page number. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec page_number (String.t): The page number being accessed. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#pages_delete_page/6","title":"DocuSign.Api.Envelopes.pages_delete_page/6","type":"function"},{"doc":"Gets a page image from an envelope for display. Returns an image of a page in a document for display. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec page_number (String.t): The page number being accessed. opts (keyword): Optional parameters :dpi (String.t): Sets the dots per inch (DPI) for the returned image. :max_height (String.t): Sets the maximum height for the page image in pixels. The DPI is recalculated based on this setting. :max_width (String.t): Sets the maximum width for the page image in pixels. The DPI is recalculated based on this setting. :show_changes (String.t): When true, changes display in the user interface. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#pages_get_page_image/6","title":"DocuSign.Api.Envelopes.pages_get_page_image/6","type":"function"},{"doc":"Returns document page images based on input. Returns images of the pages in a document for display based on the parameters that you specify. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. :dpi (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94. :max_height (String.t): Sets the maximum height of the returned images in pixels. :max_width (String.t): Sets the maximum width of the returned images in pixels. :nocache (String.t): When true, using cache is disabled and image information is retrieved from a database. True is the default value. :show_changes (String.t): When true, changes display in the user interface. :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, DocuSign.Model.PageImages.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#pages_get_page_images/5","title":"DocuSign.Api.Envelopes.pages_get_page_images/5","type":"function"},{"doc":"Rotates page image from an envelope for display. Rotates page image from an envelope for display. The page image can be rotated to the left or right. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec page_number (String.t): The page number being accessed. opts (keyword): Optional parameters :body (PageRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#pages_put_page_image/6","title":"DocuSign.Api.Envelopes.pages_put_page_image/6","type":"function"},{"doc":"Gets the initials image for a user. Retrieves the initials image for the specified user. The image is returned in the same format as it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureIdOrName parameter accepts signature ID or signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly URL encode. If you use the user name, it is likely that the name includes spaces and you might need to URL encode the name before using it in the endpoint. For example: &quot;Bob Smith&quot; to &quot;Bob%20Smith&quot; Older envelopes might only contain chromed images. If getting the non-chromed image fails, try getting the chromed image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :include_chrome (String.t): The added line and identifier around the initial image. Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_initials_image/5","title":"DocuSign.Api.Envelopes.recipients_get_recipient_initials_image/5","type":"function"},{"doc":"Gets signature information for a signer or sign-in-person recipient. Retrieves signature information for a signer or sign-in-person recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.UserSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature/5","title":"DocuSign.Api.Envelopes.recipients_get_recipient_signature/5","type":"function"},{"doc":"Retrieve signature image information for a signer/sign-in-person recipient. Retrieves the specified user signature image. The image is returned in the same format as uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureIdOrName parameter accepts signature ID or signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that don't properly URL encode. If you use the user name, it is likely that the name includes spaces and you might need to URL encode the name before using it in the endpoint. For example: &quot;Bob Smith&quot; to &quot;Bob%20Smith&quot; Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters :include_chrome (String.t): When true, the response includes the chromed version of the signature image. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#recipients_get_recipient_signature_image/5","title":"DocuSign.Api.Envelopes.recipients_get_recipient_signature_image/5","type":"function"},{"doc":"Sets the initials image for an accountless signer. Updates the initials image for a signer that does not have a DocuSign account. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K. For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the CanSendEnvelope property set to true and the ExpressSendOnly property in SendingUser structure must be set to false. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_initials_image/5","title":"DocuSign.Api.Envelopes.recipients_put_recipient_initials_image/5","type":"function"},{"doc":"Sets the signature image for an accountless signer. Updates the signature image for an accountless signer. The supported image formats for this file are: gif, png, jpeg, and bmp. The file size must be less than 200K. For the Authentication/Authorization for this call, the credentials must match the sender of the envelope, the recipient must be an accountless signer or in person signer. The account must have the CanSendEnvelope property set to true and the ExpressSendOnly property in SendingUser structure must be set to false. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Envelopes.html#recipients_put_recipient_signature_image/5","title":"DocuSign.Api.Envelopes.recipients_put_recipient_signature_image/5","type":"function"},{"doc":"API calls for all endpoints tagged FavoriteTemplates .","ref":"DocuSign.Api.FavoriteTemplates.html","title":"DocuSign.Api.FavoriteTemplates","type":"module"},{"doc":"Retrieves the list of favorite templates for the account. Retrieves the list of favorite templates for the account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.FavoriteTemplatesInfo.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_get_favorite_templates/3","title":"DocuSign.Api.FavoriteTemplates.favorite_templates_get_favorite_templates/3","type":"function"},{"doc":"Set one or more templates as account favorites. Set one or more templates as account favorites. Your request should include each template as a separate favoriteTemplatesContentItem JSON object, like this: { &quot;favoriteTemplates&quot;: [ { &quot;templateId&quot;: &quot;6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1&quot; }, { &quot;templateId&quot;: &quot;8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f&quot; } ] } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (FavoriteTemplatesInfo): Returns {:ok, DocuSign.Model.FavoriteTemplatesInfo.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_put_favorite_template/3","title":"DocuSign.Api.FavoriteTemplates.favorite_templates_put_favorite_template/3","type":"function"},{"doc":"Remove one or more templates from the account favorites. Remove one or more templates from the account favorites. Your request should include each template to remove as a separate favoriteTemplatesContentItem JSON object, like this: { &quot;favoriteTemplates&quot;: [ { &quot;templateId&quot;: &quot;6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1&quot; }, { &quot;templateId&quot;: &quot;8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f&quot; } ] } The response includes the IDs of the templates that were successfully removed from your favorites. To get the account's remaining favorite templates, use the getFavoriteTemplates endpoint. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (FavoriteTemplatesInfo): Returns {:ok, DocuSign.Model.FavoriteTemplatesInfo.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.FavoriteTemplates.html#favorite_templates_un_favorite_template/3","title":"DocuSign.Api.FavoriteTemplates.favorite_templates_un_favorite_template/3","type":"function"},{"doc":"API calls for all endpoints tagged Folders .","ref":"DocuSign.Api.Folders.html","title":"DocuSign.Api.Folders","type":"module"},{"doc":"Gets information about the specified folder. Gets information about the specified folder. To include a list of the items in the folder, set the include_items query parameter to true. ### Related topics - Searching for envelopes - Sharing templates Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. folder_id (String.t): The ID of the folder. opts (keyword): Optional parameters :from_date (String.t): Reserved for DocuSign. :include_items (String.t): Indicates whether folder items are included in the response. If this parameter is omitted, the default is false. :owner_email (String.t): Reserved for DocuSign. :owner_name (String.t): Reserved for DocuSign. :search_text (String.t): Reserved for DocuSign. :start_position (String.t): Reserved for DocuSign. :status (String.t): Reserved for DocuSign. :to_date (String.t): Reserved for DocuSign. Returns {:ok, DocuSign.Model.FolderItemsResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Folders.html#folders_get_folder_items/4","title":"DocuSign.Api.Folders.folders_get_folder_items/4","type":"function"},{"doc":"Gets a list of the folders for the account. Retrieves a list of the folders for the account, including the folder hierarchy. You can specify type kinds of folders to return with the include query parameter. ### Related topics - Searching for envelopes - Sharing templates Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :include (String.t): A comma-separated list of folder types to include in the response. Valid values are: - envelope_folders : Returns a list of envelope folders. (Default) - template_folders : Returns a list of template folders. - shared_template_folders : Returns a list of shared template folders. :include_items (String.t): Indicates whether folder items are included in the response. If this parameter is omitted, the default is false. :start_position (String.t): The zero-based index of the result from which to start returning results. The default value is 0 . :template (String.t): This parameter is deprecated as of version 2.1. Use include instead. :user_filter (String.t): Narrows down the resulting folder list by the following values: - all : Returns all templates owned or shared with the user. (default) - owned_by_me : Returns only templates the user owns. - shared_with_me : Returns only templates that are shared with the user. Returns {:ok, DocuSign.Model.FoldersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Folders.html#folders_get_folders/3","title":"DocuSign.Api.Folders.folders_get_folders/3","type":"function"},{"doc":"Moves an envelope from its current folder to the specified folder. Moves an envelope from its current folder to the specified folder. You can use this method to delete envelopes by specifying recyclebin in the folderId parameter. Placing an in-process envelope (envelope status of sent or delivered ) in the recycle bin voids the envelope. You can also use this method to delete templates by specifying a template ID instead of an envelope ID in the envelopeIds property and specifying recyclebin in the folderId parameter. ### Related topics - Searching for envelopes - Sharing templates Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. folder_id (String.t): The ID of the folder. opts (keyword): Optional parameters :body (FoldersRequest): Returns {:ok, DocuSign.Model.FoldersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Folders.html#folders_put_folder_by_id/4","title":"DocuSign.Api.Folders.folders_put_folder_by_id/4","type":"function"},{"doc":"Gets a list of envelopes in folders matching the specified criteria. This method is deprecated in API v2.1. Use Envelopes::listStatusChanges instead. Retrieves a list of items that match the criteria specified in the query. If the user ID of the user making the call is the same as the user ID for any returned recipient, then the userId property is added to the returned information for those recipients. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. search_folder_id (String.t): Specifies the envelope group that is searched by the request. These are logical groupings, not actual folder names. Valid values are: drafts, awaiting_my_signature, completed, out_for_signature. opts (keyword): Optional parameters :all (String.t): Specifies that all envelopes that match the criteria are returned. :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100 :from_date (String.t): Specifies the start of the date range to return. If no value is provided, the default search is the previous 30 days. :include_recipients (String.t): When true, the recipient information is returned in the response. :order (String.t): Specifies the order in which the list is returned. Valid values are: asc for ascending order, and desc for descending order. :order_by (String.t): Specifies the property used to sort the list. Valid values are: action_required , created , completed , sent , signer_list , status , or subject . :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :to_date (String.t): Specifies the end of the date range to return. Returns {:ok, DocuSign.Model.FolderItemResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Folders.html#search_folders_get_search_folder_contents/4","title":"DocuSign.Api.Folders.search_folders_get_search_folder_contents/4","type":"function"},{"doc":"API calls for all endpoints tagged GroupBrands .","ref":"DocuSign.Api.GroupBrands.html","title":"DocuSign.Api.GroupBrands","type":"module"},{"doc":"Deletes brand information from a group. This method deletes one or more brands from a group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. group_id (String.t): The ID of the group. opts (keyword): Optional parameters :body (BrandsRequest): Returns {:ok, DocuSign.Model.GroupBrands.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.GroupBrands.html#brands_delete_group_brands/4","title":"DocuSign.Api.GroupBrands.brands_delete_group_brands/4","type":"function"},{"doc":"Gets the brand information for a group. This method returns information about the brands associated with a group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. group_id (String.t): The ID of the group. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.GroupBrands.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.GroupBrands.html#brands_get_group_brands/4","title":"DocuSign.Api.GroupBrands.brands_get_group_brands/4","type":"function"},{"doc":"Adds an existing brand to a group. This method adds one or more existing brands to a group based on the groupId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. group_id (String.t): The ID of the group being accessed. opts (keyword): Optional parameters :body (BrandsRequest): Returns {:ok, DocuSign.Model.GroupBrands.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.GroupBrands.html#brands_put_group_brands/4","title":"DocuSign.Api.GroupBrands.brands_put_group_brands/4","type":"function"},{"doc":"API calls for all endpoints tagged GroupUsers .","ref":"DocuSign.Api.GroupUsers.html","title":"DocuSign.Api.GroupUsers","type":"module"},{"doc":"Deletes one or more users from a group Deletes one or more users from a group. This request takes a userInfoList that contains the users that you want to delete. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. group_id (String.t): The ID of the group being accessed. opts (keyword): Optional parameters :body (UserInfoList): Returns {:ok, DocuSign.Model.UsersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.GroupUsers.html#groups_delete_group_users/4","title":"DocuSign.Api.GroupUsers.groups_delete_group_users/4","type":"function"},{"doc":"Gets a list of users in a group. Retrieves a list of users in a group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. group_id (String.t): The ID of the group being accessed. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100 :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.UsersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.GroupUsers.html#groups_get_group_users/4","title":"DocuSign.Api.GroupUsers.groups_get_group_users/4","type":"function"},{"doc":"Adds one or more users to an existing group. Adds one or more existing DocuSign users to an existing group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. group_id (String.t): The ID of the group being accessed. opts (keyword): Optional parameters :body (UserInfoList): Returns {:ok, DocuSign.Model.UsersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.GroupUsers.html#groups_put_group_users/4","title":"DocuSign.Api.GroupUsers.groups_put_group_users/4","type":"function"},{"doc":"API calls for all endpoints tagged Groups .","ref":"DocuSign.Api.Groups.html","title":"DocuSign.Api.Groups","type":"module"},{"doc":"Deletes an existing user group. Deletes an existing user group. When you delete a group, you include only the groupId in the request body. Example: { &quot;groups&quot;: [ { &quot;groupId&quot;: &quot;12345&quot; } } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (GroupInformation): Returns {:ok, DocuSign.Model.GroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Groups.html#groups_delete_groups/3","title":"DocuSign.Api.Groups.groups_delete_groups/3","type":"function"},{"doc":"Gets information about groups associated with the account. Retrieves information about groups associated with the account. ### Related topics - How to set a permission profile Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100 :group_type (String.t): :include_usercount (String.t): When true, every group returned in the response includes a userCount property that contains the total number of users in the group. The default is true. :search_text (String.t): Filters the results of a GET request based on the text that you specify. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.GroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Groups.html#groups_get_groups/3","title":"DocuSign.Api.Groups.groups_get_groups/3","type":"function"},{"doc":"Creates one or more groups for the account. Creates one or more groups for the account. Groups can be used to help manage users by associating users with a group. You can associate a group with a Permission Profile, which sets the user permissions for users in that group without having to set the userSettings property for each user. You are not required to set Permission Profiles for a group, but it makes it easier to manage user permissions for a large number of users. You can also use groups with template sharing to limit user access to templates. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (GroupInformation): Returns {:ok, DocuSign.Model.GroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Groups.html#groups_post_groups/3","title":"DocuSign.Api.Groups.groups_post_groups/3","type":"function"},{"doc":"Updates the group information for a group. Updates the group name and modifies, or sets, the permission profile for the group. ### Related topics - How-To Set Up a Permission Profile Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (GroupInformation): Returns {:ok, DocuSign.Model.GroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Groups.html#groups_put_groups/3","title":"DocuSign.Api.Groups.groups_put_groups/3","type":"function"},{"doc":"API calls for all endpoints tagged IdentityVerifications .","ref":"DocuSign.Api.IdentityVerifications.html","title":"DocuSign.Api.IdentityVerifications","type":"module"},{"doc":"Retrieves the Identity Verification workflows available to an account. This method returns a list of Identity Verification workflows that are available to an account. Note: To use this method, you must either be an account administrator or a sender. ### Related topics - How to require ID Verification (IDV) for a recipient Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.AccountIdentityVerificationResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.IdentityVerifications.html#account_identity_verification_get_account_identity_verification/3","title":"DocuSign.Api.IdentityVerifications.account_identity_verification_get_account_identity_verification/3","type":"function"},{"doc":"API calls for all endpoints tagged Invoices .","ref":"DocuSign.Api.Invoices.html","title":"DocuSign.Api.Invoices","type":"module"},{"doc":"Retrieves a billing invoice. Retrieves the specified invoice. Note: If the pdfAvailable property in the response is set to true , you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the Accept property in the header to Accept: application/pdf . Privileges required: account administrator The response returns a list of charges and information about the charges. Quantities are usually shown as 'unlimited' or an integer. Amounts are shown in the currency set for the account. Response The following table provides a description of the different chargeName property values. The information will grow as more chargeable items are added to the system. | chargeName | Description | | --- | --- | | id_check | ID Check Charge | | in_person_signing | In Person Signing charge | | envelopes Included | Sent Envelopes for the account | | age_verify | Age verification check | | ofac | OFAC Check | | id_confirm | ID confirmation check | | student_authentication | STAN PIN authentication check | | wet_sign_fax | Pages for returning signed documents by fax | | attachment_fax | Pages for returning attachments by fax | | phone_authentication | Phone authentication charge | | powerforms | PowerForm envelopes sent | | signer_payments | Payment processing charge | | outbound_fax | Send by fax charge | | bulk_recipient_envelopes | Bulk Recipient Envelopes sent | | sms_authentications | SMS authentication charge | | saml_authentications | SAML authentication charge | | express_signer_certificate | DocuSign Express Certificate charge | | personal_signer_certificate | Personal Signer Certificate charge | | safe_certificate | SAFE BioPharma Signer Certificate charge | | seats | Included active seats charge | | open_trust_certificate | OpenTrust Signer Certificate charge | Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. invoice_id (String.t): The ID of the invoice. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BillingInvoice.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoice/4","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoice/4","type":"function"},{"doc":"Get a List of Billing Invoices Retrieves a list of invoices for the account. If the from date or to date queries are not specified, the response returns invoices for the last 365 days. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :from_date (String.t): Specifies the date/time of the earliest invoice in the account to retrieve. :to_date (String.t): Specifies the date/time of the latest invoice in the account to retrieve. Returns {:ok, DocuSign.Model.BillingInvoicesResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices/3","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoices/3","type":"function"},{"doc":"Get a list of past due invoices. Returns a list past due invoices for the account and notes if payment can be made through the REST API. Privileges Required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BillingInvoicesSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Invoices.html#billing_invoices_get_billing_invoices_past_due/3","title":"DocuSign.Api.Invoices.billing_invoices_get_billing_invoices_past_due/3","type":"function"},{"doc":"API calls for all endpoints tagged Notary .","ref":"DocuSign.Api.Notary.html","title":"DocuSign.Api.Notary","type":"module"},{"doc":"Gets settings for a notary user. Gets settings for a notary user. The current user must be a notary. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :include_jurisdictions (String.t): When true, the response will include a jurisdiction property that contains an array of all supported jurisdictions for the current user. Returns {:ok, DocuSign.Model.NotaryResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Notary.html#notary_get_notary/2","title":"DocuSign.Api.Notary.notary_get_notary/2","type":"function"},{"doc":"Registers the current user as a notary. Registers the current user as a notary. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :body (Notary): Returns {:ok, DocuSign.Model.Notary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Notary.html#notary_post_notary/2","title":"DocuSign.Api.Notary.notary_post_notary/2","type":"function"},{"doc":"Updates notary information for the current user. Updates notary information for the current user. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :body (Notary): Returns {:ok, DocuSign.Model.Notary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Notary.html#notary_put_notary/2","title":"DocuSign.Api.Notary.notary_put_notary/2","type":"function"},{"doc":"API calls for all endpoints tagged NotaryJournals .","ref":"DocuSign.Api.NotaryJournals.html","title":"DocuSign.Api.NotaryJournals","type":"module"},{"doc":"Gets notary jurisdictions for a user. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. :search_text (String.t): Use this parameter to search for specific text. :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, DocuSign.Model.NotaryJournalList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.NotaryJournals.html#notary_journals_get_notary_journals/2","title":"DocuSign.Api.NotaryJournals.notary_journals_get_notary_journals/2","type":"function"},{"doc":"API calls for all endpoints tagged NotaryJurisdiction .","ref":"DocuSign.Api.NotaryJurisdiction.html","title":"DocuSign.Api.NotaryJurisdiction","type":"module"},{"doc":"Deletes the specified jurisdiction. Deletes the specified jurisdiction. Parameters connection (DocuSign.Connection): Connection to server jurisdiction_id (String.t): The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_delete_notary_jurisdiction/3","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_delete_notary_jurisdiction/3","type":"function"},{"doc":"Gets a jurisdiction object for the current user. The user must be a notary. Gets a jurisdiction object for the current user. The following restrictions apply: - The current user must be a notary. - The jurisdictionId must be a jurisdiction that the notary is registered for. Parameters connection (DocuSign.Connection): Connection to server jurisdiction_id (String.t): The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.NotaryJurisdiction.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdiction/3","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdiction/3","type":"function"},{"doc":"Returns a list of jurisdictions that the notary is registered in. Returns a list of jurisdictions that the notary is registered in. The current user must be a notary. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.NotaryJurisdictionList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_get_notary_jurisdictions/2","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_get_notary_jurisdictions/2","type":"function"},{"doc":"Creates a jurisdiction object. Creates a jurisdiction object. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :body (NotaryJurisdiction): Returns {:ok, DocuSign.Model.NotaryJurisdiction.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_post_notary_jurisdictions/2","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_post_notary_jurisdictions/2","type":"function"},{"doc":"Updates the jurisdiction information about a notary. Updates the jurisdiction information about a notary. The following restrictions apply: - The current user must be a notary. - The jurisdictionId path parameter must be a jurisdiction that the notary is registered for. - The jurisdictionId path parameter must match the request body's jurisdiction.jurisdictionId . The request body must have a full jurisdiction object for the jurisdiction property. The best way to do this is to use getNotaryJurisdiction to obtain the current values and update the properties you want to change. For example, assume getNotaryJurisdiction returns this: { &quot;jurisdiction&quot;: { &quot;jurisdictionId&quot;: &quot;15&quot;, &quot;name&quot;: &quot;Iowa&quot;, &quot;county&quot;: &quot;&quot;, &quot;enabled&quot;: &quot;true&quot;, &quot;countyInSeal&quot;: &quot;false&quot;, &quot;commissionIdInSeal&quot;: &quot;true&quot;, &quot;stateNameInSeal&quot;: &quot;true&quot;, &quot;notaryPublicInSeal&quot;: &quot;true&quot;, &quot;allowSystemCreatedSeal&quot;: &quot;true&quot;, &quot;allowUserUploadedSeal&quot;: &quot;false&quot; }, &quot;commissionId&quot;: &quot;123456&quot;, &quot;commissionExpiration&quot;: &quot;2020-08-31T07:00:00.0000000Z&quot;, &quot;registeredName&quot;: &quot;Bob Notary&quot;, &quot;county&quot;: &quot;Adams&quot;, &quot;sealType&quot;: &quot;system_created&quot; } If you want to change the name of the notary from &quot;Bob Notary&quot; to &quot;Robert Notary&quot;, your request body would be: { &quot;jurisdiction&quot;: { &quot;jurisdictionId&quot;: &quot;15&quot;, &quot;name&quot;: &quot;Iowa&quot;, &quot;county&quot;: &quot;&quot;, &quot;enabled&quot;: &quot;true&quot;, &quot;countyInSeal&quot;: &quot;false&quot;, &quot;commissionIdInSeal&quot;: &quot;true&quot;, &quot;stateNameInSeal&quot;: &quot;true&quot;, &quot;notaryPublicInSeal&quot;: &quot;true&quot;, &quot;allowSystemCreatedSeal&quot;: &quot;true&quot;, &quot;allowUserUploadedSeal&quot;: &quot;false&quot; }, &quot;commissionId&quot;: &quot;123456&quot;, &quot;commissionExpiration&quot;: &quot;2020-08-31T07:00:00.0000000Z&quot;, &quot;registeredName&quot;: &quot;Robert Notary&quot;, &quot;county&quot;: &quot;Adams&quot;, &quot;sealType&quot;: &quot;system_created&quot; } Parameters connection (DocuSign.Connection): Connection to server jurisdiction_id (String.t): The ID of the jurisdiction. The following jurisdictions are supported: - 5 - California - 6 - Colorado - 9 - Florida - 10 - Georgia - 12 - Idaho - 13 - Illinois - 14 - Indiana - 15 - Iowa - 17 - Kentucky - 23 - Minnesota - 25 - Missouri - 30 - New Jersey - 32 - New York - 33 - North Carolina - 35 - Ohio - 37 - Oregon - 38 - Pennsylvania - 40 - South Carolina - 43 - Texas - 44 - Utah - 47 - Washington - 48 - West Virginia - 49 - Wisconsin - 62 - Florida Commissioner of Deeds opts (keyword): Optional parameters :body (NotaryJurisdiction): Returns {:ok, DocuSign.Model.NotaryJurisdiction.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.NotaryJurisdiction.html#notary_jurisdictions_put_notary_jurisdiction/3","title":"DocuSign.Api.NotaryJurisdiction.notary_jurisdictions_put_notary_jurisdiction/3","type":"function"},{"doc":"API calls for all endpoints tagged PaymentGatewayAccounts .","ref":"DocuSign.Api.PaymentGatewayAccounts.html","title":"DocuSign.Api.PaymentGatewayAccounts","type":"module"},{"doc":"List payment gateway accounts This method returns a list of payment gateway accounts and basic information about them. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.PaymentGatewayAccountsInfo.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PaymentGatewayAccounts.html#payment_gateway_accounts_get_all_payment_gateway_accounts/3","title":"DocuSign.Api.PaymentGatewayAccounts.payment_gateway_accounts_get_all_payment_gateway_accounts/3","type":"function"},{"doc":"API calls for all endpoints tagged Payments .","ref":"DocuSign.Api.Payments.html","title":"DocuSign.Api.Payments","type":"module"},{"doc":"Gets billing payment information for a specific payment. Retrieves the information for a specified payment. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. payment_id (String.t): The ID of the payment. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BillingPaymentItem.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment/4","title":"DocuSign.Api.Payments.billing_payments_get_payment/4","type":"function"},{"doc":"Gets payment information for one or more payments. Retrieves a list containing information about one or more payments. If the from date or to date queries are not used, the response returns payment information for the last 365 days. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :from_date (String.t): Specifies the date/time of the earliest payment in the account to retrieve. :to_date (String.t): Specifies the date/time of the latest payment in the account to retrieve. Returns {:ok, DocuSign.Model.BillingPaymentsResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Payments.html#billing_payments_get_payment_list/3","title":"DocuSign.Api.Payments.billing_payments_get_payment_list/3","type":"function"},{"doc":"Posts a payment to a past due invoice. Posts a payment to a past due invoice. This method can only be used if the paymentAllowed value for a past due invoice is true. This can be determined calling Billing::listInvoicesPastDue . The response returns information for a single payment if a payment ID was used in the endpoint, or a list of payments. If the from date or to date queries or payment ID are not used, the response returns payment information for the last 365 days. If the request was for a single payment ID, the nextUri and previousUri properties are not returned. Privileges required: account administrator Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (BillingPaymentRequest): Returns {:ok, DocuSign.Model.BillingPaymentResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Payments.html#billing_payments_post_payment/3","title":"DocuSign.Api.Payments.billing_payments_post_payment/3","type":"function"},{"doc":"API calls for all endpoints tagged PowerFormData .","ref":"DocuSign.Api.PowerFormData.html","title":"DocuSign.Api.PowerFormData","type":"module"},{"doc":"Returns the data that users entered in a PowerForm. This method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm. You specify the format in which you want to retrieve the data in the Accept header. This header accepts the following values: - application/json : JSON format - application/xml : XML format - text/csv : Comma-separated value (CSV) format Note: Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. power_form_id (String.t): The ID of the PowerForm. opts (keyword): Optional parameters :data_layout (String.t): The layout in which to return the PowerForm data. Valid values are: - Native - Csv_Classic - Csv_One_Envelope_Per_Line - Xml_Classic :from_date (String.t): The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied. :to_date (String.t): The end date of a date range in UTC DateTime format. The default value is UtcNow . Returns {:ok, DocuSign.Model.PowerFormsFormDataResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerFormData.html#power_forms_get_power_form_form_data/4","title":"DocuSign.Api.PowerFormData.power_forms_get_power_form_form_data/4","type":"function"},{"doc":"API calls for all endpoints tagged PowerForms .","ref":"DocuSign.Api.PowerForms.html","title":"DocuSign.Api.PowerForms","type":"module"},{"doc":"Deletes a PowerForm. This method deletes a PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. power_form_id (String.t): The ID of the PowerForm. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_form/4","title":"DocuSign.Api.PowerForms.power_forms_delete_power_form/4","type":"function"},{"doc":"Deletes one or more PowerForms. This method deletes one or more PowerForms. The request body takes an array of PowerForm objects that are deleted based on the powerFormId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (PowerFormsRequest): Returns {:ok, DocuSign.Model.PowerFormsResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_delete_power_forms_list/3","title":"DocuSign.Api.PowerForms.power_forms_delete_power_forms_list/3","type":"function"},{"doc":"Returns a single PowerForm. This method returns detailed information about a specific PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. power_form_id (String.t): The ID of the PowerForm. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.PowerForm.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_form/4","title":"DocuSign.Api.PowerForms.power_forms_get_power_form/4","type":"function"},{"doc":"Returns a list of PowerForms. This method returns a list of PowerForms that are available to the user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :from_date (String.t): The start date for a date range. Note: If no value is provided, no date filtering is applied. :order (String.t): The order in which to sort the results. Valid values are: asc : Ascending order. desc : Descending order. :order_by (String.t): The file attribute to use to sort the results. Valid values are: - sender - auth - used - remaining - lastused - status - type - templatename - created :search_fields (String.t): A comma-separated list of additional properties to include in a search. - sender : Include sender name and email in the search. - recipients : Include recipient names and emails in the search. - envelope : Include envelope information in the search. :search_text (String.t): Use this parameter to search for specific text. :to_date (String.t): The end date for a date range. Note: If no value is provided, this property defaults to the current date. Returns {:ok, DocuSign.Model.PowerFormsResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_list/3","title":"DocuSign.Api.PowerForms.power_forms_get_power_forms_list/3","type":"function"},{"doc":"Gets PowerForm senders. This method returns a list of users who have sent PowerForms. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, DocuSign.Model.PowerFormSendersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_get_power_forms_senders/3","title":"DocuSign.Api.PowerForms.power_forms_get_power_forms_senders/3","type":"function"},{"doc":"Creates a new PowerForm This method creates a new PowerForm. You create a PowerForm from an existing DocuSign template , based on the templateId in the request body. PowerForms that you create from a template are referred to as web PowerForms . Note: The DocuSign Admin console also supports creating a PowerForm by uploading a PDF file that has active form fields (referred to as a PDF PowerForm ). However, PDF PowerForms are deprecated and are not supported in the API. Note: A PowerForm can have only one sender. (Because PowerForms are not necessarily sent by email, this user is also referred to as the PowerForm initiator .) If you need to associate multiple senders with a PowerForm, create multiple copies of the PowerForm by using the same template (one copy for each sender). By default, the sender is the PowerForm Administrator who creates the PowerForm. ### Signing modes You can use one of the following signing modes for a PowerForm: email This mode verifies the recipient's identity by using email authentication before the recipient can sign a document. The recipient enters their email address on the landing page and then clicks Begin Signing to begin the signing process. The system then sends an email message with a validation code to the recipient. If the recipient does not provide a valid email address, they do not receive the email message containing the access code and are not able to open and sign the document. Alternatively, you can make the process easier for signers by using email authentication only and omitting the access code. To do this, you append the activateonly flag to the PowerForm URL and set it to true by passing in the value 1 . When the flag is active, the first recipient receives an email with a link that initiates the signing session without having to enter access code. Example: activateonly=1 direct This mode does not require any verification. After a recipient enters their email address on the landing page and clicks Begin Signing, a new browser tab opens and the recipient can immediately begin the signing process. Because the direct signing mode does not verify the recipient's identity by using email authentication, we strongly recommend that you use this mode only when the PowerForm is accessible behind a secure portal where the recipient's identity is already authenticated, or where another form of authentication is specified for the recipient in the DocuSign template (for example, an access code, phone authentication, or ID check). Note: In the account settings, enablePowerFormDirect must be true to use direct as the signingMode . ### Redirect URLs You can control the URL to which signers are redirected after signing your PowerForm. However, the URL is specified elsewhere, outside of the PowerForm creation process. For details, see How do I specify a URL to redirect to when a PowerForm is completed? . ### More information For more information about creating PowerForms, see Create a PowerForm . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (PowerForm): Information about any PowerForms that are included in the envelope. Returns {:ok, DocuSign.Model.PowerForm.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_post_power_form/3","title":"DocuSign.Api.PowerForms.power_forms_post_power_form/3","type":"function"},{"doc":"Updates an existing PowerForm. This method updates an existing PowerForm. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. power_form_id (String.t): The ID of the PowerForm. opts (keyword): Optional parameters :body (PowerForm): Information about any PowerForms that are included in the envelope. Returns {:ok, DocuSign.Model.PowerForm.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.PowerForms.html#power_forms_put_power_form/4","title":"DocuSign.Api.PowerForms.power_forms_put_power_form/4","type":"function"},{"doc":"API calls for all endpoints tagged RequestLogs .","ref":"DocuSign.Api.RequestLogs.html","title":"DocuSign.Api.RequestLogs","type":"module"},{"doc":"Deletes the request log files. Deletes the request log files. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_delete_request_logs/2","title":"DocuSign.Api.RequestLogs.a_pi_request_log_delete_request_logs/2","type":"function"},{"doc":"Gets a request logging log file. Retrieves information for a single log entry. Request The requestLogId property can be retrieved by getting the list of log entries. The Content-Transfer-Encoding header can be set to base64 to retrieve the API request/response as base 64 string. Otherwise the bytes of the request/response are returned. Response If the Content-Transfer-Encoding header was set to base64, the log is returned as a base64 string. Parameters connection (DocuSign.Connection): Connection to server request_log_id (String.t): The ID of the log entry. opts (keyword): Optional parameters Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log/3","title":"DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log/3","type":"function"},{"doc":"Gets the API request logging settings. Retrieves the current API request logging setting for the user and remaining log entries. Response The response includes the current API request logging setting for the user, along with the maximum log entries and remaining log entries. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DiagnosticsSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_log_settings/2","title":"DocuSign.Api.RequestLogs.a_pi_request_log_get_request_log_settings/2","type":"function"},{"doc":"Gets the API request logging log files. Retrieves a list of log entries as a JSON or XML object or as a zip file containing the entries. If the Accept header is set to application/zip , the response is a zip file containing individual text files, each representing an API request. If the Accept header is set to application/json or application/xml , the response returns list of log entries in either JSON or XML. An example JSON response body is shown below. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :encoding (String.t): Reserved for DocuSign. Returns {:ok, DocuSign.Model.ApiRequestLogsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_get_request_logs/2","title":"DocuSign.Api.RequestLogs.a_pi_request_log_get_request_logs/2","type":"function"},{"doc":"Enables or disables API request logging for troubleshooting. Enables or disables API request logging for troubleshooting. When enabled ( apiRequestLogging is true ), REST API requests and responses for the user are added to a log. A log can have up to 50 requests/responses and the current number of log entries can be determined by getting the settings. Logging is automatically disabled when the log limit of 50 is reached. You can call Diagnostics: getRequestLog or Diagnostics: listRequestLogs to download the log files (individually or as a zip file). Call Diagnostics: deleteRequestLogs to clear the log by deleting current entries. Private information, such as passwords and integration key information, which is normally located in the call header is omitted from the request/response log. API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId is not logged. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters :body (DiagnosticsSettingsInformation): Returns {:ok, DocuSign.Model.DiagnosticsSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.RequestLogs.html#a_pi_request_log_put_request_log_settings/2","title":"DocuSign.Api.RequestLogs.a_pi_request_log_put_request_log_settings/2","type":"function"},{"doc":"API calls for all endpoints tagged Resources .","ref":"DocuSign.Api.Resources.html","title":"DocuSign.Api.Resources","type":"module"},{"doc":"Lists resources for REST version specified Retrieves the base resources available for the eSignature REST API. You do not need an integrator key to view the REST API versions and resources. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ResourceInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Resources.html#service_information_get_resource_information/2","title":"DocuSign.Api.Resources.service_information_get_resource_information/2","type":"function"},{"doc":"API calls for all endpoints tagged ResponsiveHtmlPreview .","ref":"DocuSign.Api.ResponsiveHtmlPreview.html","title":"DocuSign.Api.ResponsiveHtmlPreview","type":"module"},{"doc":"Creates a preview of the responsive versions of all of the documents in an envelope. Creates a preview of the responsive , HTML versions of all of the documents in an envelope. This method enables you to preview the PDF document conversions to responsive HTML across device types prior to sending. The request body is a documentHtmlDefinition object, which holds the responsive signing parameters that define how to generate the HTML version of the documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters :body (DocumentHtmlDefinition): Returns {:ok, DocuSign.Model.DocumentHtmlDefinitions.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.ResponsiveHtmlPreview.html#responsive_html_post_responsive_html_preview/4","title":"DocuSign.Api.ResponsiveHtmlPreview.responsive_html_post_responsive_html_preview/4","type":"function"},{"doc":"API calls for all endpoints tagged Services .","ref":"DocuSign.Api.Services.html","title":"DocuSign.Api.Services","type":"module"},{"doc":"Retrieves the available REST API versions. Retrieves the available REST API versions. DocuSign Production system: https://www.docusign.net/restapi/service_information DocuSign Demo system: https://demo.docusign.net/restapi/service_information You do not need an integration key to view the REST API versions and resources. Parameters connection (DocuSign.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.ServiceInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Services.html#service_information_get_service_information/2","title":"DocuSign.Api.Services.service_information_get_service_information/2","type":"function"},{"doc":"API calls for all endpoints tagged SigningGroupUsers .","ref":"DocuSign.Api.SigningGroupUsers.html","title":"DocuSign.Api.SigningGroupUsers","type":"module"},{"doc":"Deletes one or more members from a signing group. Deletes one or more members from the specified signing group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signing_group_id (String.t): The ID of the signing group . Note: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, DocuSign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy. opts (keyword): Optional parameters :body (SigningGroupUsers): A complex type that contains information about users in the signing group. Returns {:ok, DocuSign.Model.SigningGroupUsers.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_delete_signing_group_users/4","title":"DocuSign.Api.SigningGroupUsers.signing_groups_delete_signing_group_users/4","type":"function"},{"doc":"Gets a list of members in a Signing Group. Retrieves the list of members in the specified Signing Group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signing_group_id (String.t): The ID of the signing group . Note: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, DocuSign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.SigningGroupUsers.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_get_signing_group_users/4","title":"DocuSign.Api.SigningGroupUsers.signing_groups_get_signing_group_users/4","type":"function"},{"doc":"Adds members to a signing group. Adds one or more new members to a signing group. A signing group can have a maximum of 50 members. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signing_group_id (String.t): The ID of the signing group . Note: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, DocuSign recommends that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change t he default action of Needs to Sign to a different value, such as Receives a Copy. opts (keyword): Optional parameters :body (SigningGroupUsers): A complex type that contains information about users in the signing group. Returns {:ok, DocuSign.Model.SigningGroupUsers.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroupUsers.html#signing_groups_put_signing_group_users/4","title":"DocuSign.Api.SigningGroupUsers.signing_groups_put_signing_group_users/4","type":"function"},{"doc":"API calls for all endpoints tagged SigningGroups .","ref":"DocuSign.Api.SigningGroups.html","title":"DocuSign.Api.SigningGroups","type":"module"},{"doc":"Deletes one or more signing groups. Deletes one or more signing groups in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (SigningGroupInformation): Returns {:ok, DocuSign.Model.SigningGroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroups.html#signing_groups_delete_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_delete_signing_groups/3","type":"function"},{"doc":"Gets information about a signing group. Retrieves information, including group member information, for the specified signing group. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signing_group_id (String.t): The ID of the signing group . opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.SigningGroup.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_group/4","title":"DocuSign.Api.SigningGroups.signing_groups_get_signing_group/4","type":"function"},{"doc":"Gets a list of the Signing Groups in an account. Retrieves a list of all signing groups in the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :group_type (String.t): Filters by the type of signing group. Valid values: sharedSigningGroup privateSigningGroup * systemSigningGroup :include_users (String.t): When true, the response includes the signing group members. Returns {:ok, DocuSign.Model.SigningGroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroups.html#signing_groups_get_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_get_signing_groups/3","type":"function"},{"doc":"Creates a signing group. Creates one or more signing groups. Multiple signing groups can be created in one call. Only users with account administrator privileges can create signing groups. An account can have a maximum of 50 signing groups. Each signing group can have a maximum of 50 group members. Signing groups can be used by any account user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (SigningGroupInformation): Returns {:ok, DocuSign.Model.SigningGroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroups.html#signing_groups_post_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_post_signing_groups/3","type":"function"},{"doc":"Updates a signing group. Updates signing group name and member information. You can also add new members to the signing group. A signing group can have a maximum of 50 members. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signing_group_id (String.t): The ID of the signing group . opts (keyword): Optional parameters :body (SigningGroup): Returns {:ok, DocuSign.Model.SigningGroup.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_group/4","title":"DocuSign.Api.SigningGroups.signing_groups_put_signing_group/4","type":"function"},{"doc":"Updates signing group names. Updates the name of one or more existing signing groups. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (SigningGroupInformation): Returns {:ok, DocuSign.Model.SigningGroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.SigningGroups.html#signing_groups_put_signing_groups/3","title":"DocuSign.Api.SigningGroups.signing_groups_put_signing_groups/3","type":"function"},{"doc":"API calls for all endpoints tagged TabsBlob .","ref":"DocuSign.Api.TabsBlob.html","title":"DocuSign.Api.TabsBlob","type":"module"},{"doc":"Reserved for DocuSign. This endpoint has been deprecated. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_get_tabs_blob/4","title":"DocuSign.Api.TabsBlob.tabs_blob_get_tabs_blob/4","type":"function"},{"doc":"Reserved for DocuSign. This endpoint has been deprecated. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. envelope_id (String.t): The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TabsBlob.html#tabs_blob_put_tabs_blob/4","title":"DocuSign.Api.TabsBlob.tabs_blob_put_tabs_blob/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateBulkRecipients .","ref":"DocuSign.Api.TemplateBulkRecipients.html","title":"DocuSign.Api.TemplateBulkRecipients","type":"module"},{"doc":"Deletes the bulk recipient list on a template. Deletes the bulk recipient list on a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.BulkRecipientsUpdateResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateBulkRecipients.html#recipients_delete_template_bulk_recipients_file/5","title":"DocuSign.Api.TemplateBulkRecipients.recipients_delete_template_bulk_recipients_file/5","type":"function"},{"doc":"Gets the bulk recipient file from a template. Retrieves the bulk recipient file information from a template that has a bulk recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :include_tabs (String.t): When true, the tab information associated with the recipient is included in the response. If you do not specify this parameter, the effect is the default behavior ( false ). :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.BulkRecipientsResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateBulkRecipients.html#recipients_get_template_bulk_recipients/5","title":"DocuSign.Api.TemplateBulkRecipients.recipients_get_template_bulk_recipients/5","type":"function"},{"doc":"API calls for all endpoints tagged TemplateCustomFields .","ref":"DocuSign.Api.TemplateCustomFields.html","title":"DocuSign.Api.TemplateCustomFields","type":"module"},{"doc":"Deletes envelope custom fields in a template. Deletes envelope custom fields in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateCustomFields): Returns {:ok, DocuSign.Model.CustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_delete_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_delete_template_custom_fields/4","type":"function"},{"doc":"Gets the custom document fields from a template. Retrieves the custom document field information from an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.CustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_get_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_get_template_custom_fields/4","type":"function"},{"doc":"Creates custom document fields in an existing template document. Creates custom document fields in an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateCustomFields): Returns {:ok, DocuSign.Model.CustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_post_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_post_template_custom_fields/4","type":"function"},{"doc":"Updates envelope custom fields in a template. Updates the custom fields in a template. Each custom field used in a template must have a unique name. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateCustomFields): Returns {:ok, DocuSign.Model.CustomFields.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateCustomFields.html#custom_fields_put_template_custom_fields/4","title":"DocuSign.Api.TemplateCustomFields.custom_fields_put_template_custom_fields/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateDocumentFields .","ref":"DocuSign.Api.TemplateDocumentFields.html","title":"DocuSign.Api.TemplateDocumentFields","type":"module"},{"doc":"Deletes custom document fields from an existing template document. Deletes custom document fields from an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (DocumentFieldsInformation): Returns {:ok, DocuSign.Model.DocumentFieldsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_delete_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_delete_template_document_fields/5","type":"function"},{"doc":"Gets the custom document fields for a an existing template document. This method retrieves the custom document fields for an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentFieldsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_get_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_get_template_document_fields/5","type":"function"},{"doc":"Creates custom document fields in an existing template document. Creates custom document fields in an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (DocumentFieldsInformation): Returns {:ok, DocuSign.Model.DocumentFieldsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_post_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_post_template_document_fields/5","type":"function"},{"doc":"Updates existing custom document fields in an existing template document. Updates existing custom document fields in an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (DocumentFieldsInformation): Returns {:ok, DocuSign.Model.DocumentFieldsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentFields.html#document_fields_put_template_document_fields/5","title":"DocuSign.Api.TemplateDocumentFields.document_fields_put_template_document_fields/5","type":"function"},{"doc":"API calls for all endpoints tagged TemplateDocumentHtmlDefinitions .","ref":"DocuSign.Api.TemplateDocumentHtmlDefinitions.html","title":"DocuSign.Api.TemplateDocumentHtmlDefinitions","type":"module"},{"doc":"Gets the Original HTML Definition used to generate the Responsive HTML for a given document in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentHtmlDefinitions.html#responsive_html_get_template_document_html_definitions/5","title":"DocuSign.Api.TemplateDocumentHtmlDefinitions.responsive_html_get_template_document_html_definitions/5","type":"function"},{"doc":"API calls for all endpoints tagged TemplateDocumentResponsiveHtmlPreview .","ref":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.html","title":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview","type":"module"},{"doc":"Creates a preview of the responsive version of a template document. Creates a preview of the responsive , HTML version of a specific template document. This method enables you to preview a PDF document conversion to responsive HTML across device types prior to sending. The request body is a documentHtmlDefinition object, which holds the responsive signing parameters that define how to generate the HTML version of the signing document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (DocumentHtmlDefinition): Returns {:ok, DocuSign.Model.DocumentHtmlDefinitions.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.html#responsive_html_post_template_document_responsive_html_preview/5","title":"DocuSign.Api.TemplateDocumentResponsiveHtmlPreview.responsive_html_post_template_document_responsive_html_preview/5","type":"function"},{"doc":"API calls for all endpoints tagged TemplateDocumentTabs .","ref":"DocuSign.Api.TemplateDocumentTabs.html","title":"DocuSign.Api.TemplateDocumentTabs","type":"module"},{"doc":"Deletes tabs from a template. Deletes tabs from the document specified by documentId in the template specified by templateId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateTabs): Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_delete_template_document_tabs/5","title":"DocuSign.Api.TemplateDocumentTabs.tabs_delete_template_document_tabs/5","type":"function"},{"doc":"Returns tabs on a template. Returns the tabs on the document specified by documentId in the template specified by templateId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :page_numbers (String.t): Filters for tabs that occur on the pages that you specify. Enter as a comma-separated list of page Guids. Example: page_numbers=2,6 Returns {:ok, DocuSign.Model.TemplateDocumentTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_document_tabs/5","title":"DocuSign.Api.TemplateDocumentTabs.tabs_get_template_document_tabs/5","type":"function"},{"doc":"Returns tabs on the specified page. Returns the tabs from the page specified by pageNumber of the document specified by documentId in the template specified by templateId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.TemplateDocumentTabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_get_template_page_tabs/6","title":"DocuSign.Api.TemplateDocumentTabs.tabs_get_template_page_tabs/6","type":"function"},{"doc":"Adds tabs to a document in a template. Adds tabs to the document specified by documentId in the template specified by templateId . In the request body, you only need to specify the tabs that your are adding. For example, to add a text prefill tab , your request body might look like this: { &quot;prefillTabs&quot;: { &quot;textTabs&quot;: [ { &quot;value&quot;: &quot;a prefill text tab&quot;, &quot;pageNumber&quot;: &quot;1&quot;, &quot;documentId&quot;: &quot;1&quot;, &quot;xPosition&quot;: 316, &quot;yPosition&quot;: 97 } ] } } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateTabs): Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_post_template_document_tabs/5","title":"DocuSign.Api.TemplateDocumentTabs.tabs_post_template_document_tabs/5","type":"function"},{"doc":"Updates the tabs for a template. Updates tabs in the document specified by documentId in the template specified by templateId . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateTabs): Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentTabs.html#tabs_put_template_document_tabs/5","title":"DocuSign.Api.TemplateDocumentTabs.tabs_put_template_document_tabs/5","type":"function"},{"doc":"API calls for all endpoints tagged TemplateDocumentVisibility .","ref":"DocuSign.Api.TemplateDocumentVisibility.html","title":"DocuSign.Api.TemplateDocumentVisibility","type":"module"},{"doc":"Returns document visibility for a template recipient This method returns information about document visibility for a template recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentVisibilityList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_get_template_recipient_document_visibility/5","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_get_template_recipient_document_visibility/5","type":"function"},{"doc":"Updates document visibility for a template recipient This method updates the document visibility for a template recipient. Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateDocumentVisibilityList): Returns {:ok, DocuSign.Model.TemplateDocumentVisibilityList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipient_document_visibility/5","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipient_document_visibility/5","type":"function"},{"doc":"Updates document visibility for template recipients This method updates document visibility for one or more template recipients based on the recipientId and visible values that you include in the request body. Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateDocumentVisibilityList): Returns {:ok, DocuSign.Model.TemplateDocumentVisibilityList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocumentVisibility.html#recipients_put_template_recipients_document_visibility/4","title":"DocuSign.Api.TemplateDocumentVisibility.recipients_put_template_recipients_document_visibility/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateDocuments .","ref":"DocuSign.Api.TemplateDocuments.html","title":"DocuSign.Api.TemplateDocuments","type":"module"},{"doc":"Deletes documents from a template. This method deletes one or more documents from an existing template. To delete a document, use only the relevant parts of the envelopeDefinition . For example, this request body specifies that you want to delete the document whose documentId is &quot;1&quot;. text { &quot;documents&quot;: [ { &quot;documentId&quot;: &quot;1&quot; } ] } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (EnvelopeDefinition): Returns {:ok, DocuSign.Model.TemplateDocumentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocuments.html#documents_delete_template_documents/4","title":"DocuSign.Api.TemplateDocuments.documents_delete_template_documents/4","type":"function"},{"doc":"Gets PDF documents from a template. This method retrieves one or more PDF documents from the template that you specify. You can specify the ID of the document to retrieve, or pass in the value combined to retrieve all documents in the template as a single PDF file. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :encrypt (String.t): When true, the PDF bytes returned in the response are encrypted for all the key managers configured on your DocuSign account. You can decrypt the documents by using the Key Manager DecryptDocument API method. For more information about Key Manager, see the DocuSign Security Appliance Installation Guide that your organization received from DocuSign. :show_changes (String.t): When true, any document fields that a recipient changed are highlighted in yellow in the returned PDF document, and optional signatures or initials are outlined in red. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_document/5","title":"DocuSign.Api.TemplateDocuments.documents_get_template_document/5","type":"function"},{"doc":"Gets a list of documents associated with a template. Retrieves a list of documents associated with the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :include_tabs (String.t): Reserved for DocuSign. Returns {:ok, DocuSign.Model.TemplateDocumentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocuments.html#documents_get_template_documents/4","title":"DocuSign.Api.TemplateDocuments.documents_get_template_documents/4","type":"function"},{"doc":"Updates a template document. This methods updates an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :is_envelope_definition (String.t): :body (EnvelopeDefinition): Returns {:ok, DocuSign.Model.EnvelopeDocument.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_document/5","title":"DocuSign.Api.TemplateDocuments.documents_put_template_document/5","type":"function"},{"doc":"Adds documents to a template document. Adds one or more documents to an existing template document. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (EnvelopeDefinition): Returns {:ok, DocuSign.Model.TemplateDocumentsResult.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateDocuments.html#documents_put_template_documents/4","title":"DocuSign.Api.TemplateDocuments.documents_put_template_documents/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateHtmlDefinitions .","ref":"DocuSign.Api.TemplateHtmlDefinitions.html","title":"DocuSign.Api.TemplateHtmlDefinitions","type":"module"},{"doc":"Gets the Original HTML Definition used to generate the Responsive HTML for the template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.DocumentHtmlDefinitionOriginals.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateHtmlDefinitions.html#responsive_html_get_template_html_definitions/4","title":"DocuSign.Api.TemplateHtmlDefinitions.responsive_html_get_template_html_definitions/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateLocks .","ref":"DocuSign.Api.TemplateLocks.html","title":"DocuSign.Api.TemplateLocks","type":"module"},{"doc":"Deletes a template lock. Deletes the lock from the specified template. The user deleting the lock must be the same user who locked the template. You must include the X-DocuSign-Edit header as described in TemplateLocks: create . This method takes an optional query parameter that lets you specify whether changes made while the template was locked are kept or discarded. | Query Parameter | Description | | :-------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | save_changes | When true (the default), any changes made while the lock was active are saved. When false, any changes made while the template was locked are discarded. | ### Related topics - Common API Tasks: Locking and unlocking envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (LockRequest): Returns {:ok, DocuSign.Model.LockInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateLocks.html#lock_delete_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_delete_template_lock/4","type":"function"},{"doc":"Gets template lock information. Retrieves general information about a template lock. The user requesting the information must be the same user who locked the template. You can use this method to recover the lock information, including the lockToken , for a locked template. The X-DocuSign-Edit header is included in the response. See TemplateLocks: create for a description of the X-DocuSign-Edit header. ### Related topics - Common API Tasks: Locking and unlocking envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.LockInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateLocks.html#lock_get_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_get_template_lock/4","type":"function"},{"doc":"Locks a template. This method locks the specified template and sets the time until the lock expires to prevent other users or recipients from changing the template. The response to this request includes a lockToken parameter that you must use in the X-DocuSign-Edit header for every PUT method (typically a method that updates a template) while the template is locked. If you do not provide the lockToken when accessing a locked template, you will get the following error: { &quot;errorCode&quot;: &quot;EDIT_LOCK_NOT_LOCK_OWNER&quot;, &quot;message&quot;: &quot;The user is not the owner of the lock. The template is locked by another user or in another application&quot; } ### The X-DocuSign-Edit header The X-DocuSign-Edit header looks like this and can be specified in either JSON or XML. JSON { &quot;LockToken&quot;: &quot;token-from-response&quot;, &quot;LockDurationInSeconds&quot;: &quot;600&quot; } XML &lt;DocuSignEdit&gt; &lt;LockToken&gt;token-from-response&lt;/LockToken&gt; &lt;LockDurationInSeconds&gt;600&lt;/LockDurationInSeconds&gt; &lt;/DocuSignEdit&gt; In the actual HTTP header, you would remove the linebreaks: X-DocuSign-Edit: {&quot;LockToken&quot;: &quot;token-from-response&quot;, &quot;LockDurationInSeconds&quot;: &quot;600&quot; } or X-DocuSign-Edit:&lt;DocuSignEdit&gt;&lt;LockToken&gt;token-from-response&lt;/LockToken&gt;&lt;LockDurationInSeconds&gt;600&lt;/LockDurationInSeconds&gt;&lt;/DocuSignEdit&gt; ### Related topics - Common API Tasks: Locking and unlocking envelopes Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (LockRequest): Returns {:ok, DocuSign.Model.LockInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateLocks.html#lock_post_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_post_template_lock/4","type":"function"},{"doc":"Updates a template lock. Updates the lock information for a locked template. You must include the X-DocuSign-Edit header as described in TemplateLocks: create . Use this method to change the duration of the lock ( lockDurationInSeconds ) or the lockedByApp string. The request body is a full lockRequest object, but you only need to specify the properties that you are updating. For example: { &quot;lockDurationInSeconds&quot;: &quot;3600&quot;, &quot;lockedByApp&quot;: &quot;My Application&quot; } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (LockRequest): Returns {:ok, DocuSign.Model.LockInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateLocks.html#lock_put_template_lock/4","title":"DocuSign.Api.TemplateLocks.lock_put_template_lock/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateRecipientTabs .","ref":"DocuSign.Api.TemplateRecipientTabs.html","title":"DocuSign.Api.TemplateRecipientTabs","type":"module"},{"doc":"Deletes the tabs associated with a recipient in a template. Deletes one or more tabs associated with a recipient in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateTabs): Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_delete_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_delete_template_recipient_tabs/5","type":"function"},{"doc":"Gets the tabs information for a signer or sign-in-person recipient in a template. Gets the tabs information for a signer or sign-in-person recipient in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :include_anchor_tab_locations (String.t): When true, all tabs with anchor tab properties are included in the response. The default value is false. :include_metadata (String.t): When true, the response includes metadata indicating which properties are editable. Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_get_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_get_template_recipient_tabs/5","type":"function"},{"doc":"Adds tabs for a recipient. Adds one or more tabs for a recipient. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateTabs): Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_post_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_post_template_recipient_tabs/5","type":"function"},{"doc":"Updates the tabs for a recipient. Updates one or more tabs for a recipient in a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateTabs): Returns {:ok, DocuSign.Model.Tabs.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipientTabs.html#recipients_put_template_recipient_tabs/5","title":"DocuSign.Api.TemplateRecipientTabs.recipients_put_template_recipient_tabs/5","type":"function"},{"doc":"API calls for all endpoints tagged TemplateRecipients .","ref":"DocuSign.Api.TemplateRecipients.html","title":"DocuSign.Api.TemplateRecipients","type":"module"},{"doc":"Deletes the specified recipient file from a template. Deletes the specified recipient file from the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. recipient_id (String.t): A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1 . template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateRecipients): Returns {:ok, DocuSign.Model.Recipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipient/5","title":"DocuSign.Api.TemplateRecipients.recipients_delete_template_recipient/5","type":"function"},{"doc":"Deletes recipients from a template. Deletes one or more recipients from a template. Recipients to be deleted are listed in the request, with the recipientId being used as the key for deleting recipients. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateRecipients): Returns {:ok, DocuSign.Model.Recipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipients.html#recipients_delete_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_delete_template_recipients/4","type":"function"},{"doc":"Gets recipient information from a template. Retrieves the information for all recipients in the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :include_anchor_tab_locations (String.t): When true and include_tabs is set to true, all tabs with anchor tab properties are included in the response. :include_extended (String.t): When true, the extended properties are included in the response. :include_tabs (String.t): When true, the tab information associated with the recipient is included in the response. Returns {:ok, DocuSign.Model.Recipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipients.html#recipients_get_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_get_template_recipients/4","type":"function"},{"doc":"Adds tabs for a recipient. Adds one or more recipients to a template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :resend_envelope (String.t): When true, resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification. Note: Correcting an envelope is a different process. DocuSign always resends an envelope when you correct it, regardless of the value that you enter here. :body (TemplateRecipients): Returns {:ok, DocuSign.Model.Recipients.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipients.html#recipients_post_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_post_template_recipients/4","type":"function"},{"doc":"Updates recipients in a template. Updates recipients in a template. You can edit the following properties: email , userName , routingOrder , faxNumber , deliveryMethod , accessCode , and requireIdLookup . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :resend_envelope (String.t): When true, resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification. Note: Correcting an envelope is a different process. DocuSign always resends an envelope when you correct it, regardless of the value that you enter here. :body (TemplateRecipients): Returns {:ok, DocuSign.Model.RecipientsUpdateSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipients.html#recipients_put_template_recipients/4","title":"DocuSign.Api.TemplateRecipients.recipients_put_template_recipients/4","type":"function"},{"doc":"Creates a template recipient preview. This method returns a URL for a template recipient preview in the DocuSign UI that you can embed in your application. You use this method to enable the sender to preview the recipients' experience. For more information, see Preview and Send . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (RecipientPreviewRequest): Returns {:ok, DocuSign.Model.ViewUrl.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateRecipients.html#views_post_template_recipient_preview/4","title":"DocuSign.Api.TemplateRecipients.views_post_template_recipient_preview/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateResponsiveHtmlPreview .","ref":"DocuSign.Api.TemplateResponsiveHtmlPreview.html","title":"DocuSign.Api.TemplateResponsiveHtmlPreview","type":"module"},{"doc":"Creates a preview of the responsive versions of all of the documents associated with a template. Creates a preview of the responsive , HTML versions of all of the documents associated with a template. This method enables you to preview the PDF document conversions to responsive HTML across device types prior to sending. The request body is a documentHtmlDefinition object, which holds the responsive signing parameters that define how to generate the HTML version of the documents. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (DocumentHtmlDefinition): Returns {:ok, DocuSign.Model.DocumentHtmlDefinitions.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateResponsiveHtmlPreview.html#responsive_html_post_template_responsive_html_preview/4","title":"DocuSign.Api.TemplateResponsiveHtmlPreview.responsive_html_post_template_responsive_html_preview/4","type":"function"},{"doc":"API calls for all endpoints tagged TemplateViews .","ref":"DocuSign.Api.TemplateViews.html","title":"DocuSign.Api.TemplateViews","type":"module"},{"doc":"Gets a URL for a template edit view. This method returns a URL for starting an edit view of a template that uses the DocuSign Template UI. The URL can only be used once. To prevent the user from accessing the sending account, set the returnUrl value in the request body. ## Information security notice If the returnUrl value is not set, this method provides full access to the sending account. If the account has administrative privileges, then this method also provides administrator access. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (ReturnUrlRequest): Returns {:ok, DocuSign.Model.ViewUrl.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.TemplateViews.html#views_post_template_edit_view/4","title":"DocuSign.Api.TemplateViews.views_post_template_edit_view/4","type":"function"},{"doc":"API calls for all endpoints tagged Templates .","ref":"DocuSign.Api.Templates.html","title":"DocuSign.Api.Templates","type":"module"},{"doc":"Gets template notification information. Retrieves the envelope notification, reminders and expirations, information for an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#notification_get_templates_template_id_notification/4","title":"DocuSign.Api.Templates.notification_get_templates_template_id_notification/4","type":"function"},{"doc":"Updates the notification structure for an existing template. Updates the notification structure for an existing template. Use this endpoint to set reminder and expiration notifications. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (TemplateNotificationRequest): Returns {:ok, DocuSign.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#notification_put_templates_template_id_notification/4","title":"DocuSign.Api.Templates.notification_put_templates_template_id_notification/4","type":"function"},{"doc":"Deletes a page from a document in an template. Deletes a page from a document in a template based on the page number. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (PageRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#pages_delete_template_page/6","title":"DocuSign.Api.Templates.pages_delete_template_page/6","type":"function"},{"doc":"Gets a page image from a template for display. Retrieves a page image for display from the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :dpi (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94. :max_height (String.t): Sets the maximum height of the returned images in pixels. :max_width (String.t): Sets the maximum width of the returned images in pixels. :show_changes (String.t): Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#pages_get_template_page_image/6","title":"DocuSign.Api.Templates.pages_get_template_page_image/6","type":"function"},{"doc":"Returns document page images based on input. Returns images of the pages in a template document for display based on the parameters that you specify. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): (Required) The external account number (int) or account ID GUID. document_id (String.t): (Required) The ID of the document. template_id (String.t): (Required) The ID of the template. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. :dpi (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94. :max_height (String.t): Sets the maximum height of the returned images in pixels. :max_width (String.t): Sets the maximum width of the returned images in pixels. :nocache (String.t): When true, using cache is disabled and image information is retrieved from a database. True is the default value. :show_changes (String.t): When true, changes display in the user interface. :start_position (String.t): The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image. Returns {:ok, DocuSign.Model.PageImages.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#pages_get_template_page_images/5","title":"DocuSign.Api.Templates.pages_get_template_page_images/5","type":"function"},{"doc":"Rotates page image from a template for display. Rotates page image from a template for display. The page image can be rotated to the left or right. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. document_id (String.t): The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1 , the second document 2 , and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab. page_number (String.t): The page number being accessed. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (PageRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#pages_put_template_page_image/6","title":"DocuSign.Api.Templates.pages_put_template_page_image/6","type":"function"},{"doc":"Removes a member group's sharing permissions for a template. Removes a member group's sharing permissions for a specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. template_part (String.t): Currently, the only defined part is groups. opts (keyword): Optional parameters :body (GroupInformation): Returns {:ok, DocuSign.Model.GroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#templates_delete_template_part/5","title":"DocuSign.Api.Templates.templates_delete_template_part/5","type":"function"},{"doc":"Gets a specific template associated with a specified account. Retrieves the definition of the specified template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: - powerforms : Includes information about PowerForms. - tabs : Includes information about tabs. - documents : Includes information about documents. - favorite_template_status : : Includes the template favoritedByMe property in the response. Note: You can mark a template as a favorite only in eSignature v2.1. Returns {:ok, DocuSign.Model.EnvelopeTemplate.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#templates_get_template/4","title":"DocuSign.Api.Templates.templates_get_template/4","type":"function"},{"doc":"Gets the list of templates. Retrieves the list of templates for the specified account. The request can be limited to a specific folder. ### Related topics - How to create a template Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :created_from_date (String.t): Lists templates created on or after this date. :created_to_date (String.t): Lists templates modified before this date. :folder_ids (String.t): A comma-separated list of folder ID GUIDs. :folder_types (String.t): The type of folder to return templates for. Possible values are: - templates : Templates in the My Templates folder. Templates in the Shared Templates and All Template folders (if the request ID from and Admin) are excluded. - templates_root : Templates in the root level of the My Templates folder, but not in an actual folder. Note that the My Templates folder is not a real folder. - recylebin : Templates that have been deleted. :from_date (String.t): Start of the search date range. Only returns templates created on or after this date/time. If no value is specified, there is no limit on the earliest date created. :include (String.t): A comma-separated list of additional template attributes to include in the response. Valid values are: - powerforms : Includes details about the PowerForms associated with the templates. - documents : Includes information about template documents. - folders : Includes information about the folder that holds the template. - favorite_template_status : Includes the template favoritedByMe property. Note: You can mark a template as a favorite only in eSignature v2.1. - advanced_templates : Includes information about advanced templates. - recipients : Includes information about template recipients. - custom_fields : Includes information about template custom fields. - notifications : Includes information about the notification settings for templates. :is_deleted_template_only (String.t): When true, retrieves templates that have been permanently deleted. The default is false. Note: After you delete a template, you can see it in the Deleted bin in the UI for 24 hours. After 24 hours, the template is permanently deleted. :is_download (String.t): When true, downloads the templates listed in template_ids as a collection of JSON definitions in a single zip file. The Content-Disposition header is set in the response. The value of the header provides the filename of the file. The default is false. Note: This parameter only works when you specify a list of templates in the template_ids parameter. :modified_from_date (String.t): Lists templates modified on or after this date. :modified_to_date (String.t): Lists templates modified before this date. :order (String.t): Specifies the sort order of the search results. Valid values are: - asc : Ascending (A to Z) - desc : Descending (Z to A) :order_by (String.t): Specifies how the search results are listed. Valid values are: - name : template name - modified : date/time template was last modified - used : date/time the template was last used. :search_fields (String.t): A comma-separated list of additional template properties to search. - sender : Include sender name and email in the search. - recipients : Include recipient names and emails in the search. - envelope : Not used in template searches. :search_text (String.t): The text to use to search the names of templates. Limit: 48 characters. :shared_by_me (String.t): When true, the response only includes templates shared by the user. If false, the response only returns template not shared by the user. If not specified, the response is not affected. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :template_ids (String.t): A comma-separated list of template IDs to download. This value is valid only when is_download is true. :to_date (String.t): The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date. :used_from_date (String.t): Start of the search date range. Only returns templates used or edited on or after this date/time. If no value is specified, there is no limit on the earliest date used. :used_to_date (String.t): End of the search date range. Only returns templates used or edited up to this date/time. If no value is provided, this defaults to the current date. :user_filter (String.t): Filters the templates in the response. Valid values are: - owned_by_me : Results include only templates owned by the user. - shared_with_me : Results include only templates owned by the user. - all : Results include all templates owned or shared with the user. :user_id (String.t): The ID of the user. Returns {:ok, DocuSign.Model.EnvelopeTemplateResults.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#templates_get_templates/3","title":"DocuSign.Api.Templates.templates_get_templates/3","type":"function"},{"doc":"Creates one or more templates. Creates one or more template definitions, using a multipart request for each template. Templates help streamline the sending process when you frequently send the same or similar documents, or send different documents to the same group of people. When you create a template, you define placeholder roles. Rather than specifying a person, you specify a role that regularly participates in a transaction that uses the template. Then, when you create or send an envelope based on the template, you assign actual recipients to the template roles. The recipients automatically inherit all of the workflow that is defined for that role in the template, such as the tabs and routing information. ## Template Email Subject Merge Fields Placeholder roles have associated merge fields that personalize the email notification that DocuSign sends. For example, the template automatically personalizes the email message by adding placeholders for the recipient's name and email address within the email subject line, based on the recipient's role. When the sender adds the name and email information for the recipient and sends the envelope, the recipient information is automatically merged into the appropriate fields in the email subject line. Both the sender and the recipients will see the information in the email subject line for any emails associated with the template. This provides an easy way for senders to organize their envelope emails without having to open an envelope to find out who the recipient is. Use the following placeholders to insert a recipient's name or email address in the subject line To insert a recipient's name into the subject line, use the [[&lt;roleName&gt;_UserName]] placholder in the emailSubject property when you create the template: To include a recipient's name or email address in the subject line, use the following placeholders in the emailSubject property: - [[&lt;roleName&gt;_UserName]] - [[&lt;roleName&gt;_Email]] For example, if the role name is Signer 1 , you might set emailSubject to one of these strings: - &quot;[[Signer 1_UserName]], Please sign this NDA&quot; - &quot;[[Signer 1_Email]], Please sign this NDA&quot; Note: The maximum length of the subject line is 100 characters, including any merged text. ## Creating multiple templates To create multiple templates, you provide a zip file of JSON files. You can also use the Templates::ListTemplates method with the is_download query parameter to download a zip file containing your existing templates and use that as a guide. The API supports both .zip and .gzip file formats as input. You also need to set the Content-Length , Content-Type , and Content-Disposition headers: Content-Length: 71068 Content-Type: application/zip Content-Disposition: file; filename=&quot;DocuSignTemplates_Nov_25_2019_20_40_21.zip&quot;; fileExtension=.zip ### Related topics - How to create a template Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): (Required) The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (EnvelopeTemplate): Returns {:ok, DocuSign.Model.TemplateSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#templates_post_templates/3","title":"DocuSign.Api.Templates.templates_post_templates/3","type":"function"},{"doc":"Updates an existing template. Updates an existing template. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. opts (keyword): Optional parameters :body (EnvelopeTemplate): Returns {:ok, DocuSign.Model.TemplateUpdateSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#templates_put_template/4","title":"DocuSign.Api.Templates.templates_put_template/4","type":"function"},{"doc":"Shares a template with a group. Shares a template with the specified members group. Note: For a newer version of this functionality, see Accounts: Update Shared Access . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. template_id (String.t): The ID of the template. template_part (String.t): Currently, the only defined part is groups. opts (keyword): Optional parameters :body (GroupInformation): Returns {:ok, DocuSign.Model.GroupInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Templates.html#templates_put_template_part/5","title":"DocuSign.Api.Templates.templates_put_template_part/5","type":"function"},{"doc":"API calls for all endpoints tagged UserCustomSettings .","ref":"DocuSign.Api.UserCustomSettings.html","title":"DocuSign.Api.UserCustomSettings","type":"module"},{"doc":"Deletes custom user settings for a specified user. Deletes the specified custom user settings for a single user. If the custom user settings you want to delete are grouped, you must include the X-DocuSign-User-Settings-Key header in the request: X-DocuSign-User-Settings-Key:group_name Where the group_name is your designated name for the group of customer user settings. If the X-DocuSign-User-Settings-Key header is not included, only the custom user settings that were added without a group are deleted. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (CustomSettingsInformation): Returns {:ok, DocuSign.Model.CustomSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_delete_custom_settings/4","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_delete_custom_settings/4","type":"function"},{"doc":"Retrieves the custom user settings for a specified user. Retrieves a list of custom user settings for a single user. Custom settings provide a flexible way to store and retrieve custom user information that can be used in your own system. Note: Custom user settings are not the same as user account settings. If the custom user settings you want to retrieve are grouped, you must include the X-DocuSign-User-Settings-Key header in the request: X-DocuSign-User-Settings-Key:group_name Where the group_name is your designated name for the group of customer user settings. If the X-DocuSign-User-Settings-Key header is not included, only the custom user settings that were added without a group are retrieved. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.CustomSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_get_custom_settings/4","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_get_custom_settings/4","type":"function"},{"doc":"Adds or updates custom user settings for the specified user. Adds or updates custom user settings for the specified user. Note: Custom user settings are not the same as user account settings. Custom settings provide a flexible way to store and retrieve custom user information that you can use in your own system. Important: There is a limit on the size for all the custom user settings for a single user. The limit is 4,000 characters, which includes the XML and JSON structure for the settings. You can group custom user settings when adding them. Grouping allows you to retrieve settings that are in a specific group, instead of retrieving all the user custom settings. To group custom user settings, include the X-DocuSign-User-Settings-Key header in the request: X-DocuSign-User-Settings-Key:group_name Where the group_name is your designated name for the group of customer user settings. When getting or deleting grouped custom user settings, you must include the X-DocuSign-User-Settings-Key header information. Grouping custom user settings is not required and if the X-DocuSign-User-Settings-Key header information is not included, the custom user settings are added normally and can be retrieved or deleted without including the X-DocuSign-User-Settings-Key header. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (CustomSettingsInformation): Returns {:ok, DocuSign.Model.CustomSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserCustomSettings.html#user_custom_settings_put_custom_settings/4","title":"DocuSign.Api.UserCustomSettings.user_custom_settings_put_custom_settings/4","type":"function"},{"doc":"API calls for all endpoints tagged UserProfiles .","ref":"DocuSign.Api.UserProfiles.html","title":"DocuSign.Api.UserProfiles","type":"module"},{"doc":"Retrieves the user profile for a specified user. Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user. The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.UserProfile.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserProfiles.html#user_profile_get_profile/4","title":"DocuSign.Api.UserProfiles.user_profile_get_profile/4","type":"function"},{"doc":"Updates the user profile information for the specified user. Updates the user's detail information, profile information, privacy settings, and personal information in the user ID card. You can also change a user's name by changing the information in the userDetails property. When changing a user's name, you can either change the information in the userName property OR change the information in firstName , middleName , lastName, suffixName , and title properties. Changes to firstName , middleName , lastName , suffixName , and title properties take precedence over changes to the userName property. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (UserProfile): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserProfiles.html#user_profile_put_profile/4","title":"DocuSign.Api.UserProfiles.user_profile_put_profile/4","type":"function"},{"doc":"API calls for all endpoints tagged UserSignatures .","ref":"DocuSign.Api.UserSignatures.html","title":"DocuSign.Api.UserSignatures","type":"module"},{"doc":"Removes removes signature information for the specified user. Removes the signature information for the user. The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId accepts a signature ID or a signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signature_id (String.t): The ID of the account stamp. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature/5","title":"DocuSign.Api.UserSignatures.user_signatures_delete_user_signature/5","type":"function"},{"doc":"Deletes the user initials image or the user signature image for the specified user. Deletes the specified initials image or signature image for the specified user. The function deletes one or the other of the image types, to delete both the initials image and signature image you must call the endpoint twice. The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. image_type (String.t): Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image signature_id (String.t): The ID of the account stamp. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.UserSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_delete_user_signature_image/6","title":"DocuSign.Api.UserSignatures.user_signatures_delete_user_signature_image/6","type":"function"},{"doc":"Gets the user signature information for the specified user. Retrieves the structure of a single signature with a known signature name. The userId specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signature_id (String.t): The ID of the account stamp. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.UserSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature/5","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signature/5","type":"function"},{"doc":"Retrieves the user initials image or the user signature image for the specified user. Retrieves the specified initials image or signature image for the specified user. The image is returned in the same format in which it was uploaded. In the request you can specify if the chrome (the added line and identifier around the initial image) is returned with the image. The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Note: Older envelopes might only have chromed images. If getting the non-chromed image fails, try getting the chromed image. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. image_type (String.t): Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image signature_id (String.t): The ID of the account stamp. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :include_chrome (String.t): When true, the chrome (or frame containing the added line and identifier) is included with the signature image. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signature_image/6","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signature_image/6","type":"function"},{"doc":"Retrieves a list of signature definitions for a user. This method retrieves the signature definitions for the user that you specify. The userId parameter specified in the endpoint must match the authenticated user's user ID, and the user must be a member of the account. The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example, encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :stamp_type (String.t): The type of stamps to return. Valid values are: - signature : Returns information about signature images only. This is the default value. - stamp : Returns information about eHanko and custom stamps only. - null Returns {:ok, DocuSign.Model.UserSignaturesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_get_user_signatures/4","title":"DocuSign.Api.UserSignatures.user_signatures_get_user_signatures/4","type":"function"},{"doc":"Adds user Signature and initials images to a Signature. Adds a user signature image and/or user initials image to the specified user. The userId property specified in the endpoint must match the authenticated user's userId and the user must be a member of the account. The rules and processes associated with this are: If Content-Type is set to application/json , then the default behavior for creating a default signature image, based on the name and a DocuSign font, is used. If Content-Type is set to multipart/form-data , then the request must contain a first part with the user signature information, followed by parts that contain the images. For each Image part, the Content-Disposition header has a &quot;filename&quot; value that is used to map to the signatureName and/or signatureInitials properties in the JSON to the image. For example: Content-Disposition: file; filename=&quot;Ron Test20121127083900&quot; If no matching image (by filename value) is found, then the image is not set. One, both, or neither of the signature and initials images can be set with this call. The Content-Transfer-Encoding: base64 header, set in the header for the part containing the image, can be set to indicate that the images are formatted as base64 instead of as binary. If successful, 200-OK is returned, and a JSON structure containing the signature information is provided, note that the signatureId can change with each API POST, PUT, or DELETE since the changes to the signature structure cause the current signature to be closed, and a new signature record to be created. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (UserSignaturesInformation): Returns {:ok, DocuSign.Model.UserSignaturesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_post_user_signatures/4","title":"DocuSign.Api.UserSignatures.user_signatures_post_user_signatures/4","type":"function"},{"doc":"Adds/updates a user signature. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :body (UserSignaturesInformation): Returns {:ok, DocuSign.Model.UserSignaturesInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature/4","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature/4","type":"function"},{"doc":"Updates the user signature for a specified user. Creates, or updates, the signature font and initials for the specified user. When creating a signature, you use this resource to create the signature name and then add the signature and initials images into the signature. Note: This will also create a default signature for the user when one does not exist. The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. signature_id (String.t): The ID of the account stamp. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :close_existing_signature (String.t): When true, closes the current signature. :body (UserSignatureDefinition): Returns {:ok, DocuSign.Model.UserSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_by_id/5","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature_by_id/5","type":"function"},{"doc":"Updates the user signature image or user initials image for the specified user. Updates the user signature image or user initials image for the specified user. The supported image formats for this file are: gif, png, jpeg, and bmp. The file must be less than 200K. The userId property specified in the endpoint must match the authenticated user's user ID and the user must be a member of the account. The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID ( signatureId ), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint. For example encode &quot;Bob Smith&quot; as &quot;Bob%20Smith&quot;. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. image_type (String.t): Specificies the type of image. Valid values: - stamp_image - signature_image - initials_image signature_id (String.t): The ID of the account stamp. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :transparent_png (String.t): Returns {:ok, DocuSign.Model.UserSignature.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.UserSignatures.html#user_signatures_put_user_signature_image/6","title":"DocuSign.Api.UserSignatures.user_signatures_put_user_signature_image/6","type":"function"},{"doc":"API calls for all endpoints tagged Users .","ref":"DocuSign.Api.Users.html","title":"DocuSign.Api.Users","type":"module"},{"doc":"Gets the user information for a specified user. Retrieves the user information for the specified user. For example: json { &quot;userName&quot;: &quot;Tania Morales&quot;, &quot;userId&quot;: &quot;6b67a1ee-xxxx-xxxx-xxxx-385763624163&quot;, &quot;userType&quot;: &quot;CompanyUser&quot;, &quot;isAdmin&quot;: &quot;False&quot;, &quot;isNAREnabled&quot;: &quot;false&quot;, &quot;userStatus&quot;: &quot;Active&quot;, &quot;uri&quot;: &quot;/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163&quot;, &quot;email&quot;: &quot;examplename42@orobia.net&quot;, &quot;createdDateTime&quot;: &quot;2019-04-01T22:11:56.4570000Z&quot;, &quot;userAddedToAccountDateTime&quot;: &quot;0001-01-01T08:00:00.0000000Z&quot;, &quot;firstName&quot;: &quot;Tania&quot;, &quot;lastName&quot;: &quot;Morales&quot;, &quot;jobTitle&quot;: &quot;&quot;, &quot;company&quot;: &quot;Company&quot;, &quot;permissionProfileId&quot;: &quot;12345678&quot;, &quot;permissionProfileName&quot;: &quot;DocuSign Viewer&quot;, &quot;userSettings&quot;: {. . .}, &quot;sendActivationOnInvalidLogin&quot;: &quot;false&quot;, &quot;enableConnectForUser&quot;: &quot;false&quot;, &quot;groupList&quot;: [. . .], &quot;workAddress&quot;: {. . .}, &quot;homeAddress&quot;: {. . .}, &quot;signatureImageUri&quot;: &quot;/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image&quot;, &quot;initialsImageUri&quot;: &quot;/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image&quot;, &quot;defaultAccountId&quot;: &quot;f636f297-xxxx-xxxx-xxxx-8e7a14715950&quot; } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :additional_info (String.t): Setting this parameter has no effect in this operation. :email (String.t): Setting this parameter has no effect in this operation. Returns {:ok, DocuSign.Model.UserInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_get_user/4","title":"DocuSign.Api.Users.user_get_user/4","type":"function"},{"doc":"Deletes the user profile image for the specified user. Deletes the user profile image from the specified user's profile. The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the specified account. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_profile_image_delete_user_profile_image/4","title":"DocuSign.Api.Users.user_profile_image_delete_user_profile_image/4","type":"function"},{"doc":"Retrieves the user profile image for the specified user. Retrieves the user profile picture for the specified user. The userId path parameter must match the authenticated user's user ID, and the user must be a member of the specified account. | Return value | Meaning | | :---------------- | :----------------------------------------------------------------------------- | | 200 OK | The response contains the profile image in the same format as it was uploaded. | | 404 Not found | The user does not have a profile image. | | 400 Bad request | There was an error in the request. The response has more information. | Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :encoding (String.t): Reserved for DocuSign. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_profile_image_get_user_profile_image/4","title":"DocuSign.Api.Users.user_profile_image_get_user_profile_image/4","type":"function"},{"doc":"Updates the user profile image for a specified user. Updates the user profile image by uploading an image to the user profile. The supported image formats are: gif, png, jpeg, and bmp. The file must be less than 200K. For best viewing results, DocuSign recommends that the image is no more than 79 pixels wide and high. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_profile_image_put_user_profile_image/4","title":"DocuSign.Api.Users.user_profile_image_put_user_profile_image/4","type":"function"},{"doc":"Updates user information for the specified user. To update user information for a specific user, submit a Users object with updated field values in the request body of this operation. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :allow_all_languages (String.t): :body (UserInformation): Returns {:ok, DocuSign.Model.UserInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_put_user/4","title":"DocuSign.Api.Users.user_put_user/4","type":"function"},{"doc":"Gets the user account settings for a specified user. Retrieves a list of the account settings and email notification information for the specified user. The response returns the account setting name/value information and the email notification settings for the specified user. For more information, see Users:create . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.UserSettingsInformation.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_settings_get_user_settings/4","title":"DocuSign.Api.Users.user_settings_get_user_settings/4","type":"function"},{"doc":"Updates the user account settings for a specified user. Updates the account settings list and email notification types for the specified user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. user_id (String.t): The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. opts (keyword): Optional parameters :allow_all_languages (String.t): :body (UserSettingsInformation): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#user_settings_put_user_settings/4","title":"DocuSign.Api.Users.user_settings_put_user_settings/4","type":"function"},{"doc":"Removes users account privileges. Closes one or more user records in the account. Users are never deleted from an account, but closing a user prevents them from using account functions. The response specifies whether the API execution succeeded (200 - OK) or failed (400 - Error). The response contains a user structure similar to the request and includes the user changes. If an error occurred during the DELETE operation for any of the users, the response for that user contains an errorDetails property with errorCode and message properties. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :delete (String.t): ID of the user to delete. This parameter takes a comma-separated list of values in the format: Groups,PermissionSet,SigningGroupsEmail . :body (UserInfoList): Returns {:ok, DocuSign.Model.UsersResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#users_delete_users/3","title":"DocuSign.Api.Users.users_delete_users/3","type":"function"},{"doc":"Retrieves the list of users for the specified account. Retrieves the list of users for the specified account. The response returns the list of users for the account, with information about the result set. If the additional_info query is added to the endpoint and set to true, full user information is returned for each user. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): (Required) The external account number (int) or account ID GUID. opts (keyword): Optional parameters :additional_info (String.t): When true, the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is false. :alternate_admins_only (String.t): :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100 :domain_users_only (String.t): :email (String.t): Filters results based on the email address associated with the user that you want to return. Note: You can use either this parameter or the email_substring parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address. :email_substring (String.t): Filters results based on a fragment of an email address. For example, you could enter gmail to return all users who have Gmail addresses. Note: You do not use a wildcard character with this parameter. You can use either this parameter or the email parameter, but not both. :group_id (String.t): Filters results based on one or more group IDs. :include_usersettings_for_csv (String.t): When true, the response includes the userSettings object data in CSV format. :login_status (String.t): When true, the response includes the login status of each user. :not_group_id (String.t): Return user records excluding the specified group IDs. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :status (String.t): Filters results by user account status. Possible values are: ActivationRequired ActivationSent Active Closed * Disabled :user_name_substring (String.t): Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. Returns {:ok, DocuSign.Model.UserInformationList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#users_get_users/3","title":"DocuSign.Api.Users.users_get_users/3","type":"function"},{"doc":"Adds new users to the specified account. Adds new users to an account. The body of this request is an array of newUsers objects. For each new user, you must provide at least the userName and email properties. The maximum number of users you can create in one request is 500 users. The userSettings property specifies the actions users can perform. In the example below, Tal Mason will be able to send envelopes, and the activation email will be in French because the locale is set to fr . POST /restapi/v2.1/accounts/{accountId}/users Content-Type: application/json { &quot;newUsers&quot;: [ { &quot;userName&quot;: &quot;Claire Horace&quot;, &quot;email&quot;: &quot;claire@example.com&quot; }, { &quot;userName&quot;: &quot;Tal Mason&quot;, &quot;email&quot;: &quot;talmason@example.com&quot;, &quot;company&quot;: &quot;TeleSel&quot;, &quot;userSettings&quot;: { &quot;locale&quot;: &quot;fr&quot;, &quot;canSendEnvelope&quot;: true } } ] } A successful response is a newUsers array with information about the newly created users. If there was a problem in creating a user, that user entry will contain an errorDetails property that describes what went wrong. json { &quot;newUsers&quot;: [ { &quot;userId&quot;: &quot;18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade&quot;, &quot;uri&quot;: &quot;/users/18f3be12-xxxx-xxxx-xxxx-883d8f9b8ade&quot;, &quot;email&quot;: &quot;claire@example.com&quot;, &quot;userName&quot;: &quot;Claire Horace&quot;, &quot;createdDateTime&quot;: &quot;0001-01-01T08:00:00.0000000Z&quot;, &quot;errorDetails&quot;: { &quot;errorCode&quot;: &quot;USER_ALREADY_EXISTS_IN_ACCOUNT&quot;, &quot;message&quot;: &quot;Username and email combination already exists for this account.&quot; } }, { &quot;userId&quot;: &quot;be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33&quot;, &quot;uri&quot;: &quot;/users/be9899a3-xxxx-xxxx-xxxx-2c8dd7156e33&quot;, &quot;email&quot;: &quot;talmason@example.com&quot;, &quot;userName&quot;: &quot;Tal Mason&quot;, &quot;userStatus&quot;: &quot;ActivationSent&quot;, &quot;createdDateTime&quot;: &quot;2020-05-26T23:25:30.7330000Z&quot; } ] } Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (NewUsersDefinition): Returns {:ok, DocuSign.Model.NewUsersSummary.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#users_post_users/3","title":"DocuSign.Api.Users.users_post_users/3","type":"function"},{"doc":"Changes one or more users in the specified account. This method updates the information about one or more account users. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :allow_all_languages (String.t): :body (UserInformationList): Returns {:ok, DocuSign.Model.UserInformationList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Users.html#users_put_users/3","title":"DocuSign.Api.Users.users_put_users/3","type":"function"},{"doc":"API calls for all endpoints tagged WorkspaceItems .","ref":"DocuSign.Api.WorkspaceItems.html","title":"DocuSign.Api.WorkspaceItems","type":"module"},{"doc":"Gets a workspace file This method returns a binary version of a file in a workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. file_id (String.t): The ID of the file. folder_id (String.t): The ID of the folder. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters :is_download (String.t): When true, the Content-Disposition header is set in the response. The value of the header provides the filename of the file. The default is false. :pdf_version (String.t): When true the file is returned in PDF format. Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_get_workspace_file/6","title":"DocuSign.Api.WorkspaceItems.workspace_file_get_workspace_file/6","type":"function"},{"doc":"List File Pages This method returns a workspace file as rasterized pages. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. file_id (String.t): The ID of the file. folder_id (String.t): The ID of the folder. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :dpi (String.t): The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94. :max_height (String.t): Sets the maximum height of the returned images in pixels. :max_width (String.t): Sets the maximum width of the returned images in pixels. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . Returns {:ok, DocuSign.Model.PageImages.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_pages_get_workspace_file_pages/6","title":"DocuSign.Api.WorkspaceItems.workspace_file_pages_get_workspace_file_pages/6","type":"function"},{"doc":"Creates a workspace file. This method adds a file to a workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. folder_id (String.t): The ID of the folder. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.WorkspaceItem.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_post_workspace_files/5","title":"DocuSign.Api.WorkspaceItems.workspace_file_post_workspace_files/5","type":"function"},{"doc":"Update workspace file or folder metadata This method updates the metadata for one or more specific files or folders in a workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. file_id (String.t): The ID of the file. folder_id (String.t): The ID of the folder. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.WorkspaceItem.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.WorkspaceItems.html#workspace_file_put_workspace_file/6","title":"DocuSign.Api.WorkspaceItems.workspace_file_put_workspace_file/6","type":"function"},{"doc":"Deletes files or sub-folders from a workspace. This method deletes one or more files or sub-folders from a workspace folder or root. Note: To delete items from a workspace, the status of the workspace must be active . Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. folder_id (String.t): The ID of the folder. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters :body (WorkspaceItemList): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_delete_workspace_items/5","title":"DocuSign.Api.WorkspaceItems.workspace_folder_delete_workspace_items/5","type":"function"},{"doc":"List workspace folder contents This method returns the contents of a workspace folder, which can include sub-folders and files. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. folder_id (String.t): The ID of the folder. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters :count (String.t): The maximum number of results to return. Use start_position to specify the number of results to skip. :include_files (String.t): When true, the response includes file information (in addition to folder information). The default is false. :include_sub_folders (String.t): When true, the response includes information about the sub-folders of the current folder. The default is false. :include_thumbnails (String.t): When true, the response returns thumbnails. The default is false. :include_user_detail (String.t): When true, the response includes extended details about the user. The default is false. :start_position (String.t): The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0 . :workspace_user_id (String.t): If set, the response only includes results associated with the userId that you specify. Returns {:ok, DocuSign.Model.WorkspaceFolderContents.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.WorkspaceItems.html#workspace_folder_get_workspace_folder/5","title":"DocuSign.Api.WorkspaceItems.workspace_folder_get_workspace_folder/5","type":"function"},{"doc":"API calls for all endpoints tagged Workspaces .","ref":"DocuSign.Api.Workspaces.html","title":"DocuSign.Api.Workspaces","type":"module"},{"doc":"Delete Workspace Deletes an existing workspace (logically). Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Workspace.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Workspaces.html#workspace_delete_workspace/4","title":"DocuSign.Api.Workspaces.workspace_delete_workspace/4","type":"function"},{"doc":"Get Workspace Retrieves properties about a workspace given a unique workspaceId. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.Workspace.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspace/4","title":"DocuSign.Api.Workspaces.workspace_get_workspace/4","type":"function"},{"doc":"List Workspaces Gets information about the Workspaces that have been created. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters Returns {:ok, DocuSign.Model.WorkspaceList.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Workspaces.html#workspace_get_workspaces/3","title":"DocuSign.Api.Workspaces.workspace_get_workspaces/3","type":"function"},{"doc":"Create a Workspace This method creates a new workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. opts (keyword): Optional parameters :body (Workspace): Returns {:ok, DocuSign.Model.Workspace.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Workspaces.html#workspace_post_workspace/3","title":"DocuSign.Api.Workspaces.workspace_post_workspace/3","type":"function"},{"doc":"Update Workspace Updates information about a specific workspace. Parameters connection (DocuSign.Connection): Connection to server account_id (String.t): The external account number (int) or account ID GUID. workspace_id (String.t): The ID of the workspace. opts (keyword): Optional parameters :body (Workspace): Returns {:ok, DocuSign.Model.Workspace.t} on success {:error, Tesla.Env.t} on failure","ref":"DocuSign.Api.Workspaces.html#workspace_put_workspace/4","title":"DocuSign.Api.Workspaces.workspace_put_workspace/4","type":"function"},{"doc":"GenServer to store API clients and automatically refresh JWT access tokens. The registry keeps track of API clients using the user ID (which is the API Username in the user's profile on DocuSign).","ref":"DocuSign.ClientRegistry.html","title":"DocuSign.ClientRegistry","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"DocuSign.ClientRegistry.html#child_spec/1","title":"DocuSign.ClientRegistry.child_spec/1","type":"function"},{"doc":"Get API Client","ref":"DocuSign.ClientRegistry.html#client/1","title":"DocuSign.ClientRegistry.client/1","type":"function"},{"doc":"Async refreshes a token.","ref":"DocuSign.ClientRegistry.html#handle_info/2","title":"DocuSign.ClientRegistry.handle_info/2","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"DocuSign.ClientRegistry.html#init/1","title":"DocuSign.ClientRegistry.init/1","type":"function"},{"doc":"","ref":"DocuSign.ClientRegistry.html#start_link/1","title":"DocuSign.ClientRegistry.start_link/1","type":"function"},{"doc":"","ref":"DocuSign.ClientRegistry.html#t:oauth_error/0","title":"DocuSign.ClientRegistry.oauth_error/0","type":"type"},{"doc":"","ref":"DocuSign.ClientRegistry.html#t:user_id/0","title":"DocuSign.ClientRegistry.user_id/0","type":"type"},{"doc":"","ref":"DocuSign.ClientRegistry.State.html","title":"DocuSign.ClientRegistry.State","type":"module"},{"doc":"The module is intended to be used to establish a connection with DocuSign eSignature API and then perform requests to it. Example iex&gt; user_id = &quot;74830914-547328-5432-5432543&quot; iex&gt; account_id = &quot;61ac4bd1-c83c-4aa6-8654-ddf3tg5&quot; iex&gt; { :ok , conn } = DocuSign.Connection . get ( user_id ) iex&gt; { :ok , users } = DocuSign.Api.Users . users_get_users ( conn , account_id ) { :ok , % DocuSign.Model.UserInformationList { ... } }","ref":"DocuSign.Connection.html","title":"DocuSign.Connection","type":"module"},{"doc":"Retrieves the default account of default user configured","ref":"DocuSign.Connection.html#default_account/0","title":"DocuSign.Connection.default_account/0","type":"function"},{"doc":"Create new conn for provided user ID.","ref":"DocuSign.Connection.html#get/1","title":"DocuSign.Connection.get/1","type":"function"},{"doc":"Create new conn for default configured user ID","ref":"DocuSign.Connection.html#new/0","title":"DocuSign.Connection.new/0","type":"function"},{"doc":"Makes a request.","ref":"DocuSign.Connection.html#request/2","title":"DocuSign.Connection.request/2","type":"function"},{"doc":"","ref":"DocuSign.Connection.html#t:oauth_error/0","title":"DocuSign.Connection.oauth_error/0","type":"type"},{"doc":"","ref":"DocuSign.Connection.html#t:t/0","title":"DocuSign.Connection.t/0","type":"type"},{"doc":"Handle Tesla connections.","ref":"DocuSign.Connection.Request.html","title":"DocuSign.Connection.Request","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete ( &quot;/users&quot; ) delete ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete ( client , &quot;/users&quot; ) delete ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#delete/3","title":"DocuSign.Connection.Request.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete! ( &quot;/users&quot; ) delete! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete! ( client , &quot;/users&quot; ) delete! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) delete! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#delete!/3","title":"DocuSign.Connection.Request.delete!/3","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get ( &quot;/users&quot; ) get ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get ( client , &quot;/users&quot; ) get ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#get/3","title":"DocuSign.Connection.Request.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get! ( &quot;/users&quot; ) get! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get! ( client , &quot;/users&quot; ) get! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) get! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#get!/3","title":"DocuSign.Connection.Request.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head ( &quot;/users&quot; ) head ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head ( client , &quot;/users&quot; ) head ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#head/3","title":"DocuSign.Connection.Request.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head! ( &quot;/users&quot; ) head! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head! ( client , &quot;/users&quot; ) head! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) head! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#head!/3","title":"DocuSign.Connection.Request.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"DocuSign.Connection.Request.html#new/1","title":"DocuSign.Connection.Request.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options ( &quot;/users&quot; ) options ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options ( client , &quot;/users&quot; ) options ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#options/3","title":"DocuSign.Connection.Request.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options! ( &quot;/users&quot; ) options! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options! ( client , &quot;/users&quot; ) options! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) options! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#options!/3","title":"DocuSign.Connection.Request.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) patch ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"DocuSign.Connection.Request.html#patch/4","title":"DocuSign.Connection.Request.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) patch! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) patch! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"DocuSign.Connection.Request.html#patch!/4","title":"DocuSign.Connection.Request.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"DocuSign.Connection.Request.html#post/4","title":"DocuSign.Connection.Request.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) post! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) post! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"DocuSign.Connection.Request.html#post!/4","title":"DocuSign.Connection.Request.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) put ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"DocuSign.Connection.Request.html#put/4","title":"DocuSign.Connection.Request.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put! ( &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] ) put! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } ) put! ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } , query : [ scope : &quot;admin&quot; ] )","ref":"DocuSign.Connection.Request.html#put!/4","title":"DocuSign.Connection.Request.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [ :head , :get , :delete , :trace , :options , :post , :put , :patch ] :url - either full url e.g. &quot; http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi . request ( method : :get , url : &quot;/users/path&quot; ) # use shortcut methods ExampleApi . get ( &quot;/users/1&quot; ) ExampleApi . post ( client , &quot;/users&quot; , %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#request/2","title":"DocuSign.Connection.Request.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"DocuSign.Connection.Request.html#request!/2","title":"DocuSign.Connection.Request.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace ( &quot;/users&quot; ) trace ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace ( client , &quot;/users&quot; ) trace ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#trace/3","title":"DocuSign.Connection.Request.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace! ( &quot;/users&quot; ) trace! ( &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace! ( client , &quot;/users&quot; ) trace! ( client , &quot;/users&quot; , query : [ scope : &quot;admin&quot; ] ) trace! ( client , &quot;/users&quot; , body : %{ name : &quot;Jon&quot; } )","ref":"DocuSign.Connection.Request.html#trace!/3","title":"DocuSign.Connection.Request.trace!/3","type":"function"},{"doc":"Options that may be passed to a request function. See request/2 for detailed descriptions.","ref":"DocuSign.Connection.Request.html#t:option/0","title":"DocuSign.Connection.Request.option/0","type":"type"},{"doc":"Helper functions for deserializing responses into models","ref":"DocuSign.Deserializer.html","title":"DocuSign.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"DocuSign.Deserializer.html#deserialize/5","title":"DocuSign.Deserializer.deserialize/5","type":"function"},{"doc":"Object specifying the format of the string provided to a recipient in order to access an envelope.","ref":"DocuSign.Model.AccessCodeFormat.html","title":"DocuSign.Model.AccessCodeFormat","type":"module"},{"doc":"","ref":"DocuSign.Model.AccessCodeFormat.html#t:t/0","title":"DocuSign.Model.AccessCodeFormat.t/0","type":"type"},{"doc":"Contains information about the address associated with the account.","ref":"DocuSign.Model.AccountAddress.html","title":"DocuSign.Model.AccountAddress","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountAddress.html#t:t/0","title":"DocuSign.Model.AccountAddress.t/0","type":"type"},{"doc":"Contains information about an account billing plan.","ref":"DocuSign.Model.AccountBillingPlan.html","title":"DocuSign.Model.AccountBillingPlan","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountBillingPlan.html#t:t/0","title":"DocuSign.Model.AccountBillingPlan.t/0","type":"type"},{"doc":"Defines an account billing plan response object.","ref":"DocuSign.Model.AccountBillingPlanResponse.html","title":"DocuSign.Model.AccountBillingPlanResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountBillingPlanResponse.html#t:t/0","title":"DocuSign.Model.AccountBillingPlanResponse.t/0","type":"type"},{"doc":"The AccountBrands resource enables you to use account-level brands to customize the styles and text that recipients see.","ref":"DocuSign.Model.AccountBrands.html","title":"DocuSign.Model.AccountBrands","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountBrands.html#t:t/0","title":"DocuSign.Model.AccountBrands.t/0","type":"type"},{"doc":"Details about account consumer disclosures.","ref":"DocuSign.Model.AccountConsumerDisclosures.html","title":"DocuSign.Model.AccountConsumerDisclosures","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountConsumerDisclosures.html#t:t/0","title":"DocuSign.Model.AccountConsumerDisclosures.t/0","type":"type"},{"doc":"An accountCustomField is an envelope custom field that you set at the account level. Applying custom fields enables account administrators to group and manage envelopes.","ref":"DocuSign.Model.AccountCustomFields.html","title":"DocuSign.Model.AccountCustomFields","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountCustomFields.html#t:t/0","title":"DocuSign.Model.AccountCustomFields.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountIdentityInputOption.html","title":"DocuSign.Model.AccountIdentityInputOption","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountIdentityInputOption.html#t:t/0","title":"DocuSign.Model.AccountIdentityInputOption.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountIdentityVerificationResponse.html","title":"DocuSign.Model.AccountIdentityVerificationResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountIdentityVerificationResponse.html#t:t/0","title":"DocuSign.Model.AccountIdentityVerificationResponse.t/0","type":"type"},{"doc":"Information about a specific step in an Identity Verification workflow.","ref":"DocuSign.Model.AccountIdentityVerificationStep.html","title":"DocuSign.Model.AccountIdentityVerificationStep","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountIdentityVerificationStep.html#t:t/0","title":"DocuSign.Model.AccountIdentityVerificationStep.t/0","type":"type"},{"doc":"Specifies an Identity Verification workflow.","ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html","title":"DocuSign.Model.AccountIdentityVerificationWorkflow","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountIdentityVerificationWorkflow.html#t:t/0","title":"DocuSign.Model.AccountIdentityVerificationWorkflow.t/0","type":"type"},{"doc":"Contains account Information.","ref":"DocuSign.Model.AccountInformation.html","title":"DocuSign.Model.AccountInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountInformation.html#t:t/0","title":"DocuSign.Model.AccountInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountMinimumPasswordLength.html","title":"DocuSign.Model.AccountMinimumPasswordLength","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountMinimumPasswordLength.html#t:t/0","title":"DocuSign.Model.AccountMinimumPasswordLength.t/0","type":"type"},{"doc":"A complex element that specifies notifications (expirations and reminders) for the envelope.","ref":"DocuSign.Model.AccountNotification.html","title":"DocuSign.Model.AccountNotification","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountNotification.html#t:t/0","title":"DocuSign.Model.AccountNotification.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html","title":"DocuSign.Model.AccountPasswordExpirePasswordDays","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordExpirePasswordDays.html#t:t/0","title":"DocuSign.Model.AccountPasswordExpirePasswordDays.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.html#t:t/0","title":"DocuSign.Model.AccountPasswordLockoutDurationMinutes.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html","title":"DocuSign.Model.AccountPasswordLockoutDurationType","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordLockoutDurationType.html#t:t/0","title":"DocuSign.Model.AccountPasswordLockoutDurationType.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.html#t:t/0","title":"DocuSign.Model.AccountPasswordMinimumPasswordAgeDays.t/0","type":"type"},{"doc":"Information about the number of password questions required (0 to 4) to confirm a user's identity when a user needs to reset their password.","ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html","title":"DocuSign.Model.AccountPasswordQuestionsRequired","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordQuestionsRequired.html#t:t/0","title":"DocuSign.Model.AccountPasswordQuestionsRequired.t/0","type":"type"},{"doc":"Contains details about the password rules for an account.","ref":"DocuSign.Model.AccountPasswordRules.html","title":"DocuSign.Model.AccountPasswordRules","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordRules.html#t:t/0","title":"DocuSign.Model.AccountPasswordRules.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountPasswordStrengthType.html","title":"DocuSign.Model.AccountPasswordStrengthType","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordStrengthType.html#t:t/0","title":"DocuSign.Model.AccountPasswordStrengthType.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html","title":"DocuSign.Model.AccountPasswordStrengthTypeOption","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPasswordStrengthTypeOption.html#t:t/0","title":"DocuSign.Model.AccountPasswordStrengthTypeOption.t/0","type":"type"},{"doc":"The AccountPermissionProfiles resource provides methods that allow you to manage permission profiles for groups of account users.","ref":"DocuSign.Model.AccountPermissionProfiles.html","title":"DocuSign.Model.AccountPermissionProfiles","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountPermissionProfiles.html#t:t/0","title":"DocuSign.Model.AccountPermissionProfiles.t/0","type":"type"},{"doc":"This object defines account permissions for users who are associated with the account permission profile.","ref":"DocuSign.Model.AccountRoleSettings.html","title":"DocuSign.Model.AccountRoleSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountRoleSettings.html#t:t/0","title":"DocuSign.Model.AccountRoleSettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountSealProviders.html","title":"DocuSign.Model.AccountSealProviders","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSealProviders.html#t:t/0","title":"DocuSign.Model.AccountSealProviders.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountSeals.html","title":"DocuSign.Model.AccountSeals","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSeals.html#t:t/0","title":"DocuSign.Model.AccountSeals.t/0","type":"type"},{"doc":"Contains account settings information. Used in requests to set property values. Used in responses to report property values.","ref":"DocuSign.Model.AccountSettingsInformation.html","title":"DocuSign.Model.AccountSettingsInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSettingsInformation.html#t:t/0","title":"DocuSign.Model.AccountSettingsInformation.t/0","type":"type"},{"doc":"Contains shared access information.","ref":"DocuSign.Model.AccountSharedAccess.html","title":"DocuSign.Model.AccountSharedAccess","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSharedAccess.html#t:t/0","title":"DocuSign.Model.AccountSharedAccess.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountSignature.html","title":"DocuSign.Model.AccountSignature","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignature.html#t:t/0","title":"DocuSign.Model.AccountSignature.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountSignatureDefinition.html","title":"DocuSign.Model.AccountSignatureDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignatureDefinition.html#t:t/0","title":"DocuSign.Model.AccountSignatureDefinition.t/0","type":"type"},{"doc":"Contains information about the signature provider associated with the Identity Verification workflow. If empty, then this specific workflow is not intended for signers.","ref":"DocuSign.Model.AccountSignatureProvider.html","title":"DocuSign.Model.AccountSignatureProvider","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignatureProvider.html#t:t/0","title":"DocuSign.Model.AccountSignatureProvider.t/0","type":"type"},{"doc":"Reserved for DocuSign.","ref":"DocuSign.Model.AccountSignatureProviderOption.html","title":"DocuSign.Model.AccountSignatureProviderOption","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignatureProviderOption.html#t:t/0","title":"DocuSign.Model.AccountSignatureProviderOption.t/0","type":"type"},{"doc":"This resource provides information on the Standards Based Signature providers that have been provisioned for an account.","ref":"DocuSign.Model.AccountSignatureProviders.html","title":"DocuSign.Model.AccountSignatureProviders","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignatureProviders.html#t:t/0","title":"DocuSign.Model.AccountSignatureProviders.t/0","type":"type"},{"doc":"AccountSignatures represent stamps used to sign documents.","ref":"DocuSign.Model.AccountSignatures.html","title":"DocuSign.Model.AccountSignatures","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignatures.html#t:t/0","title":"DocuSign.Model.AccountSignatures.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountSignaturesInformation.html","title":"DocuSign.Model.AccountSignaturesInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountSignaturesInformation.html#t:t/0","title":"DocuSign.Model.AccountSignaturesInformation.t/0","type":"type"},{"doc":"Tab settings determine the tab types and tab functionality that are enabled for an account.","ref":"DocuSign.Model.AccountTabSettings.html","title":"DocuSign.Model.AccountTabSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountTabSettings.html#t:t/0","title":"DocuSign.Model.AccountTabSettings.t/0","type":"type"},{"doc":"An object that defines the options that are available to non-administrators in the UI.","ref":"DocuSign.Model.AccountUiSettings.html","title":"DocuSign.Model.AccountUiSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountUiSettings.html#t:t/0","title":"DocuSign.Model.AccountUiSettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AccountWatermarks.html","title":"DocuSign.Model.AccountWatermarks","type":"module"},{"doc":"","ref":"DocuSign.Model.AccountWatermarks.html#t:t/0","title":"DocuSign.Model.AccountWatermarks.t/0","type":"type"},{"doc":"Account management","ref":"DocuSign.Model.Accounts.html","title":"DocuSign.Model.Accounts","type":"module"},{"doc":"","ref":"DocuSign.Model.Accounts.html#t:t/0","title":"DocuSign.Model.Accounts.t/0","type":"type"},{"doc":"Contains information about add ons.","ref":"DocuSign.Model.AddOn.html","title":"DocuSign.Model.AddOn","type":"module"},{"doc":"","ref":"DocuSign.Model.AddOn.html#t:t/0","title":"DocuSign.Model.AddOn.t/0","type":"type"},{"doc":"Contains address information.","ref":"DocuSign.Model.AddressInformation.html","title":"DocuSign.Model.AddressInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.AddressInformation.html#t:t/0","title":"DocuSign.Model.AddressInformation.t/0","type":"type"},{"doc":"Contains address input information.","ref":"DocuSign.Model.AddressInformationInput.html","title":"DocuSign.Model.AddressInformationInput","type":"module"},{"doc":"","ref":"DocuSign.Model.AddressInformationInput.html#t:t/0","title":"DocuSign.Model.AddressInformationInput.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AdminMessage.html","title":"DocuSign.Model.AdminMessage","type":"module"},{"doc":"","ref":"DocuSign.Model.AdminMessage.html#t:t/0","title":"DocuSign.Model.AdminMessage.t/0","type":"type"},{"doc":"Contains information about an agent recipient. An agent is a recipient who can add name and email information for recipients that appear after the agent in routing order.","ref":"DocuSign.Model.Agent.html","title":"DocuSign.Model.Agent","type":"module"},{"doc":"","ref":"DocuSign.Model.Agent.html#t:t/0","title":"DocuSign.Model.Agent.t/0","type":"type"},{"doc":"Contains API request log information.","ref":"DocuSign.Model.ApiRequestLog.html","title":"DocuSign.Model.ApiRequestLog","type":"module"},{"doc":"","ref":"DocuSign.Model.ApiRequestLog.html#t:t/0","title":"DocuSign.Model.ApiRequestLog.t/0","type":"type"},{"doc":"Contains information about multiple API request logs.","ref":"DocuSign.Model.ApiRequestLogsResult.html","title":"DocuSign.Model.ApiRequestLogsResult","type":"module"},{"doc":"","ref":"DocuSign.Model.ApiRequestLogsResult.html#t:t/0","title":"DocuSign.Model.ApiRequestLogsResult.t/0","type":"type"},{"doc":"Contains information about an APP store product.","ref":"DocuSign.Model.AppStoreProduct.html","title":"DocuSign.Model.AppStoreProduct","type":"module"},{"doc":"","ref":"DocuSign.Model.AppStoreProduct.html#t:t/0","title":"DocuSign.Model.AppStoreProduct.t/0","type":"type"},{"doc":"Contains information about an APP store receipt.","ref":"DocuSign.Model.AppStoreReceipt.html","title":"DocuSign.Model.AppStoreReceipt","type":"module"},{"doc":"","ref":"DocuSign.Model.AppStoreReceipt.html#t:t/0","title":"DocuSign.Model.AppStoreReceipt.t/0","type":"type"},{"doc":"A tab that allows the recipient to approve documents without placing a signature or initials on the document.","ref":"DocuSign.Model.Approve.html","title":"DocuSign.Model.Approve","type":"module"},{"doc":"","ref":"DocuSign.Model.Approve.html#t:t/0","title":"DocuSign.Model.Approve.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.AskAnAdmin.html","title":"DocuSign.Model.AskAnAdmin","type":"module"},{"doc":"","ref":"DocuSign.Model.AskAnAdmin.html#t:t/0","title":"DocuSign.Model.AskAnAdmin.t/0","type":"type"},{"doc":"Contains information about an attachment.","ref":"DocuSign.Model.Attachment.html","title":"DocuSign.Model.Attachment","type":"module"},{"doc":"","ref":"DocuSign.Model.Attachment.html#t:t/0","title":"DocuSign.Model.Attachment.t/0","type":"type"},{"doc":"Contains information about the method used for authentication.","ref":"DocuSign.Model.AuthenticationMethod.html","title":"DocuSign.Model.AuthenticationMethod","type":"module"},{"doc":"","ref":"DocuSign.Model.AuthenticationMethod.html#t:t/0","title":"DocuSign.Model.AuthenticationMethod.t/0","type":"type"},{"doc":"A complex element that contains information about a user's authentication status.","ref":"DocuSign.Model.AuthenticationStatus.html","title":"DocuSign.Model.AuthenticationStatus","type":"module"},{"doc":"","ref":"DocuSign.Model.AuthenticationStatus.html#t:t/0","title":"DocuSign.Model.AuthenticationStatus.t/0","type":"type"},{"doc":"Contains information about the BCC email address.","ref":"DocuSign.Model.BccEmailAddress.html","title":"DocuSign.Model.BccEmailAddress","type":"module"},{"doc":"","ref":"DocuSign.Model.BccEmailAddress.html#t:t/0","title":"DocuSign.Model.BccEmailAddress.t/0","type":"type"},{"doc":"The EmailArchive resource provides methods for managing your email archive configuration, which consists of the BCC email address or addresses that you want to use to archive DocuSign emails. Each account can use up to five BCC email addresses for archiving purposes.","ref":"DocuSign.Model.BccEmailArchive.html","title":"DocuSign.Model.BccEmailArchive","type":"module"},{"doc":"","ref":"DocuSign.Model.BccEmailArchive.html#t:t/0","title":"DocuSign.Model.BccEmailArchive.t/0","type":"type"},{"doc":"Contains details about the history of the BCC email archive configuration.","ref":"DocuSign.Model.BccEmailArchiveHistory.html","title":"DocuSign.Model.BccEmailArchiveHistory","type":"module"},{"doc":"","ref":"DocuSign.Model.BccEmailArchiveHistory.html#t:t/0","title":"DocuSign.Model.BccEmailArchiveHistory.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BccEmailArchiveHistoryList.html","title":"DocuSign.Model.BccEmailArchiveHistoryList","type":"module"},{"doc":"","ref":"DocuSign.Model.BccEmailArchiveHistoryList.html#t:t/0","title":"DocuSign.Model.BccEmailArchiveHistoryList.t/0","type":"type"},{"doc":"Contains a list of BCC email archive configurations.","ref":"DocuSign.Model.BccEmailArchiveList.html","title":"DocuSign.Model.BccEmailArchiveList","type":"module"},{"doc":"","ref":"DocuSign.Model.BccEmailArchiveList.html#t:t/0","title":"DocuSign.Model.BccEmailArchiveList.t/0","type":"type"},{"doc":"Contains information about a billing charge.","ref":"DocuSign.Model.BillingCharge.html","title":"DocuSign.Model.BillingCharge","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingCharge.html#t:t/0","title":"DocuSign.Model.BillingCharge.t/0","type":"type"},{"doc":"Defines a billing charge response object.","ref":"DocuSign.Model.BillingChargeResponse.html","title":"DocuSign.Model.BillingChargeResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingChargeResponse.html#t:t/0","title":"DocuSign.Model.BillingChargeResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BillingDiscount.html","title":"DocuSign.Model.BillingDiscount","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingDiscount.html#t:t/0","title":"DocuSign.Model.BillingDiscount.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BillingEntityInformationResponse.html","title":"DocuSign.Model.BillingEntityInformationResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingEntityInformationResponse.html#t:t/0","title":"DocuSign.Model.BillingEntityInformationResponse.t/0","type":"type"},{"doc":"Contains information about a billing invoice.","ref":"DocuSign.Model.BillingInvoice.html","title":"DocuSign.Model.BillingInvoice","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingInvoice.html#t:t/0","title":"DocuSign.Model.BillingInvoice.t/0","type":"type"},{"doc":"Contains information about an item on a billing invoice.","ref":"DocuSign.Model.BillingInvoiceItem.html","title":"DocuSign.Model.BillingInvoiceItem","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingInvoiceItem.html#t:t/0","title":"DocuSign.Model.BillingInvoiceItem.t/0","type":"type"},{"doc":"Defines a billing invoice response object.","ref":"DocuSign.Model.BillingInvoicesResponse.html","title":"DocuSign.Model.BillingInvoicesResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingInvoicesResponse.html#t:t/0","title":"DocuSign.Model.BillingInvoicesResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BillingInvoicesSummary.html","title":"DocuSign.Model.BillingInvoicesSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingInvoicesSummary.html#t:t/0","title":"DocuSign.Model.BillingInvoicesSummary.t/0","type":"type"},{"doc":"Contains information on a billing plan.","ref":"DocuSign.Model.BillingPayment.html","title":"DocuSign.Model.BillingPayment","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPayment.html#t:t/0","title":"DocuSign.Model.BillingPayment.t/0","type":"type"},{"doc":"Defines a billing payment request object.","ref":"DocuSign.Model.BillingPaymentItem.html","title":"DocuSign.Model.BillingPaymentItem","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPaymentItem.html#t:t/0","title":"DocuSign.Model.BillingPaymentItem.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BillingPaymentRequest.html","title":"DocuSign.Model.BillingPaymentRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPaymentRequest.html#t:t/0","title":"DocuSign.Model.BillingPaymentRequest.t/0","type":"type"},{"doc":"Defines an billing payment response object.","ref":"DocuSign.Model.BillingPaymentResponse.html","title":"DocuSign.Model.BillingPaymentResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPaymentResponse.html#t:t/0","title":"DocuSign.Model.BillingPaymentResponse.t/0","type":"type"},{"doc":"Defines a billing payments response object.","ref":"DocuSign.Model.BillingPaymentsResponse.html","title":"DocuSign.Model.BillingPaymentsResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPaymentsResponse.html#t:t/0","title":"DocuSign.Model.BillingPaymentsResponse.t/0","type":"type"},{"doc":"Contains information about a billing plan.","ref":"DocuSign.Model.BillingPlan.html","title":"DocuSign.Model.BillingPlan","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlan.html#t:t/0","title":"DocuSign.Model.BillingPlan.t/0","type":"type"},{"doc":"This object contains details about a billing plan.","ref":"DocuSign.Model.BillingPlanInformation.html","title":"DocuSign.Model.BillingPlanInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlanInformation.html#t:t/0","title":"DocuSign.Model.BillingPlanInformation.t/0","type":"type"},{"doc":"Information used to provide a preview of a billing plan.","ref":"DocuSign.Model.BillingPlanPreview.html","title":"DocuSign.Model.BillingPlanPreview","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlanPreview.html#t:t/0","title":"DocuSign.Model.BillingPlanPreview.t/0","type":"type"},{"doc":"Defines a billing plan response object.","ref":"DocuSign.Model.BillingPlanResponse.html","title":"DocuSign.Model.BillingPlanResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlanResponse.html#t:t/0","title":"DocuSign.Model.BillingPlanResponse.t/0","type":"type"},{"doc":"Defines a billing plan update response object.","ref":"DocuSign.Model.BillingPlanUpdateResponse.html","title":"DocuSign.Model.BillingPlanUpdateResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlanUpdateResponse.html#t:t/0","title":"DocuSign.Model.BillingPlanUpdateResponse.t/0","type":"type"},{"doc":"Billing plans","ref":"DocuSign.Model.BillingPlans.html","title":"DocuSign.Model.BillingPlans","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlans.html#t:t/0","title":"DocuSign.Model.BillingPlans.t/0","type":"type"},{"doc":"Defines a billing plans response object.","ref":"DocuSign.Model.BillingPlansResponse.html","title":"DocuSign.Model.BillingPlansResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPlansResponse.html#t:t/0","title":"DocuSign.Model.BillingPlansResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BillingPrice.html","title":"DocuSign.Model.BillingPrice","type":"module"},{"doc":"","ref":"DocuSign.Model.BillingPrice.html#t:t/0","title":"DocuSign.Model.BillingPrice.t/0","type":"type"},{"doc":"Information about a brand that is associated with an account. A brand applies custom styles and text to an envelope.","ref":"DocuSign.Model.Brand.html","title":"DocuSign.Model.Brand","type":"module"},{"doc":"","ref":"DocuSign.Model.Brand.html#t:t/0","title":"DocuSign.Model.Brand.t/0","type":"type"},{"doc":"Deprecated.","ref":"DocuSign.Model.BrandEmailContent.html","title":"DocuSign.Model.BrandEmailContent","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandEmailContent.html#t:t/0","title":"DocuSign.Model.BrandEmailContent.t/0","type":"type"},{"doc":"Information about a link that a brand uses.","ref":"DocuSign.Model.BrandLink.html","title":"DocuSign.Model.BrandLink","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandLink.html#t:t/0","title":"DocuSign.Model.BrandLink.t/0","type":"type"},{"doc":"The URIs for retrieving the logos that are associated with the brand. These are read-only properties that provide a URI to logos in use. To update a logo use AccountBrands: updateLogo .","ref":"DocuSign.Model.BrandLogos.html","title":"DocuSign.Model.BrandLogos","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandLogos.html#t:t/0","title":"DocuSign.Model.BrandLogos.t/0","type":"type"},{"doc":"This request object contains information about a specific brand.","ref":"DocuSign.Model.BrandRequest.html","title":"DocuSign.Model.BrandRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandRequest.html#t:t/0","title":"DocuSign.Model.BrandRequest.t/0","type":"type"},{"doc":"Brands use resource files to style the following experiences: - Email - Sending - Signing - Captive (embedded) signing You can modify these resource files to customize these experiences.","ref":"DocuSign.Model.BrandResourceUrls.html","title":"DocuSign.Model.BrandResourceUrls","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandResourceUrls.html#t:t/0","title":"DocuSign.Model.BrandResourceUrls.t/0","type":"type"},{"doc":"Information about the resource files that the brand uses for the email, signing, sending, and captive (embedded) signing experiences.","ref":"DocuSign.Model.BrandResources.html","title":"DocuSign.Model.BrandResources","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandResources.html#t:t/0","title":"DocuSign.Model.BrandResources.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BrandResourcesList.html","title":"DocuSign.Model.BrandResourcesList","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandResourcesList.html#t:t/0","title":"DocuSign.Model.BrandResourcesList.t/0","type":"type"},{"doc":"Details about one or more brands.","ref":"DocuSign.Model.BrandsRequest.html","title":"DocuSign.Model.BrandsRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandsRequest.html#t:t/0","title":"DocuSign.Model.BrandsRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BrandsResponse.html","title":"DocuSign.Model.BrandsResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BrandsResponse.html#t:t/0","title":"DocuSign.Model.BrandsResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkEnvelope.html","title":"DocuSign.Model.BulkEnvelope","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkEnvelope.html#t:t/0","title":"DocuSign.Model.BulkEnvelope.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkEnvelopeStatus.html","title":"DocuSign.Model.BulkEnvelopeStatus","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkEnvelopeStatus.html#t:t/0","title":"DocuSign.Model.BulkEnvelopeStatus.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkProcessRequest.html","title":"DocuSign.Model.BulkProcessRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkProcessRequest.html#t:t/0","title":"DocuSign.Model.BulkProcessRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkProcessResponse.html","title":"DocuSign.Model.BulkProcessResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkProcessResponse.html#t:t/0","title":"DocuSign.Model.BulkProcessResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkProcessResult.html","title":"DocuSign.Model.BulkProcessResult","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkProcessResult.html#t:t/0","title":"DocuSign.Model.BulkProcessResult.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkProcessingListSummaries.html","title":"DocuSign.Model.BulkProcessingListSummaries","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkProcessingListSummaries.html#t:t/0","title":"DocuSign.Model.BulkProcessingListSummaries.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkProcessingListSummary.html","title":"DocuSign.Model.BulkProcessingListSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkProcessingListSummary.html#t:t/0","title":"DocuSign.Model.BulkProcessingListSummary.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkProcessingLists.html","title":"DocuSign.Model.BulkProcessingLists","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkProcessingLists.html#t:t/0","title":"DocuSign.Model.BulkProcessingLists.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkRecipient.html","title":"DocuSign.Model.BulkRecipient","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkRecipient.html#t:t/0","title":"DocuSign.Model.BulkRecipient.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkRecipientSignatureProvider.html","title":"DocuSign.Model.BulkRecipientSignatureProvider","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkRecipientSignatureProvider.html#t:t/0","title":"DocuSign.Model.BulkRecipientSignatureProvider.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkRecipientTabLabel.html","title":"DocuSign.Model.BulkRecipientTabLabel","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkRecipientTabLabel.html#t:t/0","title":"DocuSign.Model.BulkRecipientTabLabel.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkRecipientsResponse.html","title":"DocuSign.Model.BulkRecipientsResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkRecipientsResponse.html#t:t/0","title":"DocuSign.Model.BulkRecipientsResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkRecipientsUpdateResponse.html","title":"DocuSign.Model.BulkRecipientsUpdateResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkRecipientsUpdateResponse.html#t:t/0","title":"DocuSign.Model.BulkRecipientsUpdateResponse.t/0","type":"type"},{"doc":"The bulk send list resource provides methods that enable you to create and manage bulk sending lists, which you can use to send multiple copies of an envelope in a single batch. Note: The Bulk Send feature is only available on Business Pro and Enterprise Pro plans.","ref":"DocuSign.Model.BulkSend.html","title":"DocuSign.Model.BulkSend","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSend.html#t:t/0","title":"DocuSign.Model.BulkSend.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchActionRequest.html","title":"DocuSign.Model.BulkSendBatchActionRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchActionRequest.html#t:t/0","title":"DocuSign.Model.BulkSendBatchActionRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchError.html","title":"DocuSign.Model.BulkSendBatchError","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchError.html#t:t/0","title":"DocuSign.Model.BulkSendBatchError.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchRequest.html","title":"DocuSign.Model.BulkSendBatchRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchRequest.html#t:t/0","title":"DocuSign.Model.BulkSendBatchRequest.t/0","type":"type"},{"doc":"Result of getBulkSendBatchStatus","ref":"DocuSign.Model.BulkSendBatchStatus.html","title":"DocuSign.Model.BulkSendBatchStatus","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchStatus.html#t:t/0","title":"DocuSign.Model.BulkSendBatchStatus.t/0","type":"type"},{"doc":"A list of bulk send batch summaries.","ref":"DocuSign.Model.BulkSendBatchSummaries.html","title":"DocuSign.Model.BulkSendBatchSummaries","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchSummaries.html#t:t/0","title":"DocuSign.Model.BulkSendBatchSummaries.t/0","type":"type"},{"doc":"Summary status of a single batch.","ref":"DocuSign.Model.BulkSendBatchSummary.html","title":"DocuSign.Model.BulkSendBatchSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendBatchSummary.html#t:t/0","title":"DocuSign.Model.BulkSendBatchSummary.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.BulkSendEnvelopesInfo.html","title":"DocuSign.Model.BulkSendEnvelopesInfo","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendEnvelopesInfo.html#t:t/0","title":"DocuSign.Model.BulkSendEnvelopesInfo.t/0","type":"type"},{"doc":"A single bulk send error report.","ref":"DocuSign.Model.BulkSendErrorStatus.html","title":"DocuSign.Model.BulkSendErrorStatus","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendErrorStatus.html#t:t/0","title":"DocuSign.Model.BulkSendErrorStatus.t/0","type":"type"},{"doc":"This object contains information about the envelope or template that you want to send in bulk.","ref":"DocuSign.Model.BulkSendRequest.html","title":"DocuSign.Model.BulkSendRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendRequest.html#t:t/0","title":"DocuSign.Model.BulkSendRequest.t/0","type":"type"},{"doc":"The object contains the response to a bulk send request.","ref":"DocuSign.Model.BulkSendResponse.html","title":"DocuSign.Model.BulkSendResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendResponse.html#t:t/0","title":"DocuSign.Model.BulkSendResponse.t/0","type":"type"},{"doc":"This object contains the results of a bulk send test.","ref":"DocuSign.Model.BulkSendTestResponse.html","title":"DocuSign.Model.BulkSendTestResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendTestResponse.html#t:t/0","title":"DocuSign.Model.BulkSendTestResponse.t/0","type":"type"},{"doc":"This object contains the details to use for a specific copy, or instance, of the envelope. When you send an envelope by using a bulk send list, you can customize these properties for each instance.","ref":"DocuSign.Model.BulkSendingCopy.html","title":"DocuSign.Model.BulkSendingCopy","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingCopy.html#t:t/0","title":"DocuSign.Model.BulkSendingCopy.t/0","type":"type"},{"doc":"This object contains details about a custom field for a bulk send copy. In a bulk send request, each custom field in the bulk send list must match a custom field in the envelope or template that you want to send.","ref":"DocuSign.Model.BulkSendingCopyCustomField.html","title":"DocuSign.Model.BulkSendingCopyCustomField","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingCopyCustomField.html#t:t/0","title":"DocuSign.Model.BulkSendingCopyCustomField.t/0","type":"type"},{"doc":"This object contains details about a bulk send recipient.","ref":"DocuSign.Model.BulkSendingCopyRecipient.html","title":"DocuSign.Model.BulkSendingCopyRecipient","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingCopyRecipient.html#t:t/0","title":"DocuSign.Model.BulkSendingCopyRecipient.t/0","type":"type"},{"doc":"A tab associated with the bulk send recipient. In a bulk send request, each recipient tab must match a recipient tab on the envelope or template that you want to send. To match up, the tabLabel for this tab and the tabLabel for the corresponding tab on the envelope or template must be the same. For example, if the envelope has a placeholder text tab with the tabLabel childName , you must assign the same tabLabel childName to the tab here that you are populating with that information.","ref":"DocuSign.Model.BulkSendingCopyTab.html","title":"DocuSign.Model.BulkSendingCopyTab","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingCopyTab.html#t:t/0","title":"DocuSign.Model.BulkSendingCopyTab.t/0","type":"type"},{"doc":"This object contains the details for the bulk send list.","ref":"DocuSign.Model.BulkSendingList.html","title":"DocuSign.Model.BulkSendingList","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingList.html#t:t/0","title":"DocuSign.Model.BulkSendingList.t/0","type":"type"},{"doc":"This complex type contains summaries that provide basic information about the bulk send lists that belong to the current user.","ref":"DocuSign.Model.BulkSendingListSummaries.html","title":"DocuSign.Model.BulkSendingListSummaries","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingListSummaries.html#t:t/0","title":"DocuSign.Model.BulkSendingListSummaries.t/0","type":"type"},{"doc":"This object contains basic information about a bulk send list.","ref":"DocuSign.Model.BulkSendingListSummary.html","title":"DocuSign.Model.BulkSendingListSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.BulkSendingListSummary.html#t:t/0","title":"DocuSign.Model.BulkSendingListSummary.t/0","type":"type"},{"doc":"This object contains details about a captive (embedded) recipient.","ref":"DocuSign.Model.CaptiveRecipient.html","title":"DocuSign.Model.CaptiveRecipient","type":"module"},{"doc":"","ref":"DocuSign.Model.CaptiveRecipient.html#t:t/0","title":"DocuSign.Model.CaptiveRecipient.t/0","type":"type"},{"doc":"Contains information about captive (embedded) recipients.","ref":"DocuSign.Model.CaptiveRecipientInformation.html","title":"DocuSign.Model.CaptiveRecipientInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.CaptiveRecipientInformation.html#t:t/0","title":"DocuSign.Model.CaptiveRecipientInformation.t/0","type":"type"},{"doc":"Contains information about a carbon copy recipient. Carbon copy recipients get a copy of the envelope but don't need to sign, initial, date or add information to any of the documents.","ref":"DocuSign.Model.CarbonCopy.html","title":"DocuSign.Model.CarbonCopy","type":"module"},{"doc":"","ref":"DocuSign.Model.CarbonCopy.html#t:t/0","title":"DocuSign.Model.CarbonCopy.t/0","type":"type"},{"doc":"Contains information about a certified delivery recipient. Certified delivery recipients must receive the completed documents for the envelope to be completed. However, they don't need to sign, initial, date or add information to any of the documents.","ref":"DocuSign.Model.CertifiedDelivery.html","title":"DocuSign.Model.CertifiedDelivery","type":"module"},{"doc":"","ref":"DocuSign.Model.CertifiedDelivery.html#t:t/0","title":"DocuSign.Model.CertifiedDelivery.t/0","type":"type"},{"doc":"A tab that allows the recipient to select a yes/no (on/off) option.","ref":"DocuSign.Model.Checkbox.html","title":"DocuSign.Model.Checkbox","type":"module"},{"doc":"","ref":"DocuSign.Model.Checkbox.html#t:t/0","title":"DocuSign.Model.Checkbox.t/0","type":"type"},{"doc":"An object that contains information about the chunked upload part.","ref":"DocuSign.Model.ChunkedUploadPart.html","title":"DocuSign.Model.ChunkedUploadPart","type":"module"},{"doc":"","ref":"DocuSign.Model.ChunkedUploadPart.html#t:t/0","title":"DocuSign.Model.ChunkedUploadPart.t/0","type":"type"},{"doc":"This is the request object for uploading a chunked upload.","ref":"DocuSign.Model.ChunkedUploadRequest.html","title":"DocuSign.Model.ChunkedUploadRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.ChunkedUploadRequest.html#t:t/0","title":"DocuSign.Model.ChunkedUploadRequest.t/0","type":"type"},{"doc":"This response object is returned after you upload a chunked upload.","ref":"DocuSign.Model.ChunkedUploadResponse.html","title":"DocuSign.Model.ChunkedUploadResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.ChunkedUploadResponse.html#t:t/0","title":"DocuSign.Model.ChunkedUploadResponse.t/0","type":"type"},{"doc":"The ChunkedUploads resource provides methods to complete integrity checks, and to add, commit, retrieve, initiate and delete chunked uploads.","ref":"DocuSign.Model.ChunkedUploads.html","title":"DocuSign.Model.ChunkedUploads","type":"module"},{"doc":"","ref":"DocuSign.Model.ChunkedUploads.html#t:t/0","title":"DocuSign.Model.ChunkedUploads.t/0","type":"type"},{"doc":"Cloud storage","ref":"DocuSign.Model.CloudStorage.html","title":"DocuSign.Model.CloudStorage","type":"module"},{"doc":"","ref":"DocuSign.Model.CloudStorage.html#t:t/0","title":"DocuSign.Model.CloudStorage.t/0","type":"type"},{"doc":"Contains details about a specific cloud storage provider.","ref":"DocuSign.Model.CloudStorageProvider.html","title":"DocuSign.Model.CloudStorageProvider","type":"module"},{"doc":"","ref":"DocuSign.Model.CloudStorageProvider.html#t:t/0","title":"DocuSign.Model.CloudStorageProvider.t/0","type":"type"},{"doc":"The CloudStorageProviders resource provides methods that allow you to manage the cloud storage providers associate with an account.","ref":"DocuSign.Model.CloudStorageProviders.html","title":"DocuSign.Model.CloudStorageProviders","type":"module"},{"doc":"","ref":"DocuSign.Model.CloudStorageProviders.html#t:t/0","title":"DocuSign.Model.CloudStorageProviders.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Comment.html","title":"DocuSign.Model.Comment","type":"module"},{"doc":"","ref":"DocuSign.Model.Comment.html#t:t/0","title":"DocuSign.Model.Comment.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CommentHistoryResult.html","title":"DocuSign.Model.CommentHistoryResult","type":"module"},{"doc":"","ref":"DocuSign.Model.CommentHistoryResult.html#t:t/0","title":"DocuSign.Model.CommentHistoryResult.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CommentPublish.html","title":"DocuSign.Model.CommentPublish","type":"module"},{"doc":"","ref":"DocuSign.Model.CommentPublish.html#t:t/0","title":"DocuSign.Model.CommentPublish.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CommentThread.html","title":"DocuSign.Model.CommentThread","type":"module"},{"doc":"","ref":"DocuSign.Model.CommentThread.html#t:t/0","title":"DocuSign.Model.CommentThread.t/0","type":"type"},{"doc":"Details about envelope comments.","ref":"DocuSign.Model.Comments.html","title":"DocuSign.Model.Comments","type":"module"},{"doc":"","ref":"DocuSign.Model.Comments.html#t:t/0","title":"DocuSign.Model.Comments.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CommentsPublish.html","title":"DocuSign.Model.CommentsPublish","type":"module"},{"doc":"","ref":"DocuSign.Model.CommentsPublish.html#t:t/0","title":"DocuSign.Model.CommentsPublish.t/0","type":"type"},{"doc":"A Commission County tab displays the county of a notary's commission. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using DocuSign Notary .","ref":"DocuSign.Model.CommissionCounty.html","title":"DocuSign.Model.CommissionCounty","type":"module"},{"doc":"","ref":"DocuSign.Model.CommissionCounty.html#t:t/0","title":"DocuSign.Model.CommissionCounty.t/0","type":"type"},{"doc":"A Commission Expiration tab displays the expiration date of a notary's commission. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using DocuSign Notary .","ref":"DocuSign.Model.CommissionExpiration.html","title":"DocuSign.Model.CommissionExpiration","type":"module"},{"doc":"","ref":"DocuSign.Model.CommissionExpiration.html#t:t/0","title":"DocuSign.Model.CommissionExpiration.t/0","type":"type"},{"doc":"A Commission Number tab displays a notary's commission number. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [DocuSign Notary][notary]. [notary]: /docs/notary-api/","ref":"DocuSign.Model.CommissionNumber.html","title":"DocuSign.Model.CommissionNumber","type":"module"},{"doc":"","ref":"DocuSign.Model.CommissionNumber.html#t:t/0","title":"DocuSign.Model.CommissionNumber.t/0","type":"type"},{"doc":"A Commission State tab displays the state in which a notary's commission was granted. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [DocuSign Notary][notary]. [notary]: /docs/notary-api/","ref":"DocuSign.Model.CommissionState.html","title":"DocuSign.Model.CommissionState","type":"module"},{"doc":"","ref":"DocuSign.Model.CommissionState.html#t:t/0","title":"DocuSign.Model.CommissionState.t/0","type":"type"},{"doc":"A tab that displays the recipient's company name.","ref":"DocuSign.Model.Company.html","title":"DocuSign.Model.Company","type":"module"},{"doc":"","ref":"DocuSign.Model.Company.html#t:t/0","title":"DocuSign.Model.Company.t/0","type":"type"},{"doc":"This object contains information about a [composite template][composite], which you can use to to apply multiple templates to a single envelope, combine templates with PDF forms, and combine templates with documents from cloud sources. [composite]: /docs/esign-rest-api/esign101/concepts/templates/composite/","ref":"DocuSign.Model.CompositeTemplate.html","title":"DocuSign.Model.CompositeTemplate","type":"module"},{"doc":"","ref":"DocuSign.Model.CompositeTemplate.html#t:t/0","title":"DocuSign.Model.CompositeTemplate.t/0","type":"type"},{"doc":"A rule that defines a set of recipients and the conditions under which they will be used for the envelope.","ref":"DocuSign.Model.ConditionalRecipientRule.html","title":"DocuSign.Model.ConditionalRecipientRule","type":"module"},{"doc":"","ref":"DocuSign.Model.ConditionalRecipientRule.html#t:t/0","title":"DocuSign.Model.ConditionalRecipientRule.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConditionalRecipientRuleCondition.html","title":"DocuSign.Model.ConditionalRecipientRuleCondition","type":"module"},{"doc":"","ref":"DocuSign.Model.ConditionalRecipientRuleCondition.html#t:t/0","title":"DocuSign.Model.ConditionalRecipientRuleCondition.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConditionalRecipientRuleFilter.html","title":"DocuSign.Model.ConditionalRecipientRuleFilter","type":"module"},{"doc":"","ref":"DocuSign.Model.ConditionalRecipientRuleFilter.html#t:t/0","title":"DocuSign.Model.ConditionalRecipientRuleFilter.t/0","type":"type"},{"doc":"This object contains the results of a ConnectConfigurations::GET method.","ref":"DocuSign.Model.ConnectConfigResults.html","title":"DocuSign.Model.ConnectConfigResults","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectConfigResults.html#t:t/0","title":"DocuSign.Model.ConnectConfigResults.t/0","type":"type"},{"doc":"Contains information about a DocuSign Connect configuration.","ref":"DocuSign.Model.ConnectConfigurations.html","title":"DocuSign.Model.ConnectConfigurations","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectConfigurations.html#t:t/0","title":"DocuSign.Model.ConnectConfigurations.t/0","type":"type"},{"doc":"The connectCustomConfiguration object describes a Connect configuration for your account.","ref":"DocuSign.Model.ConnectCustomConfiguration.html","title":"DocuSign.Model.ConnectCustomConfiguration","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectCustomConfiguration.html#t:t/0","title":"DocuSign.Model.ConnectCustomConfiguration.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConnectDebugLog.html","title":"DocuSign.Model.ConnectDebugLog","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectDebugLog.html#t:t/0","title":"DocuSign.Model.ConnectDebugLog.t/0","type":"type"},{"doc":"This object lets you choose the data format of your Connect response.","ref":"DocuSign.Model.ConnectEventData.html","title":"DocuSign.Model.ConnectEventData","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectEventData.html#t:t/0","title":"DocuSign.Model.ConnectEventData.t/0","type":"type"},{"doc":"Connect event logging information. This object contains sections for regular Connect logs and for Connect failures.","ref":"DocuSign.Model.ConnectEvents.html","title":"DocuSign.Model.ConnectEvents","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectEvents.html#t:t/0","title":"DocuSign.Model.ConnectEvents.t/0","type":"type"},{"doc":"A list of failed envelope IDs to retry.","ref":"DocuSign.Model.ConnectFailureFilter.html","title":"DocuSign.Model.ConnectFailureFilter","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectFailureFilter.html#t:t/0","title":"DocuSign.Model.ConnectFailureFilter.t/0","type":"type"},{"doc":"This object contains details about a Connect failure result.","ref":"DocuSign.Model.ConnectFailureResult.html","title":"DocuSign.Model.ConnectFailureResult","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectFailureResult.html#t:t/0","title":"DocuSign.Model.ConnectFailureResult.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConnectFailureResults.html","title":"DocuSign.Model.ConnectFailureResults","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectFailureResults.html#t:t/0","title":"DocuSign.Model.ConnectFailureResults.t/0","type":"type"},{"doc":"The request body for the createHistoricalEnvelopePublishTransaction endpoint.","ref":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.html","title":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.html#t:t/0","title":"DocuSign.Model.ConnectHistoricalEnvelopeRepublish.t/0","type":"type"},{"doc":"Contains information about a Connect log entry.","ref":"DocuSign.Model.ConnectLog.html","title":"DocuSign.Model.ConnectLog","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectLog.html#t:t/0","title":"DocuSign.Model.ConnectLog.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConnectLogs.html","title":"DocuSign.Model.ConnectLogs","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectLogs.html#t:t/0","title":"DocuSign.Model.ConnectLogs.t/0","type":"type"},{"doc":"A complex object describing a Connect OAuth configuration.","ref":"DocuSign.Model.ConnectOAuthConfig.html","title":"DocuSign.Model.ConnectOAuthConfig","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectOAuthConfig.html#t:t/0","title":"DocuSign.Model.ConnectOAuthConfig.t/0","type":"type"},{"doc":"This object is used to match a DocuSign field to a Salesforce field so that DocuSign can send information to your Salesforce account.","ref":"DocuSign.Model.ConnectSalesforceField.html","title":"DocuSign.Model.ConnectSalesforceField","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectSalesforceField.html#t:t/0","title":"DocuSign.Model.ConnectSalesforceField.t/0","type":"type"},{"doc":"A connectSalesforceObject is an object that updates envelope and document status or recipient status in your Salesforce account. When you install DocuSign Connect for Salesforce, the service automatically sets up two Connect objects: one that updates envelope status and documents and one that updates recipient status. You can also customize DocuSign Connect for Salesforce by associating DocuSign objects with Salesforce objects so that DocuSign Connect for Salesforce updates or inserts the information into the Salesforce object. For more information, see DocuSign for Salesforce - Adding Completed Documents to the Notes and Attachments .","ref":"DocuSign.Model.ConnectSalesforceObject.html","title":"DocuSign.Model.ConnectSalesforceObject","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectSalesforceObject.html#t:t/0","title":"DocuSign.Model.ConnectSalesforceObject.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConnectSecret.html","title":"DocuSign.Model.ConnectSecret","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectSecret.html#t:t/0","title":"DocuSign.Model.ConnectSecret.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConnectUserInfo.html","title":"DocuSign.Model.ConnectUserInfo","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectUserInfo.html#t:t/0","title":"DocuSign.Model.ConnectUserInfo.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConnectUserObject.html","title":"DocuSign.Model.ConnectUserObject","type":"module"},{"doc":"","ref":"DocuSign.Model.ConnectUserObject.html#t:t/0","title":"DocuSign.Model.ConnectUserObject.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ConsentDetails.html","title":"DocuSign.Model.ConsentDetails","type":"module"},{"doc":"","ref":"DocuSign.Model.ConsentDetails.html#t:t/0","title":"DocuSign.Model.ConsentDetails.t/0","type":"type"},{"doc":"The request object for the EnvelopeViews: createConsole method.","ref":"DocuSign.Model.ConsoleViewRequest.html","title":"DocuSign.Model.ConsoleViewRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.ConsoleViewRequest.html#t:t/0","title":"DocuSign.Model.ConsoleViewRequest.t/0","type":"type"},{"doc":"Details about consumer disclosures.","ref":"DocuSign.Model.ConsumerDisclosure.html","title":"DocuSign.Model.ConsumerDisclosure","type":"module"},{"doc":"","ref":"DocuSign.Model.ConsumerDisclosure.html#t:t/0","title":"DocuSign.Model.ConsumerDisclosure.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Contact.html","title":"DocuSign.Model.Contact","type":"module"},{"doc":"","ref":"DocuSign.Model.Contact.html#t:t/0","title":"DocuSign.Model.Contact.t/0","type":"type"},{"doc":"This response object contains information about the contacts associated with an account.","ref":"DocuSign.Model.ContactGetResponse.html","title":"DocuSign.Model.ContactGetResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.ContactGetResponse.html#t:t/0","title":"DocuSign.Model.ContactGetResponse.t/0","type":"type"},{"doc":"The request object containing the new information for the contacts.","ref":"DocuSign.Model.ContactModRequest.html","title":"DocuSign.Model.ContactModRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.ContactModRequest.html#t:t/0","title":"DocuSign.Model.ContactModRequest.t/0","type":"type"},{"doc":"Details about the phone numbers associated with a specific contact.","ref":"DocuSign.Model.ContactPhoneNumber.html","title":"DocuSign.Model.ContactPhoneNumber","type":"module"},{"doc":"","ref":"DocuSign.Model.ContactPhoneNumber.html#t:t/0","title":"DocuSign.Model.ContactPhoneNumber.t/0","type":"type"},{"doc":"This response objects shows the updated details for the contacts.","ref":"DocuSign.Model.ContactUpdateResponse.html","title":"DocuSign.Model.ContactUpdateResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.ContactUpdateResponse.html#t:t/0","title":"DocuSign.Model.ContactUpdateResponse.t/0","type":"type"},{"doc":"The Contacts resource enables you to manage the contact in an account's address book.","ref":"DocuSign.Model.Contacts.html","title":"DocuSign.Model.Contacts","type":"module"},{"doc":"","ref":"DocuSign.Model.Contacts.html#t:t/0","title":"DocuSign.Model.Contacts.t/0","type":"type"},{"doc":"The request body for the EnvelopeViews: createCorrect method.","ref":"DocuSign.Model.CorrectViewRequest.html","title":"DocuSign.Model.CorrectViewRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.CorrectViewRequest.html#t:t/0","title":"DocuSign.Model.CorrectViewRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Country.html","title":"DocuSign.Model.Country","type":"module"},{"doc":"","ref":"DocuSign.Model.Country.html#t:t/0","title":"DocuSign.Model.Country.t/0","type":"type"},{"doc":"This object contains information about a credit card that is associated with an account.","ref":"DocuSign.Model.CreditCardInformation.html","title":"DocuSign.Model.CreditCardInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.CreditCardInformation.html#t:t/0","title":"DocuSign.Model.CreditCardInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CreditCardTypes.html","title":"DocuSign.Model.CreditCardTypes","type":"module"},{"doc":"","ref":"DocuSign.Model.CreditCardTypes.html#t:t/0","title":"DocuSign.Model.CreditCardTypes.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Currency.html","title":"DocuSign.Model.Currency","type":"module"},{"doc":"","ref":"DocuSign.Model.Currency.html#t:t/0","title":"DocuSign.Model.Currency.t/0","type":"type"},{"doc":"Information about the price and currency associated with the feature set. Reserved for internal DocuSign use only.","ref":"DocuSign.Model.CurrencyFeatureSetPrice.html","title":"DocuSign.Model.CurrencyFeatureSetPrice","type":"module"},{"doc":"","ref":"DocuSign.Model.CurrencyFeatureSetPrice.html#t:t/0","title":"DocuSign.Model.CurrencyFeatureSetPrice.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CurrencyPlanPrice.html","title":"DocuSign.Model.CurrencyPlanPrice","type":"module"},{"doc":"","ref":"DocuSign.Model.CurrencyPlanPrice.html#t:t/0","title":"DocuSign.Model.CurrencyPlanPrice.t/0","type":"type"},{"doc":"This object provides details about a custom field.","ref":"DocuSign.Model.CustomField.html","title":"DocuSign.Model.CustomField","type":"module"},{"doc":"","ref":"DocuSign.Model.CustomField.html#t:t/0","title":"DocuSign.Model.CustomField.t/0","type":"type"},{"doc":"Contains information about custom fields.","ref":"DocuSign.Model.CustomFields.html","title":"DocuSign.Model.CustomFields","type":"module"},{"doc":"","ref":"DocuSign.Model.CustomFields.html#t:t/0","title":"DocuSign.Model.CustomFields.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CustomFieldsEnvelope.html","title":"DocuSign.Model.CustomFieldsEnvelope","type":"module"},{"doc":"","ref":"DocuSign.Model.CustomFieldsEnvelope.html#t:t/0","title":"DocuSign.Model.CustomFieldsEnvelope.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.CustomSettingsInformation.html","title":"DocuSign.Model.CustomSettingsInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.CustomSettingsInformation.html#t:t/0","title":"DocuSign.Model.CustomSettingsInformation.t/0","type":"type"},{"doc":"Custom tabs","ref":"DocuSign.Model.CustomTabs.html","title":"DocuSign.Model.CustomTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.CustomTabs.html#t:t/0","title":"DocuSign.Model.CustomTabs.t/0","type":"type"},{"doc":"A tab that displays the date that the recipient signed the document.","ref":"DocuSign.Model.DateSigned.html","title":"DocuSign.Model.DateSigned","type":"module"},{"doc":"","ref":"DocuSign.Model.DateSigned.html#t:t/0","title":"DocuSign.Model.DateSigned.t/0","type":"type"},{"doc":"Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle: - DateAreaX : The X axis position of the top-left corner. - DateAreaY : The Y axis position of the top-left corner. - DateAreaWidth : The width of the rectangle. - DateAreaHeight : The height of the rectangle.","ref":"DocuSign.Model.DateStampProperties.html","title":"DocuSign.Model.DateStampProperties","type":"module"},{"doc":"","ref":"DocuSign.Model.DateStampProperties.html#t:t/0","title":"DocuSign.Model.DateStampProperties.t/0","type":"type"},{"doc":"A tab that allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided.","ref":"DocuSign.Model.Decline.html","title":"DocuSign.Model.Decline","type":"module"},{"doc":"","ref":"DocuSign.Model.Decline.html#t:t/0","title":"DocuSign.Model.Decline.t/0","type":"type"},{"doc":"A complex element that specifies the delayed routing settings for the workflow step.","ref":"DocuSign.Model.DelayedRouting.html","title":"DocuSign.Model.DelayedRouting","type":"module"},{"doc":"","ref":"DocuSign.Model.DelayedRouting.html#t:t/0","title":"DocuSign.Model.DelayedRouting.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DelegationInfo.html","title":"DocuSign.Model.DelegationInfo","type":"module"},{"doc":"","ref":"DocuSign.Model.DelegationInfo.html#t:t/0","title":"DocuSign.Model.DelegationInfo.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DiagnosticsSettingsInformation.html","title":"DocuSign.Model.DiagnosticsSettingsInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.DiagnosticsSettingsInformation.html#t:t/0","title":"DocuSign.Model.DiagnosticsSettingsInformation.t/0","type":"type"},{"doc":"Contains information about a bank that processes a customer's direct debit payments.","ref":"DocuSign.Model.DirectDebitProcessorInformation.html","title":"DocuSign.Model.DirectDebitProcessorInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.DirectDebitProcessorInformation.html#t:t/0","title":"DocuSign.Model.DirectDebitProcessorInformation.t/0","type":"type"},{"doc":"Complex type containing: dateOfBirth displayLevelCode * receiveInResponse","ref":"DocuSign.Model.DobInformationInput.html","title":"DocuSign.Model.DobInformationInput","type":"module"},{"doc":"","ref":"DocuSign.Model.DobInformationInput.html#t:t/0","title":"DocuSign.Model.DobInformationInput.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocGenFormField.html","title":"DocuSign.Model.DocGenFormField","type":"module"},{"doc":"","ref":"DocuSign.Model.DocGenFormField.html#t:t/0","title":"DocuSign.Model.DocGenFormField.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocGenSyntaxError.html","title":"DocuSign.Model.DocGenSyntaxError","type":"module"},{"doc":"","ref":"DocuSign.Model.DocGenSyntaxError.html#t:t/0","title":"DocuSign.Model.DocGenSyntaxError.t/0","type":"type"},{"doc":"A tab that allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, DocuSign recommends using a Text tab with a validation pattern and a validation message to enforce the format.","ref":"DocuSign.Model.DocuSignDate.html","title":"DocuSign.Model.DocuSignDate","type":"module"},{"doc":"","ref":"DocuSign.Model.DocuSignDate.html#t:t/0","title":"DocuSign.Model.DocuSignDate.t/0","type":"type"},{"doc":"A tab that allows the recipient to enter numbers and decimal (.) points.","ref":"DocuSign.Model.DocuSignNumber.html","title":"DocuSign.Model.DocuSignNumber","type":"module"},{"doc":"","ref":"DocuSign.Model.DocuSignNumber.html#t:t/0","title":"DocuSign.Model.DocuSignNumber.t/0","type":"type"},{"doc":"A document object.","ref":"DocuSign.Model.Document.html","title":"DocuSign.Model.Document","type":"module"},{"doc":"","ref":"DocuSign.Model.Document.html#t:t/0","title":"DocuSign.Model.Document.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentFieldsInformation.html","title":"DocuSign.Model.DocumentFieldsInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentFieldsInformation.html#t:t/0","title":"DocuSign.Model.DocumentFieldsInformation.t/0","type":"type"},{"doc":"Display settings for collapsible section.","ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.html#t:t/0","title":"DocuSign.Model.DocumentHtmlCollapsibleDisplaySettings.t/0","type":"type"},{"doc":"Holds the properties that define how to generate the responsive-formatted HTML for the document. See Responsive signing in the eSignature concepts guide .","ref":"DocuSign.Model.DocumentHtmlDefinition.html","title":"DocuSign.Model.DocumentHtmlDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinition.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDefinition.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginal.html","title":"DocuSign.Model.DocumentHtmlDefinitionOriginal","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginal.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDefinitionOriginal.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginals.html","title":"DocuSign.Model.DocumentHtmlDefinitionOriginals","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinitionOriginals.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDefinitionOriginals.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinitions.html","title":"DocuSign.Model.DocumentHtmlDefinitions","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDefinitions.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDefinitions.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html","title":"DocuSign.Model.DocumentHtmlDisplayAnchor","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDisplayAnchor.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDisplayAnchor.t/0","type":"type"},{"doc":"This object defines how to display the HTML between the startAnchor and endAnchor .","ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html","title":"DocuSign.Model.DocumentHtmlDisplaySettings","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentHtmlDisplaySettings.html#t:t/0","title":"DocuSign.Model.DocumentHtmlDisplaySettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentResponsiveHtml.html","title":"DocuSign.Model.DocumentResponsiveHtml","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentResponsiveHtml.html#t:t/0","title":"DocuSign.Model.DocumentResponsiveHtml.t/0","type":"type"},{"doc":"This resource is used to create a responsive preview of a specific document.","ref":"DocuSign.Model.DocumentResponsiveHtmlPreview.html","title":"DocuSign.Model.DocumentResponsiveHtmlPreview","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentResponsiveHtmlPreview.html#t:t/0","title":"DocuSign.Model.DocumentResponsiveHtmlPreview.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentTemplate.html","title":"DocuSign.Model.DocumentTemplate","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentTemplate.html#t:t/0","title":"DocuSign.Model.DocumentTemplate.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DocumentTemplateList.html","title":"DocuSign.Model.DocumentTemplateList","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentTemplateList.html#t:t/0","title":"DocuSign.Model.DocumentTemplateList.t/0","type":"type"},{"doc":"This object configures a recipient's read/write access to a document.","ref":"DocuSign.Model.DocumentVisibility.html","title":"DocuSign.Model.DocumentVisibility","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentVisibility.html#t:t/0","title":"DocuSign.Model.DocumentVisibility.t/0","type":"type"},{"doc":"A list of documentVisibility objects that specify whether documents are visible to recipients.","ref":"DocuSign.Model.DocumentVisibilityList.html","title":"DocuSign.Model.DocumentVisibilityList","type":"module"},{"doc":"","ref":"DocuSign.Model.DocumentVisibilityList.html#t:t/0","title":"DocuSign.Model.DocumentVisibilityList.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DowngradRequestBillingInfoResponse.html","title":"DocuSign.Model.DowngradRequestBillingInfoResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.DowngradRequestBillingInfoResponse.html#t:t/0","title":"DocuSign.Model.DowngradRequestBillingInfoResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DowngradeBillingPlanInformation.html","title":"DocuSign.Model.DowngradeBillingPlanInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.DowngradeBillingPlanInformation.html#t:t/0","title":"DocuSign.Model.DowngradeBillingPlanInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DowngradePlanUpdateResponse.html","title":"DocuSign.Model.DowngradePlanUpdateResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.DowngradePlanUpdateResponse.html#t:t/0","title":"DocuSign.Model.DowngradePlanUpdateResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.DowngradeRequestInformation.html","title":"DocuSign.Model.DowngradeRequestInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.DowngradeRequestInformation.html#t:t/0","title":"DocuSign.Model.DowngradeRequestInformation.t/0","type":"type"},{"doc":"A tab that allows the recipient to add a free-form drawing to the document.","ref":"DocuSign.Model.Draw.html","title":"DocuSign.Model.Draw","type":"module"},{"doc":"","ref":"DocuSign.Model.Draw.html#t:t/0","title":"DocuSign.Model.Draw.t/0","type":"type"},{"doc":"This object contains information used to configure eNote functionality. To use eNote, the Allow eNote for eOriginal account plan item must be on, and the Connect configuration for eOriginal must be set correctly.","ref":"DocuSign.Model.ENoteConfiguration.html","title":"DocuSign.Model.ENoteConfiguration","type":"module"},{"doc":"","ref":"DocuSign.Model.ENoteConfiguration.html#t:t/0","title":"DocuSign.Model.ENoteConfiguration.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ENoteConfigurations.html","title":"DocuSign.Model.ENoteConfigurations","type":"module"},{"doc":"","ref":"DocuSign.Model.ENoteConfigurations.html#t:t/0","title":"DocuSign.Model.ENoteConfigurations.t/0","type":"type"},{"doc":"A complex type defining the management and access rights of a recipient assigned as an editor on the envelope. Editors have the same management and access rights for the envelope as the sender. They can make changes to the envelope as if they were using the Correct feature. This recipient can add name and email information, add or change the routing order and set authentication options for the remaining recipients. Additionally, this recipient can edit signature/initial tabs and text tabs for the remaining recipients.","ref":"DocuSign.Model.Editor.html","title":"DocuSign.Model.Editor","type":"module"},{"doc":"","ref":"DocuSign.Model.Editor.html#t:t/0","title":"DocuSign.Model.Editor.t/0","type":"type"},{"doc":"A tab that allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information. When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.","ref":"DocuSign.Model.Email.html","title":"DocuSign.Model.Email","type":"module"},{"doc":"","ref":"DocuSign.Model.Email.html#t:t/0","title":"DocuSign.Model.Email.t/0","type":"type"},{"doc":"A tab that displays the recipient's email as entered in the recipient information.","ref":"DocuSign.Model.EmailAddress.html","title":"DocuSign.Model.EmailAddress","type":"module"},{"doc":"","ref":"DocuSign.Model.EmailAddress.html#t:t/0","title":"DocuSign.Model.EmailAddress.t/0","type":"type"},{"doc":"A complex element that allows the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent. When the emailSettings information is used for an envelope, it only applies to that envelope. IMPORTANT: The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings. EmailSettings consists of: replyEmailAddressOverride - The Reply To email used for the envelope. DocuSign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters. replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters. bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option. DocuSign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. Example*: if your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address.","ref":"DocuSign.Model.EmailSettings.html","title":"DocuSign.Model.EmailSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.EmailSettings.html#t:t/0","title":"DocuSign.Model.EmailSettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Envelope.html","title":"DocuSign.Model.Envelope","type":"module"},{"doc":"","ref":"DocuSign.Model.Envelope.html#t:t/0","title":"DocuSign.Model.Envelope.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachment.html","title":"DocuSign.Model.EnvelopeAttachment","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachment.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachment.t/0","type":"type"},{"doc":"The EnvelopeAttachments resource provides methods that allow you to manage attachments.","ref":"DocuSign.Model.EnvelopeAttachments.html","title":"DocuSign.Model.EnvelopeAttachments","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachments.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachments.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html","title":"DocuSign.Model.EnvelopeAttachmentsRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachmentsRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachmentsRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachmentsResult.html","title":"DocuSign.Model.EnvelopeAttachmentsResult","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeAttachmentsResult.html#t:t/0","title":"DocuSign.Model.EnvelopeAttachmentsResult.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeAuditEvent.html","title":"DocuSign.Model.EnvelopeAuditEvent","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeAuditEvent.html#t:t/0","title":"DocuSign.Model.EnvelopeAuditEvent.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeAuditEventResponse.html","title":"DocuSign.Model.EnvelopeAuditEventResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeAuditEventResponse.html#t:t/0","title":"DocuSign.Model.EnvelopeAuditEventResponse.t/0","type":"type"},{"doc":"Details about envelope consumer disclosures.","ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html","title":"DocuSign.Model.EnvelopeConsumerDisclosures","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeConsumerDisclosures.html#t:t/0","title":"DocuSign.Model.EnvelopeConsumerDisclosures.t/0","type":"type"},{"doc":"An envelope custom field enables you to collect custom data about envelopes on a per-envelope basis. You can then use the custom data for sorting, organizing, searching, and other downstream processes. For example, you can use custom fields to copy envelopes or data to multiple areas in Salesforce. eOriginal customers can eVault their documents from the web app on a per-envelope basis by setting an envelope custom field with a name like &quot;eVault with eOriginal?&quot; to &quot;Yes&quot; or &quot;No&quot;. When a user creates an envelope, the envelope custom fields display in the Envelope Settings section of the DocuSign console. Envelope recipients do not see the envelope custom fields. For more information, see Envelope Custom Fields .","ref":"DocuSign.Model.EnvelopeCustomFields.html","title":"DocuSign.Model.EnvelopeCustomFields","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeCustomFields.html#t:t/0","title":"DocuSign.Model.EnvelopeCustomFields.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeCustomMetadata.html","title":"DocuSign.Model.EnvelopeCustomMetadata","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeCustomMetadata.html#t:t/0","title":"DocuSign.Model.EnvelopeCustomMetadata.t/0","type":"type"},{"doc":"Envelope object definition.","ref":"DocuSign.Model.EnvelopeDefinition.html","title":"DocuSign.Model.EnvelopeDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDefinition.html#t:t/0","title":"DocuSign.Model.EnvelopeDefinition.t/0","type":"type"},{"doc":"A user-specified object that describes the envelope delay. To indicate a relative delay, use delay . To indicate the exact datetime the envelope should be sent, use resumeDate . Only one of the two properties can be used.","ref":"DocuSign.Model.EnvelopeDelayRule.html","title":"DocuSign.Model.EnvelopeDelayRule","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDelayRule.html#t:t/0","title":"DocuSign.Model.EnvelopeDelayRule.t/0","type":"type"},{"doc":"This object contains details about the envelope document.","ref":"DocuSign.Model.EnvelopeDocument.html","title":"DocuSign.Model.EnvelopeDocument","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocument.html#t:t/0","title":"DocuSign.Model.EnvelopeDocument.t/0","type":"type"},{"doc":"Envelope document fields","ref":"DocuSign.Model.EnvelopeDocumentFields.html","title":"DocuSign.Model.EnvelopeDocumentFields","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentFields.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentFields.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.html","title":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentHtmlDefinitions.t/0","type":"type"},{"doc":"Document tabs are tabs that are associated with a document rather than with a recipient.","ref":"DocuSign.Model.EnvelopeDocumentTabs.html","title":"DocuSign.Model.EnvelopeDocumentTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentTabs.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentTabs.t/0","type":"type"},{"doc":"Document Visibility enables senders to control the visibility of the documents in an envelope at the recipient level. For example, if the parties associated with a legal proceeding should have access to different documents, the Document Visibility feature enables you to keep all of the documents in the same envelope and set view permissions for the documents by recipient. This functionality is enabled for envelopes and templates. It is not available for PowerForms. Note: Before you use Document Visibility, you should be aware of the following information: - Document Visibility must be enabled for your account by your DocuSign administrator. - A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. - When the Document Visibility setting hides a document from a recipient, the document also does not appear in the recipient's list of envelopes, documents, or page images. - Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all of the documents associated with the envelope or template. The Document Visibility feature has multiple settings that specify the options that senders have when sending documents. For more information, see Use Document Visibility to Control Recipient Access .","ref":"DocuSign.Model.EnvelopeDocumentVisibility.html","title":"DocuSign.Model.EnvelopeDocumentVisibility","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentVisibility.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentVisibility.t/0","type":"type"},{"doc":"Envelope documents","ref":"DocuSign.Model.EnvelopeDocuments.html","title":"DocuSign.Model.EnvelopeDocuments","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocuments.html#t:t/0","title":"DocuSign.Model.EnvelopeDocuments.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentsResult.html","title":"DocuSign.Model.EnvelopeDocumentsResult","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeDocumentsResult.html#t:t/0","title":"DocuSign.Model.EnvelopeDocumentsResult.t/0","type":"type"},{"doc":"Envelope email settings","ref":"DocuSign.Model.EnvelopeEmailSettings.html","title":"DocuSign.Model.EnvelopeEmailSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeEmailSettings.html#t:t/0","title":"DocuSign.Model.EnvelopeEmailSettings.t/0","type":"type"},{"doc":"For which envelope events should your webhook be called?","ref":"DocuSign.Model.EnvelopeEvent.html","title":"DocuSign.Model.EnvelopeEvent","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeEvent.html#t:t/0","title":"DocuSign.Model.EnvelopeEvent.t/0","type":"type"},{"doc":"This object contains the data that recipients have entered into the form fields associated with an envelope.","ref":"DocuSign.Model.EnvelopeFormData.html","title":"DocuSign.Model.EnvelopeFormData","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeFormData.html#t:t/0","title":"DocuSign.Model.EnvelopeFormData.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeHtmlDefinitions.html","title":"DocuSign.Model.EnvelopeHtmlDefinitions","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeHtmlDefinitions.html#t:t/0","title":"DocuSign.Model.EnvelopeHtmlDefinitions.t/0","type":"type"},{"doc":"A tab that displays the envelope ID. Note: The eSignature API uses the name envelopeId two ways: - As a property of type string used to identify an envelope by its GUID. - As an object used to represent an envelope tab that displays the envelope's GUID.","ref":"DocuSign.Model.EnvelopeId.html","title":"DocuSign.Model.EnvelopeId","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeId.html#t:t/0","title":"DocuSign.Model.EnvelopeId.t/0","type":"type"},{"doc":"Lists of envelope and transaction IDs to use in the results. If you use this request body with Envelopes: listStatus, you must set one or both of the following query parameters to the special value request_body : - envelope_ids=request_body - transaction_ids=request_body","ref":"DocuSign.Model.EnvelopeIdsRequest.html","title":"DocuSign.Model.EnvelopeIdsRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeIdsRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeIdsRequest.t/0","type":"type"},{"doc":"Envelope locks let you lock an envelope to prevent any changes while you are updating an envelope.","ref":"DocuSign.Model.EnvelopeLocks.html","title":"DocuSign.Model.EnvelopeLocks","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeLocks.html#t:t/0","title":"DocuSign.Model.EnvelopeLocks.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeMetadata.html","title":"DocuSign.Model.EnvelopeMetadata","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeMetadata.html#t:t/0","title":"DocuSign.Model.EnvelopeMetadata.t/0","type":"type"},{"doc":"A complex element that specifies the notification settings for the envelope.","ref":"DocuSign.Model.EnvelopeNotificationRequest.html","title":"DocuSign.Model.EnvelopeNotificationRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeNotificationRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeNotificationRequest.t/0","type":"type"},{"doc":"The EnvelopePublish resource allows you to submit existing envelopes to any webhook.","ref":"DocuSign.Model.EnvelopePublish.html","title":"DocuSign.Model.EnvelopePublish","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopePublish.html#t:t/0","title":"DocuSign.Model.EnvelopePublish.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopePublishTransaction.html","title":"DocuSign.Model.EnvelopePublishTransaction","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopePublishTransaction.html#t:t/0","title":"DocuSign.Model.EnvelopePublishTransaction.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.html#t:t/0","title":"DocuSign.Model.EnvelopePublishTransactionErrorRollup.t/0","type":"type"},{"doc":"Contains information about the current envelope purge configuration for an account, which enables account administrators to purge documents from completed and voided envelopes after a set number of days ( retentionDays ).","ref":"DocuSign.Model.EnvelopePurgeConfiguration.html","title":"DocuSign.Model.EnvelopePurgeConfiguration","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopePurgeConfiguration.html#t:t/0","title":"DocuSign.Model.EnvelopePurgeConfiguration.t/0","type":"type"},{"doc":"All of the tabs associated with a recipient. Each property is a list of a type of tab.","ref":"DocuSign.Model.EnvelopeRecipientTabs.html","title":"DocuSign.Model.EnvelopeRecipientTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeRecipientTabs.html#t:t/0","title":"DocuSign.Model.EnvelopeRecipientTabs.t/0","type":"type"},{"doc":"Envelope recipients","ref":"DocuSign.Model.EnvelopeRecipients.html","title":"DocuSign.Model.EnvelopeRecipients","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeRecipients.html#t:t/0","title":"DocuSign.Model.EnvelopeRecipients.t/0","type":"type"},{"doc":"This object describes an envelope.","ref":"DocuSign.Model.EnvelopeSummary.html","title":"DocuSign.Model.EnvelopeSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeSummary.html#t:t/0","title":"DocuSign.Model.EnvelopeSummary.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeTemplate.html","title":"DocuSign.Model.EnvelopeTemplate","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTemplate.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplate.t/0","type":"type"},{"doc":"Information about templates.","ref":"DocuSign.Model.EnvelopeTemplateResults.html","title":"DocuSign.Model.EnvelopeTemplateResults","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTemplateResults.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplateResults.t/0","type":"type"},{"doc":"Envelope templates","ref":"DocuSign.Model.EnvelopeTemplates.html","title":"DocuSign.Model.EnvelopeTemplates","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTemplates.html#t:t/0","title":"DocuSign.Model.EnvelopeTemplates.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransactionStatus.html","title":"DocuSign.Model.EnvelopeTransactionStatus","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransactionStatus.html#t:t/0","title":"DocuSign.Model.EnvelopeTransactionStatus.t/0","type":"type"},{"doc":"This object contains details about an envelope transfer rule.","ref":"DocuSign.Model.EnvelopeTransferRule.html","title":"DocuSign.Model.EnvelopeTransferRule","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransferRule.html#t:t/0","title":"DocuSign.Model.EnvelopeTransferRule.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransferRuleInformation.html","title":"DocuSign.Model.EnvelopeTransferRuleInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransferRuleInformation.html#t:t/0","title":"DocuSign.Model.EnvelopeTransferRuleInformation.t/0","type":"type"},{"doc":"This object contains details about the envelope transfer rule that you want to create.","ref":"DocuSign.Model.EnvelopeTransferRuleRequest.html","title":"DocuSign.Model.EnvelopeTransferRuleRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransferRuleRequest.html#t:t/0","title":"DocuSign.Model.EnvelopeTransferRuleRequest.t/0","type":"type"},{"doc":"This resource provides methods that enable account administrators to create and manage envelope transfer rules.","ref":"DocuSign.Model.EnvelopeTransferRules.html","title":"DocuSign.Model.EnvelopeTransferRules","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeTransferRules.html#t:t/0","title":"DocuSign.Model.EnvelopeTransferRules.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.EnvelopeUpdateSummary.html","title":"DocuSign.Model.EnvelopeUpdateSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeUpdateSummary.html#t:t/0","title":"DocuSign.Model.EnvelopeUpdateSummary.t/0","type":"type"},{"doc":"Provides a URL that you can embed in your application to provide access to the DocuSign UI. ### Related topics - Embedded signing and sending - Send an envelope via your app - Introducing customizable embedded sending","ref":"DocuSign.Model.EnvelopeViews.html","title":"DocuSign.Model.EnvelopeViews","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeViews.html#t:t/0","title":"DocuSign.Model.EnvelopeViews.t/0","type":"type"},{"doc":"Describes the workflow for an envelope or template.","ref":"DocuSign.Model.EnvelopeWorkflowDefinition.html","title":"DocuSign.Model.EnvelopeWorkflowDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopeWorkflowDefinition.html#t:t/0","title":"DocuSign.Model.EnvelopeWorkflowDefinition.t/0","type":"type"},{"doc":"Envelope creation, management","ref":"DocuSign.Model.Envelopes.html","title":"DocuSign.Model.Envelopes","type":"module"},{"doc":"","ref":"DocuSign.Model.Envelopes.html#t:t/0","title":"DocuSign.Model.Envelopes.t/0","type":"type"},{"doc":"Result set for the Envelopes: listStatusChanges method","ref":"DocuSign.Model.EnvelopesInformation.html","title":"DocuSign.Model.EnvelopesInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.EnvelopesInformation.html#t:t/0","title":"DocuSign.Model.EnvelopesInformation.t/0","type":"type"},{"doc":"This object describes errors that occur. It is only valid for responses and ignored in requests.","ref":"DocuSign.Model.ErrorDetails.html","title":"DocuSign.Model.ErrorDetails","type":"module"},{"doc":"","ref":"DocuSign.Model.ErrorDetails.html#t:t/0","title":"DocuSign.Model.ErrorDetails.t/0","type":"type"},{"doc":"Use this object to configure a DocuSign Connect webhook .","ref":"DocuSign.Model.EventNotification.html","title":"DocuSign.Model.EventNotification","type":"module"},{"doc":"","ref":"DocuSign.Model.EventNotification.html#t:t/0","title":"DocuSign.Model.EventNotification.t/0","type":"type"},{"doc":"Information about the result of an event.","ref":"DocuSign.Model.EventResult.html","title":"DocuSign.Model.EventResult","type":"module"},{"doc":"","ref":"DocuSign.Model.EventResult.html#t:t/0","title":"DocuSign.Model.EventResult.t/0","type":"type"},{"doc":"A complex element that specifies the expiration settings for the envelope. When an envelope expires, it is voided and no longer available for signing. Note: there is a short delay between when the envelope expires and when it is voided.","ref":"DocuSign.Model.Expirations.html","title":"DocuSign.Model.Expirations","type":"module"},{"doc":"","ref":"DocuSign.Model.Expirations.html#t:t/0","title":"DocuSign.Model.Expirations.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html","title":"DocuSign.Model.ExternalDocServiceErrorDetails","type":"module"},{"doc":"","ref":"DocuSign.Model.ExternalDocServiceErrorDetails.html#t:t/0","title":"DocuSign.Model.ExternalDocServiceErrorDetails.t/0","type":"type"},{"doc":"A complex object specifying the external document sources.","ref":"DocuSign.Model.ExternalDocumentSources.html","title":"DocuSign.Model.ExternalDocumentSources","type":"module"},{"doc":"","ref":"DocuSign.Model.ExternalDocumentSources.html#t:t/0","title":"DocuSign.Model.ExternalDocumentSources.t/0","type":"type"},{"doc":"This object contains information about a file or folder in cloud storage.","ref":"DocuSign.Model.ExternalFile.html","title":"DocuSign.Model.ExternalFile","type":"module"},{"doc":"","ref":"DocuSign.Model.ExternalFile.html#t:t/0","title":"DocuSign.Model.ExternalFile.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ExternalFolder.html","title":"DocuSign.Model.ExternalFolder","type":"module"},{"doc":"","ref":"DocuSign.Model.ExternalFolder.html#t:t/0","title":"DocuSign.Model.ExternalFolder.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.html","title":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements","type":"module"},{"doc":"","ref":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.html#t:t/0","title":"DocuSign.Model.ExternalPrimaryAccountRecipientAuthRequirements.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FavoriteTemplates.html","title":"DocuSign.Model.FavoriteTemplates","type":"module"},{"doc":"","ref":"DocuSign.Model.FavoriteTemplates.html#t:t/0","title":"DocuSign.Model.FavoriteTemplates.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FavoriteTemplatesContentItem.html","title":"DocuSign.Model.FavoriteTemplatesContentItem","type":"module"},{"doc":"","ref":"DocuSign.Model.FavoriteTemplatesContentItem.html#t:t/0","title":"DocuSign.Model.FavoriteTemplatesContentItem.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FavoriteTemplatesInfo.html","title":"DocuSign.Model.FavoriteTemplatesInfo","type":"module"},{"doc":"","ref":"DocuSign.Model.FavoriteTemplatesInfo.html#t:t/0","title":"DocuSign.Model.FavoriteTemplatesInfo.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FeatureAvailableMetadata.html","title":"DocuSign.Model.FeatureAvailableMetadata","type":"module"},{"doc":"","ref":"DocuSign.Model.FeatureAvailableMetadata.html#t:t/0","title":"DocuSign.Model.FeatureAvailableMetadata.t/0","type":"type"},{"doc":"This object provides details about a feature set, or add-on product that is associated with an account. It is reserved for DocuSign internal use only.","ref":"DocuSign.Model.FeatureSet.html","title":"DocuSign.Model.FeatureSet","type":"module"},{"doc":"","ref":"DocuSign.Model.FeatureSet.html#t:t/0","title":"DocuSign.Model.FeatureSet.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FileType.html","title":"DocuSign.Model.FileType","type":"module"},{"doc":"","ref":"DocuSign.Model.FileType.html#t:t/0","title":"DocuSign.Model.FileType.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FileTypeList.html","title":"DocuSign.Model.FileTypeList","type":"module"},{"doc":"","ref":"DocuSign.Model.FileTypeList.html#t:t/0","title":"DocuSign.Model.FileTypeList.t/0","type":"type"},{"doc":"Use this object to create a filtered view of the items in a folder.","ref":"DocuSign.Model.Filter.html","title":"DocuSign.Model.Filter","type":"module"},{"doc":"","ref":"DocuSign.Model.Filter.html#t:t/0","title":"DocuSign.Model.Filter.t/0","type":"type"},{"doc":"A tab that displays the recipient's first name. This tab takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name.","ref":"DocuSign.Model.FirstName.html","title":"DocuSign.Model.FirstName","type":"module"},{"doc":"","ref":"DocuSign.Model.FirstName.html#t:t/0","title":"DocuSign.Model.FirstName.t/0","type":"type"},{"doc":"This object contains details about a folder.","ref":"DocuSign.Model.Folder.html","title":"DocuSign.Model.Folder","type":"module"},{"doc":"","ref":"DocuSign.Model.Folder.html#t:t/0","title":"DocuSign.Model.Folder.t/0","type":"type"},{"doc":"Results from a folder item request.","ref":"DocuSign.Model.FolderItemResponse.html","title":"DocuSign.Model.FolderItemResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.FolderItemResponse.html#t:t/0","title":"DocuSign.Model.FolderItemResponse.t/0","type":"type"},{"doc":"Information about folder item results.","ref":"DocuSign.Model.FolderItemV2.html","title":"DocuSign.Model.FolderItemV2","type":"module"},{"doc":"","ref":"DocuSign.Model.FolderItemV2.html#t:t/0","title":"DocuSign.Model.FolderItemV2.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FolderItemsResponse.html","title":"DocuSign.Model.FolderItemsResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.FolderItemsResponse.html#t:t/0","title":"DocuSign.Model.FolderItemsResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FolderSharedItem.html","title":"DocuSign.Model.FolderSharedItem","type":"module"},{"doc":"","ref":"DocuSign.Model.FolderSharedItem.html#t:t/0","title":"DocuSign.Model.FolderSharedItem.t/0","type":"type"},{"doc":"Folders allow you to organize envelopes and templates.","ref":"DocuSign.Model.Folders.html","title":"DocuSign.Model.Folders","type":"module"},{"doc":"","ref":"DocuSign.Model.Folders.html#t:t/0","title":"DocuSign.Model.Folders.t/0","type":"type"},{"doc":"Information for a folder request.","ref":"DocuSign.Model.FoldersRequest.html","title":"DocuSign.Model.FoldersRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.FoldersRequest.html#t:t/0","title":"DocuSign.Model.FoldersRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FoldersResponse.html","title":"DocuSign.Model.FoldersResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.FoldersResponse.html#t:t/0","title":"DocuSign.Model.FoldersResponse.t/0","type":"type"},{"doc":"A complex element that has up to four Question/Answer pairs for forgotten password information.","ref":"DocuSign.Model.ForgottenPasswordInformation.html","title":"DocuSign.Model.ForgottenPasswordInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.ForgottenPasswordInformation.html#t:t/0","title":"DocuSign.Model.ForgottenPasswordInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.FormDataItem.html","title":"DocuSign.Model.FormDataItem","type":"module"},{"doc":"","ref":"DocuSign.Model.FormDataItem.html#t:t/0","title":"DocuSign.Model.FormDataItem.t/0","type":"type"},{"doc":"The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result. The formula property of the tab contains the references to the underlying tabs. See [Calculated Fields][calculatedfields] in the DocuSign Support Center to learn more about formulas. If a formula tab contains a paymentDetails property, the tab is considered a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [calculatedfields]: https://support.docusign.com/en/guides/ndse-user-guide-calculated-fields [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures","ref":"DocuSign.Model.FormulaTab.html","title":"DocuSign.Model.FormulaTab","type":"module"},{"doc":"","ref":"DocuSign.Model.FormulaTab.html#t:t/0","title":"DocuSign.Model.FormulaTab.t/0","type":"type"},{"doc":"A tab that displays the recipient's full name.","ref":"DocuSign.Model.FullName.html","title":"DocuSign.Model.FullName","type":"module"},{"doc":"","ref":"DocuSign.Model.FullName.html#t:t/0","title":"DocuSign.Model.FullName.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.GraphicsContext.html","title":"DocuSign.Model.GraphicsContext","type":"module"},{"doc":"","ref":"DocuSign.Model.GraphicsContext.html#t:t/0","title":"DocuSign.Model.GraphicsContext.t/0","type":"type"},{"doc":"This object contains information about a group.","ref":"DocuSign.Model.Group.html","title":"DocuSign.Model.Group","type":"module"},{"doc":"","ref":"DocuSign.Model.Group.html#t:t/0","title":"DocuSign.Model.Group.t/0","type":"type"},{"doc":"If your account includes multiple signing brands, you can use the groups functionality to assign different brands to different groups. This resource enables you to manage group brands.","ref":"DocuSign.Model.GroupBrands.html","title":"DocuSign.Model.GroupBrands","type":"module"},{"doc":"","ref":"DocuSign.Model.GroupBrands.html#t:t/0","title":"DocuSign.Model.GroupBrands.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.GroupInformation.html","title":"DocuSign.Model.GroupInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.GroupInformation.html#t:t/0","title":"DocuSign.Model.GroupInformation.t/0","type":"type"},{"doc":"Groups' users","ref":"DocuSign.Model.GroupUsers.html","title":"DocuSign.Model.GroupUsers","type":"module"},{"doc":"","ref":"DocuSign.Model.GroupUsers.html#t:t/0","title":"DocuSign.Model.GroupUsers.t/0","type":"type"},{"doc":"Group information","ref":"DocuSign.Model.Groups.html","title":"DocuSign.Model.Groups","type":"module"},{"doc":"","ref":"DocuSign.Model.Groups.html#t:t/0","title":"DocuSign.Model.Groups.t/0","type":"type"},{"doc":"A complex object specifying ID check configuration.","ref":"DocuSign.Model.IdCheckConfiguration.html","title":"DocuSign.Model.IdCheckConfiguration","type":"module"},{"doc":"","ref":"DocuSign.Model.IdCheckConfiguration.html#t:t/0","title":"DocuSign.Model.IdCheckConfiguration.t/0","type":"type"},{"doc":"A complex element that contains input information related to a recipient ID check.","ref":"DocuSign.Model.IdCheckInformationInput.html","title":"DocuSign.Model.IdCheckInformationInput","type":"module"},{"doc":"","ref":"DocuSign.Model.IdCheckInformationInput.html#t:t/0","title":"DocuSign.Model.IdCheckInformationInput.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.IdCheckSecurityStep.html","title":"DocuSign.Model.IdCheckSecurityStep","type":"module"},{"doc":"","ref":"DocuSign.Model.IdCheckSecurityStep.html#t:t/0","title":"DocuSign.Model.IdCheckSecurityStep.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.IdEvidenceResourceToken.html","title":"DocuSign.Model.IdEvidenceResourceToken","type":"module"},{"doc":"","ref":"DocuSign.Model.IdEvidenceResourceToken.html#t:t/0","title":"DocuSign.Model.IdEvidenceResourceToken.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.IdEvidenceViewLink.html","title":"DocuSign.Model.IdEvidenceViewLink","type":"module"},{"doc":"","ref":"DocuSign.Model.IdEvidenceViewLink.html#t:t/0","title":"DocuSign.Model.IdEvidenceViewLink.t/0","type":"type"},{"doc":"Identity Verification enables you to verify a signer's identity before they can access a document. The IdentityVerifications resource provides a method that enables you to list the workflows that are available to an account.","ref":"DocuSign.Model.IdentityVerifications.html","title":"DocuSign.Model.IdentityVerifications","type":"module"},{"doc":"","ref":"DocuSign.Model.IdentityVerifications.html#t:t/0","title":"DocuSign.Model.IdentityVerifications.t/0","type":"type"},{"doc":"Contains information about an in-person recipient. This is a DocuSign user, acting as a Signing Host, who is in the same physical location as the signer. To learn about the fields used for the eNotary feature, see the [EnvelopeRecipients resource][resource]. [resource]: /docs/esign-rest-api/reference/envelopes/enveloperecipients/#in-person-signer-recipient","ref":"DocuSign.Model.InPersonSigner.html","title":"DocuSign.Model.InPersonSigner","type":"module"},{"doc":"","ref":"DocuSign.Model.InPersonSigner.html#t:t/0","title":"DocuSign.Model.InPersonSigner.t/0","type":"type"},{"doc":"A tab that allows the recipient to initial the document. May be optional.","ref":"DocuSign.Model.InitialHere.html","title":"DocuSign.Model.InitialHere","type":"module"},{"doc":"","ref":"DocuSign.Model.InitialHere.html#t:t/0","title":"DocuSign.Model.InitialHere.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.InlineTemplate.html","title":"DocuSign.Model.InlineTemplate","type":"module"},{"doc":"","ref":"DocuSign.Model.InlineTemplate.html#t:t/0","title":"DocuSign.Model.InlineTemplate.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.IntegratedConnectUserInfoList.html","title":"DocuSign.Model.IntegratedConnectUserInfoList","type":"module"},{"doc":"","ref":"DocuSign.Model.IntegratedConnectUserInfoList.html#t:t/0","title":"DocuSign.Model.IntegratedConnectUserInfoList.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.IntegratedUserInfoList.html","title":"DocuSign.Model.IntegratedUserInfoList","type":"module"},{"doc":"","ref":"DocuSign.Model.IntegratedUserInfoList.html#t:t/0","title":"DocuSign.Model.IntegratedUserInfoList.t/0","type":"type"},{"doc":"Contains information about an intermediary recipient. An intermediary is a recipient who can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order, unless subsequent agents, editors or intermediaries are added.","ref":"DocuSign.Model.Intermediary.html","title":"DocuSign.Model.Intermediary","type":"module"},{"doc":"","ref":"DocuSign.Model.Intermediary.html#t:t/0","title":"DocuSign.Model.Intermediary.t/0","type":"type"},{"doc":"Invoices","ref":"DocuSign.Model.Invoices.html","title":"DocuSign.Model.Invoices","type":"module"},{"doc":"","ref":"DocuSign.Model.Invoices.html#t:t/0","title":"DocuSign.Model.Invoices.t/0","type":"type"},{"doc":"Describes the jurisdiction of a notary. This is read-only object.","ref":"DocuSign.Model.Jurisdiction.html","title":"DocuSign.Model.Jurisdiction","type":"module"},{"doc":"","ref":"DocuSign.Model.Jurisdiction.html#t:t/0","title":"DocuSign.Model.Jurisdiction.t/0","type":"type"},{"doc":"A tab that displays the recipient's last name. This tab takes the recipient's name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name.","ref":"DocuSign.Model.LastName.html","title":"DocuSign.Model.LastName","type":"module"},{"doc":"","ref":"DocuSign.Model.LastName.html#t:t/0","title":"DocuSign.Model.LastName.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.LinkedExternalPrimaryAccount.html","title":"DocuSign.Model.LinkedExternalPrimaryAccount","type":"module"},{"doc":"","ref":"DocuSign.Model.LinkedExternalPrimaryAccount.html#t:t/0","title":"DocuSign.Model.LinkedExternalPrimaryAccount.t/0","type":"type"},{"doc":"This tab offers a list of options to choose from. The listItems property contains a list of listItem objects to specify the selectable options.","ref":"DocuSign.Model.List.html","title":"DocuSign.Model.List","type":"module"},{"doc":"","ref":"DocuSign.Model.List.html#t:t/0","title":"DocuSign.Model.List.t/0","type":"type"},{"doc":"This object represents a list custom field from which envelope creators and senders can select custom data.","ref":"DocuSign.Model.ListCustomField.html","title":"DocuSign.Model.ListCustomField","type":"module"},{"doc":"","ref":"DocuSign.Model.ListCustomField.html#t:t/0","title":"DocuSign.Model.ListCustomField.t/0","type":"type"},{"doc":"One of the selectable items in the listItems property of a list tab.","ref":"DocuSign.Model.ListItem.html","title":"DocuSign.Model.ListItem","type":"module"},{"doc":"","ref":"DocuSign.Model.ListItem.html#t:t/0","title":"DocuSign.Model.ListItem.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.LocalePolicy.html","title":"DocuSign.Model.LocalePolicy","type":"module"},{"doc":"","ref":"DocuSign.Model.LocalePolicy.html#t:t/0","title":"DocuSign.Model.LocalePolicy.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.LocalePolicyTab.html","title":"DocuSign.Model.LocalePolicyTab","type":"module"},{"doc":"","ref":"DocuSign.Model.LocalePolicyTab.html#t:t/0","title":"DocuSign.Model.LocalePolicyTab.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.LockInformation.html","title":"DocuSign.Model.LockInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.LockInformation.html#t:t/0","title":"DocuSign.Model.LockInformation.t/0","type":"type"},{"doc":"This request object contains information about the lock that you want to create or update.","ref":"DocuSign.Model.LockRequest.html","title":"DocuSign.Model.LockRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.LockRequest.html#t:t/0","title":"DocuSign.Model.LockRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.LoginAccount.html","title":"DocuSign.Model.LoginAccount","type":"module"},{"doc":"","ref":"DocuSign.Model.LoginAccount.html#t:t/0","title":"DocuSign.Model.LoginAccount.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.LoginInformation.html","title":"DocuSign.Model.LoginInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.LoginInformation.html#t:t/0","title":"DocuSign.Model.LoginInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.MatchBox.html","title":"DocuSign.Model.MatchBox","type":"module"},{"doc":"","ref":"DocuSign.Model.MatchBox.html#t:t/0","title":"DocuSign.Model.MatchBox.t/0","type":"type"},{"doc":"Information about items shared among groups.","ref":"DocuSign.Model.MemberGroupSharedItem.html","title":"DocuSign.Model.MemberGroupSharedItem","type":"module"},{"doc":"","ref":"DocuSign.Model.MemberGroupSharedItem.html#t:t/0","title":"DocuSign.Model.MemberGroupSharedItem.t/0","type":"type"},{"doc":"Information about shared items.","ref":"DocuSign.Model.MemberSharedItems.html","title":"DocuSign.Model.MemberSharedItems","type":"module"},{"doc":"","ref":"DocuSign.Model.MemberSharedItems.html#t:t/0","title":"DocuSign.Model.MemberSharedItems.t/0","type":"type"},{"doc":"Contains information for transferring values between Salesforce data fields and DocuSign tabs.","ref":"DocuSign.Model.MergeField.html","title":"DocuSign.Model.MergeField","type":"module"},{"doc":"","ref":"DocuSign.Model.MergeField.html#t:t/0","title":"DocuSign.Model.MergeField.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.MobileNotifierConfiguration.html","title":"DocuSign.Model.MobileNotifierConfiguration","type":"module"},{"doc":"","ref":"DocuSign.Model.MobileNotifierConfiguration.html#t:t/0","title":"DocuSign.Model.MobileNotifierConfiguration.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.MobileNotifierConfigurationInformation.html","title":"DocuSign.Model.MobileNotifierConfigurationInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.MobileNotifierConfigurationInformation.html#t:t/0","title":"DocuSign.Model.MobileNotifierConfigurationInformation.t/0","type":"type"},{"doc":"Describes information about the total of a payment.","ref":"DocuSign.Model.Money.html","title":"DocuSign.Model.Money","type":"module"},{"doc":"","ref":"DocuSign.Model.Money.html#t:t/0","title":"DocuSign.Model.Money.t/0","type":"type"},{"doc":"A name-value pair that describes an item and provides a value for the item.","ref":"DocuSign.Model.NameValue.html","title":"DocuSign.Model.NameValue","type":"module"},{"doc":"","ref":"DocuSign.Model.NameValue.html#t:t/0","title":"DocuSign.Model.NameValue.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NewAccountDefinition.html","title":"DocuSign.Model.NewAccountDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.NewAccountDefinition.html#t:t/0","title":"DocuSign.Model.NewAccountDefinition.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NewAccountSummary.html","title":"DocuSign.Model.NewAccountSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.NewAccountSummary.html#t:t/0","title":"DocuSign.Model.NewAccountSummary.t/0","type":"type"},{"doc":"Object representing a new user.","ref":"DocuSign.Model.NewUser.html","title":"DocuSign.Model.NewUser","type":"module"},{"doc":"","ref":"DocuSign.Model.NewUser.html#t:t/0","title":"DocuSign.Model.NewUser.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NewUsersDefinition.html","title":"DocuSign.Model.NewUsersDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.NewUsersDefinition.html#t:t/0","title":"DocuSign.Model.NewUsersDefinition.t/0","type":"type"},{"doc":"Object representing a summary of data for new users.","ref":"DocuSign.Model.NewUsersSummary.html","title":"DocuSign.Model.NewUsersSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.NewUsersSummary.html#t:t/0","title":"DocuSign.Model.NewUsersSummary.t/0","type":"type"},{"doc":"A tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page.","ref":"DocuSign.Model.Notarize.html","title":"DocuSign.Model.Notarize","type":"module"},{"doc":"","ref":"DocuSign.Model.Notarize.html#t:t/0","title":"DocuSign.Model.Notarize.t/0","type":"type"},{"doc":"Use DocuSign eNotary to notarize documents digitally. Check the DocuSign eNotary support documentation to see which jurisdictions are supported.","ref":"DocuSign.Model.Notary.html","title":"DocuSign.Model.Notary","type":"module"},{"doc":"","ref":"DocuSign.Model.Notary.html#t:t/0","title":"DocuSign.Model.Notary.t/0","type":"type"},{"doc":"This object is used only when inPersonSigningType in the inPersonSigner object is notary . It describes information about the notary host. The following information is required when using the eNotary in-person signing flow: name : Specifies the notary's full legal name. email : Specifies the notary's email address. * recipientId : A unique ID number for the notary signing host.","ref":"DocuSign.Model.NotaryHost.html","title":"DocuSign.Model.NotaryHost","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryHost.html#t:t/0","title":"DocuSign.Model.NotaryHost.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NotaryJournal.html","title":"DocuSign.Model.NotaryJournal","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJournal.html#t:t/0","title":"DocuSign.Model.NotaryJournal.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NotaryJournalCredibleWitness.html","title":"DocuSign.Model.NotaryJournalCredibleWitness","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJournalCredibleWitness.html#t:t/0","title":"DocuSign.Model.NotaryJournalCredibleWitness.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NotaryJournalList.html","title":"DocuSign.Model.NotaryJournalList","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJournalList.html#t:t/0","title":"DocuSign.Model.NotaryJournalList.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NotaryJournalMetaData.html","title":"DocuSign.Model.NotaryJournalMetaData","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJournalMetaData.html#t:t/0","title":"DocuSign.Model.NotaryJournalMetaData.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NotaryJournals.html","title":"DocuSign.Model.NotaryJournals","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJournals.html#t:t/0","title":"DocuSign.Model.NotaryJournals.t/0","type":"type"},{"doc":"Creating, updating, and deleting notary jurisdiction objects.","ref":"DocuSign.Model.NotaryJurisdiction.html","title":"DocuSign.Model.NotaryJurisdiction","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJurisdiction.html#t:t/0","title":"DocuSign.Model.NotaryJurisdiction.t/0","type":"type"},{"doc":"A paged list of jurisdictions.","ref":"DocuSign.Model.NotaryJurisdictionList.html","title":"DocuSign.Model.NotaryJurisdictionList","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryJurisdictionList.html#t:t/0","title":"DocuSign.Model.NotaryJurisdictionList.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.NotaryRecipient.html","title":"DocuSign.Model.NotaryRecipient","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryRecipient.html#t:t/0","title":"DocuSign.Model.NotaryRecipient.t/0","type":"type"},{"doc":"Describes a single notary jurisdiction.","ref":"DocuSign.Model.NotaryResult.html","title":"DocuSign.Model.NotaryResult","type":"module"},{"doc":"","ref":"DocuSign.Model.NotaryResult.html#t:t/0","title":"DocuSign.Model.NotaryResult.t/0","type":"type"},{"doc":"A Notary Seal tab enables the recipient to notarize a document. This tab can only be assigned to a remote notary recipient using [DocuSign Notary][notary]. [notary]: /docs/notary-api/","ref":"DocuSign.Model.NotarySeal.html","title":"DocuSign.Model.NotarySeal","type":"module"},{"doc":"","ref":"DocuSign.Model.NotarySeal.html#t:t/0","title":"DocuSign.Model.NotarySeal.t/0","type":"type"},{"doc":"A tab that displays additional information, in the form of a note, for the recipient.","ref":"DocuSign.Model.Note.html","title":"DocuSign.Model.Note","type":"module"},{"doc":"","ref":"DocuSign.Model.Note.html#t:t/0","title":"DocuSign.Model.Note.t/0","type":"type"},{"doc":"A complex element that specifies the notification settings for the envelope.","ref":"DocuSign.Model.Notification.html","title":"DocuSign.Model.Notification","type":"module"},{"doc":"","ref":"DocuSign.Model.Notification.html#t:t/0","title":"DocuSign.Model.Notification.t/0","type":"type"},{"doc":"Contains details about the default notification settings for the envelope notifications that senders and signers receive.","ref":"DocuSign.Model.NotificationDefaultSettings.html","title":"DocuSign.Model.NotificationDefaultSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.NotificationDefaultSettings.html#t:t/0","title":"DocuSign.Model.NotificationDefaultSettings.t/0","type":"type"},{"doc":"The NotificationDefaults resource provides methods that enable you to manage the default notifications for envelopes.","ref":"DocuSign.Model.NotificationDefaults.html","title":"DocuSign.Model.NotificationDefaults","type":"module"},{"doc":"","ref":"DocuSign.Model.NotificationDefaults.html#t:t/0","title":"DocuSign.Model.NotificationDefaults.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.OauthAccess.html","title":"DocuSign.Model.OauthAccess","type":"module"},{"doc":"","ref":"DocuSign.Model.OauthAccess.html#t:t/0","title":"DocuSign.Model.OauthAccess.t/0","type":"type"},{"doc":"Description of a page of a document.","ref":"DocuSign.Model.Page.html","title":"DocuSign.Model.Page","type":"module"},{"doc":"","ref":"DocuSign.Model.Page.html#t:t/0","title":"DocuSign.Model.Page.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PageImages.html","title":"DocuSign.Model.PageImages","type":"module"},{"doc":"","ref":"DocuSign.Model.PageImages.html#t:t/0","title":"DocuSign.Model.PageImages.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PageRequest.html","title":"DocuSign.Model.PageRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.PageRequest.html#t:t/0","title":"DocuSign.Model.PageRequest.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Participant.html","title":"DocuSign.Model.Participant","type":"module"},{"doc":"","ref":"DocuSign.Model.Participant.html#t:t/0","title":"DocuSign.Model.Participant.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PathExtendedElement.html","title":"DocuSign.Model.PathExtendedElement","type":"module"},{"doc":"","ref":"DocuSign.Model.PathExtendedElement.html#t:t/0","title":"DocuSign.Model.PathExtendedElement.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PayPalLegacySettings.html","title":"DocuSign.Model.PayPalLegacySettings","type":"module"},{"doc":"","ref":"DocuSign.Model.PayPalLegacySettings.html#t:t/0","title":"DocuSign.Model.PayPalLegacySettings.t/0","type":"type"},{"doc":"When a formula tab has a paymentDetails property, the formula tab is a payment item. See [Requesting Payments Along with Signatures][paymentguide] in the DocuSign Support Center to learn more about payments. [paymentguide]: https://support.docusign.com/en/guides/requesting-payments-along-with-signatures","ref":"DocuSign.Model.PaymentDetails.html","title":"DocuSign.Model.PaymentDetails","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentDetails.html#t:t/0","title":"DocuSign.Model.PaymentDetails.t/0","type":"type"},{"doc":"This object contains details about a payment gateway account.","ref":"DocuSign.Model.PaymentGatewayAccount.html","title":"DocuSign.Model.PaymentGatewayAccount","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentGatewayAccount.html#t:t/0","title":"DocuSign.Model.PaymentGatewayAccount.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PaymentGatewayAccountSetting.html","title":"DocuSign.Model.PaymentGatewayAccountSetting","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentGatewayAccountSetting.html#t:t/0","title":"DocuSign.Model.PaymentGatewayAccountSetting.t/0","type":"type"},{"doc":"Information about a connected payment gateway account.","ref":"DocuSign.Model.PaymentGatewayAccounts.html","title":"DocuSign.Model.PaymentGatewayAccounts","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentGatewayAccounts.html#t:t/0","title":"DocuSign.Model.PaymentGatewayAccounts.t/0","type":"type"},{"doc":"Holds information about connected payment accounts.","ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html","title":"DocuSign.Model.PaymentGatewayAccountsInfo","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentGatewayAccountsInfo.html#t:t/0","title":"DocuSign.Model.PaymentGatewayAccountsInfo.t/0","type":"type"},{"doc":"A line item describes details about an individual line item in a payment request.","ref":"DocuSign.Model.PaymentLineItem.html","title":"DocuSign.Model.PaymentLineItem","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentLineItem.html#t:t/0","title":"DocuSign.Model.PaymentLineItem.t/0","type":"type"},{"doc":"This object contains information about a payment method that the gateway accepts and the payment options that are compatible with it.","ref":"DocuSign.Model.PaymentMethodWithOptions.html","title":"DocuSign.Model.PaymentMethodWithOptions","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentMethodWithOptions.html#t:t/0","title":"DocuSign.Model.PaymentMethodWithOptions.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PaymentProcessorInformation.html","title":"DocuSign.Model.PaymentProcessorInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentProcessorInformation.html#t:t/0","title":"DocuSign.Model.PaymentProcessorInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PaymentSignerValues.html","title":"DocuSign.Model.PaymentSignerValues","type":"module"},{"doc":"","ref":"DocuSign.Model.PaymentSignerValues.html#t:t/0","title":"DocuSign.Model.PaymentSignerValues.t/0","type":"type"},{"doc":"Payments","ref":"DocuSign.Model.Payments.html","title":"DocuSign.Model.Payments","type":"module"},{"doc":"","ref":"DocuSign.Model.Payments.html#t:t/0","title":"DocuSign.Model.Payments.t/0","type":"type"},{"doc":"This object defines the account permissions for a profile that you can apply to a group of users.","ref":"DocuSign.Model.PermissionProfile.html","title":"DocuSign.Model.PermissionProfile","type":"module"},{"doc":"","ref":"DocuSign.Model.PermissionProfile.html#t:t/0","title":"DocuSign.Model.PermissionProfile.t/0","type":"type"},{"doc":"Contains details about the permission profiles associated with an account.","ref":"DocuSign.Model.PermissionProfileInformation.html","title":"DocuSign.Model.PermissionProfileInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.PermissionProfileInformation.html#t:t/0","title":"DocuSign.Model.PermissionProfileInformation.t/0","type":"type"},{"doc":"A Phone Number tab enables a recipient to enter a phone number. Note: This tab can only be assigned to a remote notary recipient using [DocuSign Notary][notary]. [notary]: /docs/notary-api/","ref":"DocuSign.Model.PhoneNumber.html","title":"DocuSign.Model.PhoneNumber","type":"module"},{"doc":"","ref":"DocuSign.Model.PhoneNumber.html#t:t/0","title":"DocuSign.Model.PhoneNumber.t/0","type":"type"},{"doc":"An object used to identify the features and attributes of the account being created.","ref":"DocuSign.Model.PlanInformation.html","title":"DocuSign.Model.PlanInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.PlanInformation.html#t:t/0","title":"DocuSign.Model.PlanInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PolyLine.html","title":"DocuSign.Model.PolyLine","type":"module"},{"doc":"","ref":"DocuSign.Model.PolyLine.html#t:t/0","title":"DocuSign.Model.PolyLine.t/0","type":"type"},{"doc":"This tab enables users to strike through the text of a document. The tab is implemented as a line represented as a pair of x and y coordinates.","ref":"DocuSign.Model.PolyLineOverlay.html","title":"DocuSign.Model.PolyLineOverlay","type":"module"},{"doc":"","ref":"DocuSign.Model.PolyLineOverlay.html#t:t/0","title":"DocuSign.Model.PolyLineOverlay.t/0","type":"type"},{"doc":"Contains details about a PowerForm.","ref":"DocuSign.Model.PowerForm.html","title":"DocuSign.Model.PowerForm","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerForm.html#t:t/0","title":"DocuSign.Model.PowerForm.t/0","type":"type"},{"doc":"Data that recipients have entered in PowerForm fields.","ref":"DocuSign.Model.PowerFormData.html","title":"DocuSign.Model.PowerFormData","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormData.html#t:t/0","title":"DocuSign.Model.PowerFormData.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PowerFormFormDataEnvelope.html","title":"DocuSign.Model.PowerFormFormDataEnvelope","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormFormDataEnvelope.html#t:t/0","title":"DocuSign.Model.PowerFormFormDataEnvelope.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PowerFormFormDataRecipient.html","title":"DocuSign.Model.PowerFormFormDataRecipient","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormFormDataRecipient.html#t:t/0","title":"DocuSign.Model.PowerFormFormDataRecipient.t/0","type":"type"},{"doc":"Note: For a self-service PowerForm on a website, you can specify the intended recipients generically (for example, use Member as the Name ), and omit personal details such as email .","ref":"DocuSign.Model.PowerFormRecipient.html","title":"DocuSign.Model.PowerFormRecipient","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormRecipient.html#t:t/0","title":"DocuSign.Model.PowerFormRecipient.t/0","type":"type"},{"doc":"This object includes information about the users who have sent PowerForms.","ref":"DocuSign.Model.PowerFormSendersResponse.html","title":"DocuSign.Model.PowerFormSendersResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormSendersResponse.html#t:t/0","title":"DocuSign.Model.PowerFormSendersResponse.t/0","type":"type"},{"doc":"The PowerForms resource enables you to create fillable forms that you can email or make available for self service on the web.","ref":"DocuSign.Model.PowerForms.html","title":"DocuSign.Model.PowerForms","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerForms.html#t:t/0","title":"DocuSign.Model.PowerForms.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PowerFormsFormDataResponse.html","title":"DocuSign.Model.PowerFormsFormDataResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormsFormDataResponse.html#t:t/0","title":"DocuSign.Model.PowerFormsFormDataResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PowerFormsRequest.html","title":"DocuSign.Model.PowerFormsRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormsRequest.html#t:t/0","title":"DocuSign.Model.PowerFormsRequest.t/0","type":"type"},{"doc":"A list of PowerForms.","ref":"DocuSign.Model.PowerFormsResponse.html","title":"DocuSign.Model.PowerFormsResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.PowerFormsResponse.html#t:t/0","title":"DocuSign.Model.PowerFormsResponse.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PrefillFormData.html","title":"DocuSign.Model.PrefillFormData","type":"module"},{"doc":"","ref":"DocuSign.Model.PrefillFormData.html#t:t/0","title":"DocuSign.Model.PrefillFormData.t/0","type":"type"},{"doc":"Prefill tabs are tabs that the sender can fill in before the envelope is sent. They are sometimes called sender tags or pre-fill fields. Only the following tab types can be prefill tabs: - text - check boxes - radio buttons [Pre-Fill Your Own Document Fields][app] describes how prefill tabs work in the web application. [Customize your envelopes with pre-fill fields][catblog] shows how to use prefill tabs in your application using the eSignature SDKs. [app]: https://support.docusign.com/en/guides/ndse-user-guide-prefill-fields [catblog]: https://www.docusign.com/blog/developers/common-api-tasks-customize-your-envelopes-pre-fill-fields","ref":"DocuSign.Model.PrefillTabs.html","title":"DocuSign.Model.PrefillTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.PrefillTabs.html#t:t/0","title":"DocuSign.Model.PrefillTabs.t/0","type":"type"},{"doc":"Metadata about a property.","ref":"DocuSign.Model.PropertyMetadata.html","title":"DocuSign.Model.PropertyMetadata","type":"module"},{"doc":"","ref":"DocuSign.Model.PropertyMetadata.html#t:t/0","title":"DocuSign.Model.PropertyMetadata.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Province.html","title":"DocuSign.Model.Province","type":"module"},{"doc":"","ref":"DocuSign.Model.Province.html#t:t/0","title":"DocuSign.Model.Province.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ProvisioningInformation.html","title":"DocuSign.Model.ProvisioningInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.ProvisioningInformation.html#t:t/0","title":"DocuSign.Model.ProvisioningInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.PurchasedEnvelopesInformation.html","title":"DocuSign.Model.PurchasedEnvelopesInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.PurchasedEnvelopesInformation.html#t:t/0","title":"DocuSign.Model.PurchasedEnvelopesInformation.t/0","type":"type"},{"doc":"One of the selectable radio buttons in the radios property of a radioGroup tab.","ref":"DocuSign.Model.Radio.html","title":"DocuSign.Model.Radio","type":"module"},{"doc":"","ref":"DocuSign.Model.Radio.html#t:t/0","title":"DocuSign.Model.Radio.t/0","type":"type"},{"doc":"This group tab is used to place radio buttons on a document. The radios property contains a list of radio objects associated with the group. Only one radio button can be selected in a group.","ref":"DocuSign.Model.RadioGroup.html","title":"DocuSign.Model.RadioGroup","type":"module"},{"doc":"","ref":"DocuSign.Model.RadioGroup.html#t:t/0","title":"DocuSign.Model.RadioGroup.t/0","type":"type"},{"doc":"Describes an additional notification method.","ref":"DocuSign.Model.RecipientAdditionalNotification.html","title":"DocuSign.Model.RecipientAdditionalNotification","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientAdditionalNotification.html#t:t/0","title":"DocuSign.Model.RecipientAdditionalNotification.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientAttachment.html","title":"DocuSign.Model.RecipientAttachment","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientAttachment.html#t:t/0","title":"DocuSign.Model.RecipientAttachment.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientDomain.html","title":"DocuSign.Model.RecipientDomain","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientDomain.html#t:t/0","title":"DocuSign.Model.RecipientDomain.t/0","type":"type"},{"doc":"Sets custom email subject and email body for individual recipients. Note: You must explicitly set supportedLanguage if you use this feature.","ref":"DocuSign.Model.RecipientEmailNotification.html","title":"DocuSign.Model.RecipientEmailNotification","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientEmailNotification.html#t:t/0","title":"DocuSign.Model.RecipientEmailNotification.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientEvent.html","title":"DocuSign.Model.RecipientEvent","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientEvent.html#t:t/0","title":"DocuSign.Model.RecipientEvent.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientFormData.html","title":"DocuSign.Model.RecipientFormData","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientFormData.html#t:t/0","title":"DocuSign.Model.RecipientFormData.t/0","type":"type"},{"doc":"Describes a group of recipients.","ref":"DocuSign.Model.RecipientGroup.html","title":"DocuSign.Model.RecipientGroup","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientGroup.html#t:t/0","title":"DocuSign.Model.RecipientGroup.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientIdentityInputOption.html","title":"DocuSign.Model.RecipientIdentityInputOption","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientIdentityInputOption.html#t:t/0","title":"DocuSign.Model.RecipientIdentityInputOption.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientIdentityPhoneNumber.html","title":"DocuSign.Model.RecipientIdentityPhoneNumber","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientIdentityPhoneNumber.html#t:t/0","title":"DocuSign.Model.RecipientIdentityPhoneNumber.t/0","type":"type"},{"doc":"Specifies ID Verification applied on an envelope by workflow ID. See the list method in the IdentityVerifications resource for more information on how to retrieve workflow IDs available for an account. This can be used in addition to other recipient authentication methods.","ref":"DocuSign.Model.RecipientIdentityVerification.html","title":"DocuSign.Model.RecipientIdentityVerification","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientIdentityVerification.html#t:t/0","title":"DocuSign.Model.RecipientIdentityVerification.t/0","type":"type"},{"doc":"This response object contains a list of recipients.","ref":"DocuSign.Model.RecipientNamesResponse.html","title":"DocuSign.Model.RecipientNamesResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientNamesResponse.html#t:t/0","title":"DocuSign.Model.RecipientNamesResponse.t/0","type":"type"},{"doc":"Describes a recipient who is a member of a conditional group.","ref":"DocuSign.Model.RecipientOption.html","title":"DocuSign.Model.RecipientOption","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientOption.html#t:t/0","title":"DocuSign.Model.RecipientOption.t/0","type":"type"},{"doc":"A complex type that contains the elements: recipMayProvideNumber : A Boolean value that specifies whether the recipient can use the phone number of their choice. senderProvidedNumbers : A list of phone numbers that the recipient can use. recordVoicePrint : Reserved for DocuSign. validateRecipProvidedNumber : Reserved for DocuSign.","ref":"DocuSign.Model.RecipientPhoneAuthentication.html","title":"DocuSign.Model.RecipientPhoneAuthentication","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientPhoneAuthentication.html#t:t/0","title":"DocuSign.Model.RecipientPhoneAuthentication.t/0","type":"type"},{"doc":"Describes the recipient phone number.","ref":"DocuSign.Model.RecipientPhoneNumber.html","title":"DocuSign.Model.RecipientPhoneNumber","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientPhoneNumber.html#t:t/0","title":"DocuSign.Model.RecipientPhoneNumber.t/0","type":"type"},{"doc":"This request object contains the information necessary to create a recipient preview.","ref":"DocuSign.Model.RecipientPreviewRequest.html","title":"DocuSign.Model.RecipientPreviewRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientPreviewRequest.html#t:t/0","title":"DocuSign.Model.RecipientPreviewRequest.t/0","type":"type"},{"doc":"The proof file of the recipient. ID Evidence uses proof files to store the identification data that recipients submit when verifying their ID with ID Verification","ref":"DocuSign.Model.RecipientProofFile.html","title":"DocuSign.Model.RecipientProofFile","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientProofFile.html#t:t/0","title":"DocuSign.Model.RecipientProofFile.t/0","type":"type"},{"doc":"Describes the recipient routing rules.","ref":"DocuSign.Model.RecipientRouting.html","title":"DocuSign.Model.RecipientRouting","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientRouting.html#t:t/0","title":"DocuSign.Model.RecipientRouting.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientRules.html","title":"DocuSign.Model.RecipientRules","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientRules.html#t:t/0","title":"DocuSign.Model.RecipientRules.t/0","type":"type"},{"doc":"Allows the sender to pre-specify the signature name, signature initials and signature font used in the signature stamp for the recipient. Used only with recipient types In Person Signers and Signers.","ref":"DocuSign.Model.RecipientSignatureInformation.html","title":"DocuSign.Model.RecipientSignatureInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientSignatureInformation.html#t:t/0","title":"DocuSign.Model.RecipientSignatureInformation.t/0","type":"type"},{"doc":"An Electronic or Standards Based Signature (digital signature) provider for the signer to use. More information .","ref":"DocuSign.Model.RecipientSignatureProvider.html","title":"DocuSign.Model.RecipientSignatureProvider","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientSignatureProvider.html#t:t/0","title":"DocuSign.Model.RecipientSignatureProvider.t/0","type":"type"},{"doc":"Option settings for the signature provider. Different providers require or use different options. The current provider list and the options they require.","ref":"DocuSign.Model.RecipientSignatureProviderOptions.html","title":"DocuSign.Model.RecipientSignatureProviderOptions","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientSignatureProviderOptions.html#t:t/0","title":"DocuSign.Model.RecipientSignatureProviderOptions.t/0","type":"type"},{"doc":"Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.","ref":"DocuSign.Model.RecipientSmsAuthentication.html","title":"DocuSign.Model.RecipientSmsAuthentication","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientSmsAuthentication.html#t:t/0","title":"DocuSign.Model.RecipientSmsAuthentication.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.RecipientTokenClientUrls.html","title":"DocuSign.Model.RecipientTokenClientUrls","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientTokenClientUrls.html#t:t/0","title":"DocuSign.Model.RecipientTokenClientUrls.t/0","type":"type"},{"doc":"The recipient details that are returned after you update the recipient.","ref":"DocuSign.Model.RecipientUpdateResponse.html","title":"DocuSign.Model.RecipientUpdateResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientUpdateResponse.html#t:t/0","title":"DocuSign.Model.RecipientUpdateResponse.t/0","type":"type"},{"doc":"The request body for the EnvelopeViews: createRecipient and EnvelopeViews: createSharedRecipient methods.","ref":"DocuSign.Model.RecipientViewRequest.html","title":"DocuSign.Model.RecipientViewRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientViewRequest.html#t:t/0","title":"DocuSign.Model.RecipientViewRequest.t/0","type":"type"},{"doc":"Specifies the envelope recipients.","ref":"DocuSign.Model.Recipients.html","title":"DocuSign.Model.Recipients","type":"module"},{"doc":"","ref":"DocuSign.Model.Recipients.html#t:t/0","title":"DocuSign.Model.Recipients.t/0","type":"type"},{"doc":"This is the response that the API returns after you update recipients.","ref":"DocuSign.Model.RecipientsUpdateSummary.html","title":"DocuSign.Model.RecipientsUpdateSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.RecipientsUpdateSummary.html#t:t/0","title":"DocuSign.Model.RecipientsUpdateSummary.t/0","type":"type"},{"doc":"A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DocuSign use only.","ref":"DocuSign.Model.ReferralInformation.html","title":"DocuSign.Model.ReferralInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.ReferralInformation.html#t:t/0","title":"DocuSign.Model.ReferralInformation.t/0","type":"type"},{"doc":"A complex element that specifies reminder settings for the envelope.","ref":"DocuSign.Model.Reminders.html","title":"DocuSign.Model.Reminders","type":"module"},{"doc":"","ref":"DocuSign.Model.Reminders.html#t:t/0","title":"DocuSign.Model.Reminders.t/0","type":"type"},{"doc":"Request logs","ref":"DocuSign.Model.RequestLogs.html","title":"DocuSign.Model.RequestLogs","type":"module"},{"doc":"","ref":"DocuSign.Model.RequestLogs.html#t:t/0","title":"DocuSign.Model.RequestLogs.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ResourceInformation.html","title":"DocuSign.Model.ResourceInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.ResourceInformation.html#t:t/0","title":"DocuSign.Model.ResourceInformation.t/0","type":"type"},{"doc":"API resource information","ref":"DocuSign.Model.Resources.html","title":"DocuSign.Model.Resources","type":"module"},{"doc":"","ref":"DocuSign.Model.Resources.html#t:t/0","title":"DocuSign.Model.Resources.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ResponsiveHtml.html","title":"DocuSign.Model.ResponsiveHtml","type":"module"},{"doc":"","ref":"DocuSign.Model.ResponsiveHtml.html#t:t/0","title":"DocuSign.Model.ResponsiveHtml.t/0","type":"type"},{"doc":"This resource is used to create a responsive preview of all of the documents in an envelope.","ref":"DocuSign.Model.ResponsiveHtmlPreview.html","title":"DocuSign.Model.ResponsiveHtmlPreview","type":"module"},{"doc":"","ref":"DocuSign.Model.ResponsiveHtmlPreview.html#t:t/0","title":"DocuSign.Model.ResponsiveHtmlPreview.t/0","type":"type"},{"doc":"The request body for the TemplateViews: createEdit method.","ref":"DocuSign.Model.ReturnUrlRequest.html","title":"DocuSign.Model.ReturnUrlRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.ReturnUrlRequest.html#t:t/0","title":"DocuSign.Model.ReturnUrlRequest.t/0","type":"type"},{"doc":"A complex element that specifies the scheduled sending settings for the envelope.","ref":"DocuSign.Model.ScheduledSending.html","title":"DocuSign.Model.ScheduledSending","type":"module"},{"doc":"","ref":"DocuSign.Model.ScheduledSending.html#t:t/0","title":"DocuSign.Model.ScheduledSending.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SealIdentifier.html","title":"DocuSign.Model.SealIdentifier","type":"module"},{"doc":"","ref":"DocuSign.Model.SealIdentifier.html#t:t/0","title":"DocuSign.Model.SealIdentifier.t/0","type":"type"},{"doc":"Specifies one or more electronic seals to apply on documents. An electronic seal recipient is a legal entity rather than an actual person. Electronic Seals can be used by organizations and governments to show evidence of origin and integrity of documents. Even though electronic seals can be represented by a tab in a document, they do not require user interaction and apply automatically in the order specified by the sender. The sender is therefore the person authorizing usage of the electronic seal in the flow. Example: json &quot;recipients&quot;: { &quot;seals&quot;: [ { &quot;recipientId&quot;: &quot;1&quot;, &quot;routingOrder&quot; : 1, &quot;recipientSignatureProviders&quot;: [ { &quot;sealName&quot;: &quot;52e9d968-xxxx-xxxx-xxxx-4682bc45c106&quot; } ] } ] }, . . . For more information about Electronic Seals, see Apply Electronic Seals to Your Documents .","ref":"DocuSign.Model.SealSign.html","title":"DocuSign.Model.SealSign","type":"module"},{"doc":"","ref":"DocuSign.Model.SealSign.html#t:t/0","title":"DocuSign.Model.SealSign.t/0","type":"type"},{"doc":"This object contains information about a seat discount.","ref":"DocuSign.Model.SeatDiscount.html","title":"DocuSign.Model.SeatDiscount","type":"module"},{"doc":"","ref":"DocuSign.Model.SeatDiscount.html#t:t/0","title":"DocuSign.Model.SeatDiscount.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SenderCompany.html","title":"DocuSign.Model.SenderCompany","type":"module"},{"doc":"","ref":"DocuSign.Model.SenderCompany.html#t:t/0","title":"DocuSign.Model.SenderCompany.t/0","type":"type"},{"doc":"Contains the settings for the email notifications that senders receive about the envelopes that they send.","ref":"DocuSign.Model.SenderEmailNotifications.html","title":"DocuSign.Model.SenderEmailNotifications","type":"module"},{"doc":"","ref":"DocuSign.Model.SenderEmailNotifications.html#t:t/0","title":"DocuSign.Model.SenderEmailNotifications.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SenderName.html","title":"DocuSign.Model.SenderName","type":"module"},{"doc":"","ref":"DocuSign.Model.SenderName.html#t:t/0","title":"DocuSign.Model.SenderName.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ServerTemplate.html","title":"DocuSign.Model.ServerTemplate","type":"module"},{"doc":"","ref":"DocuSign.Model.ServerTemplate.html#t:t/0","title":"DocuSign.Model.ServerTemplate.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ServiceInformation.html","title":"DocuSign.Model.ServiceInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.ServiceInformation.html#t:t/0","title":"DocuSign.Model.ServiceInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ServiceVersion.html","title":"DocuSign.Model.ServiceVersion","type":"module"},{"doc":"","ref":"DocuSign.Model.ServiceVersion.html#t:t/0","title":"DocuSign.Model.ServiceVersion.t/0","type":"type"},{"doc":"API service information","ref":"DocuSign.Model.Services.html","title":"DocuSign.Model.Services","type":"module"},{"doc":"","ref":"DocuSign.Model.Services.html#t:t/0","title":"DocuSign.Model.Services.t/0","type":"type"},{"doc":"Metadata that indicates whether a property is editable and describes setting-specific options.","ref":"DocuSign.Model.SettingsMetadata.html","title":"DocuSign.Model.SettingsMetadata","type":"module"},{"doc":"","ref":"DocuSign.Model.SettingsMetadata.html#t:t/0","title":"DocuSign.Model.SettingsMetadata.t/0","type":"type"},{"doc":"Information about the shared item.","ref":"DocuSign.Model.SharedItem.html","title":"DocuSign.Model.SharedItem","type":"module"},{"doc":"","ref":"DocuSign.Model.SharedItem.html#t:t/0","title":"DocuSign.Model.SharedItem.t/0","type":"type"},{"doc":"A tab that allows the recipient to sign a document. May be optional.","ref":"DocuSign.Model.SignHere.html","title":"DocuSign.Model.SignHere","type":"module"},{"doc":"","ref":"DocuSign.Model.SignHere.html#t:t/0","title":"DocuSign.Model.SignHere.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SignatureGroup.html","title":"DocuSign.Model.SignatureGroup","type":"module"},{"doc":"","ref":"DocuSign.Model.SignatureGroup.html#t:t/0","title":"DocuSign.Model.SignatureGroup.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SignatureGroupDef.html","title":"DocuSign.Model.SignatureGroupDef","type":"module"},{"doc":"","ref":"DocuSign.Model.SignatureGroupDef.html#t:t/0","title":"DocuSign.Model.SignatureGroupDef.t/0","type":"type"},{"doc":"Contains additional information that a specific signature provider requires.","ref":"DocuSign.Model.SignatureProviderRequiredOption.html","title":"DocuSign.Model.SignatureProviderRequiredOption","type":"module"},{"doc":"","ref":"DocuSign.Model.SignatureProviderRequiredOption.html#t:t/0","title":"DocuSign.Model.SignatureProviderRequiredOption.t/0","type":"type"},{"doc":"This object contains information about the type of signature.","ref":"DocuSign.Model.SignatureType.html","title":"DocuSign.Model.SignatureType","type":"module"},{"doc":"","ref":"DocuSign.Model.SignatureType.html#t:t/0","title":"DocuSign.Model.SignatureType.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SignatureUser.html","title":"DocuSign.Model.SignatureUser","type":"module"},{"doc":"","ref":"DocuSign.Model.SignatureUser.html#t:t/0","title":"DocuSign.Model.SignatureUser.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SignatureUserDef.html","title":"DocuSign.Model.SignatureUserDef","type":"module"},{"doc":"","ref":"DocuSign.Model.SignatureUserDef.html#t:t/0","title":"DocuSign.Model.SignatureUserDef.t/0","type":"type"},{"doc":"A complex type containing information about a signer recipient. A signer is a recipient who must take action on a document, such as sign, initial, date, or add data to form fields on a document.","ref":"DocuSign.Model.Signer.html","title":"DocuSign.Model.Signer","type":"module"},{"doc":"","ref":"DocuSign.Model.Signer.html#t:t/0","title":"DocuSign.Model.Signer.t/0","type":"type"},{"doc":"A tab that allows the recipient to attach supporting documents to an envelope.","ref":"DocuSign.Model.SignerAttachment.html","title":"DocuSign.Model.SignerAttachment","type":"module"},{"doc":"","ref":"DocuSign.Model.SignerAttachment.html#t:t/0","title":"DocuSign.Model.SignerAttachment.t/0","type":"type"},{"doc":"An array of email notifications that specifies the email the user receives when they are a recipient. When the specific email notification is set to true, the user receives those types of email notifications from DocuSign. The user inherits the default account email notification settings when the user is created.","ref":"DocuSign.Model.SignerEmailNotifications.html","title":"DocuSign.Model.SignerEmailNotifications","type":"module"},{"doc":"","ref":"DocuSign.Model.SignerEmailNotifications.html#t:t/0","title":"DocuSign.Model.SignerEmailNotifications.t/0","type":"type"},{"doc":"Contains details about a signing group. Signing groups enable you to send an envelope to a predefined group of recipients and have any one member of the group sign your documents. When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature.","ref":"DocuSign.Model.SigningGroup.html","title":"DocuSign.Model.SigningGroup","type":"module"},{"doc":"","ref":"DocuSign.Model.SigningGroup.html#t:t/0","title":"DocuSign.Model.SigningGroup.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SigningGroupInformation.html","title":"DocuSign.Model.SigningGroupInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.SigningGroupInformation.html#t:t/0","title":"DocuSign.Model.SigningGroupInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SigningGroupUser.html","title":"DocuSign.Model.SigningGroupUser","type":"module"},{"doc":"","ref":"DocuSign.Model.SigningGroupUser.html#t:t/0","title":"DocuSign.Model.SigningGroupUser.t/0","type":"type"},{"doc":"Signing groups' users","ref":"DocuSign.Model.SigningGroupUsers.html","title":"DocuSign.Model.SigningGroupUsers","type":"module"},{"doc":"","ref":"DocuSign.Model.SigningGroupUsers.html#t:t/0","title":"DocuSign.Model.SigningGroupUsers.t/0","type":"type"},{"doc":"Signing groups","ref":"DocuSign.Model.SigningGroups.html","title":"DocuSign.Model.SigningGroups","type":"module"},{"doc":"","ref":"DocuSign.Model.SigningGroups.html#t:t/0","title":"DocuSign.Model.SigningGroups.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SmartContractInformation.html","title":"DocuSign.Model.SmartContractInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.SmartContractInformation.html#t:t/0","title":"DocuSign.Model.SmartContractInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SmartSection.html","title":"DocuSign.Model.SmartSection","type":"module"},{"doc":"","ref":"DocuSign.Model.SmartSection.html#t:t/0","title":"DocuSign.Model.SmartSection.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SmartSectionAnchorPosition.html","title":"DocuSign.Model.SmartSectionAnchorPosition","type":"module"},{"doc":"","ref":"DocuSign.Model.SmartSectionAnchorPosition.html#t:t/0","title":"DocuSign.Model.SmartSectionAnchorPosition.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.html","title":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings","type":"module"},{"doc":"","ref":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.html#t:t/0","title":"DocuSign.Model.SmartSectionCollapsibleDisplaySettings.t/0","type":"type"},{"doc":"These properties define how a Smart Section displays. A Smart Section is a type of display section.","ref":"DocuSign.Model.SmartSectionDisplaySettings.html","title":"DocuSign.Model.SmartSectionDisplaySettings","type":"module"},{"doc":"","ref":"DocuSign.Model.SmartSectionDisplaySettings.html#t:t/0","title":"DocuSign.Model.SmartSectionDisplaySettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SocialAccountInformation.html","title":"DocuSign.Model.SocialAccountInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.SocialAccountInformation.html#t:t/0","title":"DocuSign.Model.SocialAccountInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.SocialAuthentication.html","title":"DocuSign.Model.SocialAuthentication","type":"module"},{"doc":"","ref":"DocuSign.Model.SocialAuthentication.html#t:t/0","title":"DocuSign.Model.SocialAuthentication.t/0","type":"type"},{"doc":"A one-line field that allows the recipient to enter a Social Security Number. The SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information.","ref":"DocuSign.Model.Ssn.html","title":"DocuSign.Model.Ssn","type":"module"},{"doc":"","ref":"DocuSign.Model.Ssn.html#t:t/0","title":"DocuSign.Model.Ssn.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Ssn4InformationInput.html","title":"DocuSign.Model.Ssn4InformationInput","type":"module"},{"doc":"","ref":"DocuSign.Model.Ssn4InformationInput.html#t:t/0","title":"DocuSign.Model.Ssn4InformationInput.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Ssn9InformationInput.html","title":"DocuSign.Model.Ssn9InformationInput","type":"module"},{"doc":"","ref":"DocuSign.Model.Ssn9InformationInput.html#t:t/0","title":"DocuSign.Model.Ssn9InformationInput.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Stamp.html","title":"DocuSign.Model.Stamp","type":"module"},{"doc":"","ref":"DocuSign.Model.Stamp.html#t:t/0","title":"DocuSign.Model.Stamp.t/0","type":"type"},{"doc":"A list of supported languages.","ref":"DocuSign.Model.SupportedLanguages.html","title":"DocuSign.Model.SupportedLanguages","type":"module"},{"doc":"","ref":"DocuSign.Model.SupportedLanguages.html#t:t/0","title":"DocuSign.Model.SupportedLanguages.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TabAccountSettings.html","title":"DocuSign.Model.TabAccountSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.TabAccountSettings.html#t:t/0","title":"DocuSign.Model.TabAccountSettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TabGroup.html","title":"DocuSign.Model.TabGroup","type":"module"},{"doc":"","ref":"DocuSign.Model.TabGroup.html#t:t/0","title":"DocuSign.Model.TabGroup.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TabMetadata.html","title":"DocuSign.Model.TabMetadata","type":"module"},{"doc":"","ref":"DocuSign.Model.TabMetadata.html#t:t/0","title":"DocuSign.Model.TabMetadata.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TabMetadataList.html","title":"DocuSign.Model.TabMetadataList","type":"module"},{"doc":"","ref":"DocuSign.Model.TabMetadataList.html#t:t/0","title":"DocuSign.Model.TabMetadataList.t/0","type":"type"},{"doc":"Tabs indicate to recipients where they should sign, initial, or enter data on a document. They are represented graphically as symbols on documents at the time of signing. Tabs can also display data to the recipients.","ref":"DocuSign.Model.Tabs.html","title":"DocuSign.Model.Tabs","type":"module"},{"doc":"","ref":"DocuSign.Model.Tabs.html#t:t/0","title":"DocuSign.Model.Tabs.t/0","type":"type"},{"doc":"Reserved for DocuSign.","ref":"DocuSign.Model.TabsBlob.html","title":"DocuSign.Model.TabsBlob","type":"module"},{"doc":"","ref":"DocuSign.Model.TabsBlob.html#t:t/0","title":"DocuSign.Model.TabsBlob.t/0","type":"type"},{"doc":"Template bulk recipients","ref":"DocuSign.Model.TemplateBulkRecipients.html","title":"DocuSign.Model.TemplateBulkRecipients","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateBulkRecipients.html#t:t/0","title":"DocuSign.Model.TemplateBulkRecipients.t/0","type":"type"},{"doc":"A template custom field enables you to prepopulate custom metadata for all new envelopes that are created by using a specific template. You can then use the custom data for sorting, organizing, searching, and other downstream processes.","ref":"DocuSign.Model.TemplateCustomFields.html","title":"DocuSign.Model.TemplateCustomFields","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateCustomFields.html#t:t/0","title":"DocuSign.Model.TemplateCustomFields.t/0","type":"type"},{"doc":"Template document fields","ref":"DocuSign.Model.TemplateDocumentFields.html","title":"DocuSign.Model.TemplateDocumentFields","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentFields.html#t:t/0","title":"DocuSign.Model.TemplateDocumentFields.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentHtmlDefinitions.html","title":"DocuSign.Model.TemplateDocumentHtmlDefinitions","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentHtmlDefinitions.html#t:t/0","title":"DocuSign.Model.TemplateDocumentHtmlDefinitions.t/0","type":"type"},{"doc":"This resource is used to create a responsive preview of a specific template document.","ref":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.html","title":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.html#t:t/0","title":"DocuSign.Model.TemplateDocumentResponsiveHtmlPreview.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentTabs.html","title":"DocuSign.Model.TemplateDocumentTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentTabs.html#t:t/0","title":"DocuSign.Model.TemplateDocumentTabs.t/0","type":"type"},{"doc":"Document Visibility enables senders to control the visibility of the documents in an envelope at the recipient level. For example, if the parties associated with a legal proceeding should have access to different documents, the Document Visibility feature enables you to keep all of the documents in the same envelope and set view permissions for the documents by recipient. This functionality is enabled for envelopes and templates. It is not available for PowerForms. Note: Before you use Document Visibility, you should be aware of the following information: - Document Visibility must be enabled for your account by your DocuSign administrator. - A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. - When the Document Visibility setting hides a document from a recipient, the document also does not appear in the recipient's list of envelopes, documents, or page images. - Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all of the documents associated with the envelope or template. The Document Visibility feature has multiple settings that specify the options that senders have when sending documents. For more information, see Use Document Visibility to Control Recipient Access .","ref":"DocuSign.Model.TemplateDocumentVisibility.html","title":"DocuSign.Model.TemplateDocumentVisibility","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentVisibility.html#t:t/0","title":"DocuSign.Model.TemplateDocumentVisibility.t/0","type":"type"},{"doc":"A list of documentVisibility objects that specify whether the documents associated with a template are visible to recipients.","ref":"DocuSign.Model.TemplateDocumentVisibilityList.html","title":"DocuSign.Model.TemplateDocumentVisibilityList","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentVisibilityList.html#t:t/0","title":"DocuSign.Model.TemplateDocumentVisibilityList.t/0","type":"type"},{"doc":"Template documents","ref":"DocuSign.Model.TemplateDocuments.html","title":"DocuSign.Model.TemplateDocuments","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocuments.html#t:t/0","title":"DocuSign.Model.TemplateDocuments.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentsResult.html","title":"DocuSign.Model.TemplateDocumentsResult","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateDocumentsResult.html#t:t/0","title":"DocuSign.Model.TemplateDocumentsResult.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateHtmlDefinitions.html","title":"DocuSign.Model.TemplateHtmlDefinitions","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateHtmlDefinitions.html#t:t/0","title":"DocuSign.Model.TemplateHtmlDefinitions.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateInformation.html","title":"DocuSign.Model.TemplateInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateInformation.html#t:t/0","title":"DocuSign.Model.TemplateInformation.t/0","type":"type"},{"doc":"This section provides information about template locks. You use template locks to prevent others from making changes to a template while you are modifying it.","ref":"DocuSign.Model.TemplateLocks.html","title":"DocuSign.Model.TemplateLocks","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateLocks.html#t:t/0","title":"DocuSign.Model.TemplateLocks.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateMatch.html","title":"DocuSign.Model.TemplateMatch","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateMatch.html#t:t/0","title":"DocuSign.Model.TemplateMatch.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateNotificationRequest.html","title":"DocuSign.Model.TemplateNotificationRequest","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateNotificationRequest.html#t:t/0","title":"DocuSign.Model.TemplateNotificationRequest.t/0","type":"type"},{"doc":"Template tabs","ref":"DocuSign.Model.TemplateRecipientTabs.html","title":"DocuSign.Model.TemplateRecipientTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateRecipientTabs.html#t:t/0","title":"DocuSign.Model.TemplateRecipientTabs.t/0","type":"type"},{"doc":"Template recipients","ref":"DocuSign.Model.TemplateRecipients.html","title":"DocuSign.Model.TemplateRecipients","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateRecipients.html#t:t/0","title":"DocuSign.Model.TemplateRecipients.t/0","type":"type"},{"doc":"This resource is used to create a responsive preview of all of the documents associated with a template.","ref":"DocuSign.Model.TemplateResponsiveHtmlPreview.html","title":"DocuSign.Model.TemplateResponsiveHtmlPreview","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateResponsiveHtmlPreview.html#t:t/0","title":"DocuSign.Model.TemplateResponsiveHtmlPreview.t/0","type":"type"},{"doc":"Information about a specific role.","ref":"DocuSign.Model.TemplateRole.html","title":"DocuSign.Model.TemplateRole","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateRole.html#t:t/0","title":"DocuSign.Model.TemplateRole.t/0","type":"type"},{"doc":"Information about shared templates.","ref":"DocuSign.Model.TemplateSharedItem.html","title":"DocuSign.Model.TemplateSharedItem","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateSharedItem.html#t:t/0","title":"DocuSign.Model.TemplateSharedItem.t/0","type":"type"},{"doc":"Summary of a template request.","ref":"DocuSign.Model.TemplateSummary.html","title":"DocuSign.Model.TemplateSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateSummary.html#t:t/0","title":"DocuSign.Model.TemplateSummary.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateTabs.html","title":"DocuSign.Model.TemplateTabs","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateTabs.html#t:t/0","title":"DocuSign.Model.TemplateTabs.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.TemplateUpdateSummary.html","title":"DocuSign.Model.TemplateUpdateSummary","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateUpdateSummary.html#t:t/0","title":"DocuSign.Model.TemplateUpdateSummary.t/0","type":"type"},{"doc":"A TemplateView contains a URL that you can embed in your application to generate a template view that uses the DocuSign user interface (UI).","ref":"DocuSign.Model.TemplateViews.html","title":"DocuSign.Model.TemplateViews","type":"module"},{"doc":"","ref":"DocuSign.Model.TemplateViews.html#t:t/0","title":"DocuSign.Model.TemplateViews.t/0","type":"type"},{"doc":"Template management","ref":"DocuSign.Model.Templates.html","title":"DocuSign.Model.Templates","type":"module"},{"doc":"","ref":"DocuSign.Model.Templates.html#t:t/0","title":"DocuSign.Model.Templates.t/0","type":"type"},{"doc":"A tab that allows the recipient to enter any type of text.","ref":"DocuSign.Model.Text.html","title":"DocuSign.Model.Text","type":"module"},{"doc":"","ref":"DocuSign.Model.Text.html#t:t/0","title":"DocuSign.Model.Text.t/0","type":"type"},{"doc":"This object represents a free text custom field where envelope creators and senders can enter custom data.","ref":"DocuSign.Model.TextCustomField.html","title":"DocuSign.Model.TextCustomField","type":"module"},{"doc":"","ref":"DocuSign.Model.TextCustomField.html#t:t/0","title":"DocuSign.Model.TextCustomField.t/0","type":"type"},{"doc":"A tab that displays the recipient's title.","ref":"DocuSign.Model.Title.html","title":"DocuSign.Model.Title","type":"module"},{"doc":"","ref":"DocuSign.Model.Title.html#t:t/0","title":"DocuSign.Model.Title.t/0","type":"type"},{"doc":"A complex element consisting of: lastSentDateTime - the date and time the user last sent an envelope. lastSignedDateTime - the date and time the user last signed an envelope. sentCount - the number of envelopes the user has sent. signedCount - the number of envelopes the user has signed.","ref":"DocuSign.Model.UsageHistory.html","title":"DocuSign.Model.UsageHistory","type":"module"},{"doc":"","ref":"DocuSign.Model.UsageHistory.html#t:t/0","title":"DocuSign.Model.UsageHistory.t/0","type":"type"},{"doc":"Describes which account management capabilities a user has.","ref":"DocuSign.Model.UserAccountManagementGranularInformation.html","title":"DocuSign.Model.UserAccountManagementGranularInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.UserAccountManagementGranularInformation.html#t:t/0","title":"DocuSign.Model.UserAccountManagementGranularInformation.t/0","type":"type"},{"doc":"Users' custom settings","ref":"DocuSign.Model.UserCustomSettings.html","title":"DocuSign.Model.UserCustomSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.UserCustomSettings.html#t:t/0","title":"DocuSign.Model.UserCustomSettings.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserInfo.html","title":"DocuSign.Model.UserInfo","type":"module"},{"doc":"","ref":"DocuSign.Model.UserInfo.html#t:t/0","title":"DocuSign.Model.UserInfo.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserInfoList.html","title":"DocuSign.Model.UserInfoList","type":"module"},{"doc":"","ref":"DocuSign.Model.UserInfoList.html#t:t/0","title":"DocuSign.Model.UserInfoList.t/0","type":"type"},{"doc":"User information.","ref":"DocuSign.Model.UserInformation.html","title":"DocuSign.Model.UserInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.UserInformation.html#t:t/0","title":"DocuSign.Model.UserInformation.t/0","type":"type"},{"doc":"Contains a list of account users.","ref":"DocuSign.Model.UserInformationList.html","title":"DocuSign.Model.UserInformationList","type":"module"},{"doc":"","ref":"DocuSign.Model.UserInformationList.html#t:t/0","title":"DocuSign.Model.UserInformationList.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserPasswordInformation.html","title":"DocuSign.Model.UserPasswordInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.UserPasswordInformation.html#t:t/0","title":"DocuSign.Model.UserPasswordInformation.t/0","type":"type"},{"doc":"Contains details about the password rules for a user.","ref":"DocuSign.Model.UserPasswordRules.html","title":"DocuSign.Model.UserPasswordRules","type":"module"},{"doc":"","ref":"DocuSign.Model.UserPasswordRules.html#t:t/0","title":"DocuSign.Model.UserPasswordRules.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserProfile.html","title":"DocuSign.Model.UserProfile","type":"module"},{"doc":"","ref":"DocuSign.Model.UserProfile.html#t:t/0","title":"DocuSign.Model.UserProfile.t/0","type":"type"},{"doc":"Users' profiles","ref":"DocuSign.Model.UserProfiles.html","title":"DocuSign.Model.UserProfiles","type":"module"},{"doc":"","ref":"DocuSign.Model.UserProfiles.html#t:t/0","title":"DocuSign.Model.UserProfiles.t/0","type":"type"},{"doc":"Properties that configure the settings for a user. Some elements of this object have a metadata property, which includes the following: - rights : The calling users permissions to edit this setting (can be editable or read_only ) - uiHint : Internally used to build UIs (can be available or hidden ) - options : The values supported for this setting (not all settings have this element)","ref":"DocuSign.Model.UserSettingsInformation.html","title":"DocuSign.Model.UserSettingsInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSettingsInformation.html#t:t/0","title":"DocuSign.Model.UserSettingsInformation.t/0","type":"type"},{"doc":"Information about a shared item.","ref":"DocuSign.Model.UserSharedItem.html","title":"DocuSign.Model.UserSharedItem","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSharedItem.html#t:t/0","title":"DocuSign.Model.UserSharedItem.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserSignature.html","title":"DocuSign.Model.UserSignature","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSignature.html#t:t/0","title":"DocuSign.Model.UserSignature.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserSignatureDefinition.html","title":"DocuSign.Model.UserSignatureDefinition","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSignatureDefinition.html#t:t/0","title":"DocuSign.Model.UserSignatureDefinition.t/0","type":"type"},{"doc":"Users' signatures","ref":"DocuSign.Model.UserSignatures.html","title":"DocuSign.Model.UserSignatures","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSignatures.html#t:t/0","title":"DocuSign.Model.UserSignatures.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserSignaturesInformation.html","title":"DocuSign.Model.UserSignaturesInformation","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSignaturesInformation.html#t:t/0","title":"DocuSign.Model.UserSignaturesInformation.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UserSocialIdResult.html","title":"DocuSign.Model.UserSocialIdResult","type":"module"},{"doc":"","ref":"DocuSign.Model.UserSocialIdResult.html#t:t/0","title":"DocuSign.Model.UserSocialIdResult.t/0","type":"type"},{"doc":"The Users resource enables you to create and manage account users.","ref":"DocuSign.Model.Users.html","title":"DocuSign.Model.Users","type":"module"},{"doc":"","ref":"DocuSign.Model.Users.html#t:t/0","title":"DocuSign.Model.Users.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.UsersResponse.html","title":"DocuSign.Model.UsersResponse","type":"module"},{"doc":"","ref":"DocuSign.Model.UsersResponse.html#t:t/0","title":"DocuSign.Model.UsersResponse.t/0","type":"type"},{"doc":"This tab is used with the Approve tab to handle supplemental documents.","ref":"DocuSign.Model.View.html","title":"DocuSign.Model.View","type":"module"},{"doc":"","ref":"DocuSign.Model.View.html#t:t/0","title":"DocuSign.Model.View.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.ViewUrl.html","title":"DocuSign.Model.ViewUrl","type":"module"},{"doc":"","ref":"DocuSign.Model.ViewUrl.html#t:t/0","title":"DocuSign.Model.ViewUrl.t/0","type":"type"},{"doc":"","ref":"DocuSign.Model.Watermark.html","title":"DocuSign.Model.Watermark","type":"module"},{"doc":"","ref":"DocuSign.Model.Watermark.html#t:t/0","title":"DocuSign.Model.Watermark.t/0","type":"type"},{"doc":"A complex type containing information about a witness recipient. Witnesses are recipients whose signatures affirm that the identified signers have signed the documents in the envelope.","ref":"DocuSign.Model.Witness.html","title":"DocuSign.Model.Witness","type":"module"},{"doc":"","ref":"DocuSign.Model.Witness.html#t:t/0","title":"DocuSign.Model.Witness.t/0","type":"type"},{"doc":"Describes the workflow for an envelope.","ref":"DocuSign.Model.Workflow.html","title":"DocuSign.Model.Workflow","type":"module"},{"doc":"","ref":"DocuSign.Model.Workflow.html#t:t/0","title":"DocuSign.Model.Workflow.t/0","type":"type"},{"doc":"Describes a single step in a workflow.","ref":"DocuSign.Model.WorkflowStep.html","title":"DocuSign.Model.WorkflowStep","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkflowStep.html#t:t/0","title":"DocuSign.Model.WorkflowStep.t/0","type":"type"},{"doc":"A DocuSign workspace is a collaboration area for sharing files and data.","ref":"DocuSign.Model.Workspace.html","title":"DocuSign.Model.Workspace","type":"module"},{"doc":"","ref":"DocuSign.Model.Workspace.html#t:t/0","title":"DocuSign.Model.Workspace.t/0","type":"type"},{"doc":"This object's properties describe the contents of a workspace folder.","ref":"DocuSign.Model.WorkspaceFolderContents.html","title":"DocuSign.Model.WorkspaceFolderContents","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceFolderContents.html#t:t/0","title":"DocuSign.Model.WorkspaceFolderContents.t/0","type":"type"},{"doc":"This object represents an item in a workspace, which can be either a file or folder.","ref":"DocuSign.Model.WorkspaceItem.html","title":"DocuSign.Model.WorkspaceItem","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceItem.html#t:t/0","title":"DocuSign.Model.WorkspaceItem.t/0","type":"type"},{"doc":"An array of objects that describe the items in a workspace.","ref":"DocuSign.Model.WorkspaceItemList.html","title":"DocuSign.Model.WorkspaceItemList","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceItemList.html#t:t/0","title":"DocuSign.Model.WorkspaceItemList.t/0","type":"type"},{"doc":"This object contains information about a file or folder in a workspace.","ref":"DocuSign.Model.WorkspaceItems.html","title":"DocuSign.Model.WorkspaceItems","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceItems.html#t:t/0","title":"DocuSign.Model.WorkspaceItems.t/0","type":"type"},{"doc":"This object contains a list of available workspaces.","ref":"DocuSign.Model.WorkspaceList.html","title":"DocuSign.Model.WorkspaceList","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceList.html#t:t/0","title":"DocuSign.Model.WorkspaceList.t/0","type":"type"},{"doc":"This object provides information about the settings for the workspace.","ref":"DocuSign.Model.WorkspaceSettings.html","title":"DocuSign.Model.WorkspaceSettings","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceSettings.html#t:t/0","title":"DocuSign.Model.WorkspaceSettings.t/0","type":"type"},{"doc":"This object represents the workspace user. This property is only returned in response to user specific GET call.","ref":"DocuSign.Model.WorkspaceUser.html","title":"DocuSign.Model.WorkspaceUser","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceUser.html#t:t/0","title":"DocuSign.Model.WorkspaceUser.t/0","type":"type"},{"doc":"Provides properties that describe user authorization to a workspace.","ref":"DocuSign.Model.WorkspaceUserAuthorization.html","title":"DocuSign.Model.WorkspaceUserAuthorization","type":"module"},{"doc":"","ref":"DocuSign.Model.WorkspaceUserAuthorization.html#t:t/0","title":"DocuSign.Model.WorkspaceUserAuthorization.t/0","type":"type"},{"doc":"A DocuSign workspace is a collaboration area for sharing files and data.","ref":"DocuSign.Model.Workspaces.html","title":"DocuSign.Model.Workspaces","type":"module"},{"doc":"","ref":"DocuSign.Model.Workspaces.html#t:t/0","title":"DocuSign.Model.Workspaces.t/0","type":"type"},{"doc":"A tab that allows the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits in the ZIP+4 format. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information.","ref":"DocuSign.Model.Zip.html","title":"DocuSign.Model.Zip","type":"module"},{"doc":"","ref":"DocuSign.Model.Zip.html#t:t/0","title":"DocuSign.Model.Zip.t/0","type":"type"},{"doc":"This module defines the behaviour of the OAuth adapter.","ref":"DocuSign.OAuth.html","title":"DocuSign.OAuth","type":"behaviour"},{"doc":"Create new API client","ref":"DocuSign.OAuth.html#c:client/0","title":"DocuSign.OAuth.client/0","type":"callback"},{"doc":"","ref":"DocuSign.OAuth.html#c:client/1","title":"DocuSign.OAuth.client/1","type":"callback"},{"doc":"Returns a map of user information (docusign-specific)","ref":"DocuSign.OAuth.html#c:get_client_info/1","title":"DocuSign.OAuth.get_client_info/1","type":"callback"},{"doc":"Retrieve access token and return a client","ref":"DocuSign.OAuth.html#c:get_token!/1","title":"DocuSign.OAuth.get_token!/1","type":"callback"},{"doc":"","ref":"DocuSign.OAuth.html#c:get_token!/2","title":"DocuSign.OAuth.get_token!/2","type":"callback"},{"doc":"","ref":"DocuSign.OAuth.html#c:get_token!/3","title":"DocuSign.OAuth.get_token!/3","type":"callback"},{"doc":"","ref":"DocuSign.OAuth.html#c:get_token!/4","title":"DocuSign.OAuth.get_token!/4","type":"callback"},{"doc":"Retrieve a new time to auto refresh token.","ref":"DocuSign.OAuth.html#c:interval_refresh_token/1","title":"DocuSign.OAuth.interval_refresh_token/1","type":"callback"},{"doc":"Refresh token","ref":"DocuSign.OAuth.html#c:refresh_token!/1","title":"DocuSign.OAuth.refresh_token!/1","type":"callback"},{"doc":"","ref":"DocuSign.OAuth.html#c:refresh_token!/2","title":"DocuSign.OAuth.refresh_token!/2","type":"callback"},{"doc":"Check expiration of token return true if token is expired","ref":"DocuSign.OAuth.html#c:token_expired?/1","title":"DocuSign.OAuth.token_expired?/1","type":"callback"},{"doc":"","ref":"DocuSign.OAuth.html#t:access_token/0","title":"DocuSign.OAuth.access_token/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.html#t:client/0","title":"DocuSign.OAuth.client/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.html#t:error/0","title":"DocuSign.OAuth.error/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.html#t:force/0","title":"DocuSign.OAuth.force/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.html#t:headers/0","title":"DocuSign.OAuth.headers/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.html#t:param/0","title":"DocuSign.OAuth.param/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.html#t:params/0","title":"DocuSign.OAuth.params/0","type":"type"},{"doc":"Fake OAuth implementation mainly for test environment.","ref":"DocuSign.OAuth.Fake.html","title":"DocuSign.OAuth.Fake","type":"module"},{"doc":"This module implements the OAuth behaviour and an oauth2 strategy for DocuSign. Examples client = DocuSign.OAuth.Impl.client() |&gt; DocuSign.OAuth.Impl.get_token!() {:ok, user_info } = OAuth2.Client.get(client, &quot;/oauth/userinfo&quot;)","ref":"DocuSign.OAuth.Impl.html","title":"DocuSign.OAuth.Impl","type":"module"},{"doc":"","ref":"DocuSign.OAuth.Impl.html#t:headers/0","title":"DocuSign.OAuth.Impl.headers/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.Impl.html#t:param/0","title":"DocuSign.OAuth.Impl.param/0","type":"type"},{"doc":"","ref":"DocuSign.OAuth.Impl.html#t:params/0","title":"DocuSign.OAuth.Impl.params/0","type":"type"},{"doc":"Helper functions for building Tesla requests","ref":"DocuSign.RequestBuilder.html","title":"DocuSign.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the request Parameters request (Map) - Collected request options definitions (Map) - Map of parameter name to parameter location. options (KeywordList) - The provided optional parameters Returns Map","ref":"DocuSign.RequestBuilder.html#add_optional_params/3","title":"DocuSign.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add optional parameters to the request Parameters request (Map) - Collected request options location (atom) - Where to put the parameter key (atom) - The name of the parameter value (any) - The value of the parameter Returns Map","ref":"DocuSign.RequestBuilder.html#add_param/4","title":"DocuSign.RequestBuilder.add_param/4","type":"function"},{"doc":"Handle the response for a Tesla request Parameters arg1 (Tesla.Env.t | term) - The response object arg2 (:false | struct | [struct]) - The shape of the struct to deserialize into Returns on success {:error, term} on failure","ref":"DocuSign.RequestBuilder.html#decode/2","title":"DocuSign.RequestBuilder.decode/2","type":"function"},{"doc":"Due to a bug in httpc, POST, PATCH and PUT requests will fail, if the body is empty This function will ensure, that the body param is always set Parameters request (Map) - Collected request options Returns Map","ref":"DocuSign.RequestBuilder.html#ensure_body/1","title":"DocuSign.RequestBuilder.ensure_body/1","type":"function"},{"doc":"","ref":"DocuSign.RequestBuilder.html#evaluate_response/2","title":"DocuSign.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request method when building a request Parameters request (Map) - Collected request options m (atom) - Request method Returns Map","ref":"DocuSign.RequestBuilder.html#method/2","title":"DocuSign.RequestBuilder.method/2","type":"function"},{"doc":"Prune nils from map Parameters map (Map) - Input Map Returns Map","ref":"DocuSign.RequestBuilder.html#prune_nils/1","title":"DocuSign.RequestBuilder.prune_nils/1","type":"function"},{"doc":"","ref":"DocuSign.RequestBuilder.html#resolve_mapping/3","title":"DocuSign.RequestBuilder.resolve_mapping/3","type":"function"},{"doc":"Specify the request method when building a request Parameters request (Map) - Collected request options u (String) - Request URL Returns Map","ref":"DocuSign.RequestBuilder.html#url/2","title":"DocuSign.RequestBuilder.url/2","type":"function"},{"doc":"This module contains the User struct and functions for working with it. Examples client = DocuSign.Client.get_token! user_info = DocuSign.User.info(client) or user_info = DocuSign.User.info()","ref":"DocuSign.User.html","title":"DocuSign.User","type":"module"},{"doc":"Retrieve default account is exist","ref":"DocuSign.User.html#default_account/1","title":"DocuSign.User.default_account/1","type":"function"},{"doc":"Retrieve the user info","ref":"DocuSign.User.html#info/1","title":"DocuSign.User.info/1","type":"function"},{"doc":"","ref":"DocuSign.User.AppAccount.html","title":"DocuSign.User.AppAccount","type":"module"},{"doc":"","ref":"DocuSign.User.AppAccount.html#t:t/0","title":"DocuSign.User.AppAccount.t/0","type":"type"},{"doc":"Unofficial DocuSign Elixir Library used to interact with the eSign REST API. Send, sign, and approve documents using this client.","ref":"readme.html","title":"DocuSign API Client","type":"extras"},{"doc":"The package can be installed by adding docusign to your list of dependencies in mix.exs : def deps do [ { :docusign , &quot;~&gt; 1.0.0&quot; } ] end The docs can be found at https://hexdocs.pm/docusign .","ref":"readme.html#installation","title":"DocuSign API Client - Installation","type":"extras"},{"doc":"In order to use this library with DocuSign, you need the following configured in your app: RSA Private key DocuSign Client ID (integration key) DocuSign Account ID One or more DocuSign User IDs Note that you can test your integration with the full-featured sandbox environment provided by DocuSign . Application configuration You will need to set the following configuration variables in your config file: config :docusign , hostname : &quot;account-d.docusign.com&quot; , client_id : &quot;?????-?????-???????&quot; , private_key : &quot;docusign_key.pem&quot; Notes: the hostname should be set to account.docusign.com for the production environment the path for the private key file can be relative or absolute Optional configuration with default values: config :docusign , timeout : 30_000 , # 30 seconds token_expires_in : 7_200 # 2 hours The Account ID is required when you call API functions. It is up to you to decide on how you want to configure your application. Same thing with the User ID . For security, we recommend that you use environment variables rather than hard coding your credentials. If you don't already have an environment variable manager, you can create a .env file in your project with the following content: export DOCUSIGN_CLIENT_ID = &lt; client id here &gt; export DOCUSIGN_PRIVATE_KEY = &lt; private key file path here &gt; And the corresponding config file: config :docusign , client_id : System . fetch_env! ( &quot;DOCUSIGN_CLIENT_ID&quot; ) , private_key : System . fetch_env! ( &quot;DOCUSIGN_PRIVATE_KEY&quot; ) Then, just be sure to run source .env in your shell before compiling your project. Configuring DocuSign Access DocuSign using an administrator account and go in Settings . Under Apps &amp; Keys , note the API Account ID . This is the Account ID mentionned above. Create a new app: Provide a name. In section Authentication , click on + GENERATE RSA . Store securely the information provided. The private key will have to be provided in the config files of your app (or in a file). Add a redirect URI for: https://account-d.docusign.com/me (or https://account.docusign.com/me if on the DocuSign production site). Important for users to consent the impersonation of your app. Under Apps &amp; Keys , note the Integration key of the app you just added. This is the Client ID mentionned above. If you want, you can use your administrator user with the API. The user ID is displayed in the My account information frame on the Apps &amp; Keys page. But it would most likely be safer to create a user for it (see below). Impersonate another user through the API If you want to use the API through other DocuSign users (impersonation), you first need to create the user in DocuSign, then you have to ask the user to consent the impersonation that your app will do. To do so, after you created the user, send them the following link (replace DOCUSIGN_CLIENT_ID with the ID configured above): Sandbox: https://account-d.docusign.com/oauth/auth?response_type=code&amp;scope=signature%20impersonation&amp;client_id=DOCUSIGN_CLIENT_ID&amp;redirect_uri=https://account-d.docusign.com/me Production: https://account.docusign.com/oauth/auth?response_type=code&amp;scope=signature%20impersonation&amp;client_id=DOCUSIGN_CLIENT_ID&amp;redirect_uri=https://account.docusign.com/me The user will then have to sign in and approve your application to use their credentials. The user ID to use with Connection and ClientRegistry is the API Username on the user's profile page in DocuSign. Using the API Before calling API functions ( DocuSign.API.xxx ), you must first establish a connection to the DocuSign API: user_id = &quot;USER_ID&quot; { :ok , conn } = DocuSign.Connection . get ( user_id ) You can then use any function from the DocuSign.API namespace. For instance: account_id = &quot;ACCOUNT_ID&quot; { :ok , users } = DocuSign.Api.Users . users_get_users ( conn , account_id )","ref":"readme.html#usage","title":"DocuSign API Client - Usage","type":"extras"},{"doc":"By default, the HTTP requests will timeout after 30_000 ms. You can configure the timeout: config :docusign , timeout : 60_000","ref":"readme.html#timeout-configuration","title":"DocuSign API Client - Timeout configuration","type":"extras"},{"doc":"Version 0.4.0 brings the ability to call DocuSign API with different user IDs. This is useful if your users have different security restrictions in DocuSign. The ClientRegistry takes care or tracking the API client for those users and refresh the access tokens. Connection.new/0 has been deprecated. You should replace calls to Connection.new/0 with Connection.get/1 and provide a user ID. APIClient functions have been deprecated. Please use corresponding functions in ClientRegistry .","ref":"readme.html#migrating-from-0-3-x-to-0-4-0","title":"DocuSign API Client - Migrating from 0.3.x to 0.4.0","type":"extras"},{"doc":"Download the latest OpenAPI Generator executable. Download the latest DocuSign OpenAPI Specification file (or &quot;swagger&quot; file). Change the title in the swagger file to &quot;DocuSign&quot; (the path to the title in JSON is info.title ). Execute the following commands: java -jar &quot;openapi-generator-cli-6.2.1.jar&quot; generate -i &quot;esignature.rest.swagger-v2.1.json&quot; -g &quot;elixir&quot; -o &quot;/tmp/elixir_api_client&quot; rm -rf lib/docusign/api/* rm -rf lib/docusign/model/* cp -rf /tmp/elixir_api_client/lib/docu_sign/api/* lib/docusign/api cp -rf /tmp/elixir_api_client/lib/docu_sign/model/* lib/docusign/model mix format","ref":"readme.html#regenerating-stubs","title":"DocuSign API Client - Regenerating stubs","type":"extras"},{"doc":"See the Elixir sample for an example Elixir SDK implementation that uses the JWT bearer grant to authenticate.","ref":"readme.html#jwt-authorization-example","title":"DocuSign API Client - JWT Authorization Example","type":"extras"}]